!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 15:41             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 511

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(3004)
  integer, parameter :: nGC_1539 = 1
  integer, parameter :: nGC_1401 = 2
  integer, parameter :: nGC_1400 = 3
  integer, parameter :: nGC_1402 = 4
  integer, parameter :: nGC_1405 = 5
  integer, parameter :: nGC_1404 = 6
  integer, parameter :: nGC_1406 = 7
  integer, parameter :: nGC_1409 = 8
  integer, parameter :: nGC_1408 = 9
  integer, parameter :: nGC_2198 = 10
  integer, parameter :: nGC_2199 = 11
  integer, parameter :: nGC_74 = 12
  integer, parameter :: nGC_3005 = 13
  integer, parameter :: nGC_232 = 14
  integer, parameter :: nGC_233 = 15
  integer, parameter :: nGC_230 = 16
  integer, parameter :: nGC_231 = 17
  integer, parameter :: nGC_236 = 18
  integer, parameter :: nGC_237 = 19
  integer, parameter :: nGC_234 = 20
  integer, parameter :: nGC_235 = 21
  integer, parameter :: nGC_238 = 22
  integer, parameter :: nGC_239 = 23
  integer, parameter :: nGC_587 = 24
  integer, parameter :: nGC_1403 = 25
  integer, parameter :: nGC_583 = 26
  integer, parameter :: nGC_263 = 27
  integer, parameter :: nGC_348 = 28
  integer, parameter :: nGC_349 = 29
  integer, parameter :: nGC_346 = 30
  integer, parameter :: nGC_347 = 31
  integer, parameter :: nGC_344 = 32
  integer, parameter :: nGC_345 = 33
  integer, parameter :: nGC_342 = 34
  integer, parameter :: nGC_343 = 35
  integer, parameter :: nGC_340 = 36
  integer, parameter :: nGC_341 = 37
  integer, parameter :: nGC_1746 = 38
  integer, parameter :: nGC_567 = 39
  integer, parameter :: nGC_565 = 40
  integer, parameter :: nGC_563 = 41
  integer, parameter :: nGC_561 = 42
  integer, parameter :: nGC_1748 = 43
  integer, parameter :: nGC_1749 = 44
  integer, parameter :: nGC_168 = 45
  integer, parameter :: nGC_169 = 46
  integer, parameter :: nGC_1703 = 47
  integer, parameter :: nGC_162 = 48
  integer, parameter :: nGC_163 = 49
  integer, parameter :: nGC_160 = 50
  integer, parameter :: nGC_161 = 51
  integer, parameter :: nGC_166 = 52
  integer, parameter :: nGC_167 = 53
  integer, parameter :: nGC_164 = 54
  integer, parameter :: nGC_165 = 55
  integer, parameter :: nGC_1701 = 56
  integer, parameter :: nGC_527 = 57
  integer, parameter :: nGC_1705 = 58
  integer, parameter :: nGC_1418 = 59
  integer, parameter :: nGC_1419 = 60
  integer, parameter :: nGC_1416 = 61
  integer, parameter :: nGC_1417 = 62
  integer, parameter :: nGC_1414 = 63
  integer, parameter :: nGC_1415 = 64
  integer, parameter :: nGC_1412 = 65
  integer, parameter :: nGC_1413 = 66
  integer, parameter :: nGC_1410 = 67
  integer, parameter :: nGC_1411 = 68
  integer, parameter :: nGC_MHA = 69
  integer, parameter :: nGC_MHC = 70
  integer, parameter :: nGC_MHL = 71
  integer, parameter :: nGC_MHH = 72
  integer, parameter :: nGC_2264 = 73
  integer, parameter :: nGC_2265 = 74
  integer, parameter :: nGC_2266 = 75
  integer, parameter :: nGC_2267 = 76
  integer, parameter :: nGC_2059 = 77
  integer, parameter :: nGC_2058 = 78
  integer, parameter :: nGC_2053 = 79
  integer, parameter :: nGC_1480 = 80
  integer, parameter :: nGC_2299 = 81
  integer, parameter :: nGC_2298 = 82
  integer, parameter :: nGC_2297 = 83
  integer, parameter :: nGC_2277 = 84
  integer, parameter :: nGC_2276 = 85
  integer, parameter :: nGC_2275 = 86
  integer, parameter :: nGC_2274 = 87
  integer, parameter :: nGC_2271 = 88
  integer, parameter :: nGC_2270 = 89
  integer, parameter :: nGC_2207 = 90
  integer, parameter :: nGC_221 = 91
  integer, parameter :: nGC_220 = 92
  integer, parameter :: nGC_223 = 93
  integer, parameter :: nGC_222 = 94
  integer, parameter :: nGC_225 = 95
  integer, parameter :: nGC_224 = 96
  integer, parameter :: nGC_227 = 97
  integer, parameter :: nGC_226 = 98
  integer, parameter :: nGC_229 = 99
  integer, parameter :: nGC_228 = 100
  integer, parameter :: nGC_593 = 101
  integer, parameter :: nGC_591 = 102
  integer, parameter :: nGC_595 = 103
  integer, parameter :: nGC_359 = 104
  integer, parameter :: nGC_358 = 105
  integer, parameter :: nGC_355 = 106
  integer, parameter :: nGC_354 = 107
  integer, parameter :: nGC_357 = 108
  integer, parameter :: nGC_356 = 109
  integer, parameter :: nGC_351 = 110
  integer, parameter :: nGC_350 = 111
  integer, parameter :: nGC_353 = 112
  integer, parameter :: nGC_352 = 113
  integer, parameter :: nGC_575 = 114
  integer, parameter :: nGC_1887 = 115
  integer, parameter :: nGC_1886 = 116
  integer, parameter :: nGC_571 = 117
  integer, parameter :: nGC_1880 = 118
  integer, parameter :: nGC_573 = 119
  integer, parameter :: nGC_1739 = 120
  integer, parameter :: nGC_1738 = 121
  integer, parameter :: nGC_579 = 122
  integer, parameter :: nGC_1888 = 123
  integer, parameter :: nGC_179 = 124
  integer, parameter :: nGC_178 = 125
  integer, parameter :: nGC_171 = 126
  integer, parameter :: nGC_170 = 127
  integer, parameter :: nGC_173 = 128
  integer, parameter :: nGC_172 = 129
  integer, parameter :: nGC_175 = 130
  integer, parameter :: nGC_174 = 131
  integer, parameter :: nGC_177 = 132
  integer, parameter :: nGC_176 = 133
  integer, parameter :: nGC_1643 = 134
  integer, parameter :: nGC_1642 = 135
  integer, parameter :: nGC_1641 = 136
  integer, parameter :: nGC_1640 = 137
  integer, parameter :: nGC_2052 = 138
  integer, parameter :: nGC_773 = 139
  integer, parameter :: nGC_777 = 140
  integer, parameter :: nGC_821 = 141
  integer, parameter :: nGC_1399 = 142
  integer, parameter :: nGC_1398 = 143
  integer, parameter :: nGC_1469 = 144
  integer, parameter :: nGC_1468 = 145
  integer, parameter :: nGC_1463 = 146
  integer, parameter :: nGC_1390 = 147
  integer, parameter :: nGC_1393 = 148
  integer, parameter :: nGC_1392 = 149
  integer, parameter :: nGC_1467 = 150
  integer, parameter :: nGC_1466 = 151
  integer, parameter :: nGC_1465 = 152
  integer, parameter :: nGC_1396 = 153
  integer, parameter :: nGC_2050 = 154
  integer, parameter :: nGC_TS_GC_236_Hh = 155
  integer, parameter :: nGC_TS_GC_236_Hl = 156
  integer, parameter :: nGC_3340 = 157
  integer, parameter :: nGC_1265 = 158
  integer, parameter :: nGC_1267 = 159
  integer, parameter :: nGC_1266 = 160
  integer, parameter :: nGC_1900 = 161
  integer, parameter :: nGC_1901 = 162
  integer, parameter :: nGC_1454 = 163
  integer, parameter :: nGC_1903 = 164
  integer, parameter :: nGC_2048 = 165
  integer, parameter :: nGC_2049 = 166
  integer, parameter :: nGC_2043 = 167
  integer, parameter :: nGC_TS_GC_175_Hh = 168
  integer, parameter :: nGC_99 = 169
  integer, parameter :: nGC_98 = 170
  integer, parameter :: nGC_97 = 171
  integer, parameter :: nGC_96 = 172
  integer, parameter :: nGC_95 = 173
  integer, parameter :: nGC_94 = 174
  integer, parameter :: nGC_93 = 175
  integer, parameter :: nGC_92 = 176
  integer, parameter :: nGC_91 = 177
  integer, parameter :: nGC_90 = 178
  integer, parameter :: nGC_75 = 179
  integer, parameter :: nGC_77 = 180
  integer, parameter :: nGC_76 = 181
  integer, parameter :: nGC_71 = 182
  integer, parameter :: nGC_70 = 183
  integer, parameter :: nGC_73 = 184
  integer, parameter :: nGC_72 = 185
  integer, parameter :: nGC_79 = 186
  integer, parameter :: nGC_78 = 187
  integer, parameter :: nGC_2282 = 188
  integer, parameter :: nGC_2283 = 189
  integer, parameter :: nGC_2280 = 190
  integer, parameter :: nGC_2281 = 191
  integer, parameter :: nGC_2284 = 192
  integer, parameter :: nGC_2285 = 193
  integer, parameter :: nGC_2260 = 194
  integer, parameter :: nGC_2261 = 195
  integer, parameter :: nGC_2262 = 196
  integer, parameter :: nGC_2263 = 197
  integer, parameter :: nGC_3644 = 198
  integer, parameter :: nGC_TS_GC_345_Hl = 199
  integer, parameter :: nGC_218 = 200
  integer, parameter :: nGC_219 = 201
  integer, parameter :: nGC_214 = 202
  integer, parameter :: nGC_215 = 203
  integer, parameter :: nGC_216 = 204
  integer, parameter :: nGC_217 = 205
  integer, parameter :: nGC_210 = 206
  integer, parameter :: nGC_211 = 207
  integer, parameter :: nGC_212 = 208
  integer, parameter :: nGC_213 = 209
  integer, parameter :: nGC_2219 = 210
  integer, parameter :: nGC_2218 = 211
  integer, parameter :: nGC_368 = 212
  integer, parameter :: nGC_369 = 213
  integer, parameter :: nGC_360 = 214
  integer, parameter :: nGC_361 = 215
  integer, parameter :: nGC_362 = 216
  integer, parameter :: nGC_363 = 217
  integer, parameter :: nGC_364 = 218
  integer, parameter :: nGC_365 = 219
  integer, parameter :: nGC_366 = 220
  integer, parameter :: nGC_367 = 221
  integer, parameter :: nGC_1892 = 222
  integer, parameter :: nGC_541 = 223
  integer, parameter :: nGC_1890 = 224
  integer, parameter :: nGC_543 = 225
  integer, parameter :: nGC_1896 = 226
  integer, parameter :: nGC_1897 = 227
  integer, parameter :: nGC_1894 = 228
  integer, parameter :: nGC_547 = 229
  integer, parameter :: nGC_1898 = 230
  integer, parameter :: nGC_1899 = 231
  integer, parameter :: nGC_2196 = 232
  integer, parameter :: nGC_2197 = 233
  integer, parameter :: nGC_2194 = 234
  integer, parameter :: nGC_144 = 235
  integer, parameter :: nGC_145 = 236
  integer, parameter :: nGC_146 = 237
  integer, parameter :: nGC_147 = 238
  integer, parameter :: nGC_140 = 239
  integer, parameter :: nGC_141 = 240
  integer, parameter :: nGC_142 = 241
  integer, parameter :: nGC_143 = 242
  integer, parameter :: nGC_2192 = 243
  integer, parameter :: nGC_148 = 244
  integer, parameter :: nGC_149 = 245
  integer, parameter :: nGC_2193 = 246
  integer, parameter :: nGC_287 = 247
  integer, parameter :: nGC_3811 = 248
  integer, parameter :: nGC_1355 = 249
  integer, parameter :: nGC_1354 = 250
  integer, parameter :: nGC_1357 = 251
  integer, parameter :: nGC_1356 = 252
  integer, parameter :: nGC_781 = 253
  integer, parameter :: nGC_1386 = 254
  integer, parameter :: nGC_1387 = 255
  integer, parameter :: nGC_MI = 256
  integer, parameter :: nGC_1385 = 257
  integer, parameter :: nGC_1353 = 258
  integer, parameter :: nGC_MM = 259
  integer, parameter :: nGC_1893 = 260
  integer, parameter :: nGC_MC = 261
  integer, parameter :: nGC_MB = 262
  integer, parameter :: nGC_1352 = 263
  integer, parameter :: nGC_ME = 264
  integer, parameter :: nGC_MD = 265
  integer, parameter :: nGC_1478 = 266
  integer, parameter :: nGC_MZ = 267
  integer, parameter :: nGC_1891 = 268
  integer, parameter :: nGC_1470 = 269
  integer, parameter :: nGC_MW = 270
  integer, parameter :: nGC_MU = 271
  integer, parameter :: nGC_1477 = 272
  integer, parameter :: nGC_1895 = 273
  integer, parameter :: nGC_1272 = 274
  integer, parameter :: nGC_1273 = 275
  integer, parameter :: nGC_1276 = 276
  integer, parameter :: nGC_1277 = 277
  integer, parameter :: nGC_1274 = 278
  integer, parameter :: nGC_1275 = 279
  integer, parameter :: nGC_1278 = 280
  integer, parameter :: nGC_1279 = 281
  integer, parameter :: nGC_2079 = 282
  integer, parameter :: nGC_2078 = 283
  integer, parameter :: nGC_2075 = 284
  integer, parameter :: nGC_2074 = 285
  integer, parameter :: nGC_2077 = 286
  integer, parameter :: nGC_2076 = 287
  integer, parameter :: nGC_3500 = 288
  integer, parameter :: nGC_88 = 289
  integer, parameter :: nGC_89 = 290
  integer, parameter :: nGC_TS_GC_172_Hh = 291
  integer, parameter :: nGC_80 = 292
  integer, parameter :: nGC_81 = 293
  integer, parameter :: nGC_82 = 294
  integer, parameter :: nGC_83 = 295
  integer, parameter :: nGC_84 = 296
  integer, parameter :: nGC_85 = 297
  integer, parameter :: nGC_86 = 298
  integer, parameter :: nGC_87 = 299
  integer, parameter :: nGC_66 = 300
  integer, parameter :: nGC_67 = 301
  integer, parameter :: nGC_64 = 302
  integer, parameter :: nGC_65 = 303
  integer, parameter :: nGC_62 = 304
  integer, parameter :: nGC_63 = 305
  integer, parameter :: nGC_60 = 306
  integer, parameter :: nGC_61 = 307
  integer, parameter :: nGC_68 = 308
  integer, parameter :: nGC_69 = 309
  integer, parameter :: nGC_3652 = 310
  integer, parameter :: nGC_3389 = 311
  integer, parameter :: nGC_2253 = 312
  integer, parameter :: nGC_2252 = 313
  integer, parameter :: nGC_2255 = 314
  integer, parameter :: nGC_2254 = 315
  integer, parameter :: nGC_3380 = 316
  integer, parameter :: nGC_3386 = 317
  integer, parameter :: nGC_3662 = 318
  integer, parameter :: nGC_2383 = 319
  integer, parameter :: nGC_2382 = 320
  integer, parameter :: nGC_2381 = 321
  integer, parameter :: nGC_2387 = 322
  integer, parameter :: nGC_3661 = 323
  integer, parameter :: nGC_2385 = 324
  integer, parameter :: nGC_2384 = 325
  integer, parameter :: nGC_2389 = 326
  integer, parameter :: nGC_2388 = 327
  integer, parameter :: nGC_3032 = 328
  integer, parameter :: nGC_3034 = 329
  integer, parameter :: nGC_3038 = 330
  integer, parameter :: nGC_3039 = 331
  integer, parameter :: nGC_1644 = 332
  integer, parameter :: nGC_209 = 333
  integer, parameter :: nGC_208 = 334
  integer, parameter :: nGC_203 = 335
  integer, parameter :: nGC_202 = 336
  integer, parameter :: nGC_201 = 337
  integer, parameter :: nGC_200 = 338
  integer, parameter :: nGC_207 = 339
  integer, parameter :: nGC_206 = 340
  integer, parameter :: nGC_205 = 341
  integer, parameter :: nGC_204 = 342
  integer, parameter :: nGC_3724 = 343
  integer, parameter :: nGC_3720 = 344
  integer, parameter :: nGC_377 = 345
  integer, parameter :: nGC_376 = 346
  integer, parameter :: nGC_375 = 347
  integer, parameter :: nGC_374 = 348
  integer, parameter :: nGC_373 = 349
  integer, parameter :: nGC_372 = 350
  integer, parameter :: nGC_371 = 351
  integer, parameter :: nGC_370 = 352
  integer, parameter :: nGC_379 = 353
  integer, parameter :: nGC_378 = 354
  integer, parameter :: nGC_3689 = 355
  integer, parameter :: nGC_1351 = 356
  integer, parameter :: nGC_559 = 357
  integer, parameter :: nGC_1868 = 358
  integer, parameter :: nGC_1715 = 359
  integer, parameter :: nGC_1714 = 360
  integer, parameter :: nGC_555 = 361
  integer, parameter :: nGC_1716 = 362
  integer, parameter :: nGC_1711 = 363
  integer, parameter :: nGC_1710 = 364
  integer, parameter :: nGC_1713 = 365
  integer, parameter :: nGC_1712 = 366
  integer, parameter :: nGC_3688 = 367
  integer, parameter :: nGC_1350 = 368
  integer, parameter :: nGC_153 = 369
  integer, parameter :: nGC_152 = 370
  integer, parameter :: nGC_151 = 371
  integer, parameter :: nGC_150 = 372
  integer, parameter :: nGC_157 = 373
  integer, parameter :: nGC_156 = 374
  integer, parameter :: nGC_155 = 375
  integer, parameter :: nGC_154 = 376
  integer, parameter :: nGC_159 = 377
  integer, parameter :: nGC_158 = 378
  integer, parameter :: nGC_327 = 379
  integer, parameter :: nGC_1669 = 380
  integer, parameter :: nGC_1668 = 381
  integer, parameter :: nGC_3825 = 382
  integer, parameter :: nGC_799 = 383
  integer, parameter :: nGC_795 = 384
  integer, parameter :: nGC_797 = 385
  integer, parameter :: nGC_793 = 386
  integer, parameter :: nGC_1916 = 387
  integer, parameter :: nGC_1915 = 388
  integer, parameter :: nGC_1914 = 389
  integer, parameter :: nGC_1913 = 390
  integer, parameter :: nGC_1440 = 391
  integer, parameter :: nGC_1911 = 392
  integer, parameter :: nGC_1910 = 393
  integer, parameter :: nGC_1449 = 394
  integer, parameter :: nGC_2127 = 395
  integer, parameter :: nGC_2124 = 396
  integer, parameter :: nGC_2123 = 397
  integer, parameter :: nGC_2120 = 398
  integer, parameter :: nGC_TS_GC_342_Hl = 399
  integer, parameter :: nGC_2962 = 400
  integer, parameter :: nGC_331 = 401
  integer, parameter :: nGC_330 = 402
  integer, parameter :: nGC_2967 = 403
  integer, parameter :: nGC_2314 = 404
  integer, parameter :: nGC_53 = 405
  integer, parameter :: nGC_52 = 406
  integer, parameter :: nGC_51 = 407
  integer, parameter :: nGC_50 = 408
  integer, parameter :: nGC_57 = 409
  integer, parameter :: nGC_56 = 410
  integer, parameter :: nGC_55 = 411
  integer, parameter :: nGC_54 = 412
  integer, parameter :: nGC_59 = 413
  integer, parameter :: nGC_58 = 414
  integer, parameter :: nGC_311 = 415
  integer, parameter :: nGC_2066 = 416
  integer, parameter :: nGC_2067 = 417
  integer, parameter :: nGC_2064 = 418
  integer, parameter :: nGC_2065 = 419
  integer, parameter :: nGC_2062 = 420
  integer, parameter :: nGC_2063 = 421
  integer, parameter :: nGC_2060 = 422
  integer, parameter :: nGC_2061 = 423
  integer, parameter :: nGC_2068 = 424
  integer, parameter :: nGC_3627 = 425
  integer, parameter :: nGC_2248 = 426
  integer, parameter :: nGC_2249 = 427
  integer, parameter :: nGC_1479 = 428
  integer, parameter :: nGC_313 = 429
  integer, parameter :: nGC_2390 = 430
  integer, parameter :: nGC_2391 = 431
  integer, parameter :: nGC_2392 = 432
  integer, parameter :: nGC_2393 = 433
  integer, parameter :: nGC_TS_GC_363_Hl = 434
  integer, parameter :: nGC_2395 = 435
  integer, parameter :: nGC_2396 = 436
  integer, parameter :: nGC_2397 = 437
  integer, parameter :: nGC_2398 = 438
  integer, parameter :: nGC_MS = 439
  integer, parameter :: nGC_3537 = 440
  integer, parameter :: nGC_3533 = 441
  integer, parameter :: nGC_MT = 442
  integer, parameter :: nGC_TS_GC_63_Hh = 443
  integer, parameter :: nGC_3758 = 444
  integer, parameter :: nGC_TS_GC_224_Hl = 445
  integer, parameter :: nGC_TS_GC_351_Hl = 446
  integer, parameter :: nGC_3756 = 447
  integer, parameter :: nGC_3754 = 448
  integer, parameter :: nGC_302 = 449
  integer, parameter :: nGC_303 = 450
  integer, parameter :: nGC_301 = 451
  integer, parameter :: nGC_306 = 452
  integer, parameter :: nGC_307 = 453
  integer, parameter :: nGC_304 = 454
  integer, parameter :: nGC_305 = 455
  integer, parameter :: nGC_308 = 456
  integer, parameter :: nGC_309 = 457
  integer, parameter :: nGC_1708 = 458
  integer, parameter :: nGC_1709 = 459
  integer, parameter :: nGC_1878 = 460
  integer, parameter :: nGC_1879 = 461
  integer, parameter :: nGC_1702 = 462
  integer, parameter :: nGC_523 = 463
  integer, parameter :: nGC_1876 = 464
  integer, parameter :: nGC_521 = 465
  integer, parameter :: nGC_1706 = 466
  integer, parameter :: nGC_1707 = 467
  integer, parameter :: nGC_1704 = 468
  integer, parameter :: nGC_525 = 469
  integer, parameter :: nGC_TS_GC_215_Hl = 470
  integer, parameter :: nGC_TS_GC_215_Hh = 471
  integer, parameter :: nGC_TS_GC_63_Hl = 472
  integer, parameter :: nGC_1676 = 473
  integer, parameter :: nGC_1677 = 474
  integer, parameter :: nGC_1674 = 475
  integer, parameter :: nGC_1675 = 476
  integer, parameter :: nGC_1672 = 477
  integer, parameter :: nGC_1673 = 478
  integer, parameter :: nGC_1670 = 479
  integer, parameter :: nGC_1671 = 480
  integer, parameter :: nGC_1678 = 481
  integer, parameter :: nGC_1679 = 482
  integer, parameter :: nGC_3830 = 483
  integer, parameter :: nGC_589 = 484
  integer, parameter :: nGC_1452 = 485
  integer, parameter :: nGC_1453 = 486
  integer, parameter :: nGC_1450 = 487
  integer, parameter :: nGC_1451 = 488
  integer, parameter :: nGC_1456 = 489
  integer, parameter :: nGC_1457 = 490
  integer, parameter :: nGC_1902 = 491
  integer, parameter :: nGC_1455 = 492
  integer, parameter :: nGC_1458 = 493
  integer, parameter :: nGC_1459 = 494
  integer, parameter :: nGC_581 = 495
  integer, parameter :: nGC_1298 = 496
  integer, parameter :: nGC_1299 = 497
  integer, parameter :: nGC_1294 = 498
  integer, parameter :: nGC_1295 = 499
  integer, parameter :: nGC_1296 = 500
  integer, parameter :: nGC_1297 = 501
  integer, parameter :: nGC_1291 = 502
  integer, parameter :: nGC_1292 = 503
  integer, parameter :: nGC_1293 = 504
  integer, parameter :: nGC_1747 = 505
  integer, parameter :: nGC_1745 = 506
  integer, parameter :: nGC_2129 = 507
  integer, parameter :: nGC_2128 = 508
  integer, parameter :: nGC_2126 = 509
  integer, parameter :: nGC_2125 = 510
  integer, parameter :: nGC_TS_GC_173_Hl = 511
  integer, parameter :: nGC_2122 = 512
  integer, parameter :: nGC_2121 = 513
  integer, parameter :: nGC_48 = 514
  integer, parameter :: nGC_49 = 515
  integer, parameter :: nGC_44 = 516
  integer, parameter :: nGC_45 = 517
  integer, parameter :: nGC_46 = 518
  integer, parameter :: nGC_47 = 519
  integer, parameter :: nGC_40 = 520
  integer, parameter :: nGC_41 = 521
  integer, parameter :: nGC_42 = 522
  integer, parameter :: nGC_43 = 523
  integer, parameter :: nGC_2013 = 524
  integer, parameter :: nGC_2012 = 525
  integer, parameter :: nGC_2011 = 526
  integer, parameter :: nGC_2010 = 527
  integer, parameter :: nGC_2017 = 528
  integer, parameter :: nGC_2016 = 529
  integer, parameter :: nGC_2015 = 530
  integer, parameter :: nGC_2014 = 531
  integer, parameter :: nGC_2019 = 532
  integer, parameter :: nGC_2018 = 533
  integer, parameter :: nGC_3636 = 534
  integer, parameter :: nGC_3638 = 535
  integer, parameter :: nGC_2239 = 536
  integer, parameter :: nGC_3444 = 537
  integer, parameter :: nGC_1867 = 538
  integer, parameter :: nGC_3119 = 539
  integer, parameter :: nGC_2347 = 540
  integer, parameter :: nGC_3298 = 541
  integer, parameter :: nGC_3296 = 542
  integer, parameter :: nGC_300 = 543
  integer, parameter :: nGC_3294 = 544
  integer, parameter :: nGC_3295 = 545
  integer, parameter :: nGC_3293 = 546
  integer, parameter :: nGC_3522 = 547
  integer, parameter :: nGC_2346 = 548
  integer, parameter :: nGC_3299 = 549
  integer, parameter :: nGC_3524 = 550
  integer, parameter :: nGC_3525 = 551
  integer, parameter :: nGC_3740 = 552
  integer, parameter :: nGC_3747 = 553
  integer, parameter :: nGC_312 = 554
  integer, parameter :: nGC_314 = 555
  integer, parameter :: nGC_317 = 556
  integer, parameter :: nGC_319 = 557
  integer, parameter :: nGC_511 = 558
  integer, parameter :: nGC_2349 = 559
  integer, parameter :: nGC_517 = 560
  integer, parameter :: nGC_2348 = 561
  integer, parameter :: nGC_539 = 562
  integer, parameter :: nGC_515 = 563
  integer, parameter :: nGC_1841 = 564
  integer, parameter :: nGC_1840 = 565
  integer, parameter :: nGC_1843 = 566
  integer, parameter :: nGC_1842 = 567
  integer, parameter :: nGC_1845 = 568
  integer, parameter :: nGC_1844 = 569
  integer, parameter :: nGC_537 = 570
  integer, parameter :: nGC_1846 = 571
  integer, parameter :: nGC_519 = 572
  integer, parameter :: nGC_3309 = 573
  integer, parameter :: nGC_TS_GC_234_Hl = 574
  integer, parameter :: nGC_1959 = 575
  integer, parameter :: nGC_1958 = 576
  integer, parameter :: nGC_1481 = 577
  integer, parameter :: nGC_1952 = 578
  integer, parameter :: nGC_1483 = 579
  integer, parameter :: nGC_1931 = 580
  integer, parameter :: nGC_1930 = 581
  integer, parameter :: nGC_1933 = 582
  integer, parameter :: nGC_1932 = 583
  integer, parameter :: nGC_1935 = 584
  integer, parameter :: nGC_1934 = 585
  integer, parameter :: nGC_1937 = 586
  integer, parameter :: nGC_1936 = 587
  integer, parameter :: nGC_1939 = 588
  integer, parameter :: nGC_1938 = 589
  integer, parameter :: nGC_1956 = 590
  integer, parameter :: nGC_1955 = 591
  integer, parameter :: nGC_1486 = 592
  integer, parameter :: nGC_3994 = 593
  integer, parameter :: nGC_3997 = 594
  integer, parameter :: nGC_3990 = 595
  integer, parameter :: nGC_3993 = 596
  integer, parameter :: nGC_3992 = 597
  integer, parameter :: nGC_3999 = 598
  integer, parameter :: nGC_3998 = 599
  integer, parameter :: nGC_TS_GC_172_Hl = 600
  integer, parameter :: nGC_1336 = 601
  integer, parameter :: nGC_1335 = 602
  integer, parameter :: nGC_1334 = 603
  integer, parameter :: nGC_881 = 604
  integer, parameter :: nGC_883 = 605
  integer, parameter :: nGC_885 = 606
  integer, parameter :: nGC_1338 = 607
  integer, parameter :: nGC_3855 = 608
  integer, parameter :: nGC_TS_GC_174_Hl = 609
  integer, parameter :: nGC_39 = 610
  integer, parameter :: nGC_38 = 611
  integer, parameter :: nGC_31 = 612
  integer, parameter :: nGC_30 = 613
  integer, parameter :: nGC_33 = 614
  integer, parameter :: nGC_32 = 615
  integer, parameter :: nGC_35 = 616
  integer, parameter :: nGC_34 = 617
  integer, parameter :: nGC_37 = 618
  integer, parameter :: nGC_36 = 619
  integer, parameter :: nGC_TS_GC_348_Hh = 620
  integer, parameter :: nGC_TS_GC_43_Hh = 621
  integer, parameter :: nGC_2000 = 622
  integer, parameter :: nGC_2001 = 623
  integer, parameter :: nGC_2002 = 624
  integer, parameter :: nGC_2003 = 625
  integer, parameter :: nGC_2004 = 626
  integer, parameter :: nGC_2005 = 627
  integer, parameter :: nGC_2006 = 628
  integer, parameter :: nGC_2007 = 629
  integer, parameter :: nGC_2008 = 630
  integer, parameter :: nGC_2009 = 631
  integer, parameter :: nGC_3609 = 632
  integer, parameter :: nGC_3600 = 633
  integer, parameter :: nGC_2220 = 634
  integer, parameter :: nGC_315 = 635
  integer, parameter :: nGC_2222 = 636
  integer, parameter :: nGC_2223 = 637
  integer, parameter :: nGC_2224 = 638
  integer, parameter :: nGC_316 = 639
  integer, parameter :: nGC_318 = 640
  integer, parameter :: nGC_3519 = 641
  integer, parameter :: nGC_3510 = 642
  integer, parameter :: nGC_3516 = 643
  integer, parameter :: nGC_3178 = 644
  integer, parameter :: nGC_253 = 645
  integer, parameter :: nGC_328 = 646
  integer, parameter :: nGC_329 = 647
  integer, parameter :: nGC_324 = 648
  integer, parameter :: nGC_325 = 649
  integer, parameter :: nGC_326 = 650
  integer, parameter :: nGC_321 = 651
  integer, parameter :: nGC_MTA = 652
  integer, parameter :: nGC_188 = 653
  integer, parameter :: nGC_189 = 654
  integer, parameter :: nGC_180 = 655
  integer, parameter :: nGC_TS_GC_214_Hh = 656
  integer, parameter :: nGC_182 = 657
  integer, parameter :: nGC_183 = 658
  integer, parameter :: nGC_184 = 659
  integer, parameter :: nGC_185 = 660
  integer, parameter :: nGC_186 = 661
  integer, parameter :: nGC_TS_GC_357_Hl = 662
  integer, parameter :: nGC_531 = 663
  integer, parameter :: nGC_533 = 664
  integer, parameter :: nGC_611 = 665
  integer, parameter :: nGC_1612 = 666
  integer, parameter :: nGC_1613 = 667
  integer, parameter :: nGC_1614 = 668
  integer, parameter :: nGC_1615 = 669
  integer, parameter :: nGC_1616 = 670
  integer, parameter :: nGC_1617 = 671
  integer, parameter :: nGC_1618 = 672
  integer, parameter :: nGC_1619 = 673
  integer, parameter :: nGC_1859 = 674
  integer, parameter :: nGC_1928 = 675
  integer, parameter :: nGC_1929 = 676
  integer, parameter :: nGC_1926 = 677
  integer, parameter :: nGC_1927 = 678
  integer, parameter :: nGC_1924 = 679
  integer, parameter :: nGC_1925 = 680
  integer, parameter :: nGC_1922 = 681
  integer, parameter :: nGC_1923 = 682
  integer, parameter :: nGC_3983 = 683
  integer, parameter :: nGC_3980 = 684
  integer, parameter :: nGC_3981 = 685
  integer, parameter :: nGC_3984 = 686
  integer, parameter :: nGC_3989 = 687
  integer, parameter :: nGC_247 = 688
  integer, parameter :: nGC_246 = 689
  integer, parameter :: nGC_2251 = 690
  integer, parameter :: nGC_2250 = 691
  integer, parameter :: nGC_3612 = 692
  integer, parameter :: nGC_2257 = 693
  integer, parameter :: nGC_MMW_GF = 694
  integer, parameter :: nGC_2258 = 695
  integer, parameter :: nGC_1320 = 696
  integer, parameter :: nGC_1321 = 697
  integer, parameter :: nGC_243 = 698
  integer, parameter :: nGC_2109 = 699
  integer, parameter :: nGC_2101 = 700
  integer, parameter :: nGC_2100 = 701
  integer, parameter :: nGC_2103 = 702
  integer, parameter :: nGC_2102 = 703
  integer, parameter :: nGC_28 = 704
  integer, parameter :: nGC_29 = 705
  integer, parameter :: nGC_242 = 706
  integer, parameter :: nGC_22 = 707
  integer, parameter :: nGC_23 = 708
  integer, parameter :: nGC_20 = 709
  integer, parameter :: nGC_21 = 710
  integer, parameter :: nGC_26 = 711
  integer, parameter :: nGC_27 = 712
  integer, parameter :: nGC_24 = 713
  integer, parameter :: nGC_25 = 714
  integer, parameter :: nGC_2039 = 715
  integer, parameter :: nGC_2038 = 716
  integer, parameter :: nGC_2035 = 717
  integer, parameter :: nGC_2034 = 718
  integer, parameter :: nGC_2037 = 719
  integer, parameter :: nGC_2036 = 720
  integer, parameter :: nGC_2031 = 721
  integer, parameter :: nGC_2030 = 722
  integer, parameter :: nGC_2033 = 723
  integer, parameter :: nGC_2032 = 724
  integer, parameter :: nGC_2214 = 725
  integer, parameter :: nGC_2216 = 726
  integer, parameter :: nGC_2213 = 727
  integer, parameter :: nGC_2212 = 728
  integer, parameter :: nGC_3345 = 729
  integer, parameter :: nGC_3347 = 730
  integer, parameter :: nGC_TS_GC_235_Hh = 731
  integer, parameter :: nGC_3463 = 732
  integer, parameter :: nGC_2195 = 733
  integer, parameter :: nGC_2386 = 734
  integer, parameter :: nGC_3506 = 735
  integer, parameter :: nGC_3504 = 736
  integer, parameter :: nGC_3502 = 737
  integer, parameter :: nGC_3314 = 738
  integer, parameter :: nGC_3508 = 739
  integer, parameter :: nGC_2360 = 740
  integer, parameter :: nGC_2365 = 741
  integer, parameter :: nGC_2364 = 742
  integer, parameter :: nGC_2367 = 743
  integer, parameter :: nGC_2366 = 744
  integer, parameter :: nGC_2369 = 745
  integer, parameter :: nGC_2368 = 746
  integer, parameter :: nGC_3182 = 747
  integer, parameter :: nGC_3181 = 748
  integer, parameter :: nGC_3184 = 749
  integer, parameter :: nGC_3763 = 750
  integer, parameter :: nGC_3760 = 751
  integer, parameter :: nGC_3761 = 752
  integer, parameter :: nGC_3766 = 753
  integer, parameter :: nGC_3164 = 754
  integer, parameter :: nGC_3166 = 755
  integer, parameter :: nGC_3160 = 756
  integer, parameter :: nGC_3162 = 757
  integer, parameter :: nGC_339 = 758
  integer, parameter :: nGC_338 = 759
  integer, parameter :: nGC_TS_GC_32_Hh = 760
  integer, parameter :: nGC_333 = 761
  integer, parameter :: nGC_332 = 762
  integer, parameter :: nGC_337 = 763
  integer, parameter :: nGC_336 = 764
  integer, parameter :: nGC_2965 = 765
  integer, parameter :: nGC_334 = 766
  integer, parameter :: nGC_197 = 767
  integer, parameter :: nGC_196 = 768
  integer, parameter :: nGC_195 = 769
  integer, parameter :: nGC_194 = 770
  integer, parameter :: nGC_193 = 771
  integer, parameter :: nGC_192 = 772
  integer, parameter :: nGC_191 = 773
  integer, parameter :: nGC_190 = 774
  integer, parameter :: nGC_199 = 775
  integer, parameter :: nGC_198 = 776
  integer, parameter :: nGC_249 = 777
  integer, parameter :: nGC_2950 = 778
  integer, parameter :: nGC_2256 = 779
  integer, parameter :: nGC_248 = 780
  integer, parameter :: nGC_609 = 781
  integer, parameter :: nGC_607 = 782
  integer, parameter :: nGC_605 = 783
  integer, parameter :: nGC_2955 = 784
  integer, parameter :: nGC_603 = 785
  integer, parameter :: nGC_1620 = 786
  integer, parameter :: nGC_601 = 787
  integer, parameter :: nGC_2259 = 788
  integer, parameter :: nGC_3420 = 789
  integer, parameter :: nGC_3423 = 790
  integer, parameter :: nGC_1823 = 791
  integer, parameter :: nGC_2057 = 792
  integer, parameter :: nGC_1821 = 793
  integer, parameter :: nGC_1820 = 794
  integer, parameter :: nGC_1827 = 795
  integer, parameter :: nGC_1826 = 796
  integer, parameter :: nGC_1825 = 797
  integer, parameter :: nGC_2056 = 798
  integer, parameter :: nGC_1829 = 799
  integer, parameter :: nGC_1828 = 800
  integer, parameter :: nGC_2055 = 801
  integer, parameter :: nGC_1488 = 802
  integer, parameter :: nGC_2054 = 803
  integer, parameter :: nGC_1953 = 804
  integer, parameter :: nGC_1951 = 805
  integer, parameter :: nGC_1482 = 806
  integer, parameter :: nGC_1485 = 807
  integer, parameter :: nGC_1484 = 808
  integer, parameter :: nGC_1487 = 809
  integer, parameter :: nGC_1954 = 810
  integer, parameter :: nGC_1139 = 811
  integer, parameter :: nGC_1138 = 812
  integer, parameter :: nGC_2051 = 813
  integer, parameter :: nGC_1131 = 814
  integer, parameter :: nGC_1133 = 815
  integer, parameter :: nGC_1132 = 816
  integer, parameter :: nGC_1135 = 817
  integer, parameter :: nGC_1134 = 818
  integer, parameter :: nGC_1137 = 819
  integer, parameter :: nGC_1136 = 820
  integer, parameter :: nGC_3979 = 821
  integer, parameter :: nGC_3976 = 822
  integer, parameter :: nGC_3975 = 823
  integer, parameter :: nGC_3972 = 824
  integer, parameter :: nGC_3454 = 825
  integer, parameter :: nGC_1550 = 826
  integer, parameter :: nGC_3599 = 827
  integer, parameter :: nGC_3889 = 828
  integer, parameter :: nGC_3883 = 829
  integer, parameter :: nGC_3887 = 830
  integer, parameter :: nGC_3885 = 831
  integer, parameter :: nGC_3144 = 832
  integer, parameter :: nGC_1315 = 833
  integer, parameter :: nGC_1314 = 834
  integer, parameter :: nGC_1317 = 835
  integer, parameter :: nGC_1316 = 836
  integer, parameter :: nGC_1319 = 837
  integer, parameter :: nGC_1318 = 838
  integer, parameter :: nGC_17 = 839
  integer, parameter :: nGC_16 = 840
  integer, parameter :: nGC_15 = 841
  integer, parameter :: nGC_14 = 842
  integer, parameter :: nGC_13 = 843
  integer, parameter :: nGC_12 = 844
  integer, parameter :: nGC_11 = 845
  integer, parameter :: nGC_10 = 846
  integer, parameter :: nGC_19 = 847
  integer, parameter :: nGC_18 = 848
  integer, parameter :: nGC_2028 = 849
  integer, parameter :: nGC_2029 = 850
  integer, parameter :: nGC_2022 = 851
  integer, parameter :: nGC_2023 = 852
  integer, parameter :: nGC_2020 = 853
  integer, parameter :: nGC_2021 = 854
  integer, parameter :: nGC_2024 = 855
  integer, parameter :: nGC_2202 = 856
  integer, parameter :: nGC_2203 = 857
  integer, parameter :: nGC_2204 = 858
  integer, parameter :: nGC_3375 = 859
  integer, parameter :: nGC_TS_GC_44_Hh = 860
  integer, parameter :: nGC_2591 = 861
  integer, parameter :: nGC_2596 = 862
  integer, parameter :: nGC_2594 = 863
  integer, parameter :: nGC_2595 = 864
  integer, parameter :: nGC_2116 = 865
  integer, parameter :: nGC_2117 = 866
  integer, parameter :: nGC_2114 = 867
  integer, parameter :: nGC_2115 = 868
  integer, parameter :: nGC_2112 = 869
  integer, parameter :: nGC_2113 = 870
  integer, parameter :: nGC_2110 = 871
  integer, parameter :: nGC_2111 = 872
  integer, parameter :: nGC_3043 = 873
  integer, parameter :: nGC_2118 = 874
  integer, parameter :: nGC_2119 = 875
  integer, parameter :: nGC_3573 = 876
  integer, parameter :: nGC_3571 = 877
  integer, parameter :: nGC_3575 = 878
  integer, parameter :: nGC_2200 = 879
  integer, parameter :: nGC_2201 = 880
  integer, parameter :: nGC_3852 = 881
  integer, parameter :: nGC_2378 = 882
  integer, parameter :: nGC_2376 = 883
  integer, parameter :: nGC_2377 = 884
  integer, parameter :: nGC_2374 = 885
  integer, parameter :: nGC_2375 = 886
  integer, parameter :: nGC_2372 = 887
  integer, parameter :: nGC_2373 = 888
  integer, parameter :: nGC_2370 = 889
  integer, parameter :: nGC_2371 = 890
  integer, parameter :: nGC_2205 = 891
  integer, parameter :: nGC_2683 = 892
  integer, parameter :: nGC_2680 = 893
  integer, parameter :: nGC_4023 = 894
  integer, parameter :: nGC_2208 = 895
  integer, parameter :: nGC_2209 = 896
  integer, parameter :: nGC_2926 = 897
  integer, parameter :: nGC_3795 = 898
  integer, parameter :: nGC_3794 = 899
  integer, parameter :: nGC_2925 = 900
  integer, parameter :: nGC_3150 = 901
  integer, parameter :: nGC_3154 = 902
  integer, parameter :: nGC_3376 = 903
  integer, parameter :: nGC_2970 = 904
  integer, parameter :: nGC_2975 = 905
  integer, parameter :: nGC_2977 = 906
  integer, parameter :: nGC_3085 = 907
  integer, parameter :: nGC_3084 = 908
  integer, parameter :: nGC_TS_GC_233_Hh = 909
  integer, parameter :: nGC_TS_GC_233_Hl = 910
  integer, parameter :: nGC_294 = 911
  integer, parameter :: nGC_295 = 912
  integer, parameter :: nGC_296 = 913
  integer, parameter :: nGC_297 = 914
  integer, parameter :: nGC_290 = 915
  integer, parameter :: nGC_291 = 916
  integer, parameter :: nGC_292 = 917
  integer, parameter :: nGC_293 = 918
  integer, parameter :: nGC_298 = 919
  integer, parameter :: nGC_299 = 920
  integer, parameter :: nGC_1638 = 921
  integer, parameter :: nGC_1639 = 922
  integer, parameter :: nGC_TS_GC_354_Hh = 923
  integer, parameter :: nGC_1632 = 924
  integer, parameter :: nGC_1633 = 925
  integer, parameter :: nGC_279 = 926
  integer, parameter :: nGC_1636 = 927
  integer, parameter :: nGC_1637 = 928
  integer, parameter :: nGC_1634 = 929
  integer, parameter :: nGC_1635 = 930
  integer, parameter :: nGC_TS_GC_329_Hl = 931
  integer, parameter :: nGC_1436 = 932
  integer, parameter :: nGC_273 = 933
  integer, parameter :: nGC_1830 = 934
  integer, parameter :: nGC_1831 = 935
  integer, parameter :: nGC_1832 = 936
  integer, parameter :: nGC_1833 = 937
  integer, parameter :: nGC_1834 = 938
  integer, parameter :: nGC_1835 = 939
  integer, parameter :: nGC_1836 = 940
  integer, parameter :: nGC_1837 = 941
  integer, parameter :: nGC_1838 = 942
  integer, parameter :: nGC_1839 = 943
  integer, parameter :: nGC_1940 = 944
  integer, parameter :: nGC_1941 = 945
  integer, parameter :: nGC_1942 = 946
  integer, parameter :: nGC_1943 = 947
  integer, parameter :: nGC_1944 = 948
  integer, parameter :: nGC_1945 = 949
  integer, parameter :: nGC_TS_GC_19_Hh = 950
  integer, parameter :: nGC_TS_GC_336_Hh = 951
  integer, parameter :: nGC_3969 = 952
  integer, parameter :: nGC_3967 = 953
  integer, parameter :: nGC_557 = 954
  integer, parameter :: nGC_1866 = 955
  integer, parameter :: nGC_1717 = 956
  integer, parameter :: nGC_553 = 957
  integer, parameter :: nGC_1862 = 958
  integer, parameter :: nGC_1544 = 959
  integer, parameter :: nGC_1545 = 960
  integer, parameter :: nGC_1546 = 961
  integer, parameter :: nGC_1547 = 962
  integer, parameter :: nGC_1540 = 963
  integer, parameter :: nGC_1861 = 964
  integer, parameter :: nGC_1542 = 965
  integer, parameter :: nGC_1543 = 966
  integer, parameter :: nGC_1860 = 967
  integer, parameter :: nGC_1548 = 968
  integer, parameter :: nGC_1549 = 969
  integer, parameter :: nGC_1511 = 970
  integer, parameter :: nGC_3898 = 971
  integer, parameter :: nGC_1494 = 972
  integer, parameter :: nGC_1495 = 973
  integer, parameter :: nGC_1492 = 974
  integer, parameter :: nGC_1493 = 975
  integer, parameter :: nGC_3890 = 976
  integer, parameter :: nGC_3892 = 977
  integer, parameter :: nGC_3895 = 978
  integer, parameter :: nGC_3896 = 979
  integer, parameter :: nGC_2206 = 980
  integer, parameter :: nGC_3572 = 981
  integer, parameter :: nGC_2268 = 982
  integer, parameter :: nGC_859 = 983
  integer, parameter :: nGC_2269 = 984
  integer, parameter :: nGC_855 = 985
  integer, parameter :: nGC_853 = 986
  integer, parameter :: nGC_851 = 987
  integer, parameter :: nGC_1302 = 988
  integer, parameter :: nGC_1303 = 989
  integer, parameter :: nGC_1300 = 990
  integer, parameter :: nGC_1301 = 991
  integer, parameter :: nGC_1877 = 992
  integer, parameter :: nGC_2343 = 993
  integer, parameter :: nGC_2342 = 994
  integer, parameter :: nGC_2273 = 995
  integer, parameter :: nGC_2272 = 996
  integer, parameter :: nGC_2341 = 997
  integer, parameter :: nGC_2568 = 998
  integer, parameter :: nGC_2566 = 999
  integer, parameter :: nGC_2564 = 1000
  integer, parameter :: nGC_2562 = 1001
  integer, parameter :: nGC_TS_GC_33_Hl = 1002
  integer, parameter :: nGC_TS_GC_33_Hh = 1003
  integer, parameter :: nGC_2163 = 1004
  integer, parameter :: nGC_2162 = 1005
  integer, parameter :: nGC_2161 = 1006
  integer, parameter :: nGC_2160 = 1007
  integer, parameter :: nGC_2279 = 1008
  integer, parameter :: nGC_2278 = 1009
  integer, parameter :: nGC_3561 = 1010
  integer, parameter :: nGC_3563 = 1011
  integer, parameter :: nGC_3565 = 1012
  integer, parameter :: nGC_3567 = 1013
  integer, parameter :: nGC_2309 = 1014
  integer, parameter :: nGC_2308 = 1015
  integer, parameter :: nGC_2303 = 1016
  integer, parameter :: nGC_2302 = 1017
  integer, parameter :: nGC_2301 = 1018
  integer, parameter :: nGC_2300 = 1019
  integer, parameter :: nGC_2307 = 1020
  integer, parameter :: nGC_2306 = 1021
  integer, parameter :: nGC_2305 = 1022
  integer, parameter :: nGC_2304 = 1023
  integer, parameter :: nGC_3367 = 1024
  integer, parameter :: nGC_3364 = 1025
  integer, parameter :: nGC_3365 = 1026
  integer, parameter :: nGC_3363 = 1027
  integer, parameter :: nGC_TS_GC_17_Hl = 1028
  integer, parameter :: nGC_TS_GC_17_Hh = 1029
  integer, parameter :: nGC_3788 = 1030
  integer, parameter :: nGC_3789 = 1031
  integer, parameter :: nGC_3784 = 1032
  integer, parameter :: nGC_3786 = 1033
  integer, parameter :: nGC_3787 = 1034
  integer, parameter :: nGC_3782 = 1035
  integer, parameter :: nGC_2947 = 1036
  integer, parameter :: nGC_3146 = 1037
  integer, parameter :: nGC_3143 = 1038
  integer, parameter :: nGC_3412 = 1039
  integer, parameter :: nGC_3092 = 1040
  integer, parameter :: nGC_3093 = 1041
  integer, parameter :: nGC_3094 = 1042
  integer, parameter :: nGC_3095 = 1043
  integer, parameter :: nGC_3098 = 1044
  integer, parameter :: nGC_1337 = 1045
  integer, parameter :: nGC_551 = 1046
  integer, parameter :: nGC_282 = 1047
  integer, parameter :: nGC_281 = 1048
  integer, parameter :: nGC_280 = 1049
  integer, parameter :: nGC_286 = 1050
  integer, parameter :: nGC_285 = 1051
  integer, parameter :: nGC_284 = 1052
  integer, parameter :: nGC_335 = 1053
  integer, parameter :: nGC_3942 = 1054
  integer, parameter :: nGC_289 = 1055
  integer, parameter :: nGC_288 = 1056
  integer, parameter :: nGC_TS_GC_366_Hh = 1057
  integer, parameter :: nGC_1232 = 1058
  integer, parameter :: nGC_1700 = 1059
  integer, parameter :: nGC_TS_GC_32_Hl = 1060
  integer, parameter :: nGC_1339 = 1061
  integer, parameter :: nGC_1801 = 1062
  integer, parameter :: nGC_1800 = 1063
  integer, parameter :: nGC_1157 = 1064
  integer, parameter :: nGC_1159 = 1065
  integer, parameter :: nGC_1158 = 1066
  integer, parameter :: nGC_2981 = 1067
  integer, parameter :: nGC_TS_GC_42_Hh = 1068
  integer, parameter :: nGC_1799 = 1069
  integer, parameter :: nGC_1798 = 1070
  integer, parameter :: nGC_3959 = 1071
  integer, parameter :: nGC_3958 = 1072
  integer, parameter :: nGC_3902 = 1073
  integer, parameter :: nGC_TS_GC_77_Hl = 1074
  integer, parameter :: nGC_3954 = 1075
  integer, parameter :: nGC_3956 = 1076
  integer, parameter :: nGC_3152 = 1077
  integer, parameter :: nGC_3157 = 1078
  integer, parameter :: nGC_1571 = 1079
  integer, parameter :: nGC_1570 = 1080
  integer, parameter :: nGC_1573 = 1081
  integer, parameter :: nGC_1572 = 1082
  integer, parameter :: nGC_1574 = 1083
  integer, parameter :: nGC_3406 = 1084
  integer, parameter :: nGC_TS_GC_45_Hl = 1085
  integer, parameter :: nGC_3843 = 1086
  integer, parameter :: nGC_3404 = 1087
  integer, parameter :: nGC_1975 = 1088
  integer, parameter :: nGC_1974 = 1089
  integer, parameter :: nGC_1977 = 1090
  integer, parameter :: nGC_1976 = 1091
  integer, parameter :: nGC_1971 = 1092
  integer, parameter :: nGC_1970 = 1093
  integer, parameter :: nGC_1973 = 1094
  integer, parameter :: nGC_1972 = 1095
  integer, parameter :: nGC_1979 = 1096
  integer, parameter :: nGC_1978 = 1097
  integer, parameter :: nGC_MW_GF = 1098
  integer, parameter :: nGC_2130 = 1099
  integer, parameter :: nGC_3916 = 1100
  integer, parameter :: nGC_845 = 1101
  integer, parameter :: nGC_847 = 1102
  integer, parameter :: nGC_841 = 1103
  integer, parameter :: nGC_843 = 1104
  integer, parameter :: nGC_1379 = 1105
  integer, parameter :: nGC_1378 = 1106
  integer, parameter :: nGC_1373 = 1107
  integer, parameter :: nGC_1372 = 1108
  integer, parameter :: nGC_1371 = 1109
  integer, parameter :: nGC_1370 = 1110
  integer, parameter :: nGC_1377 = 1111
  integer, parameter :: nGC_1376 = 1112
  integer, parameter :: nGC_1375 = 1113
  integer, parameter :: nGC_1374 = 1114
  integer, parameter :: nGC_1957 = 1115
  integer, parameter :: nGC_2973 = 1116
  integer, parameter :: nGC_1441 = 1117
  integer, parameter :: nGC_1912 = 1118
  integer, parameter :: nGC_1443 = 1119
  integer, parameter :: nGC_1442 = 1120
  integer, parameter :: nGC_545 = 1121
  integer, parameter :: nGC_2170 = 1122
  integer, parameter :: nGC_2171 = 1123
  integer, parameter :: nGC_2172 = 1124
  integer, parameter :: nGC_2173 = 1125
  integer, parameter :: nGC_2174 = 1126
  integer, parameter :: nGC_2175 = 1127
  integer, parameter :: nGC_2176 = 1128
  integer, parameter :: nGC_2177 = 1129
  integer, parameter :: nGC_2178 = 1130
  integer, parameter :: nGC_2179 = 1131
  integer, parameter :: nGC_1621 = 1132
  integer, parameter :: nGC_3555 = 1133
  integer, parameter :: nGC_3556 = 1134
  integer, parameter :: nGC_3551 = 1135
  integer, parameter :: nGC_3553 = 1136
  integer, parameter :: nGC_2318 = 1137
  integer, parameter :: nGC_2319 = 1138
  integer, parameter :: nGC_1822 = 1139
  integer, parameter :: nGC_2310 = 1140
  integer, parameter :: nGC_2311 = 1141
  integer, parameter :: nGC_2312 = 1142
  integer, parameter :: nGC_2313 = 1143
  integer, parameter :: nGC_1407 = 1144
  integer, parameter :: nGC_2315 = 1145
  integer, parameter :: nGC_2316 = 1146
  integer, parameter :: nGC_2317 = 1147
  integer, parameter :: nGC_3313 = 1148
  integer, parameter :: nGC_3312 = 1149
  integer, parameter :: nGC_3311 = 1150
  integer, parameter :: nGC_3310 = 1151
  integer, parameter :: nGC_3317 = 1152
  integer, parameter :: nGC_3316 = 1153
  integer, parameter :: nGC_3315 = 1154
  integer, parameter :: nGC_513 = 1155
  integer, parameter :: nGC_3319 = 1156
  integer, parameter :: nGC_3318 = 1157
  integer, parameter :: nGC_3042 = 1158
  integer, parameter :: nGC_3139 = 1159
  integer, parameter :: nGC_3138 = 1160
  integer, parameter :: nGC_3133 = 1161
  integer, parameter :: nGC_3132 = 1162
  integer, parameter :: nGC_3131 = 1163
  integer, parameter :: nGC_3130 = 1164
  integer, parameter :: nGC_3137 = 1165
  integer, parameter :: nGC_3136 = 1166
  integer, parameter :: nGC_3135 = 1167
  integer, parameter :: nGC_3134 = 1168
  integer, parameter :: nGC_382 = 1169
  integer, parameter :: nGC_383 = 1170
  integer, parameter :: nGC_380 = 1171
  integer, parameter :: nGC_381 = 1172
  integer, parameter :: nGC_386 = 1173
  integer, parameter :: nGC_384 = 1174
  integer, parameter :: nGC_385 = 1175
  integer, parameter :: nGC_3046 = 1176
  integer, parameter :: nGC_3040 = 1177
  integer, parameter :: nGC_4021 = 1178
  integer, parameter :: nGC_3049 = 1179
  integer, parameter :: nGC_3048 = 1180
  integer, parameter :: nGC_278 = 1181
  integer, parameter :: nGC_276 = 1182
  integer, parameter :: nGC_277 = 1183
  integer, parameter :: nGC_274 = 1184
  integer, parameter :: nGC_275 = 1185
  integer, parameter :: nGC_272 = 1186
  integer, parameter :: nGC_3355 = 1187
  integer, parameter :: nGC_270 = 1188
  integer, parameter :: nGC_271 = 1189
  integer, parameter :: nGC_MZ_GF = 1190
  integer, parameter :: nGC_1818 = 1191
  integer, parameter :: nGC_1819 = 1192
  integer, parameter :: nGC_1812 = 1193
  integer, parameter :: nGC_1813 = 1194
  integer, parameter :: nGC_1816 = 1195
  integer, parameter :: nGC_1817 = 1196
  integer, parameter :: nGC_1814 = 1197
  integer, parameter :: nGC_1815 = 1198
  integer, parameter :: nGC_1140 = 1199
  integer, parameter :: nGC_1141 = 1200
  integer, parameter :: nGC_1147 = 1201
  integer, parameter :: nGC_1148 = 1202
  integer, parameter :: nGC_597 = 1203
  integer, parameter :: nGC_3947 = 1204
  integer, parameter :: nGC_1786 = 1205
  integer, parameter :: nGC_1787 = 1206
  integer, parameter :: nGC_2221 = 1207
  integer, parameter :: nGC_1788 = 1208
  integer, parameter :: nGC_2405 = 1209
  integer, parameter :: nGC_3948 = 1210
  integer, parameter :: nGC_126 = 1211
  integer, parameter :: nGC_127 = 1212
  integer, parameter :: nGC_124 = 1213
  integer, parameter :: nGC_125 = 1214
  integer, parameter :: nGC_122 = 1215
  integer, parameter :: nGC_123 = 1216
  integer, parameter :: nGC_120 = 1217
  integer, parameter :: nGC_121 = 1218
  integer, parameter :: nGC_128 = 1219
  integer, parameter :: nGC_129 = 1220
  integer, parameter :: nGC_TS_GC_180_Hl = 1221
  integer, parameter :: nGC_TS_GC_180_Hh = 1222
  integer, parameter :: nGC_3915 = 1223
  integer, parameter :: nGC_1568 = 1224
  integer, parameter :: nGC_1569 = 1225
  integer, parameter :: nGC_1566 = 1226
  integer, parameter :: nGC_1567 = 1227
  integer, parameter :: nGC_1564 = 1228
  integer, parameter :: nGC_1565 = 1229
  integer, parameter :: nGC_1962 = 1230
  integer, parameter :: nGC_1963 = 1231
  integer, parameter :: nGC_1960 = 1232
  integer, parameter :: nGC_1961 = 1233
  integer, parameter :: nGC_1966 = 1234
  integer, parameter :: nGC_1967 = 1235
  integer, parameter :: nGC_1964 = 1236
  integer, parameter :: nGC_1965 = 1237
  integer, parameter :: nGC_1968 = 1238
  integer, parameter :: nGC_1969 = 1239
  integer, parameter :: nGC_TS_GC_16_Hh = 1240
  integer, parameter :: nGC_TS_GC_16_Hl = 1241
  integer, parameter :: nGC_3917 = 1242
  integer, parameter :: nGC_879 = 1243
  integer, parameter :: nGC_871 = 1244
  integer, parameter :: nGC_1737 = 1245
  integer, parameter :: nGC_I = 1246
  integer, parameter :: nGC_873 = 1247
  integer, parameter :: nGC_875 = 1248
  integer, parameter :: nGC_1736 = 1249
  integer, parameter :: nGC_1368 = 1250
  integer, parameter :: nGC_1369 = 1251
  integer, parameter :: nGC_1360 = 1252
  integer, parameter :: nGC_1361 = 1253
  integer, parameter :: nGC_1362 = 1254
  integer, parameter :: nGC_1363 = 1255
  integer, parameter :: nGC_1364 = 1256
  integer, parameter :: nGC_1365 = 1257
  integer, parameter :: nGC_1366 = 1258
  integer, parameter :: nGC_1367 = 1259
  integer, parameter :: nGC_TS_GC_253_Hl = 1260
  integer, parameter :: nGC_877 = 1261
  integer, parameter :: nGC_TS_GC_62_Hl = 1262
  integer, parameter :: nGC_TS_GC_62_Hh = 1263
  integer, parameter :: nGC_3 = 1264
  integer, parameter :: nGC_2 = 1265
  integer, parameter :: nGC_1 = 1266
  integer, parameter :: nGC_1217 = 1267
  integer, parameter :: nGC_7 = 1268
  integer, parameter :: nGC_6 = 1269
  integer, parameter :: nGC_5 = 1270
  integer, parameter :: nGC_4 = 1271
  integer, parameter :: nGC_9 = 1272
  integer, parameter :: nGC_8 = 1273
  integer, parameter :: nGC_1218 = 1274
  integer, parameter :: nGC_1219 = 1275
  integer, parameter :: nGC_3324 = 1276
  integer, parameter :: nGC_3451 = 1277
  integer, parameter :: nGC_2548 = 1278
  integer, parameter :: nGC_2099 = 1279
  integer, parameter :: nGC_2098 = 1280
  integer, parameter :: nGC_TS_GC_34_Hl = 1281
  integer, parameter :: nGC_2092 = 1282
  integer, parameter :: nGC_2095 = 1283
  integer, parameter :: nGC_2094 = 1284
  integer, parameter :: nGC_3456 = 1285
  integer, parameter :: nGC_3457 = 1286
  integer, parameter :: nGC_1437 = 1287
  integer, parameter :: nGC_2149 = 1288
  integer, parameter :: nGC_2148 = 1289
  integer, parameter :: nGC_2147 = 1290
  integer, parameter :: nGC_2327 = 1291
  integer, parameter :: nGC_2326 = 1292
  integer, parameter :: nGC_2321 = 1293
  integer, parameter :: nGC_2320 = 1294
  integer, parameter :: nGC_3542 = 1295
  integer, parameter :: nGC_3543 = 1296
  integer, parameter :: nGC_3540 = 1297
  integer, parameter :: nGC_3545 = 1298
  integer, parameter :: nGC_2354 = 1299
  integer, parameter :: nGC_2355 = 1300
  integer, parameter :: nGC_2356 = 1301
  integer, parameter :: nGC_3300 = 1302
  integer, parameter :: nGC_3301 = 1303
  integer, parameter :: nGC_3302 = 1304
  integer, parameter :: nGC_2357 = 1305
  integer, parameter :: nGC_3304 = 1306
  integer, parameter :: nGC_3305 = 1307
  integer, parameter :: nGC_3306 = 1308
  integer, parameter :: nGC_3307 = 1309
  integer, parameter :: nGC_3308 = 1310
  integer, parameter :: nGC_2350 = 1311
  integer, parameter :: nGC_2351 = 1312
  integer, parameter :: nGC_3437 = 1313
  integer, parameter :: nGC_3434 = 1314
  integer, parameter :: nGC_2352 = 1315
  integer, parameter :: nGC_3431 = 1316
  integer, parameter :: nGC_TS_GC_36_Hh = 1317
  integer, parameter :: nGC_2353 = 1318
  integer, parameter :: nGC_3438 = 1319
  integer, parameter :: nGC_3439 = 1320
  integer, parameter :: nGC_3128 = 1321
  integer, parameter :: nGC_3129 = 1322
  integer, parameter :: nGC_2433 = 1323
  integer, parameter :: nGC_2432 = 1324
  integer, parameter :: nGC_2435 = 1325
  integer, parameter :: nGC_2434 = 1326
  integer, parameter :: nGC_2437 = 1327
  integer, parameter :: nGC_2439 = 1328
  integer, parameter :: nGC_2438 = 1329
  integer, parameter :: nGC_3122 = 1330
  integer, parameter :: nGC_3123 = 1331
  integer, parameter :: nGC_2983 = 1332
  integer, parameter :: nGC_2982 = 1333
  integer, parameter :: nGC_2358 = 1334
  integer, parameter :: nGC_TS_GC_173_Hh = 1335
  integer, parameter :: nGC_1869 = 1336
  integer, parameter :: nGC_2359 = 1337
  integer, parameter :: nGC_2454 = 1338
  integer, parameter :: nGC_TS_GC_372_Hh = 1339
  integer, parameter :: nGC_535 = 1340
  integer, parameter :: nGC_3050 = 1341
  integer, parameter :: nGC_3051 = 1342
  integer, parameter :: nGC_3052 = 1343
  integer, parameter :: nGC_3053 = 1344
  integer, parameter :: nGC_4010 = 1345
  integer, parameter :: nGC_4012 = 1346
  integer, parameter :: nGC_4016 = 1347
  integer, parameter :: nGC_269 = 1348
  integer, parameter :: nGC_268 = 1349
  integer, parameter :: nGC_265 = 1350
  integer, parameter :: nGC_264 = 1351
  integer, parameter :: nGC_267 = 1352
  integer, parameter :: nGC_266 = 1353
  integer, parameter :: nGC_261 = 1354
  integer, parameter :: nGC_260 = 1355
  integer, parameter :: nGC_3159 = 1356
  integer, parameter :: nGC_262 = 1357
  integer, parameter :: nGC_2215 = 1358
  integer, parameter :: nGC_1214 = 1359
  integer, parameter :: nGC_1215 = 1360
  integer, parameter :: nGC_1216 = 1361
  integer, parameter :: nGC_3932 = 1362
  integer, parameter :: nGC_3931 = 1363
  integer, parameter :: nGC_3930 = 1364
  integer, parameter :: nGC_3937 = 1365
  integer, parameter :: nGC_3936 = 1366
  integer, parameter :: nGC_1779 = 1367
  integer, parameter :: nGC_1778 = 1368
  integer, parameter :: nGC_1777 = 1369
  integer, parameter :: nGC_1776 = 1370
  integer, parameter :: nGC_1775 = 1371
  integer, parameter :: nGC_1774 = 1372
  integer, parameter :: nGC_1773 = 1373
  integer, parameter :: nGC_1772 = 1374
  integer, parameter :: nGC_1211 = 1375
  integer, parameter :: nGC_1212 = 1376
  integer, parameter :: nGC_1213 = 1377
  integer, parameter :: nGC_135 = 1378
  integer, parameter :: nGC_134 = 1379
  integer, parameter :: nGC_137 = 1380
  integer, parameter :: nGC_136 = 1381
  integer, parameter :: nGC_131 = 1382
  integer, parameter :: nGC_130 = 1383
  integer, parameter :: nGC_133 = 1384
  integer, parameter :: nGC_132 = 1385
  integer, parameter :: nGC_139 = 1386
  integer, parameter :: nGC_138 = 1387
  integer, parameter :: nGC_1513 = 1388
  integer, parameter :: nGC_1512 = 1389
  integer, parameter :: nGC_1824 = 1390
  integer, parameter :: nGC_1510 = 1391
  integer, parameter :: nGC_TS_GC_23_Hh = 1392
  integer, parameter :: nGC_1515 = 1393
  integer, parameter :: nGC_1514 = 1394
  integer, parameter :: nGC_1689 = 1395
  integer, parameter :: nGC_1688 = 1396
  integer, parameter :: nGC_1683 = 1397
  integer, parameter :: nGC_1682 = 1398
  integer, parameter :: nGC_1681 = 1399
  integer, parameter :: nGC_1680 = 1400
  integer, parameter :: nGC_1687 = 1401
  integer, parameter :: nGC_1686 = 1402
  integer, parameter :: nGC_1685 = 1403
  integer, parameter :: nGC_1684 = 1404
  integer, parameter :: nGC_1996 = 1405
  integer, parameter :: nGC_1995 = 1406
  integer, parameter :: nGC_1994 = 1407
  integer, parameter :: nGC_1993 = 1408
  integer, parameter :: nGC_1992 = 1409
  integer, parameter :: nGC_1991 = 1410
  integer, parameter :: nGC_1990 = 1411
  integer, parameter :: nGC_867 = 1412
  integer, parameter :: nGC_865 = 1413
  integer, parameter :: nGC_863 = 1414
  integer, parameter :: nGC_861 = 1415
  integer, parameter :: nGC_869 = 1416
  integer, parameter :: nGC_1427 = 1417
  integer, parameter :: nGC_1426 = 1418
  integer, parameter :: nGC_1425 = 1419
  integer, parameter :: nGC_1424 = 1420
  integer, parameter :: nGC_1423 = 1421
  integer, parameter :: nGC_1422 = 1422
  integer, parameter :: nGC_1421 = 1423
  integer, parameter :: nGC_1420 = 1424
  integer, parameter :: nGC_283 = 1425
  integer, parameter :: nGC_1359 = 1426
  integer, parameter :: nGC_1358 = 1427
  integer, parameter :: nGC_1429 = 1428
  integer, parameter :: nGC_1428 = 1429
  integer, parameter :: nGC_1197 = 1430
  integer, parameter :: nGC_1388 = 1431
  integer, parameter :: nGC_1191 = 1432
  integer, parameter :: nGC_1190 = 1433
  integer, parameter :: nGC_1199 = 1434
  integer, parameter :: nGC_1198 = 1435
  integer, parameter :: nGC_1389 = 1436
  integer, parameter :: nGC_3076 = 1437
  integer, parameter :: nGC_2663 = 1438
  integer, parameter :: nGC_TS_GC_35_Hl = 1439
  integer, parameter :: nGC_1221 = 1440
  integer, parameter :: nGC_1220 = 1441
  integer, parameter :: nGC_1222 = 1442
  integer, parameter :: nGC_1227 = 1443
  integer, parameter :: nGC_1226 = 1444
  integer, parameter :: nGC_1229 = 1445
  integer, parameter :: nGC_1228 = 1446
  integer, parameter :: nGC_2217 = 1447
  integer, parameter :: nGC_2556 = 1448
  integer, parameter :: nGC_2557 = 1449
  integer, parameter :: nGC_2554 = 1450
  integer, parameter :: nGC_2552 = 1451
  integer, parameter :: nGC_2553 = 1452
  integer, parameter :: nGC_245 = 1453
  integer, parameter :: nGC_2558 = 1454
  integer, parameter :: nGC_2088 = 1455
  integer, parameter :: nGC_2089 = 1456
  integer, parameter :: nGC_244 = 1457
  integer, parameter :: nGC_2080 = 1458
  integer, parameter :: nGC_2081 = 1459
  integer, parameter :: nGC_2082 = 1460
  integer, parameter :: nGC_2083 = 1461
  integer, parameter :: nGC_2084 = 1462
  integer, parameter :: nGC_2085 = 1463
  integer, parameter :: nGC_2086 = 1464
  integer, parameter :: nGC_2087 = 1465
  integer, parameter :: nGC_241 = 1466
  integer, parameter :: nGC_240 = 1467
  integer, parameter :: nGC_2489 = 1468
  integer, parameter :: nGC_2916 = 1469
  integer, parameter :: nGC_2158 = 1470
  integer, parameter :: nGC_2159 = 1471
  integer, parameter :: nGC_2152 = 1472
  integer, parameter :: nGC_2153 = 1473
  integer, parameter :: nGC_2150 = 1474
  integer, parameter :: nGC_2151 = 1475
  integer, parameter :: nGC_2156 = 1476
  integer, parameter :: nGC_2157 = 1477
  integer, parameter :: nGC_2154 = 1478
  integer, parameter :: nGC_2155 = 1479
  integer, parameter :: nGC_2332 = 1480
  integer, parameter :: nGC_2333 = 1481
  integer, parameter :: nGC_2330 = 1482
  integer, parameter :: nGC_2331 = 1483
  integer, parameter :: nGC_2336 = 1484
  integer, parameter :: nGC_2337 = 1485
  integer, parameter :: nGC_2334 = 1486
  integer, parameter :: nGC_2335 = 1487
  integer, parameter :: nGC_320 = 1488
  integer, parameter :: nGC_2913 = 1489
  integer, parameter :: nGC_3425 = 1490
  integer, parameter :: nGC_2093 = 1491
  integer, parameter :: nGC_322 = 1492
  integer, parameter :: nGC_323 = 1493
  integer, parameter :: nGC_2091 = 1494
  integer, parameter :: nGC_2090 = 1495
  integer, parameter :: nGC_2097 = 1496
  integer, parameter :: nGC_3424 = 1497
  integer, parameter :: nGC_2096 = 1498
  integer, parameter :: nGC_3339 = 1499
  integer, parameter :: nGC_2547 = 1500
  integer, parameter :: nGC_3334 = 1501
  integer, parameter :: nGC_3337 = 1502
  integer, parameter :: nGC_2546 = 1503
  integer, parameter :: nGC_3331 = 1504
  integer, parameter :: nGC_3330 = 1505
  integer, parameter :: nGC_3333 = 1506
  integer, parameter :: nGC_3332 = 1507
  integer, parameter :: nGC_3115 = 1508
  integer, parameter :: nGC_3114 = 1509
  integer, parameter :: nGC_3117 = 1510
  integer, parameter :: nGC_3116 = 1511
  integer, parameter :: nGC_3111 = 1512
  integer, parameter :: nGC_3113 = 1513
  integer, parameter :: nGC_3112 = 1514
  integer, parameter :: nGC_3449 = 1515
  integer, parameter :: nGC_3448 = 1516
  integer, parameter :: nGC_3118 = 1517
  integer, parameter :: nGC_3685 = 1518
  integer, parameter :: nGC_3684 = 1519
  integer, parameter :: nGC_3687 = 1520
  integer, parameter :: nGC_3681 = 1521
  integer, parameter :: nGC_3680 = 1522
  integer, parameter :: nGC_2428 = 1523
  integer, parameter :: nGC_2429 = 1524
  integer, parameter :: nGC_2426 = 1525
  integer, parameter :: nGC_2427 = 1526
  integer, parameter :: nGC_2422 = 1527
  integer, parameter :: nGC_2420 = 1528
  integer, parameter :: nGC_2421 = 1529
  integer, parameter :: nGC_TS_GC_243_Hl = 1530
  integer, parameter :: nGC_1541 = 1531
  integer, parameter :: nGC_4006 = 1532
  integer, parameter :: nGC_4004 = 1533
  integer, parameter :: nGC_4005 = 1534
  integer, parameter :: nGC_4003 = 1535
  integer, parameter :: nGC_4001 = 1536
  integer, parameter :: nGC_2442 = 1537
  integer, parameter :: nGC_4008 = 1538
  integer, parameter :: nGC_4009 = 1539
  integer, parameter :: nGC_3061 = 1540
  integer, parameter :: nGC_3060 = 1541
  integer, parameter :: nGC_3063 = 1542
  integer, parameter :: nGC_3062 = 1543
  integer, parameter :: nGC_3065 = 1544
  integer, parameter :: nGC_3064 = 1545
  integer, parameter :: nGC_3067 = 1546
  integer, parameter :: nGC_3066 = 1547
  integer, parameter :: nGC_3069 = 1548
  integer, parameter :: nGC_3068 = 1549
  integer, parameter :: nGC_3591 = 1550
  integer, parameter :: nGC_3590 = 1551
  integer, parameter :: nGC_3593 = 1552
  integer, parameter :: nGC_3592 = 1553
  integer, parameter :: nGC_3594 = 1554
  integer, parameter :: nGC_3596 = 1555
  integer, parameter :: nGC_2952 = 1556
  integer, parameter :: nGC_2488 = 1557
  integer, parameter :: nGC_1394 = 1558
  integer, parameter :: nGC_258 = 1559
  integer, parameter :: nGC_259 = 1560
  integer, parameter :: nGC_1397 = 1561
  integer, parameter :: nGC_250 = 1562
  integer, parameter :: nGC_251 = 1563
  integer, parameter :: nGC_252 = 1564
  integer, parameter :: nGC_1464 = 1565
  integer, parameter :: nGC_254 = 1566
  integer, parameter :: nGC_255 = 1567
  integer, parameter :: nGC_256 = 1568
  integer, parameter :: nGC_257 = 1569
  integer, parameter :: nGC_2211 = 1570
  integer, parameter :: nGC_2968 = 1571
  integer, parameter :: nGC_2325 = 1572
  integer, parameter :: nGC_2951 = 1573
  integer, parameter :: nGC_2324 = 1574
  integer, parameter :: nGC_1162 = 1575
  integer, parameter :: nGC_1160 = 1576
  integer, parameter :: nGC_1161 = 1577
  integer, parameter :: nGC_3548 = 1578
  integer, parameter :: nGC_3920 = 1579
  integer, parameter :: nGC_3922 = 1580
  integer, parameter :: nGC_3925 = 1581
  integer, parameter :: nGC_3926 = 1582
  integer, parameter :: nGC_1764 = 1583
  integer, parameter :: nGC_1765 = 1584
  integer, parameter :: nGC_1760 = 1585
  integer, parameter :: nGC_1761 = 1586
  integer, parameter :: nGC_1762 = 1587
  integer, parameter :: nGC_1763 = 1588
  integer, parameter :: nGC_1496 = 1589
  integer, parameter :: nGC_2323 = 1590
  integer, parameter :: nGC_1497 = 1591
  integer, parameter :: nGC_2322 = 1592
  integer, parameter :: nGC_100 = 1593
  integer, parameter :: nGC_101 = 1594
  integer, parameter :: nGC_102 = 1595
  integer, parameter :: nGC_103 = 1596
  integer, parameter :: nGC_104 = 1597
  integer, parameter :: nGC_105 = 1598
  integer, parameter :: nGC_106 = 1599
  integer, parameter :: nGC_107 = 1600
  integer, parameter :: nGC_108 = 1601
  integer, parameter :: nGC_109 = 1602
  integer, parameter :: nGC_2329 = 1603
  integer, parameter :: nGC_2328 = 1604
  integer, parameter :: nGC_1508 = 1605
  integer, parameter :: nGC_1509 = 1606
  integer, parameter :: nGC_1500 = 1607
  integer, parameter :: nGC_1507 = 1608
  integer, parameter :: nGC_1698 = 1609
  integer, parameter :: nGC_1699 = 1610
  integer, parameter :: nGC_3858 = 1611
  integer, parameter :: nGC_1690 = 1612
  integer, parameter :: nGC_1691 = 1613
  integer, parameter :: nGC_1692 = 1614
  integer, parameter :: nGC_1693 = 1615
  integer, parameter :: nGC_1694 = 1616
  integer, parameter :: nGC_1695 = 1617
  integer, parameter :: nGC_1696 = 1618
  integer, parameter :: nGC_1697 = 1619
  integer, parameter :: nGC_2210 = 1620
  integer, parameter :: nGC_1498 = 1621
  integer, parameter :: nGC_181 = 1622
  integer, parameter :: nGC_1499 = 1623
  integer, parameter :: nGC_1980 = 1624
  integer, parameter :: nGC_1981 = 1625
  integer, parameter :: nGC_813 = 1626
  integer, parameter :: nGC_TS_GC_242_Hl = 1627
  integer, parameter :: nGC_811 = 1628
  integer, parameter :: nGC_817 = 1629
  integer, parameter :: nGC_815 = 1630
  integer, parameter :: nGC_819 = 1631
  integer, parameter :: nGC_3418 = 1632
  integer, parameter :: nGC_1342 = 1633
  integer, parameter :: nGC_2246 = 1634
  integer, parameter :: nGC_1340 = 1635
  integer, parameter :: nGC_1341 = 1636
  integer, parameter :: nGC_1430 = 1637
  integer, parameter :: nGC_1431 = 1638
  integer, parameter :: nGC_2247 = 1639
  integer, parameter :: nGC_187 = 1640
  integer, parameter :: nGC_1438 = 1641
  integer, parameter :: nGC_1439 = 1642
  integer, parameter :: nGC_3419 = 1643
  integer, parameter :: nGC_1189 = 1644
  integer, parameter :: nGC_2706 = 1645
  integer, parameter :: nGC_2240 = 1646
  integer, parameter :: nGC_2241 = 1647
  integer, parameter :: nGC_2958 = 1648
  integer, parameter :: nGC_929 = 1649
  integer, parameter :: nGC_927 = 1650
  integer, parameter :: nGC_925 = 1651
  integer, parameter :: nGC_923 = 1652
  integer, parameter :: nGC_2822 = 1653
  integer, parameter :: nGC_921 = 1654
  integer, parameter :: nGC_1236 = 1655
  integer, parameter :: nGC_1237 = 1656
  integer, parameter :: nGC_1234 = 1657
  integer, parameter :: nGC_1235 = 1658
  integer, parameter :: nGC_3939 = 1659
  integer, parameter :: nGC_1233 = 1660
  integer, parameter :: nGC_1230 = 1661
  integer, parameter :: nGC_1231 = 1662
  integer, parameter :: nGC_2959 = 1663
  integer, parameter :: nGC_2521 = 1664
  integer, parameter :: nGC_2520 = 1665
  integer, parameter :: nGC_2527 = 1666
  integer, parameter :: nGC_2526 = 1667
  integer, parameter :: nGC_3414 = 1668
  integer, parameter :: nGC_3938 = 1669
  integer, parameter :: nGC_2528 = 1670
  integer, parameter :: nGC_615 = 1671
  integer, parameter :: nGC_3303 = 1672
  integer, parameter :: nGC_2394 = 1673
  integer, parameter :: nGC_2181 = 1674
  integer, parameter :: nGC_2180 = 1675
  integer, parameter :: nGC_2183 = 1676
  integer, parameter :: nGC_2182 = 1677
  integer, parameter :: nGC_2185 = 1678
  integer, parameter :: nGC_2184 = 1679
  integer, parameter :: nGC_2639 = 1680
  integer, parameter :: nGC_2186 = 1681
  integer, parameter :: nGC_2634 = 1682
  integer, parameter :: nGC_2633 = 1683
  integer, parameter :: nGC_2632 = 1684
  integer, parameter :: nGC_2631 = 1685
  integer, parameter :: nGC_2630 = 1686
  integer, parameter :: nGC_TS_GC_178_Hh = 1687
  integer, parameter :: nGC_TS_GC_178_Hl = 1688
  integer, parameter :: nGC_3329 = 1689
  integer, parameter :: nGC_3322 = 1690
  integer, parameter :: nGC_3323 = 1691
  integer, parameter :: nGC_3326 = 1692
  integer, parameter :: nGC_3327 = 1693
  integer, parameter :: nGC_3410 = 1694
  integer, parameter :: nGC_3325 = 1695
  integer, parameter :: nGC_3102 = 1696
  integer, parameter :: nGC_3103 = 1697
  integer, parameter :: nGC_3101 = 1698
  integer, parameter :: nGC_3106 = 1699
  integer, parameter :: nGC_3107 = 1700
  integer, parameter :: nGC_3104 = 1701
  integer, parameter :: nGC_3105 = 1702
  integer, parameter :: nGC_3458 = 1703
  integer, parameter :: nGC_3459 = 1704
  integer, parameter :: nGC_3108 = 1705
  integer, parameter :: nGC_3109 = 1706
  integer, parameter :: nGC_2989 = 1707
  integer, parameter :: nGC_2459 = 1708
  integer, parameter :: nGC_2458 = 1709
  integer, parameter :: nGC_3696 = 1710
  integer, parameter :: nGC_3694 = 1711
  integer, parameter :: nGC_3695 = 1712
  integer, parameter :: nGC_2453 = 1713
  integer, parameter :: nGC_2452 = 1714
  integer, parameter :: nGC_2451 = 1715
  integer, parameter :: nGC_2450 = 1716
  integer, parameter :: nGC_2457 = 1717
  integer, parameter :: nGC_2456 = 1718
  integer, parameter :: nGC_2455 = 1719
  integer, parameter :: nGC_1752 = 1720
  integer, parameter :: nGC_TS_GC_35_Hh = 1721
  integer, parameter :: nGC_3911 = 1722
  integer, parameter :: nGC_3910 = 1723
  integer, parameter :: nGC_3912 = 1724
  integer, parameter :: nGC_2819 = 1725
  integer, parameter :: nGC_TS_GC_36_Hl = 1726
  integer, parameter :: nGC_3078 = 1727
  integer, parameter :: nGC_3079 = 1728
  integer, parameter :: nGC_3413 = 1729
  integer, parameter :: nGC_3077 = 1730
  integer, parameter :: nGC_3074 = 1731
  integer, parameter :: nGC_3075 = 1732
  integer, parameter :: nGC_3072 = 1733
  integer, parameter :: nGC_3073 = 1734
  integer, parameter :: nGC_3070 = 1735
  integer, parameter :: nGC_3071 = 1736
  integer, parameter :: nGC_2431 = 1737
  integer, parameter :: nGC_3586 = 1738
  integer, parameter :: nGC_3587 = 1739
  integer, parameter :: nGC_3585 = 1740
  integer, parameter :: nGC_3583 = 1741
  integer, parameter :: nGC_TS_GC_46_Hh = 1742
  integer, parameter :: nGC_1391 = 1743
  integer, parameter :: nGC_310 = 1744
  integer, parameter :: nGC_2436 = 1745
  integer, parameter :: nGC_3120 = 1746
  integer, parameter :: nGC_3121 = 1747
  integer, parameter :: nGC_2829 = 1748
  integer, parameter :: nGC_3125 = 1749
  integer, parameter :: nGC_2044 = 1750
  integer, parameter :: nGC_2045 = 1751
  integer, parameter :: nGC_2046 = 1752
  integer, parameter :: nGC_2047 = 1753
  integer, parameter :: nGC_2040 = 1754
  integer, parameter :: nGC_2041 = 1755
  integer, parameter :: nGC_1759 = 1756
  integer, parameter :: nGC_1758 = 1757
  integer, parameter :: nGC_2042 = 1758
  integer, parameter :: nGC_1751 = 1759
  integer, parameter :: nGC_1750 = 1760
  integer, parameter :: nGC_1753 = 1761
  integer, parameter :: nGC_1755 = 1762
  integer, parameter :: nGC_1754 = 1763
  integer, parameter :: nGC_1757 = 1764
  integer, parameter :: nGC_1756 = 1765
  integer, parameter :: nGC_TS_GC_360_Hh = 1766
  integer, parameter :: nGC_1395 = 1767
  integer, parameter :: nGC_119 = 1768
  integer, parameter :: nGC_118 = 1769
  integer, parameter :: nGC_117 = 1770
  integer, parameter :: nGC_116 = 1771
  integer, parameter :: nGC_115 = 1772
  integer, parameter :: nGC_114 = 1773
  integer, parameter :: nGC_113 = 1774
  integer, parameter :: nGC_112 = 1775
  integer, parameter :: nGC_111 = 1776
  integer, parameter :: nGC_110 = 1777
  integer, parameter :: nGC_3655 = 1778
  integer, parameter :: nGC_3653 = 1779
  integer, parameter :: nGC_2497 = 1780
  integer, parameter :: nGC_2495 = 1781
  integer, parameter :: nGC_2494 = 1782
  integer, parameter :: nGC_3658 = 1783
  integer, parameter :: nGC_3667 = 1784
  integer, parameter :: nGC_3666 = 1785
  integer, parameter :: nGC_TS_GC_378_Hh = 1786
  integer, parameter :: nGC_3381 = 1787
  integer, parameter :: nGC_3382 = 1788
  integer, parameter :: nGC_3383 = 1789
  integer, parameter :: nGC_3384 = 1790
  integer, parameter :: nGC_3385 = 1791
  integer, parameter :: nGC_3869 = 1792
  integer, parameter :: nGC_3628 = 1793
  integer, parameter :: nGC_3986 = 1794
  integer, parameter :: nGC_3987 = 1795
  integer, parameter :: nGC_3985 = 1796
  integer, parameter :: nGC_3860 = 1797
  integer, parameter :: nGC_3863 = 1798
  integer, parameter :: nGC_3862 = 1799
  integer, parameter :: nGC_3864 = 1800
  integer, parameter :: nGC_3866 = 1801
  integer, parameter :: nGC_3781 = 1802
  integer, parameter :: nGC_801 = 1803
  integer, parameter :: nGC_3033 = 1804
  integer, parameter :: nGC_803 = 1805
  integer, parameter :: nGC_3031 = 1806
  integer, parameter :: nGC_805 = 1807
  integer, parameter :: nGC_3037 = 1808
  integer, parameter :: nGC_807 = 1809
  integer, parameter :: nGC_3035 = 1810
  integer, parameter :: nGC_809 = 1811
  integer, parameter :: nGC_3429 = 1812
  integer, parameter :: nGC_2953 = 1813
  integer, parameter :: nGC_TS_GC_47_Hh = 1814
  integer, parameter :: nGC_2956 = 1815
  integer, parameter :: nGC_TS_GC_47_Hl = 1816
  integer, parameter :: nGC_3421 = 1817
  integer, parameter :: nGC_2791 = 1818
  integer, parameter :: nGC_2409 = 1819
  integer, parameter :: nGC_3041 = 1820
  integer, parameter :: nGC_2795 = 1821
  integer, parameter :: nGC_2790 = 1822
  integer, parameter :: nGC_2582 = 1823
  integer, parameter :: nGC_2813 = 1824
  integer, parameter :: nGC_2812 = 1825
  integer, parameter :: nGC_2811 = 1826
  integer, parameter :: nGC_2810 = 1827
  integer, parameter :: nGC_2816 = 1828
  integer, parameter :: nGC_2814 = 1829
  integer, parameter :: nGC_2892 = 1830
  integer, parameter :: nGC_TS_GC_52_Hh = 1831
  integer, parameter :: nGC_3045 = 1832
  integer, parameter :: nGC_3044 = 1833
  integer, parameter :: nGC_TS_GC_52_Hl = 1834
  integer, parameter :: nGC_4029 = 1835
  integer, parameter :: nGC_3728 = 1836
  integer, parameter :: nGC_3729 = 1837
  integer, parameter :: nGC_3726 = 1838
  integer, parameter :: nGC_3727 = 1839
  integer, parameter :: nGC_4026 = 1840
  integer, parameter :: nGC_2927 = 1841
  integer, parameter :: nGC_2704 = 1842
  integer, parameter :: nGC_2922 = 1843
  integer, parameter :: nGC_3503 = 1844
  integer, parameter :: nGC_2703 = 1845
  integer, parameter :: nGC_2731 = 1846
  integer, parameter :: nGC_2929 = 1847
  integer, parameter :: nGC_2702 = 1848
  integer, parameter :: nGC_3357 = 1849
  integer, parameter :: nGC_2890 = 1850
  integer, parameter :: nGC_2515 = 1851
  integer, parameter :: nGC_TS_GC_261_Hl = 1852
  integer, parameter :: nGC_3610 = 1853
  integer, parameter :: nGC_2700 = 1854
  integer, parameter :: nGC_2530 = 1855
  integer, parameter :: nGC_2531 = 1856
  integer, parameter :: nGC_TS_GC_22_Hh = 1857
  integer, parameter :: nGC_2534 = 1858
  integer, parameter :: nGC_2535 = 1859
  integer, parameter :: nGC_899 = 1860
  integer, parameter :: nGC_3603 = 1861
  integer, parameter :: nGC_3602 = 1862
  integer, parameter :: nGC_3054 = 1863
  integer, parameter :: nGC_3580 = 1864
  integer, parameter :: nGC_3759 = 1865
  integer, parameter :: nGC_TS_GC_254_Hh = 1866
  integer, parameter :: nGC_3407 = 1867
  integer, parameter :: nGC_893 = 1868
  integer, parameter :: nGC_3988 = 1869
  integer, parameter :: nGC_3618 = 1870
  integer, parameter :: nGC_3349 = 1871
  integer, parameter :: nGC_3613 = 1872
  integer, parameter :: nGC_3346 = 1873
  integer, parameter :: nGC_3611 = 1874
  integer, parameter :: nGC_3743 = 1875
  integer, parameter :: nGC_3341 = 1876
  integer, parameter :: nGC_3343 = 1877
  integer, parameter :: nGC_2585 = 1878
  integer, parameter :: nGC_2584 = 1879
  integer, parameter :: nGC_2587 = 1880
  integer, parameter :: nGC_2586 = 1881
  integer, parameter :: nGC_2583 = 1882
  integer, parameter :: nGC_3752 = 1883
  integer, parameter :: nGC_2624 = 1884
  integer, parameter :: nGC_2625 = 1885
  integer, parameter :: nGC_2626 = 1886
  integer, parameter :: nGC_2620 = 1887
  integer, parameter :: nGC_2622 = 1888
  integer, parameter :: nGC_2623 = 1889
  integer, parameter :: nGC_3750 = 1890
  integer, parameter :: nGC_2404 = 1891
  integer, parameter :: nGC_3757 = 1892
  integer, parameter :: nGC_905 = 1893
  integer, parameter :: nGC_791 = 1894
  integer, parameter :: nGC_2908 = 1895
  integer, parameter :: nGC_2996 = 1896
  integer, parameter :: nGC_2997 = 1897
  integer, parameter :: nGC_2994 = 1898
  integer, parameter :: nGC_2995 = 1899
  integer, parameter :: nGC_2992 = 1900
  integer, parameter :: nGC_2990 = 1901
  integer, parameter :: nGC_2991 = 1902
  integer, parameter :: nGC_3465 = 1903
  integer, parameter :: nGC_3464 = 1904
  integer, parameter :: nGC_3467 = 1905
  integer, parameter :: nGC_3466 = 1906
  integer, parameter :: nGC_3461 = 1907
  integer, parameter :: nGC_3460 = 1908
  integer, parameter :: nGC_2998 = 1909
  integer, parameter :: nGC_2999 = 1910
  integer, parameter :: nGC_2448 = 1911
  integer, parameter :: nGC_2449 = 1912
  integer, parameter :: nGC_2763 = 1913
  integer, parameter :: nGC_3669 = 1914
  integer, parameter :: nGC_2440 = 1915
  integer, parameter :: nGC_2441 = 1916
  integer, parameter :: nGC_3665 = 1917
  integer, parameter :: nGC_2445 = 1918
  integer, parameter :: nGC_2691 = 1919
  integer, parameter :: nGC_2693 = 1920
  integer, parameter :: nGC_2692 = 1921
  integer, parameter :: nGC_2695 = 1922
  integer, parameter :: nGC_2694 = 1923
  integer, parameter :: nGC_2696 = 1924
  integer, parameter :: nGC_2699 = 1925
  integer, parameter :: nGC_2698 = 1926
  integer, parameter :: nGC_3428 = 1927
  integer, parameter :: nGC_3923 = 1928
  integer, parameter :: nGC_2723 = 1929
  integer, parameter :: nGC_3183 = 1930
  integer, parameter :: nGC_3180 = 1931
  integer, parameter :: nGC_3186 = 1932
  integer, parameter :: nGC_3187 = 1933
  integer, parameter :: nGC_3185 = 1934
  integer, parameter :: nGC_3765 = 1935
  integer, parameter :: nGC_3955 = 1936
  integer, parameter :: nGC_3030 = 1937
  integer, parameter :: nGC_3165 = 1938
  integer, parameter :: nGC_3009 = 1939
  integer, parameter :: nGC_3008 = 1940
  integer, parameter :: nGC_3161 = 1941
  integer, parameter :: nGC_3141 = 1942
  integer, parameter :: nGC_3163 = 1943
  integer, parameter :: nGC_3003 = 1944
  integer, parameter :: nGC_3002 = 1945
  integer, parameter :: nGC_3001 = 1946
  integer, parameter :: nGC_3000 = 1947
  integer, parameter :: nGC_3007 = 1948
  integer, parameter :: nGC_3006 = 1949
  integer, parameter :: nGC_3004 = 1950
  integer, parameter :: nGC_2844 = 1951
  integer, parameter :: nGC_2845 = 1952
  integer, parameter :: nGC_2969 = 1953
  integer, parameter :: nGC_2847 = 1954
  integer, parameter :: nGC_2840 = 1955
  integer, parameter :: nGC_2841 = 1956
  integer, parameter :: nGC_2842 = 1957
  integer, parameter :: nGC_2843 = 1958
  integer, parameter :: nGC_2963 = 1959
  integer, parameter :: nGC_3168 = 1960
  integer, parameter :: nGC_2961 = 1961
  integer, parameter :: nGC_2960 = 1962
  integer, parameter :: nGC_2848 = 1963
  integer, parameter :: nGC_2964 = 1964
  integer, parameter :: nGC_2654 = 1965
  integer, parameter :: nGC_2560 = 1966
  integer, parameter :: nGC_2577 = 1967
  integer, parameter :: nGC_2741 = 1968
  integer, parameter :: nGC_3717 = 1969
  integer, parameter :: nGC_3715 = 1970
  integer, parameter :: nGC_3713 = 1971
  integer, parameter :: nGC_3712 = 1972
  integer, parameter :: nGC_3711 = 1973
  integer, parameter :: nGC_3710 = 1974
  integer, parameter :: nGC_2652 = 1975
  integer, parameter :: nGC_3320 = 1976
  integer, parameter :: nGC_3719 = 1977
  integer, parameter :: nGC_3718 = 1978
  integer, parameter :: nGC_3487 = 1979
  integer, parameter :: nGC_3486 = 1980
  integer, parameter :: nGC_3485 = 1981
  integer, parameter :: nGC_3483 = 1982
  integer, parameter :: nGC_3482 = 1983
  integer, parameter :: nGC_3480 = 1984
  integer, parameter :: nGC_TS_GC_369_Hl = 1985
  integer, parameter :: nGC_2406 = 1986
  integer, parameter :: nGC_3489 = 1987
  integer, parameter :: nGC_3488 = 1988
  integer, parameter :: nGC_2400 = 1989
  integer, parameter :: nGC_2957 = 1990
  integer, parameter :: nGC_2660 = 1991
  integer, parameter :: nGC_2662 = 1992
  integer, parameter :: nGC_2664 = 1993
  integer, parameter :: nGC_2665 = 1994
  integer, parameter :: nGC_2666 = 1995
  integer, parameter :: nGC_2667 = 1996
  integer, parameter :: nGC_2669 = 1997
  integer, parameter :: nGC_2559 = 1998
  integer, parameter :: nGC_2403 = 1999
  integer, parameter :: nGC_2898 = 2000
  integer, parameter :: nGC_2966 = 2001
  integer, parameter :: nGC_3909 = 2002
  integer, parameter :: nGC_TS_GC_49_Hl = 2003
  integer, parameter :: nGC_3900 = 2004
  integer, parameter :: nGC_3901 = 2005
  integer, parameter :: nGC_3906 = 2006
  integer, parameter :: nGC_3907 = 2007
  integer, parameter :: nGC_3904 = 2008
  integer, parameter :: nGC_3905 = 2009
  integer, parameter :: nGC_TS_GC_381_Hl = 2010
  integer, parameter :: nGC_3422 = 2011
  integer, parameter :: nGC_2746 = 2012
  integer, parameter :: nGC_3796 = 2013
  integer, parameter :: nGC_3427 = 2014
  integer, parameter :: nGC_3452 = 2015
  integer, parameter :: nGC_2590 = 2016
  integer, parameter :: nGC_3623 = 2017
  integer, parameter :: nGC_3621 = 2018
  integer, parameter :: nGC_3625 = 2019
  integer, parameter :: nGC_3624 = 2020
  integer, parameter :: nGC_2484 = 2021
  integer, parameter :: nGC_2485 = 2022
  integer, parameter :: nGC_3629 = 2023
  integer, parameter :: nGC_TS_GC_39_Hh = 2024
  integer, parameter :: nGC_2480 = 2025
  integer, parameter :: nGC_2481 = 2026
  integer, parameter :: nGC_2482 = 2027
  integer, parameter :: nGC_2483 = 2028
  integer, parameter :: nGC_3876 = 2029
  integer, parameter :: nGC_3874 = 2030
  integer, parameter :: nGC_3875 = 2031
  integer, parameter :: nGC_3872 = 2032
  integer, parameter :: nGC_3873 = 2033
  integer, parameter :: nGC_3870 = 2034
  integer, parameter :: nGC_3871 = 2035
  integer, parameter :: nGC_2714 = 2036
  integer, parameter :: nGC_2716 = 2037
  integer, parameter :: nGC_2711 = 2038
  integer, parameter :: nGC_3878 = 2039
  integer, parameter :: nGC_3977 = 2040
  integer, parameter :: nGC_3974 = 2041
  integer, parameter :: nGC_2820 = 2042
  integer, parameter :: nGC_3970 = 2043
  integer, parameter :: nGC_2821 = 2044
  integer, parameter :: nGC_2399 = 2045
  integer, parameter :: nGC_2778 = 2046
  integer, parameter :: nGC_3560 = 2047
  integer, parameter :: nGC_2911 = 2048
  integer, parameter :: nGC_3179 = 2049
  integer, parameter :: nGC_839 = 2050
  integer, parameter :: nGC_3430 = 2051
  integer, parameter :: nGC_3552 = 2052
  integer, parameter :: nGC_835 = 2053
  integer, parameter :: nGC_3149 = 2054
  integer, parameter :: nGC_837 = 2055
  integer, parameter :: nGC_3793 = 2056
  integer, parameter :: nGC_831 = 2057
  integer, parameter :: nGC_833 = 2058
  integer, parameter :: nGC_2954 = 2059
  integer, parameter :: nGC_2430 = 2060
  integer, parameter :: nGC_3539 = 2061
  integer, parameter :: nGC_3538 = 2062
  integer, parameter :: nGC_3536 = 2063
  integer, parameter :: nGC_3535 = 2064
  integer, parameter :: nGC_3534 = 2065
  integer, parameter :: nGC_3124 = 2066
  integer, parameter :: nGC_3532 = 2067
  integer, parameter :: nGC_3531 = 2068
  integer, parameter :: nGC_3530 = 2069
  integer, parameter :: nGC_TS_GC_213_Hl = 2070
  integer, parameter :: nGC_2809 = 2071
  integer, parameter :: nGC_3512 = 2072
  integer, parameter :: nGC_3147 = 2073
  integer, parameter :: nGC_3566 = 2074
  integer, parameter :: nGC_2803 = 2075
  integer, parameter :: nGC_2807 = 2076
  integer, parameter :: nGC_2987 = 2077
  integer, parameter :: nGC_4025 = 2078
  integer, parameter :: nGC_TS_GC_179_Hl = 2079
  integer, parameter :: nGC_3881 = 2080
  integer, parameter :: nGC_TS_GC_179_Hh = 2081
  integer, parameter :: nGC_3884 = 2082
  integer, parameter :: nGC_3377 = 2083
  integer, parameter :: nGC_4019 = 2084
  integer, parameter :: nGC_909 = 2085
  integer, parameter :: nGC_TS_GC_224_Hh = 2086
  integer, parameter :: nGC_3057 = 2087
  integer, parameter :: nGC_3753 = 2088
  integer, parameter :: nGC_901 = 2089
  integer, parameter :: nGC_3751 = 2090
  integer, parameter :: nGC_903 = 2091
  integer, parameter :: nGC_4015 = 2092
  integer, parameter :: nGC_4014 = 2093
  integer, parameter :: nGC_3755 = 2094
  integer, parameter :: nGC_907 = 2095
  integer, parameter :: nGC_2934 = 2096
  integer, parameter :: nGC_2935 = 2097
  integer, parameter :: nGC_2936 = 2098
  integer, parameter :: nGC_2937 = 2099
  integer, parameter :: nGC_2930 = 2100
  integer, parameter :: nGC_2931 = 2101
  integer, parameter :: nGC_2932 = 2102
  integer, parameter :: nGC_2933 = 2103
  integer, parameter :: nGC_2938 = 2104
  integer, parameter :: nGC_2939 = 2105
  integer, parameter :: nGC_3921 = 2106
  integer, parameter :: nGC_3110 = 2107
  integer, parameter :: nGC_4027 = 2108
  integer, parameter :: nGC_3142 = 2109
  integer, parameter :: nGC_TS_GC_41_Hl = 2110
  integer, parameter :: nGC_3630 = 2111
  integer, parameter :: nGC_2858 = 2112
  integer, parameter :: nGC_2509 = 2113
  integer, parameter :: nGC_2508 = 2114
  integer, parameter :: nGC_3631 = 2115
  integer, parameter :: nGC_2505 = 2116
  integer, parameter :: nGC_2504 = 2117
  integer, parameter :: nGC_2507 = 2118
  integer, parameter :: nGC_2506 = 2119
  integer, parameter :: nGC_2501 = 2120
  integer, parameter :: nGC_2500 = 2121
  integer, parameter :: nGC_2503 = 2122
  integer, parameter :: nGC_2502 = 2123
  integer, parameter :: nGC_3641 = 2124
  integer, parameter :: nGC_4020 = 2125
  integer, parameter :: nGC_3633 = 2126
  integer, parameter :: nGC_3392 = 2127
  integer, parameter :: nGC_3634 = 2128
  integer, parameter :: nGC_3391 = 2129
  integer, parameter :: nGC_3635 = 2130
  integer, parameter :: nGC_3637 = 2131
  integer, parameter :: nGC_2598 = 2132
  integer, parameter :: nGC_3647 = 2133
  integer, parameter :: nGC_3639 = 2134
  integer, parameter :: nGC_3167 = 2135
  integer, parameter :: nGC_3646 = 2136
  integer, parameter :: nGC_3379 = 2137
  integer, parameter :: nGC_3378 = 2138
  integer, parameter :: nGC_2752 = 2139
  integer, parameter :: nGC_2753 = 2140
  integer, parameter :: nGC_2754 = 2141
  integer, parameter :: nGC_2755 = 2142
  integer, parameter :: nGC_2756 = 2143
  integer, parameter :: nGC_3982 = 2144
  integer, parameter :: nGC_2719 = 2145
  integer, parameter :: nGC_2618 = 2146
  integer, parameter :: nGC_3838 = 2147
  integer, parameter :: nGC_3839 = 2148
  integer, parameter :: nGC_2597 = 2149
  integer, parameter :: nGC_3934 = 2150
  integer, parameter :: nGC_2611 = 2151
  integer, parameter :: nGC_2610 = 2152
  integer, parameter :: nGC_2613 = 2153
  integer, parameter :: nGC_2612 = 2154
  integer, parameter :: nGC_2615 = 2155
  integer, parameter :: nGC_2614 = 2156
  integer, parameter :: nGC_2617 = 2157
  integer, parameter :: nGC_2616 = 2158
  integer, parameter :: nGC_2729 = 2159
  integer, parameter :: nGC_TS_GC_246_Hl = 2160
  integer, parameter :: nGC_2728 = 2161
  integer, parameter :: nGC_2855 = 2162
  integer, parameter :: nGC_TS_GC_241_Hl = 2163
  integer, parameter :: nGC_3562 = 2164
  integer, parameter :: nGC_3091 = 2165
  integer, parameter :: nGC_3321 = 2166
  integer, parameter :: nGC_4028 = 2167
  integer, parameter :: nGC_2476 = 2168
  integer, parameter :: nGC_2767 = 2169
  integer, parameter :: nGC_3478 = 2170
  integer, parameter :: nGC_2471 = 2171
  integer, parameter :: nGC_2470 = 2172
  integer, parameter :: nGC_2473 = 2173
  integer, parameter :: nGC_2472 = 2174
  integer, parameter :: nGC_3473 = 2175
  integer, parameter :: nGC_3471 = 2176
  integer, parameter :: nGC_3476 = 2177
  integer, parameter :: nGC_3477 = 2178
  integer, parameter :: nGC_3474 = 2179
  integer, parameter :: nGC_3475 = 2180
  integer, parameter :: nGC_4024 = 2181
  integer, parameter :: nGC_TS_GC_48_Hh = 2182
  integer, parameter :: nGC_3678 = 2183
  integer, parameter :: nGC_2599 = 2184
  integer, parameter :: nGC_TS_GC_23_Hl = 2185
  integer, parameter :: nGC_3675 = 2186
  integer, parameter :: nGC_3676 = 2187
  integer, parameter :: nGC_3677 = 2188
  integer, parameter :: nGC_3671 = 2189
  integer, parameter :: nGC_3672 = 2190
  integer, parameter :: nGC_3673 = 2191
  integer, parameter :: nGC_2722 = 2192
  integer, parameter :: nGC_2688 = 2193
  integer, parameter :: nGC_2689 = 2194
  integer, parameter :: nGC_3847 = 2195
  integer, parameter :: nGC_3844 = 2196
  integer, parameter :: nGC_2682 = 2197
  integer, parameter :: nGC_3841 = 2198
  integer, parameter :: nGC_3840 = 2199
  integer, parameter :: nGC_2758 = 2200
  integer, parameter :: nGC_2759 = 2201
  integer, parameter :: nGC_3362 = 2202
  integer, parameter :: nGC_3059 = 2203
  integer, parameter :: nGC_TS_GC_46_Hl = 2204
  integer, parameter :: nGC_TS_GC_38_Hl = 2205
  integer, parameter :: nGC_3928 = 2206
  integer, parameter :: nGC_3799 = 2207
  integer, parameter :: nGC_3798 = 2208
  integer, parameter :: nGC_4054 = 2209
  integer, parameter :: nGC_4057 = 2210
  integer, parameter :: nGC_4051 = 2211
  integer, parameter :: nGC_4050 = 2212
  integer, parameter :: nGC_4052 = 2213
  integer, parameter :: nGC_3018 = 2214
  integer, parameter :: nGC_3019 = 2215
  integer, parameter :: nGC_3153 = 2216
  integer, parameter :: nGC_3155 = 2217
  integer, parameter :: nGC_TS_GC_77_Hh = 2218
  integer, parameter :: nGC_3409 = 2219
  integer, parameter :: nGC_3408 = 2220
  integer, parameter :: nGC_3010 = 2221
  integer, parameter :: nGC_3011 = 2222
  integer, parameter :: nGC_3012 = 2223
  integer, parameter :: nGC_3013 = 2224
  integer, parameter :: nGC_3014 = 2225
  integer, parameter :: nGC_3015 = 2226
  integer, parameter :: nGC_3016 = 2227
  integer, parameter :: nGC_3017 = 2228
  integer, parameter :: nGC_2978 = 2229
  integer, parameter :: nGC_2592 = 2230
  integer, parameter :: nGC_2921 = 2231
  integer, parameter :: nGC_895 = 2232
  integer, parameter :: nGC_2972 = 2233
  integer, parameter :: nGC_2974 = 2234
  integer, parameter :: nGC_1053 = 2235
  integer, parameter :: nGC_2976 = 2236
  integer, parameter :: nGC_3083 = 2237
  integer, parameter :: nGC_3082 = 2238
  integer, parameter :: nGC_3081 = 2239
  integer, parameter :: nGC_TS_GC_249_Hh = 2240
  integer, parameter :: nGC_3087 = 2241
  integer, parameter :: nGC_2705 = 2242
  integer, parameter :: nGC_849 = 2243
  integer, parameter :: nGC_3089 = 2244
  integer, parameter :: nGC_3088 = 2245
  integer, parameter :: nGC_2979 = 2246
  integer, parameter :: nGC_3027 = 2247
  integer, parameter :: nGC_3704 = 2248
  integer, parameter :: nGC_3705 = 2249
  integer, parameter :: nGC_3706 = 2250
  integer, parameter :: nGC_3707 = 2251
  integer, parameter :: nGC_3700 = 2252
  integer, parameter :: nGC_3703 = 2253
  integer, parameter :: nGC_TS_GC_252_Hl = 2254
  integer, parameter :: nGC_3708 = 2255
  integer, parameter :: nGC_3709 = 2256
  integer, parameter :: nGC_2545 = 2257
  integer, parameter :: nGC_3494 = 2258
  integer, parameter :: nGC_3496 = 2259
  integer, parameter :: nGC_3497 = 2260
  integer, parameter :: nGC_3490 = 2261
  integer, parameter :: nGC_3491 = 2262
  integer, parameter :: nGC_3492 = 2263
  integer, parameter :: nGC_3493 = 2264
  integer, parameter :: nGC_3836 = 2265
  integer, parameter :: nGC_2940 = 2266
  integer, parameter :: nGC_891 = 2267
  integer, parameter :: nGC_3498 = 2268
  integer, parameter :: nGC_3499 = 2269
  integer, parameter :: nGC_3837 = 2270
  integer, parameter :: nGC_3606 = 2271
  integer, parameter :: nGC_3835 = 2272
  integer, parameter :: nGC_3831 = 2273
  integer, parameter :: nGC_3338 = 2274
  integer, parameter :: nGC_2555 = 2275
  integer, parameter :: nGC_2659 = 2276
  integer, parameter :: nGC_2658 = 2277
  integer, parameter :: nGC_2655 = 2278
  integer, parameter :: nGC_3029 = 2279
  integer, parameter :: nGC_2657 = 2280
  integer, parameter :: nGC_2656 = 2281
  integer, parameter :: nGC_2651 = 2282
  integer, parameter :: nGC_2650 = 2283
  integer, parameter :: nGC_2653 = 2284
  integer, parameter :: nGC_3028 = 2285
  integer, parameter :: nGC_3148 = 2286
  integer, parameter :: nGC_2853 = 2287
  integer, parameter :: nGC_3783 = 2288
  integer, parameter :: nGC_2417 = 2289
  integer, parameter :: nGC_3564 = 2290
  integer, parameter :: nGC_3588 = 2291
  integer, parameter :: nGC_2944 = 2292
  integer, parameter :: nGC_TS_GC_20_Hl = 2293
  integer, parameter :: nGC_TS_GC_20_Hh = 2294
  integer, parameter :: nGC_2946 = 2295
  integer, parameter :: nGC_2412 = 2296
  integer, parameter :: nGC_2881 = 2297
  integer, parameter :: nGC_3632 = 2298
  integer, parameter :: nGC_2886 = 2299
  integer, parameter :: nGC_2887 = 2300
  integer, parameter :: nGC_2888 = 2301
  integer, parameter :: nGC_2479 = 2302
  integer, parameter :: nGC_2593 = 2303
  integer, parameter :: nGC_3441 = 2304
  integer, parameter :: nGC_3802 = 2305
  integer, parameter :: nGC_3801 = 2306
  integer, parameter :: nGC_3800 = 2307
  integer, parameter :: nGC_3807 = 2308
  integer, parameter :: nGC_3806 = 2309
  integer, parameter :: nGC_3805 = 2310
  integer, parameter :: nGC_3804 = 2311
  integer, parameter :: nGC_2721 = 2312
  integer, parameter :: nGC_2720 = 2313
  integer, parameter :: nGC_3808 = 2314
  integer, parameter :: nGC_2725 = 2315
  integer, parameter :: nGC_2724 = 2316
  integer, parameter :: nGC_2727 = 2317
  integer, parameter :: nGC_2726 = 2318
  integer, parameter :: nGC_3417 = 2319
  integer, parameter :: nGC_3968 = 2320
  integer, parameter :: nGC_3361 = 2321
  integer, parameter :: nGC_3964 = 2322
  integer, parameter :: nGC_3965 = 2323
  integer, parameter :: nGC_3966 = 2324
  integer, parameter :: nGC_3960 = 2325
  integer, parameter :: nGC_3961 = 2326
  integer, parameter :: nGC_3962 = 2327
  integer, parameter :: nGC_2948 = 2328
  integer, parameter :: nGC_2730 = 2329
  integer, parameter :: nGC_2419 = 2330
  integer, parameter :: nGC_3335 = 2331
  integer, parameter :: nGC_3336 = 2332
  integer, parameter :: nGC_3963 = 2333
  integer, parameter :: nGC_3443 = 2334
  integer, parameter :: nGC_3442 = 2335
  integer, parameter :: nGC_829 = 2336
  integer, parameter :: nGC_3440 = 2337
  integer, parameter :: nGC_3447 = 2338
  integer, parameter :: nGC_3446 = 2339
  integer, parameter :: nGC_823 = 2340
  integer, parameter :: nGC_827 = 2341
  integer, parameter :: nGC_825 = 2342
  integer, parameter :: nGC_2835 = 2343
  integer, parameter :: nGC_2834 = 2344
  integer, parameter :: nGC_2837 = 2345
  integer, parameter :: nGC_2836 = 2346
  integer, parameter :: nGC_3528 = 2347
  integer, parameter :: nGC_3529 = 2348
  integer, parameter :: nGC_3683 = 2349
  integer, parameter :: nGC_3682 = 2350
  integer, parameter :: nGC_2783 = 2351
  integer, parameter :: nGC_3527 = 2352
  integer, parameter :: nGC_2839 = 2353
  integer, parameter :: nGC_3521 = 2354
  integer, parameter :: nGC_3523 = 2355
  integer, parameter :: nGC_2781 = 2356
  integer, parameter :: nGC_2581 = 2357
  integer, parameter :: nGC_4038 = 2358
  integer, parameter :: nGC_2780 = 2359
  integer, parameter :: nGC_3899 = 2360
  integer, parameter :: nGC_3686 = 2361
  integer, parameter :: nGC_TS_GC_272_Hh = 2362
  integer, parameter :: nGC_2831 = 2363
  integer, parameter :: nGC_3893 = 2364
  integer, parameter :: nGC_3894 = 2365
  integer, parameter :: nGC_2830 = 2366
  integer, parameter :: nGC_917 = 2367
  integer, parameter :: nGC_915 = 2368
  integer, parameter :: nGC_913 = 2369
  integer, parameter :: nGC_2833 = 2370
  integer, parameter :: nGC_911 = 2371
  integer, parameter :: nGC_4037 = 2372
  integer, parameter :: nGC_2832 = 2373
  integer, parameter :: nGC_2477 = 2374
  integer, parameter :: nGC_919 = 2375
  integer, parameter :: nGC_3748 = 2376
  integer, parameter :: nGC_3749 = 2377
  integer, parameter :: nGC_3158 = 2378
  integer, parameter :: nGC_2789 = 2379
  integer, parameter :: nGC_2782 = 2380
  integer, parameter :: nGC_3741 = 2381
  integer, parameter :: nGC_3742 = 2382
  integer, parameter :: nGC_2808 = 2383
  integer, parameter :: nGC_3744 = 2384
  integer, parameter :: nGC_3745 = 2385
  integer, parameter :: nGC_3746 = 2386
  integer, parameter :: nGC_3576 = 2387
  integer, parameter :: nGC_2901 = 2388
  integer, parameter :: nGC_2900 = 2389
  integer, parameter :: nGC_2902 = 2390
  integer, parameter :: nGC_2905 = 2391
  integer, parameter :: nGC_2904 = 2392
  integer, parameter :: nGC_2906 = 2393
  integer, parameter :: nGC_2909 = 2394
  integer, parameter :: nGC_3520 = 2395
  integer, parameter :: nGC_TS_GC_245_Hh = 2396
  integer, parameter :: nGC_2980 = 2397
  integer, parameter :: nGC_2838 = 2398
  integer, parameter :: nGC_TS_GC_339_Hh = 2399
  integer, parameter :: nGC_3579 = 2400
  integer, parameter :: nGC_3036 = 2401
  integer, parameter :: nGC_2518 = 2402
  integer, parameter :: nGC_2519 = 2403
  integer, parameter :: nGC_2637 = 2404
  integer, parameter :: nGC_2512 = 2405
  integer, parameter :: nGC_2513 = 2406
  integer, parameter :: nGC_2510 = 2407
  integer, parameter :: nGC_2511 = 2408
  integer, parameter :: nGC_2516 = 2409
  integer, parameter :: nGC_2517 = 2410
  integer, parameter :: nGC_2514 = 2411
  integer, parameter :: nGC_2478 = 2412
  integer, parameter :: nGC_3055 = 2413
  integer, parameter :: nGC_2928 = 2414
  integer, parameter :: nGC_TS_GC_384_Hh = 2415
  integer, parameter :: nGC_3056 = 2416
  integer, parameter :: nGC_3353 = 2417
  integer, parameter :: nGC_2606 = 2418
  integer, parameter :: nGC_2607 = 2419
  integer, parameter :: nGC_2604 = 2420
  integer, parameter :: nGC_2605 = 2421
  integer, parameter :: nGC_2602 = 2422
  integer, parameter :: nGC_2603 = 2423
  integer, parameter :: nGC_2600 = 2424
  integer, parameter :: nGC_2601 = 2425
  integer, parameter :: nGC_2765 = 2426
  integer, parameter :: nGC_2764 = 2427
  integer, parameter :: nGC_3513 = 2428
  integer, parameter :: nGC_2766 = 2429
  integer, parameter :: nGC_2761 = 2430
  integer, parameter :: nGC_2891 = 2431
  integer, parameter :: nGC_2608 = 2432
  integer, parameter :: nGC_TS_GC_40_Hl = 2433
  integer, parameter :: nGC_TS_GC_333_Hl = 2434
  integer, parameter :: nGC_3620 = 2435
  integer, parameter :: nGC_2893 = 2436
  integer, parameter :: nGC_3927 = 2437
  integer, parameter :: nGC_2567 = 2438
  integer, parameter :: nGC_2565 = 2439
  integer, parameter :: nGC_2563 = 2440
  integer, parameter :: nGC_2561 = 2441
  integer, parameter :: nGC_2896 = 2442
  integer, parameter :: nGC_2738 = 2443
  integer, parameter :: nGC_TS_GC_53_Hl = 2444
  integer, parameter :: nGC_2895 = 2445
  integer, parameter :: nGC_2768 = 2446
  integer, parameter :: nGC_TS_GC_53_Hh = 2447
  integer, parameter :: nGC_3574 = 2448
  integer, parameter :: nGC_2894 = 2449
  integer, parameter :: nGC_2685 = 2450
  integer, parameter :: nGC_3832 = 2451
  integer, parameter :: nGC_2899 = 2452
  integer, parameter :: nGC_2739 = 2453
  integer, parameter :: nGC_2462 = 2454
  integer, parameter :: nGC_2463 = 2455
  integer, parameter :: nGC_2460 = 2456
  integer, parameter :: nGC_2461 = 2457
  integer, parameter :: nGC_2466 = 2458
  integer, parameter :: nGC_2467 = 2459
  integer, parameter :: nGC_2464 = 2460
  integer, parameter :: nGC_2465 = 2461
  integer, parameter :: nGC_3568 = 2462
  integer, parameter :: nGC_3569 = 2463
  integer, parameter :: nGC_2468 = 2464
  integer, parameter :: nGC_2469 = 2465
  integer, parameter :: nGC_3648 = 2466
  integer, parameter :: nGC_3399 = 2467
  integer, parameter :: nGC_3398 = 2468
  integer, parameter :: nGC_3544 = 2469
  integer, parameter :: nGC_2589 = 2470
  integer, parameter :: nGC_3891 = 2471
  integer, parameter :: nGC_3393 = 2472
  integer, parameter :: nGC_3640 = 2473
  integer, parameter :: nGC_3643 = 2474
  integer, parameter :: nGC_3645 = 2475
  integer, parameter :: nGC_3396 = 2476
  integer, parameter :: nGC_3395 = 2477
  integer, parameter :: nGC_3394 = 2478
  integer, parameter :: nGC_3995 = 2479
  integer, parameter :: nGC_3996 = 2480
  integer, parameter :: nGC_3991 = 2481
  integer, parameter :: nGC_3849 = 2482
  integer, parameter :: nGC_3854 = 2483
  integer, parameter :: nGC_3850 = 2484
  integer, parameter :: nGC_3851 = 2485
  integer, parameter :: nGC_3853 = 2486
  integer, parameter :: nGC_3366 = 2487
  integer, parameter :: nGC_2686 = 2488
  integer, parameter :: nGC_2588 = 2489
  integer, parameter :: nGC_3360 = 2490
  integer, parameter :: nGC_2687 = 2491
  integer, parameter :: nGC_2718 = 2492
  integer, parameter :: nGC_3897 = 2493
  integer, parameter :: nGC_2988 = 2494
  integer, parameter :: nGC_2684 = 2495
  integer, parameter :: nGC_3368 = 2496
  integer, parameter :: nGC_3369 = 2497
  integer, parameter :: nGC_3025 = 2498
  integer, parameter :: nGC_3024 = 2499
  integer, parameter :: nGC_3026 = 2500
  integer, parameter :: nGC_3021 = 2501
  integer, parameter :: nGC_3020 = 2502
  integer, parameter :: nGC_3023 = 2503
  integer, parameter :: nGC_3022 = 2504
  integer, parameter :: nGC_4043 = 2505
  integer, parameter :: nGC_4040 = 2506
  integer, parameter :: nGC_4046 = 2507
  integer, parameter :: nGC_4047 = 2508
  integer, parameter :: nGC_4044 = 2509
  integer, parameter :: nGC_2945 = 2510
  integer, parameter :: nGC_2416 = 2511
  integer, parameter :: nGC_2415 = 2512
  integer, parameter :: nGC_2414 = 2513
  integer, parameter :: nGC_2413 = 2514
  integer, parameter :: nGC_897 = 2515
  integer, parameter :: nGC_2411 = 2516
  integer, parameter :: nGC_2410 = 2517
  integer, parameter :: nGC_2747 = 2518
  integer, parameter :: nGC_3145 = 2519
  integer, parameter :: nGC_2949 = 2520
  integer, parameter :: nGC_3411 = 2521
  integer, parameter :: nGC_3140 = 2522
  integer, parameter :: nGC_2418 = 2523
  integer, parameter :: nGC_2787 = 2524
  integer, parameter :: nGC_2785 = 2525
  integer, parameter :: nGC_2784 = 2526
  integer, parameter :: nGC_2882 = 2527
  integer, parameter :: nGC_2681 = 2528
  integer, parameter :: nGC_2864 = 2529
  integer, parameter :: nGC_2865 = 2530
  integer, parameter :: nGC_2863 = 2531
  integer, parameter :: nGC_3090 = 2532
  integer, parameter :: nGC_TS_GC_250_Hh = 2533
  integer, parameter :: nGC_2575 = 2534
  integer, parameter :: nGC_2712 = 2535
  integer, parameter :: nGC_3096 = 2536
  integer, parameter :: nGC_3097 = 2537
  integer, parameter :: nGC_2760 = 2538
  integer, parameter :: nGC_3099 = 2539
  integer, parameter :: nGC_2713 = 2540
  integer, parameter :: nGC_2749 = 2541
  integer, parameter :: nGC_2748 = 2542
  integer, parameter :: nGC_3933 = 2543
  integer, parameter :: nGC_3616 = 2544
  integer, parameter :: nGC_3617 = 2545
  integer, parameter :: nGC_3731 = 2546
  integer, parameter :: nGC_3730 = 2547
  integer, parameter :: nGC_3733 = 2548
  integer, parameter :: nGC_3732 = 2549
  integer, parameter :: nGC_3735 = 2550
  integer, parameter :: nGC_3734 = 2551
  integer, parameter :: nGC_3737 = 2552
  integer, parameter :: nGC_3736 = 2553
  integer, parameter :: nGC_3739 = 2554
  integer, parameter :: nGC_3738 = 2555
  integer, parameter :: nGC_3776 = 2556
  integer, parameter :: nGC_3615 = 2557
  integer, parameter :: nGC_4033 = 2558
  integer, parameter :: nGC_4031 = 2559
  integer, parameter :: nGC_4030 = 2560
  integer, parameter :: nGC_889 = 2561
  integer, parameter :: nGC_3946 = 2562
  integer, parameter :: nGC_3978 = 2563
  integer, parameter :: nGC_3944 = 2564
  integer, parameter :: nGC_887 = 2565
  integer, parameter :: nGC_3415 = 2566
  integer, parameter :: nGC_2762 = 2567
  integer, parameter :: nGC_3598 = 2568
  integer, parameter :: nGC_3828 = 2569
  integer, parameter :: nGC_2648 = 2570
  integer, parameter :: nGC_2649 = 2571
  integer, parameter :: nGC_3940 = 2572
  integer, parameter :: nGC_2525 = 2573
  integer, parameter :: nGC_2524 = 2574
  integer, parameter :: nGC_2642 = 2575
  integer, parameter :: nGC_2643 = 2576
  integer, parameter :: nGC_2640 = 2577
  integer, parameter :: nGC_2641 = 2578
  integer, parameter :: nGC_2646 = 2579
  integer, parameter :: nGC_2647 = 2580
  integer, parameter :: nGC_2645 = 2581
  integer, parameter :: nGC_2779 = 2582
  integer, parameter :: nGC_3824 = 2583
  integer, parameter :: nGC_3827 = 2584
  integer, parameter :: nGC_3826 = 2585
  integer, parameter :: nGC_3058 = 2586
  integer, parameter :: nGC_3821 = 2587
  integer, parameter :: nGC_3820 = 2588
  integer, parameter :: nGC_3797 = 2589
  integer, parameter :: nGC_3823 = 2590
  integer, parameter :: nGC_945 = 2591
  integer, parameter :: nGC_3822 = 2592
  integer, parameter :: nGC_2486 = 2593
  integer, parameter :: nGC_2736 = 2594
  integer, parameter :: nGC_2737 = 2595
  integer, parameter :: nGC_2734 = 2596
  integer, parameter :: nGC_2735 = 2597
  integer, parameter :: nGC_3608 = 2598
  integer, parameter :: nGC_3359 = 2599
  integer, parameter :: nGC_3358 = 2600
  integer, parameter :: nGC_3605 = 2601
  integer, parameter :: nGC_3604 = 2602
  integer, parameter :: nGC_3607 = 2603
  integer, parameter :: nGC_3354 = 2604
  integer, parameter :: nGC_3601 = 2605
  integer, parameter :: nGC_3352 = 2606
  integer, parameter :: nGC_3351 = 2607
  integer, parameter :: nGC_3350 = 2608
  integer, parameter :: nGC_3810 = 2609
  integer, parameter :: nGC_3812 = 2610
  integer, parameter :: nGC_3813 = 2611
  integer, parameter :: nGC_3814 = 2612
  integer, parameter :: nGC_3815 = 2613
  integer, parameter :: nGC_3816 = 2614
  integer, parameter :: nGC_3817 = 2615
  integer, parameter :: nGC_3818 = 2616
  integer, parameter :: nGC_3819 = 2617
  integer, parameter :: nGC_2635 = 2618
  integer, parameter :: nGC_3790 = 2619
  integer, parameter :: nGC_3151 = 2620
  integer, parameter :: nGC_3597 = 2621
  integer, parameter :: nGC_3951 = 2622
  integer, parameter :: nGC_3950 = 2623
  integer, parameter :: nGC_3953 = 2624
  integer, parameter :: nGC_3952 = 2625
  integer, parameter :: nGC_3578 = 2626
  integer, parameter :: nGC_3957 = 2627
  integer, parameter :: nGC_3328 = 2628
  integer, parameter :: nGC_2609 = 2629
  integer, parameter :: nGC_789 = 2630
  integer, parameter :: nGC_787 = 2631
  integer, parameter :: nGC_2499 = 2632
  integer, parameter :: nGC_785 = 2633
  integer, parameter :: nGC_3918 = 2634
  integer, parameter :: nGC_3436 = 2635
  integer, parameter :: nGC_3100 = 2636
  integer, parameter :: nGC_3453 = 2637
  integer, parameter :: nGC_3455 = 2638
  integer, parameter :: nGC_3416 = 2639
  integer, parameter :: nGC_3156 = 2640
  integer, parameter :: nGC_3692 = 2641
  integer, parameter :: nGC_3693 = 2642
  integer, parameter :: nGC_3690 = 2643
  integer, parameter :: nGC_3691 = 2644
  integer, parameter :: nGC_2826 = 2645
  integer, parameter :: nGC_2827 = 2646
  integer, parameter :: nGC_2824 = 2647
  integer, parameter :: nGC_2825 = 2648
  integer, parameter :: nGC_3511 = 2649
  integer, parameter :: nGC_3432 = 2650
  integer, parameter :: nGC_3698 = 2651
  integer, parameter :: nGC_3699 = 2652
  integer, parameter :: nGC_3515 = 2653
  integer, parameter :: nGC_3514 = 2654
  integer, parameter :: nGC_3517 = 2655
  integer, parameter :: nGC_2986 = 2656
  integer, parameter :: nGC_2750 = 2657
  integer, parameter :: nGC_3886 = 2658
  integer, parameter :: nGC_3403 = 2659
  integer, parameter :: nGC_2638 = 2660
  integer, parameter :: nGC_3402 = 2661
  integer, parameter :: nGC_3435 = 2662
  integer, parameter :: nGC_3401 = 2663
  integer, parameter :: nGC_2580 = 2664
  integer, parameter :: nGC_3400 = 2665
  integer, parameter :: nGC_2529 = 2666
  integer, parameter :: nGC_2751 = 2667
  integer, parameter :: nGC_3775 = 2668
  integer, parameter :: nGC_3774 = 2669
  integer, parameter :: nGC_3777 = 2670
  integer, parameter :: nGC_TS_GC_375_Hl = 2671
  integer, parameter :: nGC_3771 = 2672
  integer, parameter :: nGC_3770 = 2673
  integer, parameter :: nGC_3773 = 2674
  integer, parameter :: nGC_3772 = 2675
  integer, parameter :: nGC_3779 = 2676
  integer, parameter :: nGC_3177 = 2677
  integer, parameter :: nGC_3176 = 2678
  integer, parameter :: nGC_3175 = 2679
  integer, parameter :: nGC_3174 = 2680
  integer, parameter :: nGC_3173 = 2681
  integer, parameter :: nGC_3172 = 2682
  integer, parameter :: nGC_3171 = 2683
  integer, parameter :: nGC_3170 = 2684
  integer, parameter :: nGC_TS_GC_332_Hh = 2685
  integer, parameter :: nGC_2874 = 2686
  integer, parameter :: nGC_2857 = 2687
  integer, parameter :: nGC_2856 = 2688
  integer, parameter :: nGC_TS_GC_21_Hl = 2689
  integer, parameter :: nGC_2854 = 2690
  integer, parameter :: nGC_2984 = 2691
  integer, parameter :: nGC_2852 = 2692
  integer, parameter :: nGC_2918 = 2693
  integer, parameter :: nGC_2919 = 2694
  integer, parameter :: nGC_2917 = 2695
  integer, parameter :: nGC_2914 = 2696
  integer, parameter :: nGC_2915 = 2697
  integer, parameter :: nGC_2912 = 2698
  integer, parameter :: nGC_2910 = 2699
  integer, parameter :: nGC_3581 = 2700
  integer, parameter :: nGC_3433 = 2701
  integer, parameter :: nGC_2971 = 2702
  integer, parameter :: nGC_2533 = 2703
  integer, parameter :: nGC_2985 = 2704
  integer, parameter :: nGC_3507 = 2705
  integer, parameter :: nGC_2828 = 2706
  integer, parameter :: nGC_TS_GC_244_Hh = 2707
  integer, parameter :: nGC_TS_GC_37_Hh = 2708
  integer, parameter :: nGC_TS_GC_18_Hl = 2709
  integer, parameter :: nGC_3505 = 2710
  integer, parameter :: nGC_3546 = 2711
  integer, parameter :: nGC_3469 = 2712
  integer, parameter :: nGC_857 = 2713
  integer, parameter :: nGC_2993 = 2714
  integer, parameter :: nGC_3541 = 2715
  integer, parameter :: nGC_TS_GC_251_Hh = 2716
  integer, parameter :: nGC_4002 = 2717
  integer, parameter :: nGC_3047 = 2718
  integer, parameter :: nGC_3501 = 2719
  integer, parameter :: nGC_3080 = 2720
  integer, parameter :: nGC_3126 = 2721
  integer, parameter :: nGC_3509 = 2722
  integer, parameter :: nGC_3127 = 2723
  integer, parameter :: nGC_3086 = 2724
  integer, parameter :: nGC_2673 = 2725
  integer, parameter :: nGC_2672 = 2726
  integer, parameter :: nGC_2671 = 2727
  integer, parameter :: nGC_2670 = 2728
  integer, parameter :: nGC_2677 = 2729
  integer, parameter :: nGC_2676 = 2730
  integer, parameter :: nGC_2675 = 2731
  integer, parameter :: nGC_2674 = 2732
  integer, parameter :: nGC_2772 = 2733
  integer, parameter :: nGC_2773 = 2734
  integer, parameter :: nGC_2679 = 2735
  integer, parameter :: nGC_2678 = 2736
  integer, parameter :: nGC_2776 = 2737
  integer, parameter :: nGC_2777 = 2738
  integer, parameter :: nGC_2774 = 2739
  integer, parameter :: nGC_2775 = 2740
  integer, parameter :: nGC_2578 = 2741
  integer, parameter :: nGC_2579 = 2742
  integer, parameter :: nGC_3792 = 2743
  integer, parameter :: nGC_2574 = 2744
  integer, parameter :: nGC_3914 = 2745
  integer, parameter :: nGC_2576 = 2746
  integer, parameter :: nGC_3462 = 2747
  integer, parameter :: nGC_2570 = 2748
  integer, parameter :: nGC_2571 = 2749
  integer, parameter :: nGC_2572 = 2750
  integer, parameter :: nGC_2573 = 2751
  integer, parameter :: nGC_3619 = 2752
  integer, parameter :: nGC_2757 = 2753
  integer, parameter :: nGC_3169 = 2754
  integer, parameter :: nGC_3656 = 2755
  integer, parameter :: nGC_3657 = 2756
  integer, parameter :: nGC_3654 = 2757
  integer, parameter :: nGC_4049 = 2758
  integer, parameter :: nGC_3559 = 2759
  integer, parameter :: nGC_3558 = 2760
  integer, parameter :: nGC_3650 = 2761
  integer, parameter :: nGC_3651 = 2762
  integer, parameter :: nGC_2668 = 2763
  integer, parameter :: nGC_2496 = 2764
  integer, parameter :: nGC_3557 = 2765
  integer, parameter :: nGC_2493 = 2766
  integer, parameter :: nGC_2492 = 2767
  integer, parameter :: nGC_2491 = 2768
  integer, parameter :: nGC_2490 = 2769
  integer, parameter :: nGC_3388 = 2770
  integer, parameter :: nGC_3908 = 2771
  integer, parameter :: nGC_2941 = 2772
  integer, parameter :: nGC_3701 = 2773
  integer, parameter :: nGC_2943 = 2774
  integer, parameter :: nGC_2708 = 2775
  integer, parameter :: nGC_2707 = 2776
  integer, parameter :: nGC_3903 = 2777
  integer, parameter :: nGC_2543 = 2778
  integer, parameter :: nGC_2542 = 2779
  integer, parameter :: nGC_2544 = 2780
  integer, parameter :: nGC_2701 = 2781
  integer, parameter :: nGC_3387 = 2782
  integer, parameter :: nGC_2710 = 2783
  integer, parameter :: nGC_3868 = 2784
  integer, parameter :: nGC_3664 = 2785
  integer, parameter :: nGC_4000 = 2786
  integer, parameter :: nGC_2868 = 2787
  integer, parameter :: nGC_2869 = 2788
  integer, parameter :: nGC_3861 = 2789
  integer, parameter :: nGC_3663 = 2790
  integer, parameter :: nGC_2498 = 2791
  integer, parameter :: nGC_3865 = 2792
  integer, parameter :: nGC_3867 = 2793
  integer, parameter :: nGC_2788 = 2794
  integer, parameter :: nGC_4042 = 2795
  integer, parameter :: nGC_2717 = 2796
  integer, parameter :: nGC_3554 = 2797
  integer, parameter :: nGC_3879 = 2798
  integer, parameter :: nGC_2447 = 2799
  integer, parameter :: nGC_3622 = 2800
  integer, parameter :: nGC_3549 = 2801
  integer, parameter :: nGC_2897 = 2802
  integer, parameter :: nGC_3626 = 2803
  integer, parameter :: nGC_2550 = 2804
  integer, parameter :: nGC_2551 = 2805
  integer, parameter :: nGC_3780 = 2806
  integer, parameter :: nGC_2487 = 2807
  integer, parameter :: nGC_3547 = 2808
  integer, parameter :: nGC_3550 = 2809
  integer, parameter :: nGC_3877 = 2810
  integer, parameter :: nGC_2407 = 2811
  integer, parameter :: nGC_3342 = 2812
  integer, parameter :: nGC_2402 = 2813
  integer, parameter :: nGC_2715 = 2814
  integer, parameter :: nGC_4035 = 2815
  integer, parameter :: nGC_3659 = 2816
  integer, parameter :: nGC_2408 = 2817
  integer, parameter :: nGC_4032 = 2818
  integer, parameter :: nGC_3426 = 2819
  integer, parameter :: nGC_2794 = 2820
  integer, parameter :: nGC_2549 = 2821
  integer, parameter :: nGC_2796 = 2822
  integer, parameter :: nGC_2818 = 2823
  integer, parameter :: nGC_3834 = 2824
  integer, parameter :: nGC_2851 = 2825
  integer, parameter :: nGC_2792 = 2826
  integer, parameter :: nGC_2793 = 2827
  integer, parameter :: nGC_3589 = 2828
  integer, parameter :: nGC_2817 = 2829
  integer, parameter :: nGC_2799 = 2830
  integer, parameter :: nGC_2815 = 2831
  integer, parameter :: nGC_3945 = 2832
  integer, parameter :: nGC_2661 = 2833
  integer, parameter :: nGC_3829 = 2834
  integer, parameter :: nGC_2823 = 2835
  integer, parameter :: nGC_3697 = 2836
  integer, parameter :: nGC_2880 = 2837
  integer, parameter :: nGC_2522 = 2838
  integer, parameter :: nGC_2883 = 2839
  integer, parameter :: nGC_2884 = 2840
  integer, parameter :: nGC_2709 = 2841
  integer, parameter :: nGC_2798 = 2842
  integer, parameter :: nGC_2942 = 2843
  integer, parameter :: nGC_2644 = 2844
  integer, parameter :: nGC_3803 = 2845
  integer, parameter :: nGC_2541 = 2846
  integer, parameter :: nGC_3971 = 2847
  integer, parameter :: nGC_2540 = 2848
  integer, parameter :: nGC_3809 = 2849
  integer, parameter :: nGC_3725 = 2850
  integer, parameter :: nGC_3722 = 2851
  integer, parameter :: nGC_3723 = 2852
  integer, parameter :: nGC_4022 = 2853
  integer, parameter :: nGC_3721 = 2854
  integer, parameter :: nGC_2924 = 2855
  integer, parameter :: nGC_2923 = 2856
  integer, parameter :: nGC_3445 = 2857
  integer, parameter :: nGC_2920 = 2858
  integer, parameter :: nGC_2800 = 2859
  integer, parameter :: nGC_2801 = 2860
  integer, parameter :: nGC_2802 = 2861
  integer, parameter :: nGC_2804 = 2862
  integer, parameter :: nGC_2805 = 2863
  integer, parameter :: nGC_2806 = 2864
  integer, parameter :: nGC_3888 = 2865
  integer, parameter :: nGC_3356 = 2866
  integer, parameter :: nGC_3882 = 2867
  integer, parameter :: nGC_3702 = 2868
  integer, parameter :: nGC_3880 = 2869
  integer, parameter :: nGC_2786 = 2870
  integer, parameter :: nGC_2532 = 2871
  integer, parameter :: nGC_4056 = 2872
  integer, parameter :: nGC_2732 = 2873
  integer, parameter :: nGC_2733 = 2874
  integer, parameter :: nGC_2536 = 2875
  integer, parameter :: nGC_2537 = 2876
  integer, parameter :: nGC_2538 = 2877
  integer, parameter :: nGC_2539 = 2878
  integer, parameter :: nGC_4039 = 2879
  integer, parameter :: nGC_2903 = 2880
  integer, parameter :: nGC_4018 = 2881
  integer, parameter :: nGC_3943 = 2882
  integer, parameter :: nGC_4053 = 2883
  integer, parameter :: nGC_4011 = 2884
  integer, parameter :: nGC_2636 = 2885
  integer, parameter :: nGC_4013 = 2886
  integer, parameter :: nGC_2425 = 2887
  integer, parameter :: nGC_2423 = 2888
  integer, parameter :: nGC_4017 = 2889
  integer, parameter :: nGC_2569 = 2890
  integer, parameter :: nGC_2907 = 2891
  integer, parameter :: nGC_2866 = 2892
  integer, parameter :: nGC_2867 = 2893
  integer, parameter :: nGC_4045 = 2894
  integer, parameter :: nGC_2743 = 2895
  integer, parameter :: nGC_2742 = 2896
  integer, parameter :: nGC_2740 = 2897
  integer, parameter :: nGC_3348 = 2898
  integer, parameter :: nGC_3495 = 2899
  integer, parameter :: nGC_2745 = 2900
  integer, parameter :: nGC_2744 = 2901
  integer, parameter :: nGC_3344 = 2902
  integer, parameter :: nGC_2862 = 2903
  integer, parameter :: nGC_4007 = 2904
  integer, parameter :: nGC_3614 = 2905
  integer, parameter :: nGC_3518 = 2906
  integer, parameter :: nGC_3570 = 2907
  integer, parameter :: nGC_2628 = 2908
  integer, parameter :: nGC_2629 = 2909
  integer, parameter :: nGC_3941 = 2910
  integer, parameter :: nGC_3577 = 2911
  integer, parameter :: nGC_2627 = 2912
  integer, parameter :: nGC_2621 = 2913
  integer, parameter :: nGC_3949 = 2914
  integer, parameter :: nGC_2475 = 2915
  integer, parameter :: nGC_3642 = 2916
  integer, parameter :: nGC_3595 = 2917
  integer, parameter :: nGC_3842 = 2918
  integer, parameter :: nGC_3785 = 2919
  integer, parameter :: nGC_2889 = 2920
  integer, parameter :: nGC_2885 = 2921
  integer, parameter :: nGC_3470 = 2922
  integer, parameter :: nGC_3468 = 2923
  integer, parameter :: nGC_3371 = 2924
  integer, parameter :: nGC_3370 = 2925
  integer, parameter :: nGC_3373 = 2926
  integer, parameter :: nGC_3372 = 2927
  integer, parameter :: nGC_3374 = 2928
  integer, parameter :: nGC_2619 = 2929
  integer, parameter :: nGC_3973 = 2930
  integer, parameter :: nGC_2872 = 2931
  integer, parameter :: nGC_3935 = 2932
  integer, parameter :: nGC_3668 = 2933
  integer, parameter :: nGC_3833 = 2934
  integer, parameter :: nGC_2443 = 2935
  integer, parameter :: nGC_2444 = 2936
  integer, parameter :: nGC_2446 = 2937
  integer, parameter :: nGC_3660 = 2938
  integer, parameter :: nGC_2690 = 2939
  integer, parameter :: nGC_4034 = 2940
  integer, parameter :: nGC_2877 = 2941
  integer, parameter :: nGC_2697 = 2942
  integer, parameter :: nGC_2850 = 2943
  integer, parameter :: nGC_3584 = 2944
  integer, parameter :: nGC_3582 = 2945
  integer, parameter :: nGC_2859 = 2946
  integer, parameter :: nGC_4048 = 2947
  integer, parameter :: nGC_2424 = 2948
  integer, parameter :: nGC_4060 = 2949
  integer, parameter :: nGC_2474 = 2950
  integer, parameter :: nGC_3479 = 2951
  integer, parameter :: nGC_2769 = 2952
  integer, parameter :: nGC_3767 = 2953
  integer, parameter :: nGC_3764 = 2954
  integer, parameter :: nGC_3472 = 2955
  integer, parameter :: nGC_3768 = 2956
  integer, parameter :: nGC_3769 = 2957
  integer, parameter :: nGC_3762 = 2958
  integer, parameter :: nGC_3924 = 2959
  integer, parameter :: nGC_3679 = 2960
  integer, parameter :: nGC_2797 = 2961
  integer, parameter :: nGC_3674 = 2962
  integer, parameter :: nGC_3929 = 2963
  integer, parameter :: nGC_2860 = 2964
  integer, parameter :: nGC_3670 = 2965
  integer, parameter :: nGC_2846 = 2966
  integer, parameter :: nGC_3848 = 2967
  integer, parameter :: nGC_3846 = 2968
  integer, parameter :: nGC_3845 = 2969
  integer, parameter :: nGC_2849 = 2970
  integer, parameter :: nGC_2861 = 2971
  integer, parameter :: nGC_4059 = 2972
  integer, parameter :: nGC_4058 = 2973
  integer, parameter :: nGC_4055 = 2974
  integer, parameter :: nGC_2770 = 2975
  integer, parameter :: nGC_2771 = 2976
  integer, parameter :: nGC_3791 = 2977
  integer, parameter :: nGC_3778 = 2978
  integer, parameter :: nGC_3649 = 2979
  integer, parameter :: nGC_3716 = 2980
  integer, parameter :: nGC_3714 = 2981
  integer, parameter :: nGC_3919 = 2982
  integer, parameter :: nGC_3405 = 2983
  integer, parameter :: nGC_3390 = 2984
  integer, parameter :: nGC_3397 = 2985
  integer, parameter :: nGC_3913 = 2986
  integer, parameter :: nGC_2871 = 2987
  integer, parameter :: nGC_2870 = 2988
  integer, parameter :: nGC_2873 = 2989
  integer, parameter :: nGC_3484 = 2990
  integer, parameter :: nGC_2875 = 2991
  integer, parameter :: nGC_3859 = 2992
  integer, parameter :: nGC_3481 = 2993
  integer, parameter :: nGC_2876 = 2994
  integer, parameter :: nGC_2879 = 2995
  integer, parameter :: nGC_2878 = 2996
  integer, parameter :: nGC_3856 = 2997
  integer, parameter :: nGC_3857 = 2998
  integer, parameter :: nGC_3526 = 2999
  integer, parameter :: nGC_2523 = 3000
  integer, parameter :: nGC_3450 = 3001
  integer, parameter :: nGC_2401 = 3002
  integer, parameter :: nGC_4036 = 3003
  integer, parameter :: nGC_4041 = 3004
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
