!******************************************************************************!
!                                                                              !
!    fill_couplings1.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings1.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 15:41             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl1()
      coupl(nGC_1539) = cima*(cb*yc2 - sb*yc1)
      coupl(nGC_1401) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1400) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_1402) = -sqrt(2d0)*(cb*ye2 - sb*ye1)/2d0
      coupl(nGC_1405) = ee**2d0*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
      coupl(nGC_1404) = -ee**2d0*(cb**2d0 + sb**2d0)/sw
      coupl(nGC_1406) = cima*(cb*ym1 + sb*ym2)
      coupl(nGC_1409) = -sqrt(2d0)*(cb*ytau2 - sb*ytau1)/2d0
      coupl(nGC_1408) = -cb*cima
      coupl(nGC_2198) = -cima*(ca*cb**2d0*l4*vev1 + ca*cb**2d0*l5*vev1 + 2d0*ca&
                        *cb*l2*sb*vev2 - 2d0*ca*cb*l3*sb*vev2 - ca*l4*sb**2d0* &
                        vev1 - ca*l5*sb**2d0*vev1 - cb**2d0*l4*sa*vev2 - cb**  &
                        2d0*l5*sa*vev2 + 2d0*cb*l1*sa*sb*vev1 - 2d0*cb*l3*sa*sb&
                        *vev1 + l4*sa*sb**2d0*vev2 + l5*sa*sb**2d0*vev2)
      coupl(nGC_2199) = -cima*(ca*cb**2d0*l3 + ca*l2*sb**2d0 - cb*l4*sa*sb - cb&
                        *l5*sa*sb)
      coupl(nGC_74) = -2d0*cb**4d0*cima*l5 - 2d0*cb**2d0*cima*l1*sb**2d0 - 2d0*&
                      cb**2d0*cima*l2*sb**2d0 + 4d0*cb**2d0*cima*l3*sb**2d0 +  &
                      4d0*cb**2d0*cima*l4*sb**2d0 - 2d0*cima*l5*sb**4d0
      coupl(nGC_232) = cb*cima*ee**2d0*vev2/(2d0*cw) - cima*ee**2d0*sb*vev1/(  &
                       2d0*cw)
      coupl(nGC_233) = -ca**3d0*cima*l3*vev2 - ca**3d0*cima*l4*vev2 - ca**3d0* &
                       cima*l5*vev2 + 3d0*ca**2d0*cima*l1*sa*vev1 - 2d0*ca**2d0&
                       *cima*l3*sa*vev1 - 2d0*ca**2d0*cima*l4*sa*vev1 - 2d0*ca &
                       **2d0*cima*l5*sa*vev1 - 3d0*ca*cima*l2*sa**2d0*vev2 +   &
                       2d0*ca*cima*l3*sa**2d0*vev2 + 2d0*ca*cima*l4*sa**2d0*   &
                       vev2 + 2d0*ca*cima*l5*sa**2d0*vev2 + cima*l3*sa**3d0*   &
                       vev1 + cima*l4*sa**3d0*vev1 + cima*l5*sa**3d0*vev1
      coupl(nGC_230) = cb**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cb**2d0*   &
                       cima*ee**2d0 + cb**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0&
                       ) + cima*cw**2d0*ee**2d0*sb**2d0/(2d0*sw**2d0) + cima*ee&
                       **2d0*sb**2d0 + cima*ee**2d0*sb**2d0*sw**2d0/(2d0*cw**  &
                       2d0)
      coupl(nGC_231) = -cb*cima*ee**2d0*vev2/(2d0*cw) + cima*ee**2d0*sb*vev1/( &
                       2d0*cw)
      coupl(nGC_236) = -ca**3d0*cima*l3*vev1 - ca**3d0*cima*l4*vev1 - ca**3d0* &
                       cima*l5*vev1 - 3d0*ca**2d0*cima*l2*sa*vev2 + 2d0*ca**2d0&
                       *cima*l3*sa*vev2 + 2d0*ca**2d0*cima*l4*sa*vev2 + 2d0*ca &
                       **2d0*cima*l5*sa*vev2 - 3d0*ca*cima*l1*sa**2d0*vev1 +   &
                       2d0*ca*cima*l3*sa**2d0*vev1 + 2d0*ca*cima*l4*sa**2d0*   &
                       vev1 + 2d0*ca*cima*l5*sa**2d0*vev1 - cima*l3*sa**3d0*   &
                       vev2 - cima*l4*sa**3d0*vev2 - cima*l5*sa**3d0*vev2
      coupl(nGC_237) = -cb*cima*ee**2d0*vev1/(2d0*cw) - cima*ee**2d0*sb*vev2/( &
                       2d0*cw)
      coupl(nGC_234) = -3d0*ca**3d0*cima*l2*vev2 + 3d0*ca**2d0*cima*l3*sa*vev1 &
                        + 3d0*ca**2d0*cima*l4*sa*vev1 + 3d0*ca**2d0*cima*l5*sa*&
                       vev1 - 3d0*ca*cima*l3*sa**2d0*vev2 - 3d0*ca*cima*l4*sa**&
                       2d0*vev2 - 3d0*ca*cima*l5*sa**2d0*vev2 + 3d0*cima*l1*sa &
                       **3d0*vev1
      coupl(nGC_235) = -3d0*ca**3d0*cima*l1*vev1 - 3d0*ca**2d0*cima*l3*sa*vev2 &
                        - 3d0*ca**2d0*cima*l4*sa*vev2 - 3d0*ca**2d0*cima*l5*sa*&
                       vev2 - 3d0*ca*cima*l3*sa**2d0*vev1 - 3d0*ca*cima*l4*sa**&
                       2d0*vev1 - 3d0*ca*cima*l5*sa**2d0*vev1 - 3d0*cima*l2*sa &
                       **3d0*vev2
      coupl(nGC_238) = cb*cima*ee**2d0*vev1/(2d0*cw) + cima*ee**2d0*sb*vev2/(  &
                       2d0*cw)
      coupl(nGC_239) = -cb**3d0*ee**2d0*vev2/(4d0*cw**2d0) + cb**2d0*ee**2d0*sb&
                       *vev1/(4d0*cw**2d0) - cb*ee**2d0*sb**2d0*vev2/(4d0*cw** &
                       2d0) + ee**2d0*sb**3d0*vev1/(4d0*cw**2d0)
      coupl(nGC_587) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev1 + sa*vev2&
                       )/(cw**2d0*sw**2d0)
      coupl(nGC_1403) = -sqrt(2d0)*cb/2d0
      coupl(nGC_583) = sqrt(2d0)*cb/2d0
      coupl(nGC_263) = -cb*ee**2d0*vev2/(4d0*sw**2d0) + ee**2d0*sb*vev1/(4d0*sw&
                       **2d0)
      coupl(nGC_348) = -sqrt(2d0)*ca*cima*ydo1/2d0 - sqrt(2d0)*cima*sa*ydo2/2d0
      coupl(nGC_349) = -cb*cima*ydo1 - cima*sb*ydo2
      coupl(nGC_346) = -cb*cima*ydo2 + cima*sb*ydo1
      coupl(nGC_347) = -sqrt(2d0)*cb*ydo2/2d0 + sqrt(2d0)*sb*ydo1/2d0
      coupl(nGC_344) = -sqrt(2d0)*cb*yb2/2d0 + sqrt(2d0)*sb*yd13x3/2d0
      coupl(nGC_345) = -sqrt(2d0)*ca*cima*ydo2/2d0 + sqrt(2d0)*cima*sa*ydo1/2d0
      coupl(nGC_342) = -sqrt(2d0)*ca*cima*yb2/2d0 + sqrt(2d0)*cima*sa*yd13x3/2d0
      coupl(nGC_343) = -cb*cima*yb2 + cima*sb*yd13x3
      coupl(nGC_340) = -cb*cima*yd13x3 - cima*sb*yb2
      coupl(nGC_341) = -sqrt(2d0)*cb*yd13x3/2d0 - sqrt(2d0)*sb*yb2/2d0
      coupl(nGC_1746) = cima*ee**2d0/sw
      coupl(nGC_567) = -cima*(cb - sb)*(cb + sb)*(ca*vev2 + sa*vev1)/2d0
      coupl(nGC_565) = cima*(2d0*ca*cb*l1*sb - 2d0*ca*cb*l3*sb - cb**2d0*l4*sa &
                        - cb**2d0*l5*sa + l4*sa*sb**2d0 + l5*sa*sb**2d0)/2d0
      coupl(nGC_563) = -cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_561) = -cima*(cb - sb)*(cb + sb)*(ca*vev2 + sa*vev1)/2d0
      coupl(nGC_1748) = 2d0*cima*gs**2d0
      coupl(nGC_1749) = -cima*ee**2d0*(ca*vev1 + sa*vev2)/sw**3d0
      coupl(nGC_168) = -cb**4d0*cima*ee**2d0/(2d0*sw**2d0) - cb**4d0*cima*l2 - &
                       cb**2d0*cima*ee**2d0*sb**2d0/sw**2d0 - 2d0*cb**2d0*cima*&
                       l3*sb**2d0 - 2d0*cb**2d0*cima*l4*sb**2d0 - 2d0*cb**2d0* &
                       cima*l5*sb**2d0 - cima*ee**2d0*sb**4d0/(2d0*sw**2d0) -  &
                       cima*l1*sb**4d0
      coupl(nGC_169) = -cb**4d0*cima*ee**2d0/(2d0*sw**2d0) - cb**4d0*cima*l1 - &
                       cb**2d0*cima*ee**2d0*sb**2d0/sw**2d0 - 2d0*cb**2d0*cima*&
                       l3*sb**2d0 - 2d0*cb**2d0*cima*l4*sb**2d0 - 2d0*cb**2d0* &
                       cima*l5*sb**2d0 - cima*ee**2d0*sb**4d0/(2d0*sw**2d0) -  &
                       cima*l2*sb**4d0
      coupl(nGC_1703) = -cima*(ca*cb**2d0*vev1 + sa*sb**2d0*vev2)
      coupl(nGC_162) = -cb**4d0*cima*ee**2d0/(4d0*sw**2d0) - cb**4d0*cima*l3 - &
                       cb**4d0*cima*l4 - cb**4d0*cima*ee**2d0/(4d0*cw**2d0) -  &
                       cb**2d0*cima*ee**2d0*sb**2d0/(2d0*sw**2d0) - 2d0*cb**2d0&
                       *cima*l1*sb**2d0 - 2d0*cb**2d0*cima*l2*sb**2d0 + 2d0*cb &
                       **2d0*cima*l3*sb**2d0 + 2d0*cb**2d0*cima*l4*sb**2d0 +   &
                       4d0*cb**2d0*cima*l5*sb**2d0 - cb**2d0*cima*ee**2d0*sb** &
                       2d0/(2d0*cw**2d0) - cima*ee**2d0*sb**4d0/(4d0*sw**2d0   &
                       ) - cima*l3*sb**4d0 - cima*l4*sb**4d0 - cima*ee**2d0*sb &
                       **4d0/(4d0*cw**2d0)
      coupl(nGC_163) = -cb**4d0*cima*ee**2d0/(4d0*sw**2d0) - cb**4d0*cima*l4/  &
                       2d0 - cb**4d0*cima*l5/2d0 - cb**2d0*cima*ee**2d0*sb**2d0&
                       /(2d0*sw**2d0) - cb**2d0*cima*l1*sb**2d0 - cb**2d0*cima*&
                       l2*sb**2d0 + 2d0*cb**2d0*cima*l3*sb**2d0 + cb**2d0*cima*&
                       l4*sb**2d0 + cb**2d0*cima*l5*sb**2d0 - cima*ee**2d0*sb**&
                       4d0/(4d0*sw**2d0) - cima*l4*sb**4d0/2d0 - cima*l5*sb**  &
                       4d0/2d0
      coupl(nGC_160) = -cb**4d0*cima*ee**2d0/(4d0*sw**2d0) - 2d0*cb**4d0*cima* &
                       l2 - cb**4d0*cima*ee**2d0/(4d0*cw**2d0) - cb**2d0*cima* &
                       ee**2d0*sb**2d0/(2d0*sw**2d0) - 4d0*cb**2d0*cima*l3*sb**&
                       2d0 - 4d0*cb**2d0*cima*l4*sb**2d0 - 4d0*cb**2d0*cima*l5*&
                       sb**2d0 - cb**2d0*cima*ee**2d0*sb**2d0/(2d0*cw**2d0) -  &
                       cima*ee**2d0*sb**4d0/(4d0*sw**2d0) - 2d0*cima*l1*sb**4d0&
                        - cima*ee**2d0*sb**4d0/(4d0*cw**2d0)
      coupl(nGC_161) = -cb**4d0*cima*ee**2d0/(4d0*sw**2d0) - 2d0*cb**4d0*cima* &
                       l1 - cb**4d0*cima*ee**2d0/(4d0*cw**2d0) - cb**2d0*cima* &
                       ee**2d0*sb**2d0/(2d0*sw**2d0) - 4d0*cb**2d0*cima*l3*sb**&
                       2d0 - 4d0*cb**2d0*cima*l4*sb**2d0 - 4d0*cb**2d0*cima*l5*&
                       sb**2d0 - cb**2d0*cima*ee**2d0*sb**2d0/(2d0*cw**2d0) -  &
                       cima*ee**2d0*sb**4d0/(4d0*sw**2d0) - 2d0*cima*l2*sb**4d0&
                        - cima*ee**2d0*sb**4d0/(4d0*cw**2d0)
      coupl(nGC_166) = cb**4d0*cima*ee**2d0/(4d0*sw**2d0) - cb**4d0*cima*l3 -  &
                       cb**4d0*cima*l4 + cb**4d0*cima*ee**2d0/(4d0*cw**2d0) +  &
                       cb**2d0*cima*ee**2d0*sb**2d0/(2d0*sw**2d0) - 2d0*cb**2d0&
                       *cima*l1*sb**2d0 - 2d0*cb**2d0*cima*l2*sb**2d0 + 2d0*cb &
                       **2d0*cima*l3*sb**2d0 + 2d0*cb**2d0*cima*l4*sb**2d0 +   &
                       4d0*cb**2d0*cima*l5*sb**2d0 + cb**2d0*cima*ee**2d0*sb** &
                       2d0/(2d0*cw**2d0) + cima*ee**2d0*sb**4d0/(4d0*sw**2d0   &
                       ) - cima*l3*sb**4d0 - cima*l4*sb**4d0 + cima*ee**2d0*sb &
                       **4d0/(4d0*cw**2d0)
      coupl(nGC_167) = cb**4d0*cima*ee**2d0/(4d0*sw**2d0) - cb**4d0*cima*l4/2d0&
                        - cb**4d0*cima*l5/2d0 + cb**2d0*cima*ee**2d0*sb**2d0/( &
                       2d0*sw**2d0) - cb**2d0*cima*l1*sb**2d0 - cb**2d0*cima*l2&
                       *sb**2d0 + 2d0*cb**2d0*cima*l3*sb**2d0 + cb**2d0*cima*l4&
                       *sb**2d0 + cb**2d0*cima*l5*sb**2d0 + cima*ee**2d0*sb**  &
                       4d0/(4d0*sw**2d0) - cima*l4*sb**4d0/2d0 - cima*l5*sb**  &
                       4d0/2d0
      coupl(nGC_164) = cb**4d0*cima*ee**2d0/(4d0*sw**2d0) - cb**4d0*cima*l2 +  &
                       cb**2d0*cima*ee**2d0*sb**2d0/(2d0*sw**2d0) - 2d0*cb**2d0&
                       *cima*l3*sb**2d0 - 2d0*cb**2d0*cima*l4*sb**2d0 - 2d0*cb &
                       **2d0*cima*l5*sb**2d0 + cima*ee**2d0*sb**4d0/(4d0*sw**  &
                       2d0) - cima*l1*sb**4d0
      coupl(nGC_165) = cb**4d0*cima*ee**2d0/(4d0*sw**2d0) - cb**4d0*cima*l1 +  &
                       cb**2d0*cima*ee**2d0*sb**2d0/(2d0*sw**2d0) - 2d0*cb**2d0&
                       *cima*l3*sb**2d0 - 2d0*cb**2d0*cima*l4*sb**2d0 - 2d0*cb &
                       **2d0*cima*l5*sb**2d0 + cima*ee**2d0*sb**4d0/(4d0*sw**  &
                       2d0) - cima*l2*sb**4d0
      coupl(nGC_1701) = -cb**2d0*cima*sa*vev2
      coupl(nGC_527) = cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_1705) = cima*(-ca*cb**2d0*l2*vev2 + 2d0*ca*cb*l5*sb*vev1 - ca* &
                        l3*sb**2d0*vev2 - ca*l4*sb**2d0*vev2 + ca*l5*sb**2d0*  &
                        vev2 + cb**2d0*l3*sa*vev1 + cb**2d0*l4*sa*vev1 - cb**  &
                        2d0*l5*sa*vev1 - 2d0*cb*l5*sa*sb*vev2 + l1*sa*sb**2d0* &
                        vev1)
      coupl(nGC_1418) = ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
      coupl(nGC_1419) = -ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw*sw**2d0)
      coupl(nGC_1416) = -ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_1417) = ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw**2d0*sw)
      coupl(nGC_1414) = -sqrt(2d0)*cb/2d0
      coupl(nGC_1415) = ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_1412) = sqrt(2d0)*(cb*ym1 + sb*ym2)/2d0
      coupl(nGC_1413) = sqrt(2d0)*sb/2d0
      coupl(nGC_1410) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1411) = -sqrt(2d0)*cb/2d0
      coupl(nGC_MHA) = -cMHA**2d0*cima
      coupl(nGC_MHC) = -cMHC**2d0*cima
      coupl(nGC_MHL) = -cMHL**2d0*cima
      coupl(nGC_MHH) = -cMHH**2d0*cima
      coupl(nGC_2264) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2265) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2266) = -2d0*cima*(ca*cb**2d0*l5*vev1 + ca*cb*l2*sb*vev2 - ca* &
                        cb*l3*sb*vev2 - ca*cb*l4*sb*vev2 + ca*cb*l5*sb*vev2 -  &
                        ca*l5*sb**2d0*vev1 - cb**2d0*l5*sa*vev2 + cb*l1*sa*sb* &
                        vev1 - cb*l3*sa*sb*vev1 - cb*l4*sa*sb*vev1 + cb*l5*sa* &
                        sb*vev1 + l5*sa*sb**2d0*vev2)
      coupl(nGC_2267) = -cima*(ca*cb**2d0*l3 + ca*cb**2d0*l4 - ca*cb**2d0*l5 + &
                        ca*l2*sb**2d0 - 2d0*cb*l5*sa*sb)
      coupl(nGC_2059) = cima*ee*sw/(3d0*cw)
      coupl(nGC_2058) = 2d0*cima*(-2d0*ca**2d0*cb*l5*sb + ca*cb**2d0*l1*sa - ca&
                        *cb**2d0*l3*sa - ca*cb**2d0*l4*sa + ca*cb**2d0*l5*sa - &
                        ca*l2*sa*sb**2d0 + ca*l3*sa*sb**2d0 + ca*l4*sa*sb**2d0 &
                         - ca*l5*sa*sb**2d0 + 2d0*cb*l5*sa**2d0*sb)
      coupl(nGC_2053) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
      coupl(nGC_1480) = -cima*sa*sb**2d0*vev2
      coupl(nGC_2299) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*cw**2d0)
      coupl(nGC_2298) = -cb*cima*ee**2d0/(2d0*cw)
      coupl(nGC_2297) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*cw)
      coupl(nGC_2277) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_2276) = -cima*ee**2d0*(ca*cb + sa*sb)/sw
      coupl(nGC_2275) = -2d0*cima*ee**2d0
      coupl(nGC_2274) = cima*(ca*cb**2d0*vev2 - 2d0*ca*cb*sb*vev1 + 2d0*cb*sa* &
                        sb*vev2 - sa*sb**2d0*vev1)
      coupl(nGC_2271) = -cima*(ca*cb**2d0*vev2 - sa*sb**2d0*vev1)
      coupl(nGC_2270) = cb**2d0*cima*sa*vev1
      coupl(nGC_2207) = 3d0*cima*(-cb**4d0*l2 + cb**4d0*l3 + cb**4d0*l4 + cb** &
                        4d0*l5 + 3d0*cb**2d0*l1*sb**2d0 + 3d0*cb**2d0*l2*sb**  &
                        2d0 - 6d0*cb**2d0*l3*sb**2d0 - 6d0*cb**2d0*l4*sb**2d0  &
                         - 6d0*cb**2d0*l5*sb**2d0 - l1*sb**4d0 + l3*sb**4d0 +  &
                        l4*sb**4d0 + l5*sb**4d0)
      coupl(nGC_221) = -cb**2d0*cima*cw*ee**2d0/sw + cb**2d0*cima*ee**2d0*sw/cw&
                        - cima*cw*ee**2d0*sb**2d0/sw + cima*ee**2d0*sb**2d0*sw/&
                       cw
      coupl(nGC_220) = cb**2d0*cima*cw*ee**2d0/sw - cb**2d0*cima*ee**2d0*sw/cw &
                        + cima*cw*ee**2d0*sb**2d0/sw - cima*ee**2d0*sb**2d0*sw/&
                       cw
      coupl(nGC_223) = -ca**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - ca**2d0*  &
                       cima*ee**2d0 - ca**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0&
                       ) - cima*cw**2d0*ee**2d0*sa**2d0/(2d0*sw**2d0) - cima*ee&
                       **2d0*sa**2d0 - cima*ee**2d0*sa**2d0*sw**2d0/(2d0*cw**  &
                       2d0)
      coupl(nGC_222) = -ca**2d0*cima*cw**2d0*ee**2d0/(4d0*sw**2d0) - ca**2d0*  &
                       cima*ee**2d0/2d0 - ca**2d0*cima*ee**2d0*sw**2d0/(4d0*cw &
                       **2d0) - cima*cw**2d0*ee**2d0*sa**2d0/(4d0*sw**2d0) -   &
                       cima*ee**2d0*sa**2d0/2d0 - cima*ee**2d0*sa**2d0*sw**2d0 &
                       /(4d0*cw**2d0)
      coupl(nGC_225) = -cb**2d0*cima*cw**2d0*ee**2d0/(4d0*sw**2d0) - cb**2d0*  &
                       cima*ee**2d0/2d0 - cb**2d0*cima*ee**2d0*sw**2d0/(4d0*cw &
                       **2d0) - cima*cw**2d0*ee**2d0*sb**2d0/(4d0*sw**2d0) -   &
                       cima*ee**2d0*sb**2d0/2d0 - cima*ee**2d0*sb**2d0*sw**2d0 &
                       /(4d0*cw**2d0)
      coupl(nGC_224) = ca**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + ca**2d0*   &
                       cima*ee**2d0 + ca**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0&
                       ) + cima*cw**2d0*ee**2d0*sa**2d0/(2d0*sw**2d0) + cima*ee&
                       **2d0*sa**2d0 + cima*ee**2d0*sa**2d0*sw**2d0/(2d0*cw**  &
                       2d0)
      coupl(nGC_227) = -cb**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cb**2d0*  &
                       cima*ee**2d0 - cb**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0&
                       ) - cima*cw**2d0*ee**2d0*sb**2d0/(2d0*sw**2d0) - cima*ee&
                       **2d0*sb**2d0 - cima*ee**2d0*sb**2d0*sw**2d0/(2d0*cw**  &
                       2d0)
      coupl(nGC_226) = -cb**2d0*cima*cw**2d0*ee**2d0/(4d0*sw**2d0) + cb**2d0*  &
                       cima*ee**2d0/2d0 - cb**2d0*cima*ee**2d0*sw**2d0/(4d0*cw &
                       **2d0) - cima*cw**2d0*ee**2d0*sb**2d0/(4d0*sw**2d0) +   &
                       cima*ee**2d0*sb**2d0/2d0 - cima*ee**2d0*sb**2d0*sw**2d0 &
                       /(4d0*cw**2d0)
      coupl(nGC_229) = cb**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cb**2d0*   &
                       cima*ee**2d0 + cb**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0&
                       ) + cima*cw**2d0*ee**2d0*sb**2d0/(2d0*sw**2d0) - cima*ee&
                       **2d0*sb**2d0 + cima*ee**2d0*sb**2d0*sw**2d0/(2d0*cw**  &
                       2d0)
      coupl(nGC_228) = -cb**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cb**2d0*  &
                       cima*ee**2d0 - cb**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0&
                       ) - cima*cw**2d0*ee**2d0*sb**2d0/(2d0*sw**2d0) + cima*ee&
                       **2d0*sb**2d0 - cima*ee**2d0*sb**2d0*sw**2d0/(2d0*cw**  &
                       2d0)
      coupl(nGC_593) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(ca&
                       *vev1 + sa*vev2)/(cw**3d0*sw**2d0)
      coupl(nGC_591) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev2 - sa*vev1&
                       )/(2d0*cw**2d0*sw**2d0)
      coupl(nGC_595) = cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw&
                       **2d0)
      coupl(nGC_359) = -sqrt(2d0)*cb*ym2/2d0 + sqrt(2d0)*sb*ym1/2d0
      coupl(nGC_358) = -cb*cima*ym2 + cima*sb*ym1
      coupl(nGC_355) = -cb*cima*ye1 - cima*sb*ye2
      coupl(nGC_354) = -sqrt(2d0)*ca*cima*ye1/2d0 - sqrt(2d0)*cima*sa*ye2/2d0
      coupl(nGC_357) = -sqrt(2d0)*ca*cima*ym2/2d0 + sqrt(2d0)*cima*sa*ym1/2d0
      coupl(nGC_356) = -sqrt(2d0)*cb*ye1/2d0 - sqrt(2d0)*sb*ye2/2d0
      coupl(nGC_351) = -sqrt(2d0)*ca*cima*ye2/2d0 + sqrt(2d0)*cima*sa*ye1/2d0
      coupl(nGC_350) = -sqrt(2d0)*cb*ydo1/2d0 - sqrt(2d0)*sb*ydo2/2d0
      coupl(nGC_353) = -sqrt(2d0)*cb*ye2/2d0 + sqrt(2d0)*sb*ye1/2d0
      coupl(nGC_352) = -cb*cima*ye2 + cima*sb*ye1
      coupl(nGC_575) = sqrt(2d0)*sb/2d0
      coupl(nGC_1887) = -ee*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
      coupl(nGC_1886) = ee*(cb**2d0 + sb**2d0)/(2d0*sw)
      coupl(nGC_571) = sqrt(2d0)*(cb*yt2 - sb*yt1)/2d0
      coupl(nGC_1880) = (cb**2d0 + sb**2d0)*(l4 - l5)*(cb*vev2 - sb*vev1)/2d0
      coupl(nGC_573) = sqrt(2d0)*cb/2d0
      coupl(nGC_1739) = cima*ee/3d0
      coupl(nGC_1738) = -sqrt(2d0)*cb/2d0
      coupl(nGC_579) = -sqrt(2d0)*(cb*yt1 + sb*yt2)/2d0
      coupl(nGC_1888) = 4d0*cima*ee**2d0
      coupl(nGC_179) = ca*cb*cima*ee/(2d0*sw) + cima*ee*sa*sb/(2d0*sw)
      coupl(nGC_178) = -ca*cb*cima*ee/(2d0*sw) - cima*ee*sa*sb/(2d0*sw)
      coupl(nGC_171) = cb**4d0*cima*ee**2d0/(2d0*sw**2d0) - 2d0*cb**4d0*cima*l1&
                        + cb**4d0*cima*ee**2d0/(2d0*cw**2d0) + cb**2d0*cima*ee &
                       **2d0*sb**2d0/sw**2d0 - 4d0*cb**2d0*cima*l3*sb**2d0 -   &
                       4d0*cb**2d0*cima*l4*sb**2d0 - 4d0*cb**2d0*cima*l5*sb**  &
                       2d0 + cb**2d0*cima*ee**2d0*sb**2d0/cw**2d0 + cima*ee**  &
                       2d0*sb**4d0/(2d0*sw**2d0) - 2d0*cima*l2*sb**4d0 + cima* &
                       ee**2d0*sb**4d0/(2d0*cw**2d0)
      coupl(nGC_170) = cb**4d0*cima*ee**2d0/(2d0*sw**2d0) - 2d0*cb**4d0*cima*l2&
                        + cb**4d0*cima*ee**2d0/(2d0*cw**2d0) + cb**2d0*cima*ee &
                       **2d0*sb**2d0/sw**2d0 - 4d0*cb**2d0*cima*l3*sb**2d0 -   &
                       4d0*cb**2d0*cima*l4*sb**2d0 - 4d0*cb**2d0*cima*l5*sb**  &
                       2d0 + cb**2d0*cima*ee**2d0*sb**2d0/cw**2d0 + cima*ee**  &
                       2d0*sb**4d0/(2d0*sw**2d0) - 2d0*cima*l1*sb**4d0 + cima* &
                       ee**2d0*sb**4d0/(2d0*cw**2d0)
      coupl(nGC_173) = ca*cima*ee*sb/(2d0*sw) - cb*cima*ee*sa/(2d0*sw)
      coupl(nGC_172) = -ca*cima*ee*sb/(2d0*sw) + cb*cima*ee*sa/(2d0*sw)
      coupl(nGC_175) = ca*cima*ee**2d0*sb/(2d0*sw) - cb*cima*ee**2d0*sa/(2d0*sw)
      coupl(nGC_174) = -ca*cima*ee**2d0*sb/(2d0*sw) + cb*cima*ee**2d0*sa/(2d0* &
                       sw)
      coupl(nGC_177) = ca*cima*ee**2d0*sb/sw - cb*cima*ee**2d0*sa/sw
      coupl(nGC_176) = -ca*cima*ee**2d0*sb/sw + cb*cima*ee**2d0*sa/sw
      coupl(nGC_1643) = cima*ee**2d0*(cb*vev2 - sb*vev1)/cw
      coupl(nGC_1642) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*cw**2d0)
      coupl(nGC_1641) = -cima*ee**2d0*sb/(2d0*cw)
      coupl(nGC_1640) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*cw)
      coupl(nGC_2052) = 2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca**2d0&
                        *cb*l4*sb + ca**2d0*cb*l5*sb - 2d0*ca*cb**2d0*l5*sa +  &
                        2d0*ca*l5*sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa**2d0&
                        *sb + cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
      coupl(nGC_773) = cima/(2d0*cMW)
      coupl(nGC_777) = -cima/(2d0*cMW)
      coupl(nGC_821) = -coupl(nGC_347)
      coupl(nGC_1399) = cima*ee*(ca*sb - cb*sa)/(2d0*sw**2d0)
      coupl(nGC_1398) = cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_1469) = -cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_1468) = -ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_1463) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)**2d0*(cw +  &
                        sw)**2d0/(cw**2d0*sw**2d0)
      coupl(nGC_1390) = -cb*cima
      coupl(nGC_1393) = 3d0*ca**3d0*cima*sa
      coupl(nGC_1392) = -3d0*ca*cima*sa**3d0
      coupl(nGC_1467) = -cima*ee**2d0*(ca*vev2 - sa*vev1)/(2d0*sw**2d0)
      coupl(nGC_1466) = cima*ee**2d0*(ca*vev1 + sa*vev2)/sw**3d0
      coupl(nGC_1465) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(&
                        cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_1396) = 3d0*cima*(ca**4d0*l1 - ca**4d0*l3 - ca**4d0*l4 - ca**  &
                        4d0*l5 - 3d0*ca**2d0*l1*sa**2d0 - 3d0*ca**2d0*l2*sa**  &
                        2d0 + 6d0*ca**2d0*l3*sa**2d0 + 6d0*ca**2d0*l4*sa**2d0  &
                         + 6d0*ca**2d0*l5*sa**2d0 + l2*sa**4d0 - l3*sa**4d0 -  &
                        l4*sa**4d0 - l5*sa**4d0)
      coupl(nGC_2050) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw**2d0)
      coupl(nGC_1265) = -2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_1267) = 2d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_1266) = -2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_1900) = -cima*(ca**3d0*vev1 - 2d0*ca**2d0*sa*vev2 - 2d0*ca*sa**&
                        2d0*vev1 + sa**3d0*vev2)
      coupl(nGC_1901) = -cima*(ca**3d0*vev1 - 2d0*ca**2d0*sa*vev2 - 2d0*ca*sa**&
                        2d0*vev1 + sa**3d0*vev2)
      coupl(nGC_1454) = cima*sb
      coupl(nGC_1903) = -cima*(ca**3d0*vev1 - 2d0*ca**2d0*sa*vev2 - 2d0*ca*sa**&
                        2d0*vev1 + sa**3d0*vev2)
      coupl(nGC_2048) = cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_2049) = cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_2043) = cima*ee**2d0*(ca*vev1 + sa*vev2)/(2d0*sw**2d0)
      coupl(nGC_99) = -cb**2d0*cima*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0*sb**  &
                      2d0/(2d0*sw**2d0)
      coupl(nGC_98) = -cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - cima*ee**2d0*sb**  &
                      2d0/(4d0*sw**2d0)
      coupl(nGC_97) = ca*cb*cima*cw*ee**2d0/(2d0*sw**2d0) - ca*cb*cima*ee**2d0 &
                      /(2d0*cw) + cima*cw*ee**2d0*sa*sb/(2d0*sw**2d0) - cima*ee&
                      **2d0*sa*sb/(2d0*cw)
      coupl(nGC_96) = -ca*cb*cima*cw*ee**2d0/(2d0*sw**2d0) - ca*cb*cima*ee**2d0&
                      /(2d0*cw) - cima*cw*ee**2d0*sa*sb/(2d0*sw**2d0) - cima*ee&
                      **2d0*sa*sb/(2d0*cw)
      coupl(nGC_95) = ca*cb*cima*cw*ee**2d0/(4d0*sw**2d0) + ca*cb*cima*ee**2d0 &
                      /(4d0*cw) + cima*cw*ee**2d0*sa*sb/(4d0*sw**2d0) + cima*ee&
                      **2d0*sa*sb/(4d0*cw)
      coupl(nGC_94) = -ca*cb*cima*cw*ee**2d0/(4d0*sw**2d0) + ca*cb*cima*ee**2d0&
                      /(4d0*cw) - cima*cw*ee**2d0*sa*sb/(4d0*sw**2d0) + cima*ee&
                      **2d0*sa*sb/(4d0*cw)
      coupl(nGC_93) = ca*cb*ee**2d0/(2d0*sw**2d0) + ee**2d0*sa*sb/(2d0*sw**2d0)
      coupl(nGC_92) = ca*cb*ee**2d0/(4d0*sw**2d0) + ee**2d0*sa*sb/(4d0*sw**2d0)
      coupl(nGC_91) = -ca*cb*ee**2d0/(4d0*sw**2d0) - ee**2d0*sa*sb/(4d0*sw**2d0)
      coupl(nGC_90) = -ca*cb*ee**2d0/(2d0*sw**2d0) - ee**2d0*sa*sb/(2d0*sw**2d0)
      coupl(nGC_75) = -ca**2d0*cima*ee**2d0/(4d0*sw**2d0) - cima*ee**2d0*sa**  &
                      2d0/(4d0*sw**2d0)
      coupl(nGC_77) = ca**2d0*cima*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0*sa**2d0&
                      /(2d0*sw**2d0)
      coupl(nGC_76) = -ca**2d0*cima*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0*sa**  &
                      2d0/(2d0*sw**2d0)
      coupl(nGC_71) = -cb**4d0*cima*l3 - cb**4d0*cima*l4 - 2d0*cb**2d0*cima*l1*&
                      sb**2d0 - 2d0*cb**2d0*cima*l2*sb**2d0 + 2d0*cb**2d0*cima*&
                      l3*sb**2d0 + 2d0*cb**2d0*cima*l4*sb**2d0 + 4d0*cb**2d0*  &
                      cima*l5*sb**2d0 - cima*l3*sb**4d0 - cima*l4*sb**4d0
      coupl(nGC_70) = -cb**4d0*cima*l3 - cb**2d0*cima*l1*sb**2d0 - cb**2d0*cima&
                      *l2*sb**2d0 + 2d0*cb**2d0*cima*l4*sb**2d0 + 2d0*cb**2d0* &
                      cima*l5*sb**2d0 - cima*l3*sb**4d0
      coupl(nGC_73) = -cb**4d0*cima*l3 - cb**4d0*cima*l4 - cb**4d0*cima*l5 -   &
                      3d0*cb**2d0*cima*l1*sb**2d0 - 3d0*cb**2d0*cima*l2*sb**2d0&
                       + 4d0*cb**2d0*cima*l3*sb**2d0 + 4d0*cb**2d0*cima*l4*sb**&
                      2d0 + 4d0*cb**2d0*cima*l5*sb**2d0 - cima*l3*sb**4d0 -    &
                      cima*l4*sb**4d0 - cima*l5*sb**4d0
      coupl(nGC_72) = -cb**4d0*cima*l4/2d0 - cb**4d0*cima*l5/2d0 - cb**2d0*cima&
                      *l1*sb**2d0 - cb**2d0*cima*l2*sb**2d0 + 2d0*cb**2d0*cima*&
                      l3*sb**2d0 + cb**2d0*cima*l4*sb**2d0 + cb**2d0*cima*l5*sb&
                      **2d0 - cima*l4*sb**4d0/2d0 - cima*l5*sb**4d0/2d0
      coupl(nGC_79) = -ca*ee**2d0*sb/(4d0*sw**2d0) + cb*ee**2d0*sa/(4d0*sw**2d0)
      coupl(nGC_78) = -ca*ee**2d0*sb/(2d0*sw**2d0) + cb*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_2282) = -3d0*cb**4d0*cima
      coupl(nGC_2283) = -3d0*cima*sb**4d0
      coupl(nGC_2280) = -12d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0*l4&
                         + cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0 - &
                        l5*sb**2d0)
      coupl(nGC_2281) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2284) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2285) = -6d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2260) = -8d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0*l4 &
                         + cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0 - &
                        l5*sb**2d0)
      coupl(nGC_2261) = -4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2262) = -2d0*cb**4d0*cima
      coupl(nGC_2263) = -2d0*cima*sb**4d0
      coupl(nGC_218) = -cb**2d0*cima*cw*ee/(2d0*sw) + cb**2d0*cima*ee*sw/(2d0* &
                       cw) - cima*cw*ee*sb**2d0/(2d0*sw) + cima*ee*sb**2d0*sw/(&
                       2d0*cw)
      coupl(nGC_219) = cb**2d0*cima*cw*ee**2d0/(2d0*sw) - cb**2d0*cima*ee**2d0*&
                       sw/(2d0*cw) + cima*cw*ee**2d0*sb**2d0/(2d0*sw) - cima*ee&
                       **2d0*sb**2d0*sw/(2d0*cw)
      coupl(nGC_214) = ca*cw*ee*sb/(2d0*sw) + ca*ee*sb*sw/(2d0*cw) - cb*cw*ee* &
                       sa/(2d0*sw) - cb*ee*sa*sw/(2d0*cw)
      coupl(nGC_215) = -ca*cb*cw*ee/(2d0*sw) - ca*cb*ee*sw/(2d0*cw) - cw*ee*sa*&
                       sb/(2d0*sw) - ee*sa*sb*sw/(2d0*cw)
      coupl(nGC_216) = ca*cb*cw*ee/(2d0*sw) + ca*cb*ee*sw/(2d0*cw) + cw*ee*sa* &
                       sb/(2d0*sw) + ee*sa*sb*sw/(2d0*cw)
      coupl(nGC_217) = cb**2d0*cima*cw*ee/(2d0*sw) - cb**2d0*cima*ee*sw/(2d0*cw&
                       ) + cima*cw*ee*sb**2d0/(2d0*sw) - cima*ee*sb**2d0*sw/(  &
                       2d0*cw)
      coupl(nGC_210) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
      coupl(nGC_211) = -cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
      coupl(nGC_212) = cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
      coupl(nGC_213) = -ca*cw*ee*sb/(2d0*sw) - ca*ee*sb*sw/(2d0*cw) + cb*cw*ee*&
                       sa/(2d0*sw) + cb*ee*sa*sw/(2d0*cw)
      coupl(nGC_2219) = 3d0*cb**3d0*cima*sb
      coupl(nGC_2218) = -3d0*cb*cima*sb**3d0
      coupl(nGC_368) = -sqrt(2d0)*cb*yd12x2/2d0 - sqrt(2d0)*sb*ys2/2d0
      coupl(nGC_369) = -sqrt(2d0)*ca*cima*yt2/2d0 + sqrt(2d0)*cima*sa*yt1/2d0
      coupl(nGC_360) = -sqrt(2d0)*ca*cima*ym1/2d0 - sqrt(2d0)*cima*sa*ym2/2d0
      coupl(nGC_361) = -cb*cima*ym1 - cima*sb*ym2
      coupl(nGC_362) = -sqrt(2d0)*cb*ym1/2d0 - sqrt(2d0)*sb*ym2/2d0
      coupl(nGC_363) = -sqrt(2d0)*ca*cima*ys2/2d0 + sqrt(2d0)*cima*sa*yd12x2/2d0
      coupl(nGC_364) = -cb*cima*ys2 + cima*sb*yd12x2
      coupl(nGC_365) = -sqrt(2d0)*cb*ys2/2d0 + sqrt(2d0)*sb*yd12x2/2d0
      coupl(nGC_366) = -sqrt(2d0)*ca*cima*yd12x2/2d0 - sqrt(2d0)*cima*sa*ys2/2d0
      coupl(nGC_367) = -cb*cima*yd12x2 - cima*sb*ys2
      coupl(nGC_1892) = cima*ee*(ca*cb + sa*sb)/(2d0*sw**2d0)
      coupl(nGC_541) = cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_1890) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_543) = -cima*(ca*sb**2d0*vev2 - cb**2d0*sa*vev1)
      coupl(nGC_1896) = -cima*sa*(3d0*ca**2d0*l2 - 2d0*ca**2d0*l3 - 2d0*ca**2d0&
                        *l4 - 2d0*ca**2d0*l5 + l3*sa**2d0 + l4*sa**2d0 + l5*sa &
                        **2d0)
      coupl(nGC_1897) = -ca*cima*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + 3d0*l1&
                        *sa**2d0 - 2d0*l3*sa**2d0 - 2d0*l4*sa**2d0 - 2d0*l5*sa &
                        **2d0)
      coupl(nGC_1894) = cima*ee*(cb**2d0 + sb**2d0)
      coupl(nGC_547) = cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_1898) = -3d0*ca**2d0*cima*sa*vev2
      coupl(nGC_1899) = -3d0*ca*cima*sa**2d0*vev1
      coupl(nGC_2196) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_2197) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_2194) = -2d0*cb*cima*sb**3d0
      coupl(nGC_144) = -ca**2d0*cb**2d0*cima*ee**2d0/(2d0*sw**2d0) - ca**2d0*cb&
                       **2d0*cima*l2 - ca**2d0*cima*l3*sb**2d0 - ca*cb*cima*ee &
                       **2d0*sa*sb/sw**2d0 - 2d0*ca*cb*cima*l4*sa*sb - 2d0*ca* &
                       cb*cima*l5*sa*sb - cb**2d0*cima*l3*sa**2d0 - cima*ee**  &
                       2d0*sa**2d0*sb**2d0/(2d0*sw**2d0) - cima*l1*sa**2d0*sb**&
                       2d0
      coupl(nGC_145) = -ca**2d0*cb**2d0*cima*ee**2d0/(2d0*sw**2d0) - ca**2d0*cb&
                       **2d0*cima*l2 - ca**2d0*cb**2d0*cima*ee**2d0/(2d0*cw**  &
                       2d0) - ca**2d0*cima*l3*sb**2d0 - ca**2d0*cima*l4*sb**2d0&
                        + ca**2d0*cima*l5*sb**2d0 - ca*cb*cima*ee**2d0*sa*sb/sw&
                       **2d0 - 4d0*ca*cb*cima*l5*sa*sb - ca*cb*cima*ee**2d0*sa*&
                       sb/cw**2d0 - cb**2d0*cima*l3*sa**2d0 - cb**2d0*cima*l4* &
                       sa**2d0 + cb**2d0*cima*l5*sa**2d0 - cima*ee**2d0*sa**2d0&
                       *sb**2d0/(2d0*sw**2d0) - cima*l1*sa**2d0*sb**2d0 - cima*&
                       ee**2d0*sa**2d0*sb**2d0/(2d0*cw**2d0)
      coupl(nGC_146) = -ca**2d0*cb**2d0*cima*ee**2d0/(2d0*sw**2d0) - ca**2d0*cb&
                       **2d0*cima*l1 - ca**2d0*cima*l3*sb**2d0 - ca*cb*cima*ee &
                       **2d0*sa*sb/sw**2d0 - 2d0*ca*cb*cima*l4*sa*sb - 2d0*ca* &
                       cb*cima*l5*sa*sb - cb**2d0*cima*l3*sa**2d0 - cima*ee**  &
                       2d0*sa**2d0*sb**2d0/(2d0*sw**2d0) - cima*l2*sa**2d0*sb**&
                       2d0
      coupl(nGC_147) = -ca**2d0*cb**2d0*cima*ee**2d0/(2d0*sw**2d0) - ca**2d0*cb&
                       **2d0*cima*l1 - ca**2d0*cb**2d0*cima*ee**2d0/(2d0*cw**  &
                       2d0) - ca**2d0*cima*l3*sb**2d0 - ca**2d0*cima*l4*sb**2d0&
                        + ca**2d0*cima*l5*sb**2d0 - ca*cb*cima*ee**2d0*sa*sb/sw&
                       **2d0 - 4d0*ca*cb*cima*l5*sa*sb - ca*cb*cima*ee**2d0*sa*&
                       sb/cw**2d0 - cb**2d0*cima*l3*sa**2d0 - cb**2d0*cima*l4* &
                       sa**2d0 + cb**2d0*cima*l5*sa**2d0 - cima*ee**2d0*sa**2d0&
                       *sb**2d0/(2d0*sw**2d0) - cima*l2*sa**2d0*sb**2d0 - cima*&
                       ee**2d0*sa**2d0*sb**2d0/(2d0*cw**2d0)
      coupl(nGC_140) = ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb &
                       **2d0*cima*l1 - ca**2d0*cima*l3*sb**2d0 + ca*cb*cima*ee &
                       **2d0*sa*sb/(2d0*sw**2d0) - 2d0*ca*cb*cima*l4*sa*sb -   &
                       2d0*ca*cb*cima*l5*sa*sb - cb**2d0*cima*l3*sa**2d0 + cima&
                       *ee**2d0*sa**2d0*sb**2d0/(4d0*sw**2d0) - cima*l2*sa**2d0&
                       *sb**2d0
      coupl(nGC_141) = ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb &
                       **2d0*cima*l1 + ca**2d0*cb**2d0*cima*ee**2d0/(4d0*cw**  &
                       2d0) - ca**2d0*cima*l3*sb**2d0 - ca**2d0*cima*l4*sb**2d0&
                        + ca**2d0*cima*l5*sb**2d0 + ca*cb*cima*ee**2d0*sa*sb/( &
                       2d0*sw**2d0) - 4d0*ca*cb*cima*l5*sa*sb + ca*cb*cima*ee**&
                       2d0*sa*sb/(2d0*cw**2d0) - cb**2d0*cima*l3*sa**2d0 - cb**&
                       2d0*cima*l4*sa**2d0 + cb**2d0*cima*l5*sa**2d0 + cima*ee &
                       **2d0*sa**2d0*sb**2d0/(4d0*sw**2d0) - cima*l2*sa**2d0*sb&
                       **2d0 + cima*ee**2d0*sa**2d0*sb**2d0/(4d0*cw**2d0)
      coupl(nGC_142) = ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb &
                       **2d0*cima*l4/2d0 - ca**2d0*cb**2d0*cima*l5/2d0 + ca**  &
                       2d0*cima*l4*sb**2d0/2d0 + ca**2d0*cima*l5*sb**2d0/2d0 + &
                       ca*cb*cima*ee**2d0*sa*sb/(2d0*sw**2d0) - ca*cb*cima*l1* &
                       sa*sb - ca*cb*cima*l2*sa*sb + 2d0*ca*cb*cima*l3*sa*sb + &
                       cb**2d0*cima*l4*sa**2d0/2d0 + cb**2d0*cima*l5*sa**2d0/  &
                       2d0 + cima*ee**2d0*sa**2d0*sb**2d0/(4d0*sw**2d0) - cima*&
                       l4*sa**2d0*sb**2d0/2d0 - cima*l5*sa**2d0*sb**2d0/2d0
      coupl(nGC_143) = ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb &
                       **2d0*cima*l5 + ca**2d0*cb**2d0*cima*ee**2d0/(4d0*cw**  &
                       2d0) + ca**2d0*cima*l5*sb**2d0 + ca*cb*cima*ee**2d0*sa* &
                       sb/(2d0*sw**2d0) - ca*cb*cima*l1*sa*sb - ca*cb*cima*l2* &
                       sa*sb + 2d0*ca*cb*cima*l3*sa*sb + 2d0*ca*cb*cima*l4*sa* &
                       sb - 2d0*ca*cb*cima*l5*sa*sb + ca*cb*cima*ee**2d0*sa*sb &
                       /(2d0*cw**2d0) + cb**2d0*cima*l5*sa**2d0 + cima*ee**2d0*&
                       sa**2d0*sb**2d0/(4d0*sw**2d0) - cima*l5*sa**2d0*sb**2d0 &
                        + cima*ee**2d0*sa**2d0*sb**2d0/(4d0*cw**2d0)
      coupl(nGC_2192) = 2d0*cima*(cb**4d0*l1 - cb**4d0*l3 - cb**4d0*l4 - cb**  &
                        4d0*l5 - 3d0*cb**2d0*l1*sb**2d0 - 3d0*cb**2d0*l2*sb**  &
                        2d0 + 6d0*cb**2d0*l3*sb**2d0 + 6d0*cb**2d0*l4*sb**2d0  &
                         + 6d0*cb**2d0*l5*sb**2d0 + l2*sb**4d0 - l3*sb**4d0 -  &
                        l4*sb**4d0 - l5*sb**4d0)
      coupl(nGC_148) = -ca*cb**2d0*ee**2d0*sb/(4d0*sw**2d0) + ca*cb**2d0*ee**  &
                       2d0*sb/(4d0*cw**2d0) - ca*ee**2d0*sb**3d0/(4d0*sw**2d0  &
                       ) + ca*ee**2d0*sb**3d0/(4d0*cw**2d0) + cb**3d0*ee**2d0* &
                       sa/(4d0*sw**2d0) - cb**3d0*ee**2d0*sa/(4d0*cw**2d0) + cb&
                       *ee**2d0*sa*sb**2d0/(4d0*sw**2d0) - cb*ee**2d0*sa*sb**  &
                       2d0/(4d0*cw**2d0)
      coupl(nGC_149) = -ca*cb**2d0*ee**2d0*sb/(4d0*sw**2d0) + ca*cb**2d0*l4*sb/&
                       2d0 - ca*cb**2d0*l5*sb/2d0 - ca*ee**2d0*sb**3d0/(4d0*sw &
                       **2d0) + ca*l4*sb**3d0/2d0 - ca*l5*sb**3d0/2d0 + cb**3d0&
                       *ee**2d0*sa/(4d0*sw**2d0) - cb**3d0*l4*sa/2d0 + cb**3d0*&
                       l5*sa/2d0 + cb*ee**2d0*sa*sb**2d0/(4d0*sw**2d0) - cb*l4*&
                       sa*sb**2d0/2d0 + cb*l5*sa*sb**2d0/2d0
      coupl(nGC_2193) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_287) = ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0*&
                       cima*l2*vev2 - ca*cb*cima*ee**2d0*sb*vev1/(4d0*sw**2d0  &
                       ) + ca*cb*cima*l4*sb*vev1 + ca*cb*cima*l5*sb*vev1 - ca* &
                       cima*l3*sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1 + cb*cima&
                       *ee**2d0*sa*sb*vev2/(4d0*sw**2d0) - cb*cima*l4*sa*sb*   &
                       vev2 - cb*cima*l5*sa*sb*vev2 - cima*ee**2d0*sa*sb**2d0* &
                       vev1/(4d0*sw**2d0) + cima*l1*sa*sb**2d0*vev1
      coupl(nGC_1355) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/( &
                        cw*sw**2d0)
      coupl(nGC_1354) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(&
                        cw**2d0*sw)
      coupl(nGC_1357) = (cb**2d0 + sb**2d0)*(cb*vev2 - sb*vev1)/2d0
      coupl(nGC_1356) = -(cb**2d0 + sb**2d0)*(cb*vev2 - sb*vev1)/2d0
      coupl(nGC_781) = 1d0/(2d0*cMZ)
      coupl(nGC_1386) = -sqrt(2d0)*cima*(ca*ye2 - sa*ye1)/2d0
      coupl(nGC_1387) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_MI) = -cima
      coupl(nGC_1385) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1353) = -2d0*cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw +  &
                        sw)/(cw*sw)
      coupl(nGC_MM) = -cMM*cima
      coupl(nGC_1893) = cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_MC) = -cMC*cima
      coupl(nGC_MB) = -cMB*cima
      coupl(nGC_1352) = 2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_ME) = -cME*cima
      coupl(nGC_MD) = -cMD*cima
      coupl(nGC_1478) = -cima*(ca*cb*l4*sb + ca*cb*l5*sb + cb**2d0*l3*sa + l2* &
                        sa*sb**2d0)
      coupl(nGC_MZ) = cMZ**2d0*cima
      coupl(nGC_1891) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_1470) = -cima*ee**2d0*(ca*vev1 + sa*vev2)/sw**2d0
      coupl(nGC_MW) = cMW**2d0*cima
      coupl(nGC_MU) = -cMU*cima
      coupl(nGC_1477) = cima*(-ca*cb**2d0*l4*vev2 - ca*cb**2d0*l5*vev2 + 2d0*ca&
                        *cb*l1*sb*vev1 - 2d0*ca*cb*l3*sb*vev1 + ca*l4*sb**2d0* &
                        vev2 + ca*l5*sb**2d0*vev2 - cb**2d0*l4*sa*vev1 - cb**  &
                        2d0*l5*sa*vev1 - 2d0*cb*l2*sa*sb*vev2 + 2d0*cb*l3*sa*sb&
                        *vev2 + l4*sa*sb**2d0*vev1 + l5*sa*sb**2d0*vev1)
      coupl(nGC_1895) = 4d0*cima*ee**2d0*(cb**2d0 + sb**2d0)
      coupl(nGC_1272) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1273) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1276) = -(cb**2d0 + sb**2d0)*(cb*vev2 - sb*vev1)/2d0
      coupl(nGC_1277) = cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_1274) = sqrt(2d0)*cima*(ca*ydo1 + sa*ydo2)/2d0
      coupl(nGC_1275) = (cb**2d0 + sb**2d0)*(cb*vev2 - sb*vev1)/2d0
      coupl(nGC_1278) = -sb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_1279) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(cb*vev1 + sb*vev2)/2d0
      coupl(nGC_2079) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_2078) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_2075) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_2074) = 2d0*cima*(-ca**2d0*cb*l2*sb + ca**2d0*cb*l3*sb + ca*cb &
                        **2d0*l4*sa + ca*cb**2d0*l5*sa - ca*l4*sa*sb**2d0 - ca*&
                        l5*sa*sb**2d0 + cb*l1*sa**2d0*sb - cb*l3*sa**2d0*sb)
      coupl(nGC_2077) = -cb**2d0*cima*sa**2d0
      coupl(nGC_2076) = -ca**2d0*cima*sb**2d0
      coupl(nGC_88) = ca*cima*cw*ee**2d0*sb/(2d0*sw**2d0) - ca*cima*ee**2d0*sb &
                      /(2d0*cw) - cb*cima*cw*ee**2d0*sa/(2d0*sw**2d0) + cb*cima&
                      *ee**2d0*sa/(2d0*cw)
      coupl(nGC_89) = ca*cima*cw*ee**2d0*sb/(2d0*sw**2d0) + ca*cima*ee**2d0*sb &
                      /(2d0*cw) - cb*cima*cw*ee**2d0*sa/(2d0*sw**2d0) - cb*cima&
                      *ee**2d0*sa/(2d0*cw)
      coupl(nGC_80) = ca*ee**2d0*sb/(4d0*sw**2d0) - cb*ee**2d0*sa/(4d0*sw**2d0)
      coupl(nGC_81) = ca*ee**2d0*sb/(2d0*sw**2d0) - cb*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_82) = -ca*cima*cw*ee**2d0*sb/(4d0*sw**2d0) - ca*cima*ee**2d0*sb&
                      /(4d0*cw) + cb*cima*cw*ee**2d0*sa/(4d0*sw**2d0) + cb*cima&
                      *ee**2d0*sa/(4d0*cw)
      coupl(nGC_83) = -ca*cima*cw*ee**2d0*sb/(4d0*sw**2d0) + ca*cima*ee**2d0*sb&
                      /(4d0*cw) + cb*cima*cw*ee**2d0*sa/(4d0*sw**2d0) - cb*cima&
                      *ee**2d0*sa/(4d0*cw)
      coupl(nGC_84) = ca*cima*cw*ee**2d0*sb/(4d0*sw**2d0) - ca*cima*ee**2d0*sb &
                      /(4d0*cw) - cb*cima*cw*ee**2d0*sa/(4d0*sw**2d0) + cb*cima&
                      *ee**2d0*sa/(4d0*cw)
      coupl(nGC_85) = ca*cima*cw*ee**2d0*sb/(4d0*sw**2d0) + ca*cima*ee**2d0*sb &
                      /(4d0*cw) - cb*cima*cw*ee**2d0*sa/(4d0*sw**2d0) - cb*cima&
                      *ee**2d0*sa/(4d0*cw)
      coupl(nGC_86) = -ca*cima*cw*ee**2d0*sb/(2d0*sw**2d0) - ca*cima*ee**2d0*sb&
                      /(2d0*cw) + cb*cima*cw*ee**2d0*sa/(2d0*sw**2d0) + cb*cima&
                      *ee**2d0*sa/(2d0*cw)
      coupl(nGC_87) = -ca*cima*cw*ee**2d0*sb/(2d0*sw**2d0) + ca*cima*ee**2d0*sb&
                      /(2d0*cw) + cb*cima*cw*ee**2d0*sa/(2d0*sw**2d0) - cb*cima&
                      *ee**2d0*sa/(2d0*cw)
      coupl(nGC_66) = -3d0*cb**4d0*cima*l2 - 6d0*cb**2d0*cima*l3*sb**2d0 - 6d0*&
                      cb**2d0*cima*l4*sb**2d0 - 6d0*cb**2d0*cima*l5*sb**2d0 -  &
                      3d0*cima*l1*sb**4d0
      coupl(nGC_67) = -cb**4d0*cima*l1 - 2d0*cb**2d0*cima*l3*sb**2d0 - 2d0*cb**&
                      2d0*cima*l4*sb**2d0 - 2d0*cb**2d0*cima*l5*sb**2d0 - cima*&
                      l2*sb**4d0
      coupl(nGC_64) = -cb**4d0*cima*l2 - 2d0*cb**2d0*cima*l3*sb**2d0 - 2d0*cb**&
                      2d0*cima*l4*sb**2d0 - 2d0*cb**2d0*cima*l5*sb**2d0 - cima*&
                      l1*sb**4d0
      coupl(nGC_65) = -2d0*cb**4d0*cima*l2 - 4d0*cb**2d0*cima*l3*sb**2d0 - 4d0*&
                      cb**2d0*cima*l4*sb**2d0 - 4d0*cb**2d0*cima*l5*sb**2d0 -  &
                      2d0*cima*l1*sb**4d0
      coupl(nGC_62) = ca*cb**3d0*l4/2d0 - ca*cb**3d0*l5/2d0 + ca*cb*l4*sb**2d0/&
                      2d0 - ca*cb*l5*sb**2d0/2d0 + cb**2d0*l4*sa*sb/2d0 - cb** &
                      2d0*l5*sa*sb/2d0 + l4*sa*sb**3d0/2d0 - l5*sa*sb**3d0/2d0
      coupl(nGC_63) = -ca*cb**3d0*l4/2d0 + ca*cb**3d0*l5/2d0 - ca*cb*l4*sb**2d0&
                      /2d0 + ca*cb*l5*sb**2d0/2d0 - cb**2d0*l4*sa*sb/2d0 + cb**&
                      2d0*l5*sa*sb/2d0 - l4*sa*sb**3d0/2d0 + l5*sa*sb**3d0/2d0
      coupl(nGC_60) = -ca*cb**3d0*ee**2d0/(4d0*cw**2d0) - ca*cb*ee**2d0*sb**2d0&
                      /(4d0*cw**2d0) - cb**2d0*ee**2d0*sa*sb/(4d0*cw**2d0) - ee&
                      **2d0*sa*sb**3d0/(4d0*cw**2d0)
      coupl(nGC_61) = ca*cb**3d0*ee**2d0/(4d0*cw**2d0) + ca*cb*ee**2d0*sb**2d0 &
                      /(4d0*cw**2d0) + cb**2d0*ee**2d0*sa*sb/(4d0*cw**2d0) + ee&
                      **2d0*sa*sb**3d0/(4d0*cw**2d0)
      coupl(nGC_68) = -2d0*cb**4d0*cima*l1 - 4d0*cb**2d0*cima*l3*sb**2d0 - 4d0*&
                      cb**2d0*cima*l4*sb**2d0 - 4d0*cb**2d0*cima*l5*sb**2d0 -  &
                      2d0*cima*l2*sb**4d0
      coupl(nGC_69) = -3d0*cb**4d0*cima*l1 - 6d0*cb**2d0*cima*l3*sb**2d0 - 6d0*&
                      cb**2d0*cima*l4*sb**2d0 - 6d0*cb**2d0*cima*l5*sb**2d0 -  &
                      3d0*cima*l2*sb**4d0
      coupl(nGC_2253) = -cima*sb**4d0
      coupl(nGC_2252) = -cb**4d0*cima
      coupl(nGC_2255) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2254) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2383) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw**2d0)
      coupl(nGC_2382) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_2381) = cima*ee**2d0*(ca*cb + sa*sb)/sw
      coupl(nGC_2387) = -cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw**2d0 + sw**2d0)**&
                        2d0/(cw**2d0*sw**2d0)
      coupl(nGC_2385) = -cima*ee**2d0*(ca**2d0 + sa**2d0)/sw**2d0
      coupl(nGC_2384) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_2389) = cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw)*( &
                        cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_2388) = -cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw)*(&
                        cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_1644) = cb*cima*ee**2d0/(2d0*cw)
      coupl(nGC_209) = -cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
      coupl(nGC_208) = cima*ee*sw/cw
      coupl(nGC_203) = cima*cw*ee**2d0/sw
      coupl(nGC_202) = -cima*cw*ee**2d0/sw
      coupl(nGC_201) = 2d0*cima*cw*ee/sw
      coupl(nGC_200) = -2d0*cima*cw*ee/sw
      coupl(nGC_207) = -2d0*cima*ee*sw/(3d0*cw)
      coupl(nGC_206) = cima*ee*sw/(3d0*cw)
      coupl(nGC_205) = 2d0*cima*cw*ee**2d0/sw
      coupl(nGC_204) = -2d0*cima*cw*ee**2d0/sw
      coupl(nGC_377) = -sqrt(2d0)*cb*ytau2/2d0 + sqrt(2d0)*sb*ytau1/2d0
      coupl(nGC_376) = -cb*cima*ytau2 + cima*sb*ytau1
      coupl(nGC_375) = -sqrt(2d0)*ca*cima*ytau2/2d0 + sqrt(2d0)*cima*sa*ytau1/ &
                       2d0
      coupl(nGC_374) = sqrt(2d0)*cb*yt1/2d0 + sqrt(2d0)*sb*yt2/2d0
      coupl(nGC_373) = cb*cima*yt1 + cima*sb*yt2
      coupl(nGC_372) = -sqrt(2d0)*ca*cima*yt1/2d0 - sqrt(2d0)*cima*sa*yt2/2d0
      coupl(nGC_371) = sqrt(2d0)*cb*yt2/2d0 - sqrt(2d0)*sb*yt1/2d0
      coupl(nGC_370) = cb*cima*yt2 - cima*sb*yt1
      coupl(nGC_379) = -cb*cima*ytau1 - cima*sb*ytau2
      coupl(nGC_378) = -sqrt(2d0)*ca*cima*ytau1/2d0 - sqrt(2d0)*cima*sa*ytau2/ &
                       2d0
      coupl(nGC_1351) = -2d0*cima*ee**2d0/sw
      coupl(nGC_559) = ca*cb*cima*sb*vev1
      coupl(nGC_1868) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw**2d0)
      coupl(nGC_1715) = sqrt(2d0)*(cb*yc2 - sb*yc1)/2d0
      coupl(nGC_1714) = -cima*(ca**3d0*vev2 + 2d0*ca**2d0*sa*vev1 - 2d0*ca*sa**&
                        2d0*vev2 - sa**3d0*vev1)
      coupl(nGC_555) = -cima*(ca*cb**2d0*l4*vev1 + ca*cb**2d0*l5*vev1 + 2d0*ca*&
                       cb*l2*sb*vev2 - 2d0*ca*cb*l3*sb*vev2 - ca*l4*sb**2d0*   &
                       vev1 - ca*l5*sb**2d0*vev1 - cb**2d0*l4*sa*vev2 - cb**2d0&
                       *l5*sa*vev2 + 2d0*cb*l1*sa*sb*vev1 - 2d0*cb*l3*sa*sb*   &
                       vev1 + l4*sa*sb**2d0*vev2 + l5*sa*sb**2d0*vev2)/2d0
      coupl(nGC_1716) = sqrt(2d0)*cb/2d0
      coupl(nGC_1711) = -cima*(ca**3d0*vev2 + 2d0*ca**2d0*sa*vev1 - 2d0*ca*sa**&
                        2d0*vev2 - sa**3d0*vev1)
      coupl(nGC_1710) = 3d0*ca**2d0*cima*sa*vev1
      coupl(nGC_1713) = cima*(3d0*ca**3d0*l1*vev1 - 2d0*ca**3d0*l3*vev1 - 2d0* &
                        ca**3d0*l4*vev1 - 2d0*ca**3d0*l5*vev1 - 6d0*ca**2d0*l2*&
                        sa*vev2 + 7d0*ca**2d0*l3*sa*vev2 + 7d0*ca**2d0*l4*sa*  &
                        vev2 + 7d0*ca**2d0*l5*sa*vev2 - 6d0*ca*l1*sa**2d0*vev1 &
                         + 7d0*ca*l3*sa**2d0*vev1 + 7d0*ca*l4*sa**2d0*vev1 +   &
                        7d0*ca*l5*sa**2d0*vev1 + 3d0*l2*sa**3d0*vev2 - 2d0*l3* &
                        sa**3d0*vev2 - 2d0*l4*sa**3d0*vev2 - 2d0*l5*sa**3d0*   &
                        vev2)
      coupl(nGC_1712) = -cima*(ca**3d0*vev2 + 2d0*ca**2d0*sa*vev1 - 2d0*ca*sa**&
                        2d0*vev2 - sa**3d0*vev1)
      coupl(nGC_1350) = -4d0*cima*cw*ee**2d0/sw
      coupl(nGC_153) = ca*cb**2d0*ee**2d0*sb/(4d0*sw**2d0) - ca*cb**2d0*l4*sb/ &
                       2d0 + ca*cb**2d0*l5*sb/2d0 + ca*ee**2d0*sb**3d0/(4d0*sw &
                       **2d0) - ca*l4*sb**3d0/2d0 + ca*l5*sb**3d0/2d0 - cb**3d0&
                       *ee**2d0*sa/(4d0*sw**2d0) + cb**3d0*l4*sa/2d0 - cb**3d0*&
                       l5*sa/2d0 - cb*ee**2d0*sa*sb**2d0/(4d0*sw**2d0) + cb*l4*&
                       sa*sb**2d0/2d0 - cb*l5*sa*sb**2d0/2d0
      coupl(nGC_152) = ca*cb**2d0*ee**2d0*sb/(4d0*sw**2d0) + ca*cb**2d0*l4*sb/ &
                       2d0 - ca*cb**2d0*l5*sb/2d0 + ca*ee**2d0*sb**3d0/(4d0*sw &
                       **2d0) + ca*l4*sb**3d0/2d0 - ca*l5*sb**3d0/2d0 - cb**3d0&
                       *ee**2d0*sa/(4d0*sw**2d0) - cb**3d0*l4*sa/2d0 + cb**3d0*&
                       l5*sa/2d0 - cb*ee**2d0*sa*sb**2d0/(4d0*sw**2d0) - cb*l4*&
                       sa*sb**2d0/2d0 + cb*l5*sa*sb**2d0/2d0
      coupl(nGC_151) = ca*cb**2d0*ee**2d0*sb/(4d0*sw**2d0) - ca*cb**2d0*ee**2d0&
                       *sb/(4d0*cw**2d0) + ca*ee**2d0*sb**3d0/(4d0*sw**2d0) -  &
                       ca*ee**2d0*sb**3d0/(4d0*cw**2d0) - cb**3d0*ee**2d0*sa/( &
                       4d0*sw**2d0) + cb**3d0*ee**2d0*sa/(4d0*cw**2d0) - cb*ee &
                       **2d0*sa*sb**2d0/(4d0*sw**2d0) + cb*ee**2d0*sa*sb**2d0/(&
                       4d0*cw**2d0)
      coupl(nGC_150) = -ca*cb**2d0*ee**2d0*sb/(4d0*sw**2d0) - ca*cb**2d0*l4*sb/&
                       2d0 + ca*cb**2d0*l5*sb/2d0 - ca*ee**2d0*sb**3d0/(4d0*sw &
                       **2d0) - ca*l4*sb**3d0/2d0 + ca*l5*sb**3d0/2d0 + cb**3d0&
                       *ee**2d0*sa/(4d0*sw**2d0) + cb**3d0*l4*sa/2d0 - cb**3d0*&
                       l5*sa/2d0 + cb*ee**2d0*sa*sb**2d0/(4d0*sw**2d0) + cb*l4*&
                       sa*sb**2d0/2d0 - cb*l5*sa*sb**2d0/2d0
      coupl(nGC_157) = ca*cb**3d0*ee**2d0/(4d0*sw**2d0) - ca*cb**3d0*ee**2d0/( &
                       4d0*cw**2d0) + ca*cb*ee**2d0*sb**2d0/(4d0*sw**2d0) - ca*&
                       cb*ee**2d0*sb**2d0/(4d0*cw**2d0) + cb**2d0*ee**2d0*sa*sb&
                       /(4d0*sw**2d0) - cb**2d0*ee**2d0*sa*sb/(4d0*cw**2d0) +  &
                       ee**2d0*sa*sb**3d0/(4d0*sw**2d0) - ee**2d0*sa*sb**3d0/( &
                       4d0*cw**2d0)
      coupl(nGC_156) = -ca*cb**3d0*ee**2d0/(4d0*sw**2d0) - ca*cb**3d0*l4/2d0 + &
                       ca*cb**3d0*l5/2d0 - ca*cb*ee**2d0*sb**2d0/(4d0*sw**2d0  &
                       ) - ca*cb*l4*sb**2d0/2d0 + ca*cb*l5*sb**2d0/2d0 - cb**  &
                       2d0*ee**2d0*sa*sb/(4d0*sw**2d0) - cb**2d0*l4*sa*sb/2d0  &
                        + cb**2d0*l5*sa*sb/2d0 - ee**2d0*sa*sb**3d0/(4d0*sw**  &
                       2d0) - l4*sa*sb**3d0/2d0 + l5*sa*sb**3d0/2d0
      coupl(nGC_155) = -ca*cb**3d0*ee**2d0/(4d0*sw**2d0) + ca*cb**3d0*l4/2d0 - &
                       ca*cb**3d0*l5/2d0 - ca*cb*ee**2d0*sb**2d0/(4d0*sw**2d0  &
                       ) + ca*cb*l4*sb**2d0/2d0 - ca*cb*l5*sb**2d0/2d0 - cb**  &
                       2d0*ee**2d0*sa*sb/(4d0*sw**2d0) + cb**2d0*l4*sa*sb/2d0  &
                        - cb**2d0*l5*sa*sb/2d0 - ee**2d0*sa*sb**3d0/(4d0*sw**  &
                       2d0) + l4*sa*sb**3d0/2d0 - l5*sa*sb**3d0/2d0
      coupl(nGC_154) = -ca*cb**3d0*ee**2d0/(4d0*sw**2d0) + ca*cb**3d0*ee**2d0/(&
                       4d0*cw**2d0) - ca*cb*ee**2d0*sb**2d0/(4d0*sw**2d0) + ca*&
                       cb*ee**2d0*sb**2d0/(4d0*cw**2d0) - cb**2d0*ee**2d0*sa*sb&
                       /(4d0*sw**2d0) + cb**2d0*ee**2d0*sa*sb/(4d0*cw**2d0) -  &
                       ee**2d0*sa*sb**3d0/(4d0*sw**2d0) + ee**2d0*sa*sb**3d0/( &
                       4d0*cw**2d0)
      coupl(nGC_159) = ca*cb**3d0*ee**2d0/(4d0*sw**2d0) - ca*cb**3d0*l4/2d0 +  &
                       ca*cb**3d0*l5/2d0 + ca*cb*ee**2d0*sb**2d0/(4d0*sw**2d0  &
                       ) - ca*cb*l4*sb**2d0/2d0 + ca*cb*l5*sb**2d0/2d0 + cb**  &
                       2d0*ee**2d0*sa*sb/(4d0*sw**2d0) - cb**2d0*l4*sa*sb/2d0  &
                        + cb**2d0*l5*sa*sb/2d0 + ee**2d0*sa*sb**3d0/(4d0*sw**  &
                       2d0) - l4*sa*sb**3d0/2d0 + l5*sa*sb**3d0/2d0
      coupl(nGC_158) = ca*cb**3d0*ee**2d0/(4d0*sw**2d0) + ca*cb**3d0*l4/2d0 -  &
                       ca*cb**3d0*l5/2d0 + ca*cb*ee**2d0*sb**2d0/(4d0*sw**2d0  &
                       ) + ca*cb*l4*sb**2d0/2d0 - ca*cb*l5*sb**2d0/2d0 + cb**  &
                       2d0*ee**2d0*sa*sb/(4d0*sw**2d0) + cb**2d0*l4*sa*sb/2d0  &
                        - cb**2d0*l5*sa*sb/2d0 + ee**2d0*sa*sb**3d0/(4d0*sw**  &
                       2d0) + l4*sa*sb**3d0/2d0 - l5*sa*sb**3d0/2d0
      coupl(nGC_327) = -ca*cima*cw**2d0*ee**2d0*vev2/(4d0*sw**2d0) - ca*cima*ee&
                       **2d0*vev2/2d0 - ca*cima*ee**2d0*sw**2d0*vev2/(4d0*cw** &
                       2d0) + cima*cw**2d0*ee**2d0*sa*vev1/(4d0*sw**2d0) + cima&
                       *ee**2d0*sa*vev1/2d0 + cima*ee**2d0*sa*sw**2d0*vev1/(4d0&
                       *cw**2d0)
      coupl(nGC_1669) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1668) = -2d0*cima*ee
      coupl(nGC_799) = -coupl(nGC_178)
      coupl(nGC_795) = -coupl(nGC_179)
      coupl(nGC_797) = coupl(nGC_201)/2d0
      coupl(nGC_793) = -2d0*coupl(nGC_215)
      coupl(nGC_1916) = -ee**2d0*(cb**2d0 + sb**2d0)/(2d0*cw**2d0)
      coupl(nGC_1915) = ee**2d0*(cb**2d0 + sb**2d0)/cw
      coupl(nGC_1914) = cb*cima
      coupl(nGC_1913) = -cima*sb
      coupl(nGC_1440) = -cima*sb
      coupl(nGC_1911) = ee**2d0*(cb**2d0 + sb**2d0)/(2d0*cw**2d0)
      coupl(nGC_1910) = -ee**2d0*(cb**2d0 + sb**2d0)/cw
      coupl(nGC_1449) = cima*(cb*yd12x2 + sb*ys2)
      coupl(nGC_2127) = -cb**2d0*cima*sa**2d0
      coupl(nGC_2124) = 2d0*cima*(-ca**2d0*cb*l2*sb + ca**2d0*cb*l3*sb + ca**  &
                        2d0*cb*l4*sb - ca**2d0*cb*l5*sb + 2d0*ca*cb**2d0*l5*sa &
                         - 2d0*ca*l5*sa*sb**2d0 + cb*l1*sa**2d0*sb - cb*l3*sa**&
                        2d0*sb - cb*l4*sa**2d0*sb + cb*l5*sa**2d0*sb)
      coupl(nGC_2123) = 2d0*cima*(2d0*ca**2d0*cb*l5*sb - ca*cb**2d0*l2*sa + ca*&
                        cb**2d0*l3*sa + ca*cb**2d0*l4*sa - ca*cb**2d0*l5*sa +  &
                        ca*l1*sa*sb**2d0 - ca*l3*sa*sb**2d0 - ca*l4*sa*sb**2d0 &
                         + ca*l5*sa*sb**2d0 - 2d0*cb*l5*sa**2d0*sb)
      coupl(nGC_2120) = -ca**2d0*cima*sb**2d0
      coupl(nGC_331) = -ca*cima*cw**2d0*ee**2d0*vev1/(2d0*sw**2d0) - ca*cima*ee&
                       **2d0*vev1 - ca*cima*ee**2d0*sw**2d0*vev1/(2d0*cw**2d0  &
                       ) - cima*cw**2d0*ee**2d0*sa*vev2/(2d0*sw**2d0) - cima*ee&
                       **2d0*sa*vev2 - cima*ee**2d0*sa*sw**2d0*vev2/(2d0*cw**  &
                       2d0)
      coupl(nGC_330) = -ca*cima*cw**2d0*ee**2d0*vev1/(4d0*sw**2d0) - ca*cima*ee&
                       **2d0*vev1/2d0 - ca*cima*ee**2d0*sw**2d0*vev1/(4d0*cw** &
                       2d0) - cima*cw**2d0*ee**2d0*sa*vev2/(4d0*sw**2d0) - cima&
                       *ee**2d0*sa*vev2/2d0 - cima*ee**2d0*sa*sw**2d0*vev2/(4d0&
                       *cw**2d0)
      coupl(nGC_2314) = -2d0*cb**4d0*cima
      coupl(nGC_53) = -ca*cb**2d0*l4*sb/2d0 + ca*cb**2d0*l5*sb/2d0 - ca*l4*sb**&
                      3d0/2d0 + ca*l5*sb**3d0/2d0 + cb**3d0*l4*sa/2d0 - cb**3d0&
                      *l5*sa/2d0 + cb*l4*sa*sb**2d0/2d0 - cb*l5*sa*sb**2d0/2d0
      coupl(nGC_52) = ca*cb**2d0*l4*sb/2d0 - ca*cb**2d0*l5*sb/2d0 + ca*l4*sb** &
                      3d0/2d0 - ca*l5*sb**3d0/2d0 - cb**3d0*l4*sa/2d0 + cb**3d0&
                      *l5*sa/2d0 - cb*l4*sa*sb**2d0/2d0 + cb*l5*sa*sb**2d0/2d0
      coupl(nGC_51) = ca*cb**2d0*ee**2d0*sb/(4d0*cw**2d0) + ca*ee**2d0*sb**3d0 &
                      /(4d0*cw**2d0) - cb**3d0*ee**2d0*sa/(4d0*cw**2d0) - cb*ee&
                      **2d0*sa*sb**2d0/(4d0*cw**2d0)
      coupl(nGC_50) = -ca*cb**2d0*ee**2d0*sb/(4d0*cw**2d0) - ca*ee**2d0*sb**3d0&
                      /(4d0*cw**2d0) + cb**3d0*ee**2d0*sa/(4d0*cw**2d0) + cb*ee&
                      **2d0*sa*sb**2d0/(4d0*cw**2d0)
      coupl(nGC_57) = 2d0*cb**3d0*cima*l1*sb - 2d0*cb**3d0*cima*l3*sb - 2d0*cb &
                      **3d0*cima*l4*sb - 2d0*cb**3d0*cima*l5*sb - 2d0*cb*cima* &
                      l2*sb**3d0 + 2d0*cb*cima*l3*sb**3d0 + 2d0*cb*cima*l4*sb**&
                      3d0 + 2d0*cb*cima*l5*sb**3d0
      coupl(nGC_56) = -2d0*cb**3d0*cima*l2*sb + 2d0*cb**3d0*cima*l3*sb + 2d0*cb&
                      **3d0*cima*l4*sb + 2d0*cb**3d0*cima*l5*sb + 2d0*cb*cima* &
                      l1*sb**3d0 - 2d0*cb*cima*l3*sb**3d0 - 2d0*cb*cima*l4*sb**&
                      3d0 - 2d0*cb*cima*l5*sb**3d0
      coupl(nGC_55) = cb**3d0*cima*l1*sb - cb**3d0*cima*l3*sb - cb**3d0*cima*l4&
                      *sb - cb**3d0*cima*l5*sb - cb*cima*l2*sb**3d0 + cb*cima* &
                      l3*sb**3d0 + cb*cima*l4*sb**3d0 + cb*cima*l5*sb**3d0
      coupl(nGC_54) = -cb**3d0*cima*l2*sb + cb**3d0*cima*l3*sb + cb**3d0*cima* &
                      l4*sb + cb**3d0*cima*l5*sb + cb*cima*l1*sb**3d0 - cb*cima&
                      *l3*sb**3d0 - cb*cima*l4*sb**3d0 - cb*cima*l5*sb**3d0
      coupl(nGC_59) = 3d0*cb**3d0*cima*l1*sb - 3d0*cb**3d0*cima*l3*sb - 3d0*cb &
                      **3d0*cima*l4*sb - 3d0*cb**3d0*cima*l5*sb - 3d0*cb*cima* &
                      l2*sb**3d0 + 3d0*cb*cima*l3*sb**3d0 + 3d0*cb*cima*l4*sb**&
                      3d0 + 3d0*cb*cima*l5*sb**3d0
      coupl(nGC_58) = -3d0*cb**3d0*cima*l2*sb + 3d0*cb**3d0*cima*l3*sb + 3d0*cb&
                      **3d0*cima*l4*sb + 3d0*cb**3d0*cima*l5*sb + 3d0*cb*cima* &
                      l1*sb**3d0 - 3d0*cb*cima*l3*sb**3d0 - 3d0*cb*cima*l4*sb**&
                      3d0 - 3d0*cb*cima*l5*sb**3d0
      coupl(nGC_311) = ca*cb**2d0*cima*ee**2d0*vev1/(4d0*sw**2d0) - ca*cb**2d0*&
                       cima*l4*vev1/2d0 - ca*cb**2d0*cima*l5*vev1/2d0 + ca*cb* &
                       cima*ee**2d0*sb*vev2/(4d0*sw**2d0) - ca*cb*cima*l2*sb*  &
                       vev2 + ca*cb*cima*l3*sb*vev2 + ca*cima*l4*sb**2d0*vev1/ &
                       2d0 + ca*cima*l5*sb**2d0*vev1/2d0 + cb**2d0*cima*l4*sa* &
                       vev2/2d0 + cb**2d0*cima*l5*sa*vev2/2d0 + cb*cima*ee**2d0&
                       *sa*sb*vev1/(4d0*sw**2d0) - cb*cima*l1*sa*sb*vev1 + cb* &
                       cima*l3*sa*sb*vev1 + cima*ee**2d0*sa*sb**2d0*vev2/(4d0* &
                       sw**2d0) - cima*l4*sa*sb**2d0*vev2/2d0 - cima*l5*sa*sb**&
                       2d0*vev2/2d0
      coupl(nGC_2066) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_2067) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_2064) = -cb**2d0*cima*sa**2d0
      coupl(nGC_2065) = -ca**2d0*cima*sb**2d0
      coupl(nGC_2062) = -2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca*cb &
                        **2d0*l4*sa - ca*cb**2d0*l5*sa + ca*l4*sa*sb**2d0 + ca*&
                        l5*sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa**2d0*sb)
      coupl(nGC_2063) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_2060) = -cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_2061) = cima*ee/(3d0*cw)
      coupl(nGC_2068) = 2d0*cima*(ca**2d0*cb*l4*sb + ca**2d0*cb*l5*sb - ca*cb**&
                        2d0*l2*sa + ca*cb**2d0*l3*sa + ca*l1*sa*sb**2d0 - ca*l3&
                        *sa*sb**2d0 - cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
      coupl(nGC_2248) = (cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
      coupl(nGC_2249) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
      coupl(nGC_1479) = -cima*(ca*cb**2d0*l1 + ca*l3*sb**2d0 + cb*l4*sa*sb + cb&
                        *l5*sa*sb)
    end subroutine fill_couplings_mdl1
end module fill_couplings1
