!******************************************************************************!
!                                                                              !
!    fill_couplings2.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings2.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 15:41             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl2()
      coupl(nGC_313) = -ca*cb**2d0*cima*ee**2d0*vev1/(2d0*sw**2d0) - ca*cb**2d0&
                       *cima*l1*vev1 - ca*cb*cima*ee**2d0*sb*vev2/(2d0*sw**2d0 &
                       ) - ca*cb*cima*l4*sb*vev2 - ca*cb*cima*l5*sb*vev2 - ca* &
                       cima*l3*sb**2d0*vev1 - cb**2d0*cima*l3*sa*vev2 - cb*cima&
                       *ee**2d0*sa*sb*vev1/(2d0*sw**2d0) - cb*cima*l4*sa*sb*   &
                       vev1 - cb*cima*l5*sa*sb*vev1 - cima*ee**2d0*sa*sb**2d0* &
                       vev2/(2d0*sw**2d0) - cima*l2*sa*sb**2d0*vev2
      coupl(nGC_2390) = 2d0*cima*(-ca*cb**2d0*l5*vev2 + ca*cb*l1*sb*vev1 - ca* &
                        cb*l3*sb*vev1 - ca*cb*l4*sb*vev1 + ca*cb*l5*sb*vev1 +  &
                        ca*l5*sb**2d0*vev2 - cb**2d0*l5*sa*vev1 - cb*l2*sa*sb* &
                        vev2 + cb*l3*sa*sb*vev2 + cb*l4*sa*sb*vev2 - cb*l5*sa* &
                        sb*vev2 + l5*sa*sb**2d0*vev1)
      coupl(nGC_2391) = -cima*(2d0*ca*cb*l5*sb + cb**2d0*l3*sa + cb**2d0*l4*sa &
                         - cb**2d0*l5*sa + l2*sa*sb**2d0)
      coupl(nGC_2392) = -cima*(ca*cb**2d0*l1 + ca*l3*sb**2d0 + ca*l4*sb**2d0 - &
                        ca*l5*sb**2d0 + 2d0*cb*l5*sa*sb)
      coupl(nGC_2393) = -cima*sa*sb**2d0*vev2
      coupl(nGC_2395) = -cima*(ca*sb**2d0*vev1 + cb**2d0*sa*vev2)
      coupl(nGC_2396) = -cima*(ca*sb**2d0*vev1 + cb**2d0*sa*vev2)
      coupl(nGC_2397) = cima*(-ca*cb**2d0*l3*vev2 - ca*cb**2d0*l4*vev2 + ca*cb &
                        **2d0*l5*vev2 - 2d0*ca*cb*l5*sb*vev1 - ca*l2*sb**2d0*  &
                        vev2 + cb**2d0*l1*sa*vev1 + 2d0*cb*l5*sa*sb*vev2 + l3* &
                        sa*sb**2d0*vev1 + l4*sa*sb**2d0*vev1 - l5*sa*sb**2d0*  &
                        vev1)
      coupl(nGC_2398) = -cima*(2d0*ca*cb*sb*vev2 - ca*sb**2d0*vev1 - cb**2d0*sa&
                        *vev2 + 2d0*cb*sa*sb*vev1)
      coupl(nGC_MS) = -cMS*cima
      coupl(nGC_MT) = -cMT*cima
      coupl(nGC_302) = -cb**3d0*ee**2d0*vev2/(4d0*sw**2d0) + cb**3d0*l4*vev2/  &
                       2d0 - cb**3d0*l5*vev2/2d0 + cb**2d0*ee**2d0*sb*vev1/(4d0&
                       *sw**2d0) - cb**2d0*l4*sb*vev1/2d0 + cb**2d0*l5*sb*vev1/&
                       2d0 - cb*ee**2d0*sb**2d0*vev2/(4d0*sw**2d0) + cb*l4*sb**&
                       2d0*vev2/2d0 - cb*l5*sb**2d0*vev2/2d0 + ee**2d0*sb**3d0*&
                       vev1/(4d0*sw**2d0) - l4*sb**3d0*vev1/2d0 + l5*sb**3d0*  &
                       vev1/2d0
      coupl(nGC_303) = -cb**3d0*ee**2d0*vev2/(4d0*sw**2d0) - cb**3d0*l4*vev2/  &
                       2d0 + cb**3d0*l5*vev2/2d0 + cb**2d0*ee**2d0*sb*vev1/(4d0&
                       *sw**2d0) + cb**2d0*l4*sb*vev1/2d0 - cb**2d0*l5*sb*vev1/&
                       2d0 - cb*ee**2d0*sb**2d0*vev2/(4d0*sw**2d0) - cb*l4*sb**&
                       2d0*vev2/2d0 + cb*l5*sb**2d0*vev2/2d0 + ee**2d0*sb**3d0*&
                       vev1/(4d0*sw**2d0) + l4*sb**3d0*vev1/2d0 - l5*sb**3d0*  &
                       vev1/2d0
      coupl(nGC_301) = -cb**3d0*ee**2d0*vev2/(4d0*sw**2d0) + cb**3d0*ee**2d0*  &
                       vev2/(4d0*cw**2d0) + cb**2d0*ee**2d0*sb*vev1/(4d0*sw**  &
                       2d0) - cb**2d0*ee**2d0*sb*vev1/(4d0*cw**2d0) - cb*ee**  &
                       2d0*sb**2d0*vev2/(4d0*sw**2d0) + cb*ee**2d0*sb**2d0*vev2&
                       /(4d0*cw**2d0) + ee**2d0*sb**3d0*vev1/(4d0*sw**2d0) - ee&
                       **2d0*sb**3d0*vev1/(4d0*cw**2d0)
      coupl(nGC_306) = cb**3d0*ee**2d0*vev2/(4d0*sw**2d0) - cb**3d0*l4*vev2/2d0&
                        + cb**3d0*l5*vev2/2d0 - cb**2d0*ee**2d0*sb*vev1/(4d0*sw&
                       **2d0) + cb**2d0*l4*sb*vev1/2d0 - cb**2d0*l5*sb*vev1/2d0&
                        + cb*ee**2d0*sb**2d0*vev2/(4d0*sw**2d0) - cb*l4*sb**2d0&
                       *vev2/2d0 + cb*l5*sb**2d0*vev2/2d0 - ee**2d0*sb**3d0*   &
                       vev1/(4d0*sw**2d0) + l4*sb**3d0*vev1/2d0 - l5*sb**3d0*  &
                       vev1/2d0
      coupl(nGC_307) = -ca*cb**2d0*cima*ee**2d0*vev1/(4d0*sw**2d0) - ca*cb**2d0&
                       *cima*l4*vev1/2d0 - ca*cb**2d0*cima*l5*vev1/2d0 - ca*cb*&
                       cima*ee**2d0*sb*vev2/(2d0*sw**2d0) - ca*cb*cima*l2*sb*  &
                       vev2 + ca*cb*cima*l3*sb*vev2 + ca*cima*ee**2d0*sb**2d0* &
                       vev1/(4d0*sw**2d0) + ca*cima*l4*sb**2d0*vev1/2d0 + ca*  &
                       cima*l5*sb**2d0*vev1/2d0 + cb**2d0*cima*ee**2d0*sa*vev2 &
                       /(4d0*sw**2d0) + cb**2d0*cima*l4*sa*vev2/2d0 + cb**2d0* &
                       cima*l5*sa*vev2/2d0 - cb*cima*ee**2d0*sa*sb*vev1/(2d0*sw&
                       **2d0) - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1  &
                        - cima*ee**2d0*sa*sb**2d0*vev2/(4d0*sw**2d0) - cima*l4*&
                       sa*sb**2d0*vev2/2d0 - cima*l5*sa*sb**2d0*vev2/2d0
      coupl(nGC_304) = cb**3d0*ee**2d0*vev2/(4d0*sw**2d0) - cb**3d0*ee**2d0*   &
                       vev2/(4d0*cw**2d0) - cb**2d0*ee**2d0*sb*vev1/(4d0*sw**  &
                       2d0) + cb**2d0*ee**2d0*sb*vev1/(4d0*cw**2d0) + cb*ee**  &
                       2d0*sb**2d0*vev2/(4d0*sw**2d0) - cb*ee**2d0*sb**2d0*vev2&
                       /(4d0*cw**2d0) - ee**2d0*sb**3d0*vev1/(4d0*sw**2d0) + ee&
                       **2d0*sb**3d0*vev1/(4d0*cw**2d0)
      coupl(nGC_305) = cb**3d0*ee**2d0*vev2/(4d0*sw**2d0) + cb**3d0*l4*vev2/2d0&
                        - cb**3d0*l5*vev2/2d0 - cb**2d0*ee**2d0*sb*vev1/(4d0*sw&
                       **2d0) - cb**2d0*l4*sb*vev1/2d0 + cb**2d0*l5*sb*vev1/2d0&
                        + cb*ee**2d0*sb**2d0*vev2/(4d0*sw**2d0) + cb*l4*sb**2d0&
                       *vev2/2d0 - cb*l5*sb**2d0*vev2/2d0 - ee**2d0*sb**3d0*   &
                       vev1/(4d0*sw**2d0) - l4*sb**3d0*vev1/2d0 + l5*sb**3d0*  &
                       vev1/2d0
      coupl(nGC_308) = -ca*cb**2d0*cima*ee**2d0*vev1/(4d0*sw**2d0) - ca*cb**2d0&
                       *cima*l5*vev1 - ca*cb**2d0*cima*ee**2d0*vev1/(4d0*cw**  &
                       2d0) - ca*cb*cima*ee**2d0*sb*vev2/(2d0*sw**2d0) - ca*cb*&
                       cima*l2*sb*vev2 + ca*cb*cima*l3*sb*vev2 + ca*cb*cima*l4*&
                       sb*vev2 - ca*cb*cima*l5*sb*vev2 - ca*cb*cima*ee**2d0*sb*&
                       vev2/(2d0*cw**2d0) + ca*cima*ee**2d0*sb**2d0*vev1/(4d0* &
                       sw**2d0) + ca*cima*l5*sb**2d0*vev1 + ca*cima*ee**2d0*sb &
                       **2d0*vev1/(4d0*cw**2d0) + cb**2d0*cima*ee**2d0*sa*vev2 &
                       /(4d0*sw**2d0) + cb**2d0*cima*l5*sa*vev2 + cb**2d0*cima*&
                       ee**2d0*sa*vev2/(4d0*cw**2d0) - cb*cima*ee**2d0*sa*sb*  &
                       vev1/(2d0*sw**2d0) - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*&
                       sa*sb*vev1 + cb*cima*l4*sa*sb*vev1 - cb*cima*l5*sa*sb*  &
                       vev1 - cb*cima*ee**2d0*sa*sb*vev1/(2d0*cw**2d0) - cima* &
                       ee**2d0*sa*sb**2d0*vev2/(4d0*sw**2d0) - cima*l5*sa*sb** &
                       2d0*vev2 - cima*ee**2d0*sa*sb**2d0*vev2/(4d0*cw**2d0)
      coupl(nGC_309) = ca*cb**2d0*cima*ee**2d0*vev1/(4d0*sw**2d0) - ca*cb**2d0*&
                       cima*l1*vev1 + ca*cb*cima*ee**2d0*sb*vev2/(4d0*sw**2d0  &
                       ) - ca*cb*cima*l4*sb*vev2 - ca*cb*cima*l5*sb*vev2 - ca* &
                       cima*l3*sb**2d0*vev1 - cb**2d0*cima*l3*sa*vev2 + cb*cima&
                       *ee**2d0*sa*sb*vev1/(4d0*sw**2d0) - cb*cima*l4*sa*sb*   &
                       vev1 - cb*cima*l5*sa*sb*vev1 + cima*ee**2d0*sa*sb**2d0* &
                       vev2/(4d0*sw**2d0) - cima*l2*sa*sb**2d0*vev2
      coupl(nGC_1708) = cima*sa*(3d0*ca**2d0*l1 - 2d0*ca**2d0*l3 - 2d0*ca**2d0*&
                        l4 - 2d0*ca**2d0*l5 + l3*sa**2d0 + l4*sa**2d0 + l5*sa**&
                        2d0)
      coupl(nGC_1709) = -3d0*ca*cima*sa**2d0*vev2
      coupl(nGC_1878) = sb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_1879) = cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_1702) = -ca*cima*sb**2d0*vev1
      coupl(nGC_523) = -cima*(ca*cb**2d0*vev1 + sa*sb**2d0*vev2)
      coupl(nGC_1876) = (cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
      coupl(nGC_521) = cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_1706) = cima*(ca*cb**2d0*vev1 + 2d0*ca*cb*sb*vev2 + 2d0*cb*sa* &
                        sb*vev1 + sa*sb**2d0*vev2)
      coupl(nGC_1707) = -ca*cima*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + 3d0*l2&
                        *sa**2d0 - 2d0*l3*sa**2d0 - 2d0*l4*sa**2d0 - 2d0*l5*sa &
                        **2d0)
      coupl(nGC_1704) = -cima*(ca*cb**2d0*vev1 + sa*sb**2d0*vev2)
      coupl(nGC_525) = -cima*(ca*cb**2d0*l3 + ca*l1*sb**2d0 - cb*l4*sa*sb - cb*&
                       l5*sa*sb)
      coupl(nGC_1676) = cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_1677) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_1674) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw**2d0)
      coupl(nGC_1675) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
      coupl(nGC_1672) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
      coupl(nGC_1673) = cima*ee**2d0*(ca*sb - cb*sa)/cw
      coupl(nGC_1670) = sqrt(2d0)*cima*(ca*ye1 + sa*ye2)/2d0
      coupl(nGC_1671) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1678) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw**2d0)
      coupl(nGC_1679) = cima*ee*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_589) = ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw&
                       **2d0)
      coupl(nGC_1452) = cima*(cb*ytau1 + sb*ytau2)
      coupl(nGC_1453) = -cb*cima
      coupl(nGC_1450) = cima*sb
      coupl(nGC_1451) = -cb*cima
      coupl(nGC_1456) = ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_1457) = -ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw**2d0*sw)
      coupl(nGC_1902) = -cima*(3d0*ca**3d0*l2*vev2 - 2d0*ca**3d0*l3*vev2 - 2d0*&
                        ca**3d0*l4*vev2 - 2d0*ca**3d0*l5*vev2 + 6d0*ca**2d0*l1*&
                        sa*vev1 - 7d0*ca**2d0*l3*sa*vev1 - 7d0*ca**2d0*l4*sa*  &
                        vev1 - 7d0*ca**2d0*l5*sa*vev1 - 6d0*ca*l2*sa**2d0*vev2 &
                         + 7d0*ca*l3*sa**2d0*vev2 + 7d0*ca*l4*sa**2d0*vev2 +   &
                        7d0*ca*l5*sa**2d0*vev2 - 3d0*l1*sa**3d0*vev1 + 2d0*l3* &
                        sa**3d0*vev1 + 2d0*l4*sa**3d0*vev1 + 2d0*l5*sa**3d0*   &
                        vev1)
      coupl(nGC_1455) = -ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
      coupl(nGC_1458) = -ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
      coupl(nGC_1459) = ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw*sw**2d0)
      coupl(nGC_581) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1298) = 2d0*cima*ee**2d0
      coupl(nGC_1299) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*cw)
      coupl(nGC_1294) = ca**2d0*cb*cima*sb
      coupl(nGC_1295) = -ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1296) = -ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1297) = -cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**  &
                        2d0*l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa* &
                        sb + 2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*&
                        l4*sa**2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + &
                        l5*sa**2d0*sb**2d0)
      coupl(nGC_1291) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**2d0&
                        *l1*sb**2d0 + ca**2d0*l3*sb**2d0 + 4d0*ca*cb*l4*sa*sb  &
                         + 4d0*ca*cb*l5*sa*sb - cb**2d0*l2*sa**2d0 + cb**2d0*l3&
                        *sa**2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0)
      coupl(nGC_1292) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1293) = -cb*cima*sa**2d0*sb
      coupl(nGC_1747) = -cima*cw*ee**2d0/sw**2d0
      coupl(nGC_1745) = 2d0*cima*cw*ee**2d0/sw
      coupl(nGC_2129) = cima*(ca**2d0*cb**2d0 + 4d0*ca*cb*sa*sb + sa**2d0*sb** &
                        2d0)
      coupl(nGC_2128) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_2126) = -ca**2d0*cima*sb**2d0
      coupl(nGC_2125) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_2122) = cima*(ca**2d0*cb**2d0 + 4d0*ca*cb*sa*sb + sa**2d0*sb** &
                        2d0)
      coupl(nGC_2121) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_48) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca**&
                      2d0*cb**2d0*cima*l5 - ca**2d0*cima*l1*sb**2d0 + 4d0*ca*cb&
                      *cima*l5*sa*sb - cb**2d0*cima*l2*sa**2d0 - cima*l3*sa**  &
                      2d0*sb**2d0 - cima*l4*sa**2d0*sb**2d0 + cima*l5*sa**2d0* &
                      sb**2d0
      coupl(nGC_49) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca**&
                      2d0*cb**2d0*cima*l5 - ca**2d0*cima*l2*sb**2d0 + 4d0*ca*cb&
                      *cima*l5*sa*sb - cb**2d0*cima*l1*sa**2d0 - cima*l3*sa**  &
                      2d0*sb**2d0 - cima*l4*sa**2d0*sb**2d0 + cima*l5*sa**2d0* &
                      sb**2d0
      coupl(nGC_44) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cima*l1*sb**2d0 + 2d0*&
                      ca*cb*cima*l4*sa*sb + 2d0*ca*cb*cima*l5*sa*sb - cb**2d0* &
                      cima*l2*sa**2d0 - cima*l3*sa**2d0*sb**2d0
      coupl(nGC_45) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cima*l2*sb**2d0 + 2d0*&
                      ca*cb*cima*l4*sa*sb + 2d0*ca*cb*cima*l5*sa*sb - cb**2d0* &
                      cima*l1*sa**2d0 - cima*l3*sa**2d0*sb**2d0
      coupl(nGC_46) = -ca**2d0*cb**2d0*cima*l4/2d0 - ca**2d0*cb**2d0*cima*l5/  &
                      2d0 + ca**2d0*cima*l4*sb**2d0/2d0 + ca**2d0*cima*l5*sb** &
                      2d0/2d0 - ca*cb*cima*l1*sa*sb - ca*cb*cima*l2*sa*sb + 2d0&
                      *ca*cb*cima*l3*sa*sb + cb**2d0*cima*l4*sa**2d0/2d0 + cb**&
                      2d0*cima*l5*sa**2d0/2d0 - cima*l4*sa**2d0*sb**2d0/2d0 -  &
                      cima*l5*sa**2d0*sb**2d0/2d0
      coupl(nGC_47) = -ca**2d0*cb**2d0*cima*l5 + ca**2d0*cima*l5*sb**2d0 - ca* &
                      cb*cima*l1*sa*sb - ca*cb*cima*l2*sa*sb + 2d0*ca*cb*cima* &
                      l3*sa*sb + 2d0*ca*cb*cima*l4*sa*sb - 2d0*ca*cb*cima*l5*sa&
                      *sb + cb**2d0*cima*l5*sa**2d0 - cima*l5*sa**2d0*sb**2d0
      coupl(nGC_40) = -ca**2d0*cb**2d0*cima*l2 - ca**2d0*cima*l3*sb**2d0 - 2d0*&
                      ca*cb*cima*l4*sa*sb - 2d0*ca*cb*cima*l5*sa*sb - cb**2d0* &
                      cima*l3*sa**2d0 - cima*l1*sa**2d0*sb**2d0
      coupl(nGC_41) = -ca**2d0*cb**2d0*cima*l2 - ca**2d0*cima*l3*sb**2d0 - ca**&
                      2d0*cima*l4*sb**2d0 + ca**2d0*cima*l5*sb**2d0 - 4d0*ca*cb&
                      *cima*l5*sa*sb - cb**2d0*cima*l3*sa**2d0 - cb**2d0*cima* &
                      l4*sa**2d0 + cb**2d0*cima*l5*sa**2d0 - cima*l1*sa**2d0*sb&
                      **2d0
      coupl(nGC_42) = -ca**2d0*cb**2d0*cima*l1 - ca**2d0*cima*l3*sb**2d0 - 2d0*&
                      ca*cb*cima*l4*sa*sb - 2d0*ca*cb*cima*l5*sa*sb - cb**2d0* &
                      cima*l3*sa**2d0 - cima*l2*sa**2d0*sb**2d0
      coupl(nGC_43) = -ca**2d0*cb**2d0*cima*l1 - ca**2d0*cima*l3*sb**2d0 - ca**&
                      2d0*cima*l4*sb**2d0 + ca**2d0*cima*l5*sb**2d0 - 4d0*ca*cb&
                      *cima*l5*sa*sb - cb**2d0*cima*l3*sa**2d0 - cb**2d0*cima* &
                      l4*sa**2d0 + cb**2d0*cima*l5*sa**2d0 - cima*l2*sa**2d0*sb&
                      **2d0
      coupl(nGC_2013) = -ca**2d0*cb**2d0*cima
      coupl(nGC_2012) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
      coupl(nGC_2011) = -2d0*cima*(-ca**2d0*cb*l2*sb + ca**2d0*cb*l3*sb + ca*cb&
                        **2d0*l4*sa + ca*cb**2d0*l5*sa - ca*l4*sa*sb**2d0 - ca*&
                        l5*sa*sb**2d0 + cb*l1*sa**2d0*sb - cb*l3*sa**2d0*sb)
      coupl(nGC_2010) = -4d0*cima*ee**2d0*(cb**2d0 + sb**2d0)
      coupl(nGC_2017) = -2d0*cima*(ca**2d0*cb*l4*sb + ca**2d0*cb*l5*sb - ca*cb &
                        **2d0*l2*sa + ca*cb**2d0*l3*sa + ca*l1*sa*sb**2d0 - ca*&
                        l3*sa*sb**2d0 - cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
      coupl(nGC_2016) = -2d0*ca*cb*cima*sa*sb
      coupl(nGC_2015) = -2d0*ca*cb*cima*sa*sb
      coupl(nGC_2014) = -cima*sa**2d0*sb**2d0
      coupl(nGC_2019) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_2018) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**2d0&
                        *cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0*l1*sb**2d0  &
                         + ca**2d0*l3*sb**2d0 + ca**2d0*l4*sb**2d0 - ca**2d0*l5&
                        *sb**2d0 + 8d0*ca*cb*l5*sa*sb - cb**2d0*l2*sa**2d0 + cb&
                        **2d0*l3*sa**2d0 + cb**2d0*l4*sa**2d0 - cb**2d0*l5*sa**&
                        2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0 - l4*sa**&
                        2d0*sb**2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_2239) = cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw**2d0 + sw**2d0)** &
                        2d0/(cw**2d0*sw**2d0)
      coupl(nGC_1867) = cima*ee**2d0*(ca*cb + sa*sb)/cw
      coupl(nGC_2347) = -cima*(cb - sb)**2d0*(cb + sb)**2d0
      coupl(nGC_300) = -ca*cb**2d0*cima*l3*vev2 - ca*cb**2d0*cima*l4*vev2 + ca*&
                       cb**2d0*cima*l5*vev2 - ca*cb*cima*ee**2d0*sb*vev1/(2d0* &
                       sw**2d0) - 2d0*ca*cb*cima*l5*sb*vev1 - ca*cb*cima*ee**  &
                       2d0*sb*vev1/(2d0*cw**2d0) - ca*cima*ee**2d0*sb**2d0*vev2&
                       /(2d0*sw**2d0) - ca*cima*l2*sb**2d0*vev2 - ca*cima*ee** &
                       2d0*sb**2d0*vev2/(2d0*cw**2d0) + cb**2d0*cima*ee**2d0*sa&
                       *vev1/(2d0*sw**2d0) + cb**2d0*cima*l1*sa*vev1 + cb**2d0*&
                       cima*ee**2d0*sa*vev1/(2d0*cw**2d0) + cb*cima*ee**2d0*sa*&
                       sb*vev2/(2d0*sw**2d0) + 2d0*cb*cima*l5*sa*sb*vev2 + cb* &
                       cima*ee**2d0*sa*sb*vev2/(2d0*cw**2d0) + cima*l3*sa*sb** &
                       2d0*vev1 + cima*l4*sa*sb**2d0*vev1 - cima*l5*sa*sb**2d0*&
                       vev1
      coupl(nGC_2346) = -4d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3  &
                         - 2d0*l4 - 2d0*l5)
      coupl(nGC_312) = ca*cb**2d0*cima*ee**2d0*vev1/(4d0*sw**2d0) - ca*cb**2d0*&
                       cima*l5*vev1 + ca*cb**2d0*cima*ee**2d0*vev1/(4d0*cw**2d0&
                       ) + ca*cb*cima*ee**2d0*sb*vev2/(4d0*sw**2d0) - ca*cb*   &
                       cima*l2*sb*vev2 + ca*cb*cima*l3*sb*vev2 + ca*cb*cima*l4*&
                       sb*vev2 - ca*cb*cima*l5*sb*vev2 + ca*cb*cima*ee**2d0*sb*&
                       vev2/(4d0*cw**2d0) + ca*cima*l5*sb**2d0*vev1 + cb**2d0* &
                       cima*l5*sa*vev2 + cb*cima*ee**2d0*sa*sb*vev1/(4d0*sw**  &
                       2d0) - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1 +  &
                       cb*cima*l4*sa*sb*vev1 - cb*cima*l5*sa*sb*vev1 + cb*cima*&
                       ee**2d0*sa*sb*vev1/(4d0*cw**2d0) + cima*ee**2d0*sa*sb** &
                       2d0*vev2/(4d0*sw**2d0) - cima*l5*sa*sb**2d0*vev2 + cima*&
                       ee**2d0*sa*sb**2d0*vev2/(4d0*cw**2d0)
      coupl(nGC_314) = -ca*cb**2d0*cima*ee**2d0*vev1/(2d0*sw**2d0) - ca*cb**2d0&
                       *cima*l1*vev1 - ca*cb**2d0*cima*ee**2d0*vev1/(2d0*cw**  &
                       2d0) - ca*cb*cima*ee**2d0*sb*vev2/(2d0*sw**2d0) - 2d0*ca&
                       *cb*cima*l5*sb*vev2 - ca*cb*cima*ee**2d0*sb*vev2/(2d0*cw&
                       **2d0) - ca*cima*l3*sb**2d0*vev1 - ca*cima*l4*sb**2d0*  &
                       vev1 + ca*cima*l5*sb**2d0*vev1 - cb**2d0*cima*l3*sa*vev2&
                        - cb**2d0*cima*l4*sa*vev2 + cb**2d0*cima*l5*sa*vev2 -  &
                       cb*cima*ee**2d0*sa*sb*vev1/(2d0*sw**2d0) - 2d0*cb*cima* &
                       l5*sa*sb*vev1 - cb*cima*ee**2d0*sa*sb*vev1/(2d0*cw**2d0 &
                       ) - cima*ee**2d0*sa*sb**2d0*vev2/(2d0*sw**2d0) - cima*l2&
                       *sa*sb**2d0*vev2 - cima*ee**2d0*sa*sb**2d0*vev2/(2d0*cw &
                       **2d0)
      coupl(nGC_317) = -cb**3d0*ee**2d0*vev1/(4d0*sw**2d0) - cb**3d0*l4*vev1/  &
                       2d0 + cb**3d0*l5*vev1/2d0 - cb**2d0*ee**2d0*sb*vev2/(4d0&
                       *sw**2d0) - cb**2d0*l4*sb*vev2/2d0 + cb**2d0*l5*sb*vev2/&
                       2d0 - cb*ee**2d0*sb**2d0*vev1/(4d0*sw**2d0) - cb*l4*sb**&
                       2d0*vev1/2d0 + cb*l5*sb**2d0*vev1/2d0 - ee**2d0*sb**3d0*&
                       vev2/(4d0*sw**2d0) - l4*sb**3d0*vev2/2d0 + l5*sb**3d0*  &
                       vev2/2d0
      coupl(nGC_319) = cb**3d0*ee**2d0*vev1/(4d0*sw**2d0) + cb**3d0*l4*vev1/2d0&
                        - cb**3d0*l5*vev1/2d0 + cb**2d0*ee**2d0*sb*vev2/(4d0*sw&
                       **2d0) + cb**2d0*l4*sb*vev2/2d0 - cb**2d0*l5*sb*vev2/2d0&
                        + cb*ee**2d0*sb**2d0*vev1/(4d0*sw**2d0) + cb*l4*sb**2d0&
                       *vev1/2d0 - cb*l5*sb**2d0*vev1/2d0 + ee**2d0*sb**3d0*   &
                       vev2/(4d0*sw**2d0) + l4*sb**3d0*vev2/2d0 - l5*sb**3d0*  &
                       vev2/2d0
      coupl(nGC_511) = -cima*(-ca*cb**2d0*l4*vev2 - ca*cb**2d0*l5*vev2 + 2d0*ca&
                       *cb*l1*sb*vev1 - 2d0*ca*cb*l3*sb*vev1 + ca*l4*sb**2d0*  &
                       vev2 + ca*l5*sb**2d0*vev2 - cb**2d0*l4*sa*vev1 - cb**2d0&
                       *l5*sa*vev1 - 2d0*cb*l2*sa*sb*vev2 + 2d0*cb*l3*sa*sb*   &
                       vev2 + l4*sa*sb**2d0*vev1 + l5*sa*sb**2d0*vev1)
      coupl(nGC_2349) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_517) = -cb**2d0*cima*sa*vev2
      coupl(nGC_2348) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_539) = cima*sa*sb**2d0*vev1
      coupl(nGC_515) = cima*(-ca*cb**2d0*l2*vev2 + ca*cb*l4*sb*vev1 + ca*cb*l5*&
                       sb*vev1 - ca*l3*sb**2d0*vev2 + cb**2d0*l3*sa*vev1 - cb* &
                       l4*sa*sb*vev2 - cb*l5*sa*sb*vev2 + l1*sa*sb**2d0*vev1)
      coupl(nGC_1841) = -3d0*cima*sa**3d0*vev2
      coupl(nGC_1840) = -3d0*ca*cima*(ca**2d0*l1 + l3*sa**2d0 + l4*sa**2d0 + l5&
                        *sa**2d0)
      coupl(nGC_1843) = -3d0*ca*cima*sa*(ca*vev2 + sa*vev1)
      coupl(nGC_1842) = -3d0*ca**3d0*cima*vev1
      coupl(nGC_1845) = 3d0*cima*(-ca**3d0*l3*vev2 - ca**3d0*l4*vev2 - ca**3d0*&
                        l5*vev2 + 3d0*ca**2d0*l1*sa*vev1 - 2d0*ca**2d0*l3*sa*  &
                        vev1 - 2d0*ca**2d0*l4*sa*vev1 - 2d0*ca**2d0*l5*sa*vev1 &
                         - 3d0*ca*l2*sa**2d0*vev2 + 2d0*ca*l3*sa**2d0*vev2 +   &
                        2d0*ca*l4*sa**2d0*vev2 + 2d0*ca*l5*sa**2d0*vev2 + l3*sa&
                        **3d0*vev1 + l4*sa**3d0*vev1 + l5*sa**3d0*vev1)
      coupl(nGC_1844) = -3d0*ca*cima*sa*(ca*vev2 + sa*vev1)
      coupl(nGC_537) = -ca*cb**2d0*cima*vev2
      coupl(nGC_1846) = -3d0*ca*cima*sa*(ca*vev2 + sa*vev1)
      coupl(nGC_519) = -ca*cima*sb**2d0*vev1
      coupl(nGC_1959) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1958) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca**  &
                        2d0*l2*sb**2d0 - ca**2d0*l3*sb**2d0 - 4d0*ca*cb*l4*sa* &
                        sb - 4d0*ca*cb*l5*sa*sb + cb**2d0*l1*sa**2d0 - cb**2d0*&
                        l3*sa**2d0 - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0)
      coupl(nGC_1481) = -ca*cb**2d0*cima*vev1
      coupl(nGC_1952) = -ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1483) = -cima*(ca*sb**2d0*vev1 + cb**2d0*sa*vev2)
      coupl(nGC_1931) = 4d0*cima*ee**2d0/sw**3d0
      coupl(nGC_1930) = -4d0*cima*ee**2d0/sw**2d0
      coupl(nGC_1933) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_1932) = -cima*ee**2d0*(ca*sb - cb*sa)/sw
      coupl(nGC_1935) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
      coupl(nGC_1934) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw**2d0)
      coupl(nGC_1937) = ca*cima*sa*(cb - sb)*(cb + sb)
      coupl(nGC_1936) = cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0&
                        *l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa*sb  &
                         + 2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*l4&
                        *sa**2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + l5&
                        *sa**2d0*sb**2d0)
      coupl(nGC_1939) = ca*cima*sa*sb**2d0
      coupl(nGC_1938) = -ca*cb**2d0*cima*sa
      coupl(nGC_1956) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1955) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1486) = -sqrt(2d0)*(cb*yc1 + sb*yc2)/2d0
      coupl(nGC_1336) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(&
                        ca*vev1 + sa*vev2)/(cw**3d0*sw**2d0)
      coupl(nGC_1335) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*( &
                        ca*vev1 + sa*vev2)/(cw**2d0*sw**3d0)
      coupl(nGC_1334) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev1 + sa*  &
                        vev2)/(cw**2d0*sw**2d0)
      coupl(nGC_881) = -coupl(nGC_201)/2d0
      coupl(nGC_883) = -coupl(nGC_350)
      coupl(nGC_885) = -coupl(nGC_374)
      coupl(nGC_1338) = -cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*&
                        sw**2d0)
      coupl(nGC_39) = ca**2d0*cb*cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca**2d0* &
                      cb*cima*l4*sb + ca**2d0*cb*cima*l5*sb - 2d0*ca*cb**2d0*  &
                      cima*l5*sa + 2d0*ca*cima*l5*sa*sb**2d0 - cb*cima*l2*sa** &
                      2d0*sb + cb*cima*l3*sa**2d0*sb + cb*cima*l4*sa**2d0*sb - &
                      cb*cima*l5*sa**2d0*sb
      coupl(nGC_38) = -ca**2d0*cb*cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca**2d0*&
                      cb*cima*l4*sb - ca**2d0*cb*cima*l5*sb + 2d0*ca*cb**2d0*  &
                      cima*l5*sa - 2d0*ca*cima*l5*sa*sb**2d0 + cb*cima*l1*sa** &
                      2d0*sb - cb*cima*l3*sa**2d0*sb - cb*cima*l4*sa**2d0*sb + &
                      cb*cima*l5*sa**2d0*sb
      coupl(nGC_31) = cb**2d0*ee**2d0/(2d0*cw) + ee**2d0*sb**2d0/(2d0*cw)
      coupl(nGC_30) = -cb**2d0*ee**2d0/(2d0*cw) - ee**2d0*sb**2d0/(2d0*cw)
      coupl(nGC_33) = -ca**2d0*cb*cima*l4*sb - ca**2d0*cb*cima*l5*sb + ca*cb** &
                      2d0*cima*l1*sa - ca*cb**2d0*cima*l3*sa - ca*cima*l2*sa*sb&
                      **2d0 + ca*cima*l3*sa*sb**2d0 + cb*cima*l4*sa**2d0*sb +  &
                      cb*cima*l5*sa**2d0*sb
      coupl(nGC_32) = ca**2d0*cb*cima*l4*sb + ca**2d0*cb*cima*l5*sb - ca*cb**  &
                      2d0*cima*l2*sa + ca*cb**2d0*cima*l3*sa + ca*cima*l1*sa*sb&
                      **2d0 - ca*cima*l3*sa*sb**2d0 - cb*cima*l4*sa**2d0*sb -  &
                      cb*cima*l5*sa**2d0*sb
      coupl(nGC_35) = -2d0*ca**2d0*cb*cima*l5*sb + ca*cb**2d0*cima*l1*sa - ca* &
                      cb**2d0*cima*l3*sa - ca*cb**2d0*cima*l4*sa + ca*cb**2d0* &
                      cima*l5*sa - ca*cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**  &
                      2d0 + ca*cima*l4*sa*sb**2d0 - ca*cima*l5*sa*sb**2d0 + 2d0&
                      *cb*cima*l5*sa**2d0*sb
      coupl(nGC_34) = -ca**2d0*cb*cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca*cb** &
                      2d0*cima*l4*sa + ca*cb**2d0*cima*l5*sa - ca*cima*l4*sa*sb&
                      **2d0 - ca*cima*l5*sa*sb**2d0 + cb*cima*l1*sa**2d0*sb -  &
                      cb*cima*l3*sa**2d0*sb
      coupl(nGC_37) = ca**2d0*cb*cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca*cb**  &
                      2d0*cima*l4*sa - ca*cb**2d0*cima*l5*sa + ca*cima*l4*sa*sb&
                      **2d0 + ca*cima*l5*sa*sb**2d0 - cb*cima*l2*sa**2d0*sb +  &
                      cb*cima*l3*sa**2d0*sb
      coupl(nGC_36) = 2d0*ca**2d0*cb*cima*l5*sb - ca*cb**2d0*cima*l2*sa + ca*cb&
                      **2d0*cima*l3*sa + ca*cb**2d0*cima*l4*sa - ca*cb**2d0*   &
                      cima*l5*sa + ca*cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**  &
                      2d0 - ca*cima*l4*sa*sb**2d0 + ca*cima*l5*sa*sb**2d0 - 2d0&
                      *cb*cima*l5*sa**2d0*sb
      coupl(nGC_2000) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca**  &
                        2d0*cb**2d0*l4 - ca**2d0*cb**2d0*l5 + ca**2d0*l2*sb**  &
                        2d0 - ca**2d0*l3*sb**2d0 - ca**2d0*l4*sb**2d0 + ca**2d0&
                        *l5*sb**2d0 - 8d0*ca*cb*l5*sa*sb + cb**2d0*l1*sa**2d0  &
                         - cb**2d0*l3*sa**2d0 - cb**2d0*l4*sa**2d0 + cb**2d0*l5&
                        *sa**2d0 - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0 + l4&
                        *sa**2d0*sb**2d0 - l5*sa**2d0*sb**2d0)
      coupl(nGC_2001) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_2002) = -ca**2d0*cb*cima*sb
      coupl(nGC_2003) = cb*cima*sa**2d0*sb
      coupl(nGC_2004) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_2005) = -cima*(ca**2d0*cb*sb - 2d0*ca*cb**2d0*sa + 2d0*ca*sa*sb&
                        **2d0 - cb*sa**2d0*sb)
      coupl(nGC_2006) = 2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca*&
                        cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb - 2d0&
                        *ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5*sa** &
                        2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_2007) = sqrt(2d0)*(cb*yd12x2 + sb*ys2)/2d0
      coupl(nGC_2008) = sqrt(2d0)*sb/2d0
      coupl(nGC_2009) = -sqrt(2d0)*cb/2d0
      coupl(nGC_2220) = -3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_315) = -cb**3d0*ee**2d0*vev1/(4d0*sw**2d0) + cb**3d0*ee**2d0*  &
                       vev1/(4d0*cw**2d0) - cb**2d0*ee**2d0*sb*vev2/(4d0*sw**  &
                       2d0) + cb**2d0*ee**2d0*sb*vev2/(4d0*cw**2d0) - cb*ee**  &
                       2d0*sb**2d0*vev1/(4d0*sw**2d0) + cb*ee**2d0*sb**2d0*vev1&
                       /(4d0*cw**2d0) - ee**2d0*sb**3d0*vev2/(4d0*sw**2d0) + ee&
                       **2d0*sb**3d0*vev2/(4d0*cw**2d0)
      coupl(nGC_2222) = -2d0*cima*ee*sw/(3d0*cw)
      coupl(nGC_2223) = 2d0*cima*ee*sw/(3d0*cw**2d0)
      coupl(nGC_2224) = -2d0*cima*ee/(3d0*cw)
      coupl(nGC_316) = -cb**3d0*ee**2d0*vev1/(4d0*sw**2d0) + cb**3d0*l4*vev1/  &
                       2d0 - cb**3d0*l5*vev1/2d0 - cb**2d0*ee**2d0*sb*vev2/(4d0&
                       *sw**2d0) + cb**2d0*l4*sb*vev2/2d0 - cb**2d0*l5*sb*vev2/&
                       2d0 - cb*ee**2d0*sb**2d0*vev1/(4d0*sw**2d0) + cb*l4*sb**&
                       2d0*vev1/2d0 - cb*l5*sb**2d0*vev1/2d0 - ee**2d0*sb**3d0*&
                       vev2/(4d0*sw**2d0) + l4*sb**3d0*vev2/2d0 - l5*sb**3d0*  &
                       vev2/2d0
      coupl(nGC_318) = cb**3d0*ee**2d0*vev1/(4d0*sw**2d0) - cb**3d0*ee**2d0*   &
                       vev1/(4d0*cw**2d0) + cb**2d0*ee**2d0*sb*vev2/(4d0*sw**  &
                       2d0) - cb**2d0*ee**2d0*sb*vev2/(4d0*cw**2d0) + cb*ee**  &
                       2d0*sb**2d0*vev1/(4d0*sw**2d0) - cb*ee**2d0*sb**2d0*vev1&
                       /(4d0*cw**2d0) + ee**2d0*sb**3d0*vev2/(4d0*sw**2d0) - ee&
                       **2d0*sb**3d0*vev2/(4d0*cw**2d0)
      coupl(nGC_253) = -ca*cb**2d0*cima*l5*vev1 - ca*cb*cima*l2*sb*vev2 + ca*cb&
                       *cima*l3*sb*vev2 + ca*cb*cima*l4*sb*vev2 - ca*cb*cima*l5&
                       *sb*vev2 + ca*cima*l5*sb**2d0*vev1 + cb**2d0*cima*l5*sa*&
                       vev2 - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1 +  &
                       cb*cima*l4*sa*sb*vev1 - cb*cima*l5*sa*sb*vev1 - cima*l5*&
                       sa*sb**2d0*vev2
      coupl(nGC_328) = -ca*cima*cw**2d0*ee**2d0*vev2/(2d0*sw**2d0) - ca*cima*ee&
                       **2d0*vev2 - ca*cima*ee**2d0*sw**2d0*vev2/(2d0*cw**2d0  &
                       ) + cima*cw**2d0*ee**2d0*sa*vev1/(2d0*sw**2d0) + cima*ee&
                       **2d0*sa*vev1 + cima*ee**2d0*sa*sw**2d0*vev1/(2d0*cw**  &
                       2d0)
      coupl(nGC_329) = ca*cima*cw**2d0*ee**2d0*vev2/(2d0*sw**2d0) + ca*cima*ee &
                       **2d0*vev2 + ca*cima*ee**2d0*sw**2d0*vev2/(2d0*cw**2d0  &
                       ) - cima*cw**2d0*ee**2d0*sa*vev1/(2d0*sw**2d0) - cima*ee&
                       **2d0*sa*vev1 - cima*ee**2d0*sa*sw**2d0*vev1/(2d0*cw**  &
                       2d0)
      coupl(nGC_324) = -cb*cima*ee**2d0*vev1/(2d0*sw) - cima*ee**2d0*sb*vev2/( &
                       2d0*sw)
      coupl(nGC_325) = cb*cima*ee**2d0*vev1/(2d0*sw) + cima*ee**2d0*sb*vev2/(  &
                       2d0*sw)
      coupl(nGC_326) = -cb*cima*ee**2d0*vev1/sw - cima*ee**2d0*sb*vev2/sw
      coupl(nGC_321) = -cb*cima*ee**2d0*vev2/(2d0*sw) + cima*ee**2d0*sb*vev1/( &
                       2d0*sw)
      coupl(nGC_MTA) = -cMTA*cima
      coupl(nGC_188) = cb**2d0*ee**2d0/sw + ee**2d0*sb**2d0/sw
      coupl(nGC_189) = -cima*ee**2d0/sw**2d0
      coupl(nGC_180) = -ca*cb*cima*ee**2d0/(2d0*sw) - cima*ee**2d0*sa*sb/(2d0* &
                       sw)
      coupl(nGC_182) = -ca*cb*cima*ee**2d0/sw - cima*ee**2d0*sa*sb/sw
      coupl(nGC_183) = -cb**2d0*ee/(2d0*sw) - ee*sb**2d0/(2d0*sw)
      coupl(nGC_184) = cb**2d0*ee/(2d0*sw) + ee*sb**2d0/(2d0*sw)
      coupl(nGC_185) = -cb**2d0*ee**2d0/sw - ee**2d0*sb**2d0/sw
      coupl(nGC_186) = -cb**2d0*ee**2d0/(2d0*sw) - ee**2d0*sb**2d0/(2d0*sw)
      coupl(nGC_531) = cima*(ca*cb**2d0*l4*vev1 + ca*cb**2d0*l5*vev1 + 2d0*ca* &
                       cb*l2*sb*vev2 - 2d0*ca*cb*l3*sb*vev2 - ca*l4*sb**2d0*   &
                       vev1 - ca*l5*sb**2d0*vev1 - cb**2d0*l4*sa*vev2 - cb**2d0&
                       *l5*sa*vev2 + 2d0*cb*l1*sa*sb*vev1 - 2d0*cb*l3*sa*sb*   &
                       vev1 + l4*sa*sb**2d0*vev2 + l5*sa*sb**2d0*vev2)
      coupl(nGC_533) = -cima*(ca*cb**2d0*l2 + ca*l3*sb**2d0 + cb*l4*sa*sb + cb*&
                       l5*sa*sb)
      coupl(nGC_611) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*( &
                       ca*vev2 - sa*vev1)/(cw**2d0*sw**3d0)
      coupl(nGC_1612) = -cima*(ca*cb**2d0*l2*vev2 - ca*cb**2d0*l3*vev2 - ca*cb &
                        **2d0*l4*vev2 + ca*cb**2d0*l5*vev2 - 4d0*ca*cb*l5*sb*  &
                        vev1 - ca*l2*sb**2d0*vev2 + ca*l3*sb**2d0*vev2 + ca*l4*&
                        sb**2d0*vev2 - ca*l5*sb**2d0*vev2 + cb**2d0*l1*sa*vev1 &
                         - cb**2d0*l3*sa*vev1 - cb**2d0*l4*sa*vev1 + cb**2d0*l5&
                        *sa*vev1 + 4d0*cb*l5*sa*sb*vev2 - l1*sa*sb**2d0*vev1 + &
                        l3*sa*sb**2d0*vev1 + l4*sa*sb**2d0*vev1 - l5*sa*sb**2d0&
                        *vev1)
      coupl(nGC_1613) = -cima*(ca*cb*l2*sb - ca*cb*l3*sb - ca*cb*l4*sb + ca*cb*&
                        l5*sb - cb**2d0*l5*sa + l5*sa*sb**2d0)
      coupl(nGC_1614) = -cima*(ca*cb**2d0*l5 - ca*l5*sb**2d0 + cb*l1*sa*sb - cb&
                        *l3*sa*sb - cb*l4*sa*sb + cb*l5*sa*sb)
      coupl(nGC_1615) = -ca*cb*cima*sb*vev2
      coupl(nGC_1616) = -cb*cima*sa*sb*vev1
      coupl(nGC_1617) = cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_1618) = cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_1619) = -cima*(-ca*cb**2d0*l5*vev2 + ca*cb*l1*sb*vev1 - ca*cb* &
                        l3*sb*vev1 - ca*cb*l4*sb*vev1 + ca*cb*l5*sb*vev1 + ca* &
                        l5*sb**2d0*vev2 - cb**2d0*l5*sa*vev1 - cb*l2*sa*sb*vev2&
                         + cb*l3*sa*sb*vev2 + cb*l4*sa*sb*vev2 - cb*l5*sa*sb*  &
                        vev2 + l5*sa*sb**2d0*vev1)
      coupl(nGC_1859) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw)
      coupl(nGC_1928) = -cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_1929) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(cb*vev2 - sb*vev1)/2d0
      coupl(nGC_1926) = (cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
      coupl(nGC_1927) = -sb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
      coupl(nGC_1924) = sqrt(2d0)*cima*(ca*yc1 + sa*yc2)/2d0
      coupl(nGC_1925) = -(cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
      coupl(nGC_1922) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1923) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_247) = cb**3d0*l4*vev2/2d0 - cb**3d0*l5*vev2/2d0 - cb**2d0*l4* &
                       sb*vev1/2d0 + cb**2d0*l5*sb*vev1/2d0 + cb*l4*sb**2d0*   &
                       vev2/2d0 - cb*l5*sb**2d0*vev2/2d0 - l4*sb**3d0*vev1/2d0 &
                        + l5*sb**3d0*vev1/2d0
      coupl(nGC_246) = -ca*cb**2d0*cima*l2*vev2 + 2d0*ca*cb*cima*l5*sb*vev1 -  &
                       ca*cima*l3*sb**2d0*vev2 - ca*cima*l4*sb**2d0*vev2 + ca* &
                       cima*l5*sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1 + cb**2d0&
                       *cima*l4*sa*vev1 - cb**2d0*cima*l5*sa*vev1 - 2d0*cb*cima&
                       *l5*sa*sb*vev2 + cima*l1*sa*sb**2d0*vev1
      coupl(nGC_2251) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2250) = -4d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0*l4 &
                         + cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0 - &
                        l5*sb**2d0)
      coupl(nGC_2257) = (cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
      coupl(nGC_MMW_GF) = -cMW*cima
      coupl(nGC_2258) = -(cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
      coupl(nGC_1320) = cima*ee**2d0*(cb*vev1 + sb*vev2)/cw
      coupl(nGC_1321) = cima*ee**2d0*sb/(2d0*cw)
      coupl(nGC_243) = -ca*cb**2d0*cima*l2*vev2 + ca*cb*cima*l4*sb*vev1 + ca*cb&
                       *cima*l5*sb*vev1 - ca*cima*l3*sb**2d0*vev2 + cb**2d0*   &
                       cima*l3*sa*vev1 - cb*cima*l4*sa*sb*vev2 - cb*cima*l5*sa*&
                       sb*vev2 + cima*l1*sa*sb**2d0*vev1
      coupl(nGC_2109) = cima*ee**2d0*(cb**2d0 + sb**2d0)/sw**2d0
      coupl(nGC_2101) = 2d0*ca*cb*cima*sa*sb
      coupl(nGC_2100) = -ca*cb*cima*sa*sb
      coupl(nGC_2103) = -cima*(ca**2d0*cb*l1*sb + ca**2d0*cb*l2*sb - 2d0*ca**  &
                        2d0*cb*l3*sb - 2d0*ca**2d0*cb*l4*sb + 2d0*ca**2d0*cb*l5&
                        *sb - 4d0*ca*cb**2d0*l5*sa + 4d0*ca*l5*sa*sb**2d0 - cb*&
                        l1*sa**2d0*sb - cb*l2*sa**2d0*sb + 2d0*cb*l3*sa**2d0*sb&
                         + 2d0*cb*l4*sa**2d0*sb - 2d0*cb*l5*sa**2d0*sb)
      coupl(nGC_2102) = -cima*(ca**2d0*cb**2d0 - ca**2d0*sb**2d0 + 2d0*ca*cb*sa&
                        *sb - cb**2d0*sa**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_28) = -2d0*cb**2d0*cima*ee**2d0 - 2d0*cima*ee**2d0*sb**2d0
      coupl(nGC_29) = 2d0*cb**2d0*cima*ee**2d0 + 2d0*cima*ee**2d0*sb**2d0
      coupl(nGC_242) = -ca*cb**2d0*cima*l3*vev2 - ca*cb**2d0*cima*l4*vev2 + ca*&
                       cb**2d0*cima*l5*vev2 - 2d0*ca*cb*cima*l5*sb*vev1 - ca*  &
                       cima*l2*sb**2d0*vev2 + cb**2d0*cima*l1*sa*vev1 + 2d0*cb*&
                       cima*l5*sa*sb*vev2 + cima*l3*sa*sb**2d0*vev1 + cima*l4* &
                       sa*sb**2d0*vev1 - cima*l5*sa*sb**2d0*vev1
      coupl(nGC_22) = ca*cima*ee**2d0*sb/(2d0*cw) - cb*cima*ee**2d0*sa/(2d0*cw)
      coupl(nGC_23) = -ca*cb*cima*ee**2d0/(2d0*cw) - cima*ee**2d0*sa*sb/(2d0*cw)
      coupl(nGC_20) = -ca**4d0*cima*l3 - ca**4d0*cima*l4 - ca**4d0*cima*l5 -   &
                      3d0*ca**2d0*cima*l1*sa**2d0 - 3d0*ca**2d0*cima*l2*sa**2d0&
                       + 4d0*ca**2d0*cima*l3*sa**2d0 + 4d0*ca**2d0*cima*l4*sa**&
                      2d0 + 4d0*ca**2d0*cima*l5*sa**2d0 - cima*l3*sa**4d0 -    &
                      cima*l4*sa**4d0 - cima*l5*sa**4d0
      coupl(nGC_21) = -ca*cima*ee**2d0*sb/(2d0*cw) + cb*cima*ee**2d0*sa/(2d0*cw)
      coupl(nGC_26) = cb**2d0*cima*ee + cima*ee*sb**2d0
      coupl(nGC_27) = -cb**2d0*cima*ee**2d0 - cima*ee**2d0*sb**2d0
      coupl(nGC_24) = ca*cb*cima*ee**2d0/(2d0*cw) + cima*ee**2d0*sa*sb/(2d0*cw)
      coupl(nGC_25) = -cb**2d0*cima*ee - cima*ee*sb**2d0
      coupl(nGC_2039) = -2d0*ca*cb*cima*sa*sb
      coupl(nGC_2038) = -ca**2d0*cb**2d0*cima
      coupl(nGC_2035) = 2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca*cb**&
                        2d0*l4*sa - ca*cb**2d0*l5*sa + ca*l4*sa*sb**2d0 + ca*l5&
                        *sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa**2d0*sb)
      coupl(nGC_2034) = -2d0*cima*(2d0*ca**2d0*cb*l5*sb - ca*cb**2d0*l2*sa + ca&
                        *cb**2d0*l3*sa + ca*cb**2d0*l4*sa - ca*cb**2d0*l5*sa + &
                        ca*l1*sa*sb**2d0 - ca*l3*sa*sb**2d0 - ca*l4*sa*sb**2d0 &
                         + ca*l5*sa*sb**2d0 - 2d0*cb*l5*sa**2d0*sb)
      coupl(nGC_2037) = -cima*sa**2d0*sb**2d0
      coupl(nGC_2036) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
      coupl(nGC_2031) = -cima*sa**2d0*sb**2d0
      coupl(nGC_2030) = -ca**2d0*cb**2d0*cima
      coupl(nGC_2033) = cima*(ca**2d0*sb**2d0 - 4d0*ca*cb*sa*sb + cb**2d0*sa** &
                        2d0)
      coupl(nGC_2032) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
      coupl(nGC_2214) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_2216) = 3d0*cima*(cb**4d0*l1 - cb**4d0*l3 - cb**4d0*l4 - cb**  &
                        4d0*l5 - 3d0*cb**2d0*l1*sb**2d0 - 3d0*cb**2d0*l2*sb**  &
                        2d0 + 6d0*cb**2d0*l3*sb**2d0 + 6d0*cb**2d0*l4*sb**2d0  &
                         + 6d0*cb**2d0*l5*sb**2d0 + l2*sb**4d0 - l3*sb**4d0 -  &
                        l4*sb**4d0 - l5*sb**4d0)
      coupl(nGC_2213) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_2212) = 3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_2195) = 2d0*cb**3d0*cima*sb
      coupl(nGC_2386) = cima*ee**2d0*(ca**2d0 + sa**2d0)/sw**3d0
      coupl(nGC_2360) = -cima*(cb - sb)**2d0*(cb + sb)**2d0/2d0
      coupl(nGC_2365) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_2364) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw)
      coupl(nGC_2367) = -4d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3  &
                         - 2d0*l4 - 2d0*l5)
      coupl(nGC_2366) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_2369) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2368) = 4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_339) = -sqrt(2d0)*ca*cima*yd13x3/2d0 - sqrt(2d0)*cima*sa*yb2/2d0
      coupl(nGC_338) = sqrt(2d0)*cb*yc1/2d0 + sqrt(2d0)*sb*yc2/2d0
      coupl(nGC_333) = -sqrt(2d0)*ca*cima*yc2/2d0 + sqrt(2d0)*cima*sa*yc1/2d0
      coupl(nGC_332) = ca*cima*cw**2d0*ee**2d0*vev1/(2d0*sw**2d0) + ca*cima*ee &
                       **2d0*vev1 + ca*cima*ee**2d0*sw**2d0*vev1/(2d0*cw**2d0  &
                       ) + cima*cw**2d0*ee**2d0*sa*vev2/(2d0*sw**2d0) + cima*ee&
                       **2d0*sa*vev2 + cima*ee**2d0*sa*sw**2d0*vev2/(2d0*cw**  &
                       2d0)
      coupl(nGC_337) = cb*cima*yc1 + cima*sb*yc2
      coupl(nGC_336) = -sqrt(2d0)*ca*cima*yc1/2d0 - sqrt(2d0)*cima*sa*yc2/2d0
      coupl(nGC_334) = cb*cima*yc2 - cima*sb*yc1
      coupl(nGC_197) = sqrt(2d0)*cima*ee/(2d0*sw)
      coupl(nGC_196) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_195) = -2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_194) = cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_193) = -cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_192) = 2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_191) = -2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_190) = cima*ee**2d0/sw**2d0
      coupl(nGC_199) = cima*cw*ee/sw
      coupl(nGC_198) = -cima*cw*ee/sw
      coupl(nGC_249) = -ca*cb**2d0*cima*l1*vev1 - ca*cb*cima*l4*sb*vev2 - ca*cb&
                       *cima*l5*sb*vev2 - ca*cima*l3*sb**2d0*vev1 - cb**2d0*   &
                       cima*l3*sa*vev2 - cb*cima*l4*sa*sb*vev1 - cb*cima*l5*sa*&
                       sb*vev1 - cima*l2*sa*sb**2d0*vev2
      coupl(nGC_2256) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
      coupl(nGC_248) = -cb**3d0*l4*vev2/2d0 + cb**3d0*l5*vev2/2d0 + cb**2d0*l4*&
                       sb*vev1/2d0 - cb**2d0*l5*sb*vev1/2d0 - cb*l4*sb**2d0*   &
                       vev2/2d0 + cb*l5*sb**2d0*vev2/2d0 + l4*sb**3d0*vev1/2d0 &
                        - l5*sb**3d0*vev1/2d0
      coupl(nGC_609) = ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw&
                       **2d0)
      coupl(nGC_607) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(ca&
                       *vev2 - sa*vev1)/(cw**3d0*sw**2d0)
      coupl(nGC_605) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev1 + sa*   &
                       vev2)/(2d0*cw**2d0*sw**2d0)
      coupl(nGC_603) = -cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0* &
                       sw**2d0)
      coupl(nGC_1620) = -cima*(ca*cb**2d0*vev1 + ca*cb*sb*vev2 - ca*sb**2d0*   &
                        vev1 - cb**2d0*sa*vev2 + cb*sa*sb*vev1 + sa*sb**2d0*   &
                        vev2)
      coupl(nGC_601) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev2 - sa*vev1&
                       )/(cw**2d0*sw**2d0)
      coupl(nGC_2259) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
      coupl(nGC_1823) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_2057) = cima*(ca**2d0*sb**2d0 - 4d0*ca*cb*sa*sb + cb**2d0*sa** &
                        2d0)
      coupl(nGC_1821) = ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_1820) = -cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_1827) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_1826) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_1825) = -3d0*ca**4d0*cima
      coupl(nGC_2056) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
      coupl(nGC_1829) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
      coupl(nGC_1828) = 12d0*ca*cima*sa*(ca**2d0*l1 - ca**2d0*l3 - ca**2d0*l4  &
                         - ca**2d0*l5 - l2*sa**2d0 + l3*sa**2d0 + l4*sa**2d0 + &
                        l5*sa**2d0)
      coupl(nGC_2055) = -ca**2d0*cb**2d0*cima
      coupl(nGC_1488) = sqrt(2d0)*cb/2d0
      coupl(nGC_2054) = -cima*sa**2d0*sb**2d0
      coupl(nGC_1953) = -ca*cima*sa*sb**2d0
      coupl(nGC_1951) = -cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**  &
                        2d0*l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa* &
                        sb + 2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*&
                        l4*sa**2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + &
                        l5*sa**2d0*sb**2d0)
      coupl(nGC_1482) = -cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_1485) = -cb*cima*sb*(ca*vev2 + sa*vev1)
      coupl(nGC_1484) = cima*(-ca*cb**2d0*l3*vev2 - ca*cb*l4*sb*vev1 - ca*cb*l5&
                        *sb*vev1 - ca*l2*sb**2d0*vev2 + cb**2d0*l1*sa*vev1 + cb&
                        *l4*sa*sb*vev2 + cb*l5*sa*sb*vev2 + l3*sa*sb**2d0*vev1)
      coupl(nGC_1487) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1954) = ca*cb**2d0*cima*sa
      coupl(nGC_1139) = -sqrt(2d0)*sb/2d0
      coupl(nGC_1138) = -sqrt(2d0)*cb/2d0
      coupl(nGC_2051) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw)
      coupl(nGC_1131) = 2d0*cima*cw*ee/sw
      coupl(nGC_1133) = -2d0*cima*cw*ee/sw**2d0
      coupl(nGC_1132) = 2d0*cima*ee/sw
      coupl(nGC_1135) = -cima*sb
      coupl(nGC_1134) = -cima*(cb*ytau2 - sb*ytau1)
      coupl(nGC_1137) = -sqrt(2d0)*(cb*ym2 - sb*ym1)/2d0
      coupl(nGC_1136) = -cb*cima
      coupl(nGC_1550) = -cima*(cb - sb)*(cb + sb)*(ca*vev1 - sa*vev2)/2d0
      coupl(nGC_1315) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1314) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1317) = cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*cw)
      coupl(nGC_1316) = -sqrt(2d0)*cima*(ca*ydo2 - sa*ydo1)/2d0
      coupl(nGC_1319) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*cw**2d0)
      coupl(nGC_1318) = cb*cima*ee**2d0/(2d0*cw)
      coupl(nGC_17) = 3d0*ca**3d0*cima*l1*sa - 3d0*ca**3d0*cima*l3*sa - 3d0*ca &
                      **3d0*cima*l4*sa - 3d0*ca**3d0*cima*l5*sa - 3d0*ca*cima* &
                      l2*sa**3d0 + 3d0*ca*cima*l3*sa**3d0 + 3d0*ca*cima*l4*sa**&
                      3d0 + 3d0*ca*cima*l5*sa**3d0
      coupl(nGC_16) = -3d0*ca**3d0*cima*l2*sa + 3d0*ca**3d0*cima*l3*sa + 3d0*ca&
                      **3d0*cima*l4*sa + 3d0*ca**3d0*cima*l5*sa + 3d0*ca*cima* &
                      l1*sa**3d0 - 3d0*ca*cima*l3*sa**3d0 - 3d0*ca*cima*l4*sa**&
                      3d0 - 3d0*ca*cima*l5*sa**3d0
      coupl(nGC_15) = cima*gs**2d0
      coupl(nGC_14) = -cima*gs**2d0
      coupl(nGC_13) = cima*gs
      coupl(nGC_12) = -gs
      coupl(nGC_11) = -2d0*gs
      coupl(nGC_10) = 2d0*cima*ee**2d0
      coupl(nGC_19) = -3d0*ca**4d0*cima*l1 - 6d0*ca**2d0*cima*l3*sa**2d0 - 6d0*&
                      ca**2d0*cima*l4*sa**2d0 - 6d0*ca**2d0*cima*l5*sa**2d0 -  &
                      3d0*cima*l2*sa**4d0
      coupl(nGC_18) = -3d0*ca**4d0*cima*l2 - 6d0*ca**2d0*cima*l3*sa**2d0 - 6d0*&
                      ca**2d0*cima*l4*sa**2d0 - 6d0*ca**2d0*cima*l5*sa**2d0 -  &
                      3d0*cima*l1*sa**4d0
      coupl(nGC_2028) = -2d0*cima*(-ca**2d0*cb*l2*sb + ca**2d0*cb*l3*sb + ca** &
                        2d0*cb*l4*sb - ca**2d0*cb*l5*sb + 2d0*ca*cb**2d0*l5*sa &
                         - 2d0*ca*l5*sa*sb**2d0 + cb*l1*sa**2d0*sb - cb*l3*sa**&
                        2d0*sb - cb*l4*sa**2d0*sb + cb*l5*sa**2d0*sb)
      coupl(nGC_2029) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
      coupl(nGC_2022) = -cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_2023) = cima*(ca**2d0*cb*sb - 2d0*ca*cb**2d0*sa + 2d0*ca*sa*sb &
                        **2d0 - cb*sa**2d0*sb)
      coupl(nGC_2020) = -cb*cima*sa**2d0*sb
      coupl(nGC_2021) = ca**2d0*cb*cima*sb
      coupl(nGC_2024) = -2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca&
                        *cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb -   &
                        2d0*ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5*sa&
                        **2d0 + l5*sa**2d0*sb**2d0)
      coupl(nGC_2202) = cb**2d0*cima*sa*vev1
      coupl(nGC_2203) = -cb*cima*sb*(ca*vev1 - sa*vev2)
      coupl(nGC_2204) = -cima*(ca*cb**2d0*vev2 - sa*sb**2d0*vev1)
      coupl(nGC_2116) = -sqrt(2d0)*cb/2d0
      coupl(nGC_2117) = -2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca**  &
                        2d0*cb*l4*sb + ca**2d0*cb*l5*sb - 2d0*ca*cb**2d0*l5*sa &
                         + 2d0*ca*l5*sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa**&
                        2d0*sb + cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
      coupl(nGC_2114) = sqrt(2d0)*(cb*yd13x3 + sb*yb2)/2d0
      coupl(nGC_2115) = sqrt(2d0)*sb/2d0
      coupl(nGC_2112) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_2113) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_2110) = -cima*ee**2d0*(cb**2d0 + sb**2d0)/sw**3d0
      coupl(nGC_2111) = sqrt(2d0)*cima*(ca*yt1 + sa*yt2)/2d0
      coupl(nGC_2118) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
      coupl(nGC_2119) = -cb**2d0*cima*sa**2d0
      coupl(nGC_2200) = cima*(-ca*cb*l4*sb - ca*cb*l5*sb + cb**2d0*l1*sa + l3* &
                        sa*sb**2d0)
      coupl(nGC_2201) = -ca*cima*sb**2d0*vev2
      coupl(nGC_2378) = -cima*(cb**4d0 - 4d0*cb**2d0*sb**2d0 + sb**4d0)
      coupl(nGC_2376) = -3d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2377) = -cima*(cb**4d0 - 4d0*cb**2d0*sb**2d0 + sb**4d0)
      coupl(nGC_2374) = -cima*(cb**4d0 - 4d0*cb**2d0*sb**2d0 + sb**4d0)
      coupl(nGC_2375) = -3d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2372) = -2d0*cima*(cb**4d0 + sb**4d0)
      coupl(nGC_2373) = -6d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3  &
                         - 2d0*l4 - 2d0*l5)
      coupl(nGC_2370) = -2d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2371) = 4d0*cb**2d0*cima*sb**2d0
      coupl(nGC_2205) = cima*(ca*cb**2d0*l1*vev1 + ca*cb*l4*sb*vev2 + ca*cb*l5*&
                        sb*vev2 + ca*l3*sb**2d0*vev1 + cb**2d0*l3*sa*vev2 + cb*&
                        l4*sa*sb*vev1 + cb*l5*sa*sb*vev1 + l2*sa*sb**2d0*vev2)
      coupl(nGC_2208) = 3d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_2209) = -3d0*cb**3d0*cima*sb
      coupl(nGC_294) = -ca*cb**2d0*cima*l5*vev2 - ca*cb*cima*ee**2d0*sb*vev1/( &
                       4d0*sw**2d0) + ca*cb*cima*l1*sb*vev1 - ca*cb*cima*l3*sb*&
                       vev1 - ca*cb*cima*l4*sb*vev1 + ca*cb*cima*l5*sb*vev1 -  &
                       ca*cb*cima*ee**2d0*sb*vev1/(4d0*cw**2d0) - ca*cima*ee** &
                       2d0*sb**2d0*vev2/(4d0*sw**2d0) + ca*cima*l5*sb**2d0*vev2&
                        - ca*cima*ee**2d0*sb**2d0*vev2/(4d0*cw**2d0) + cb**2d0*&
                       cima*ee**2d0*sa*vev1/(4d0*sw**2d0) - cb**2d0*cima*l5*sa*&
                       vev1 + cb**2d0*cima*ee**2d0*sa*vev1/(4d0*cw**2d0) + cb* &
                       cima*ee**2d0*sa*sb*vev2/(4d0*sw**2d0) - cb*cima*l2*sa*sb&
                       *vev2 + cb*cima*l3*sa*sb*vev2 + cb*cima*l4*sa*sb*vev2 - &
                       cb*cima*l5*sa*sb*vev2 + cb*cima*ee**2d0*sa*sb*vev2/(4d0*&
                       cw**2d0) + cima*l5*sa*sb**2d0*vev1
      coupl(nGC_295) = -ca*cb**2d0*cima*l3*vev2 + ca*cb*cima*ee**2d0*sb*vev1/( &
                       4d0*sw**2d0) - ca*cb*cima*l4*sb*vev1 - ca*cb*cima*l5*sb*&
                       vev1 + ca*cima*ee**2d0*sb**2d0*vev2/(4d0*sw**2d0) - ca* &
                       cima*l2*sb**2d0*vev2 - cb**2d0*cima*ee**2d0*sa*vev1/(4d0&
                       *sw**2d0) + cb**2d0*cima*l1*sa*vev1 - cb*cima*ee**2d0*sa&
                       *sb*vev2/(4d0*sw**2d0) + cb*cima*l4*sa*sb*vev2 + cb*cima&
                       *l5*sa*sb*vev2 + cima*l3*sa*sb**2d0*vev1
      coupl(nGC_296) = -ca*cb**2d0*cima*l3*vev2 - ca*cb**2d0*cima*l4*vev2 + ca*&
                       cb**2d0*cima*l5*vev2 + ca*cb*cima*ee**2d0*sb*vev1/(4d0* &
                       sw**2d0) - 2d0*ca*cb*cima*l5*sb*vev1 + ca*cb*cima*ee**  &
                       2d0*sb*vev1/(4d0*cw**2d0) + ca*cima*ee**2d0*sb**2d0*vev2&
                       /(4d0*sw**2d0) - ca*cima*l2*sb**2d0*vev2 + ca*cima*ee** &
                       2d0*sb**2d0*vev2/(4d0*cw**2d0) - cb**2d0*cima*ee**2d0*sa&
                       *vev1/(4d0*sw**2d0) + cb**2d0*cima*l1*sa*vev1 - cb**2d0*&
                       cima*ee**2d0*sa*vev1/(4d0*cw**2d0) - cb*cima*ee**2d0*sa*&
                       sb*vev2/(4d0*sw**2d0) + 2d0*cb*cima*l5*sa*sb*vev2 - cb* &
                       cima*ee**2d0*sa*sb*vev2/(4d0*cw**2d0) + cima*l3*sa*sb** &
                       2d0*vev1 + cima*l4*sa*sb**2d0*vev1 - cima*l5*sa*sb**2d0*&
                       vev1
      coupl(nGC_297) = -ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0&
                       *cima*l4*vev2/2d0 - ca*cb**2d0*cima*l5*vev2/2d0 + ca*cb*&
                       cima*ee**2d0*sb*vev1/(2d0*sw**2d0) + ca*cb*cima*l1*sb*  &
                       vev1 - ca*cb*cima*l3*sb*vev1 + ca*cima*ee**2d0*sb**2d0* &
                       vev2/(4d0*sw**2d0) + ca*cima*l4*sb**2d0*vev2/2d0 + ca*  &
                       cima*l5*sb**2d0*vev2/2d0 - cb**2d0*cima*ee**2d0*sa*vev1 &
                       /(4d0*sw**2d0) - cb**2d0*cima*l4*sa*vev1/2d0 - cb**2d0* &
                       cima*l5*sa*vev1/2d0 - cb*cima*ee**2d0*sa*sb*vev2/(2d0*sw&
                       **2d0) - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2  &
                        + cima*ee**2d0*sa*sb**2d0*vev1/(4d0*sw**2d0) + cima*l4*&
                       sa*sb**2d0*vev1/2d0 + cima*l5*sa*sb**2d0*vev1/2d0
      coupl(nGC_290) = ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0*&
                       cima*l2*vev2 + ca*cb**2d0*cima*ee**2d0*vev2/(4d0*cw**2d0&
                       ) - ca*cb*cima*ee**2d0*sb*vev1/(4d0*sw**2d0) + 2d0*ca*cb&
                       *cima*l5*sb*vev1 - ca*cb*cima*ee**2d0*sb*vev1/(4d0*cw** &
                       2d0) - ca*cima*l3*sb**2d0*vev2 - ca*cima*l4*sb**2d0*vev2&
                        + ca*cima*l5*sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1 +  &
                       cb**2d0*cima*l4*sa*vev1 - cb**2d0*cima*l5*sa*vev1 + cb* &
                       cima*ee**2d0*sa*sb*vev2/(4d0*sw**2d0) - 2d0*cb*cima*l5* &
                       sa*sb*vev2 + cb*cima*ee**2d0*sa*sb*vev2/(4d0*cw**2d0) - &
                       cima*ee**2d0*sa*sb**2d0*vev1/(4d0*sw**2d0) + cima*l1*sa*&
                       sb**2d0*vev1 - cima*ee**2d0*sa*sb**2d0*vev1/(4d0*cw**2d0&
                       )
      coupl(nGC_291) = -ca*cb**2d0*cima*ee**2d0*vev2/(2d0*sw**2d0) - ca*cb**2d0&
                       *cima*l2*vev2 + ca*cb*cima*ee**2d0*sb*vev1/(2d0*sw**2d0 &
                       ) + ca*cb*cima*l4*sb*vev1 + ca*cb*cima*l5*sb*vev1 - ca* &
                       cima*l3*sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1 - cb*cima&
                       *ee**2d0*sa*sb*vev2/(2d0*sw**2d0) - cb*cima*l4*sa*sb*   &
                       vev2 - cb*cima*l5*sa*sb*vev2 + cima*ee**2d0*sa*sb**2d0* &
                       vev1/(2d0*sw**2d0) + cima*l1*sa*sb**2d0*vev1
      coupl(nGC_292) = -ca*cb**2d0*cima*ee**2d0*vev2/(2d0*sw**2d0) - ca*cb**2d0&
                       *cima*l2*vev2 - ca*cb**2d0*cima*ee**2d0*vev2/(2d0*cw**  &
                       2d0) + ca*cb*cima*ee**2d0*sb*vev1/(2d0*sw**2d0) + 2d0*ca&
                       *cb*cima*l5*sb*vev1 + ca*cb*cima*ee**2d0*sb*vev1/(2d0*cw&
                       **2d0) - ca*cima*l3*sb**2d0*vev2 - ca*cima*l4*sb**2d0*  &
                       vev2 + ca*cima*l5*sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1&
                        + cb**2d0*cima*l4*sa*vev1 - cb**2d0*cima*l5*sa*vev1 -  &
                       cb*cima*ee**2d0*sa*sb*vev2/(2d0*sw**2d0) - 2d0*cb*cima* &
                       l5*sa*sb*vev2 - cb*cima*ee**2d0*sa*sb*vev2/(2d0*cw**2d0 &
                       ) + cima*ee**2d0*sa*sb**2d0*vev1/(2d0*sw**2d0) + cima*l1&
                       *sa*sb**2d0*vev1 + cima*ee**2d0*sa*sb**2d0*vev1/(2d0*cw &
                       **2d0)
      coupl(nGC_293) = -ca*cb**2d0*cima*l4*vev2/2d0 - ca*cb**2d0*cima*l5*vev2/ &
                       2d0 - ca*cb*cima*ee**2d0*sb*vev1/(4d0*sw**2d0) + ca*cb* &
                       cima*l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 - ca*cima*ee**  &
                       2d0*sb**2d0*vev2/(4d0*sw**2d0) + ca*cima*l4*sb**2d0*vev2&
                       /2d0 + ca*cima*l5*sb**2d0*vev2/2d0 + cb**2d0*cima*ee**  &
                       2d0*sa*vev1/(4d0*sw**2d0) - cb**2d0*cima*l4*sa*vev1/2d0 &
                        - cb**2d0*cima*l5*sa*vev1/2d0 + cb*cima*ee**2d0*sa*sb* &
                       vev2/(4d0*sw**2d0) - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*&
                       sa*sb*vev2 + cima*l4*sa*sb**2d0*vev1/2d0 + cima*l5*sa*sb&
                       **2d0*vev1/2d0
      coupl(nGC_298) = -ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0&
                       *cima*l5*vev2 - ca*cb**2d0*cima*ee**2d0*vev2/(4d0*cw**  &
                       2d0) + ca*cb*cima*ee**2d0*sb*vev1/(2d0*sw**2d0) + ca*cb*&
                       cima*l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 - ca*cb*cima*l4*&
                       sb*vev1 + ca*cb*cima*l5*sb*vev1 + ca*cb*cima*ee**2d0*sb*&
                       vev1/(2d0*cw**2d0) + ca*cima*ee**2d0*sb**2d0*vev2/(4d0* &
                       sw**2d0) + ca*cima*l5*sb**2d0*vev2 + ca*cima*ee**2d0*sb &
                       **2d0*vev2/(4d0*cw**2d0) - cb**2d0*cima*ee**2d0*sa*vev1 &
                       /(4d0*sw**2d0) - cb**2d0*cima*l5*sa*vev1 - cb**2d0*cima*&
                       ee**2d0*sa*vev1/(4d0*cw**2d0) - cb*cima*ee**2d0*sa*sb*  &
                       vev2/(2d0*sw**2d0) - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*&
                       sa*sb*vev2 + cb*cima*l4*sa*sb*vev2 - cb*cima*l5*sa*sb*  &
                       vev2 - cb*cima*ee**2d0*sa*sb*vev2/(2d0*cw**2d0) + cima* &
                       ee**2d0*sa*sb**2d0*vev1/(4d0*sw**2d0) + cima*l5*sa*sb** &
                       2d0*vev1 + cima*ee**2d0*sa*sb**2d0*vev1/(4d0*cw**2d0)
      coupl(nGC_299) = -ca*cb**2d0*cima*l3*vev2 - ca*cb*cima*ee**2d0*sb*vev1/( &
                       2d0*sw**2d0) - ca*cb*cima*l4*sb*vev1 - ca*cb*cima*l5*sb*&
                       vev1 - ca*cima*ee**2d0*sb**2d0*vev2/(2d0*sw**2d0) - ca* &
                       cima*l2*sb**2d0*vev2 + cb**2d0*cima*ee**2d0*sa*vev1/(2d0&
                       *sw**2d0) + cb**2d0*cima*l1*sa*vev1 + cb*cima*ee**2d0*sa&
                       *sb*vev2/(2d0*sw**2d0) + cb*cima*l4*sa*sb*vev2 + cb*cima&
                       *l5*sa*sb*vev2 + cima*l3*sa*sb**2d0*vev1
      coupl(nGC_1638) = 2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_1639) = -2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_1632) = cima*(cb*yup2 - sb*yup1)
      coupl(nGC_1633) = cb*cima
      coupl(nGC_279) = -ca*cb**2d0*cima*l4*vev1/2d0 - ca*cb**2d0*cima*l5*vev1/ &
                       2d0 + ca*cb*cima*ee**2d0*sb*vev2/(4d0*sw**2d0) - ca*cb* &
                       cima*l2*sb*vev2 + ca*cb*cima*l3*sb*vev2 - ca*cima*ee**  &
                       2d0*sb**2d0*vev1/(4d0*sw**2d0) + ca*cima*l4*sb**2d0*vev1&
                       /2d0 + ca*cima*l5*sb**2d0*vev1/2d0 - cb**2d0*cima*ee**  &
                       2d0*sa*vev2/(4d0*sw**2d0) + cb**2d0*cima*l4*sa*vev2/2d0 &
                        + cb**2d0*cima*l5*sa*vev2/2d0 + cb*cima*ee**2d0*sa*sb* &
                       vev1/(4d0*sw**2d0) - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*&
                       sa*sb*vev1 - cima*l4*sa*sb**2d0*vev2/2d0 - cima*l5*sa*sb&
                       **2d0*vev2/2d0
      coupl(nGC_1636) = 2d0*cima*ee**2d0/sw
      coupl(nGC_1637) = -2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_1634) = cima*sb
      coupl(nGC_1635) = 4d0*cima*cw*ee**2d0/sw
      coupl(nGC_1436) = ee**2d0*(cb**2d0 + sb**2d0)/sw
      coupl(nGC_273) = -cb*ee**2d0*vev1/(2d0*sw**2d0) - ee**2d0*sb*vev2/(2d0*sw&
                       **2d0)
      coupl(nGC_1830) = -3d0*ca**2d0*cima*sa**2d0
      coupl(nGC_1831) = -3d0*ca**2d0*cima*sa**2d0
      coupl(nGC_1832) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
      coupl(nGC_1833) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
      coupl(nGC_1834) = -6d0*ca*cima*sa*(ca - sa)*(ca + sa)*(l1 + l2 - 2d0*l3  &
                         - 2d0*l4 - 2d0*l5)
      coupl(nGC_1835) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
      coupl(nGC_1836) = -cima*ee**2d0*(ca*sb - cb*sa)/cw
      coupl(nGC_1837) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw**2d0)
      coupl(nGC_1838) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
      coupl(nGC_1839) = -3d0*cima*sa*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + l2&
                        *sa**2d0)
      coupl(nGC_1940) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1941) = cb*cima*sb*(ca - sa)*(ca + sa)
      coupl(nGC_1942) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca**  &
                        2d0*l1*sb**2d0 - ca**2d0*l3*sb**2d0 - 4d0*ca*cb*l4*sa* &
                        sb - 4d0*ca*cb*l5*sa*sb + cb**2d0*l2*sa**2d0 - cb**2d0*&
                        l3*sa**2d0 - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0)
      coupl(nGC_1943) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1944) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1945) = -sqrt(2d0)*cima*(ca*yc2 - sa*yc1)/2d0
      coupl(nGC_557) = -cb*cima*sa*sb*vev2
      coupl(nGC_1866) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw)
      coupl(nGC_1717) = sqrt(2d0)*sb/2d0
    end subroutine fill_couplings_mdl2
end module fill_couplings2
