!******************************************************************************!
!                                                                              !
!    fill_couplings4.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings4.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 15:41             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl4()
      coupl(nGC_1763) = cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0* &
                        sw**2d0)
      coupl(nGC_1496) = cb*cima
      coupl(nGC_2323) = -3d0*cb**4d0*cima
      coupl(nGC_1497) = cima*sb
      coupl(nGC_2322) = -3d0*cima*sb**4d0
      coupl(nGC_100) = cb**2d0*cima*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0*sb**  &
                       2d0/(2d0*sw**2d0)
      coupl(nGC_101) = cb**2d0*cima*ee**2d0/sw**2d0 + cima*ee**2d0*sb**2d0/sw**&
                       2d0
      coupl(nGC_102) = -ca**2d0*cb**2d0*cima*l4/2d0 - ca**2d0*cb**2d0*cima*l5/ &
                       2d0 - ca**2d0*cima*ee**2d0*sb**2d0/(4d0*sw**2d0) + ca** &
                       2d0*cima*l4*sb**2d0/2d0 + ca**2d0*cima*l5*sb**2d0/2d0 + &
                       ca*cb*cima*ee**2d0*sa*sb/(2d0*sw**2d0) - ca*cb*cima*l1* &
                       sa*sb - ca*cb*cima*l2*sa*sb + 2d0*ca*cb*cima*l3*sa*sb - &
                       cb**2d0*cima*ee**2d0*sa**2d0/(4d0*sw**2d0) + cb**2d0*   &
                       cima*l4*sa**2d0/2d0 + cb**2d0*cima*l5*sa**2d0/2d0 - cima&
                       *l4*sa**2d0*sb**2d0/2d0 - cima*l5*sa**2d0*sb**2d0/2d0
      coupl(nGC_103) = -ca**2d0*cb**2d0*cima*l5 - ca**2d0*cima*ee**2d0*sb**2d0 &
                       /(4d0*sw**2d0) + ca**2d0*cima*l5*sb**2d0 - ca**2d0*cima*&
                       ee**2d0*sb**2d0/(4d0*cw**2d0) + ca*cb*cima*ee**2d0*sa*sb&
                       /(2d0*sw**2d0) - ca*cb*cima*l1*sa*sb - ca*cb*cima*l2*sa*&
                       sb + 2d0*ca*cb*cima*l3*sa*sb + 2d0*ca*cb*cima*l4*sa*sb  &
                        - 2d0*ca*cb*cima*l5*sa*sb + ca*cb*cima*ee**2d0*sa*sb/( &
                       2d0*cw**2d0) - cb**2d0*cima*ee**2d0*sa**2d0/(4d0*sw**2d0&
                       ) + cb**2d0*cima*l5*sa**2d0 - cb**2d0*cima*ee**2d0*sa** &
                       2d0/(4d0*cw**2d0) - cima*l5*sa**2d0*sb**2d0
      coupl(nGC_104) = -ca**2d0*cb**2d0*cima*l3 + ca**2d0*cima*ee**2d0*sb**2d0 &
                       /(4d0*sw**2d0) - ca**2d0*cima*l1*sb**2d0 - ca*cb*cima*ee&
                       **2d0*sa*sb/(2d0*sw**2d0) + 2d0*ca*cb*cima*l4*sa*sb +   &
                       2d0*ca*cb*cima*l5*sa*sb + cb**2d0*cima*ee**2d0*sa**2d0/(&
                       4d0*sw**2d0) - cb**2d0*cima*l2*sa**2d0 - cima*l3*sa**2d0&
                       *sb**2d0
      coupl(nGC_105) = -ca**2d0*cb**2d0*cima*l3 + ca**2d0*cima*ee**2d0*sb**2d0 &
                       /(4d0*sw**2d0) - ca**2d0*cima*l2*sb**2d0 - ca*cb*cima*ee&
                       **2d0*sa*sb/(2d0*sw**2d0) + 2d0*ca*cb*cima*l4*sa*sb +   &
                       2d0*ca*cb*cima*l5*sa*sb + cb**2d0*cima*ee**2d0*sa**2d0/(&
                       4d0*sw**2d0) - cb**2d0*cima*l1*sa**2d0 - cima*l3*sa**2d0&
                       *sb**2d0
      coupl(nGC_106) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca &
                       **2d0*cb**2d0*cima*l5 + ca**2d0*cima*ee**2d0*sb**2d0/(  &
                       4d0*sw**2d0) - ca**2d0*cima*l1*sb**2d0 + ca**2d0*cima*ee&
                       **2d0*sb**2d0/(4d0*cw**2d0) - ca*cb*cima*ee**2d0*sa*sb/(&
                       2d0*sw**2d0) + 4d0*ca*cb*cima*l5*sa*sb - ca*cb*cima*ee**&
                       2d0*sa*sb/(2d0*cw**2d0) + cb**2d0*cima*ee**2d0*sa**2d0/(&
                       4d0*sw**2d0) - cb**2d0*cima*l2*sa**2d0 + cb**2d0*cima*ee&
                       **2d0*sa**2d0/(4d0*cw**2d0) - cima*l3*sa**2d0*sb**2d0 - &
                       cima*l4*sa**2d0*sb**2d0 + cima*l5*sa**2d0*sb**2d0
      coupl(nGC_107) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca &
                       **2d0*cb**2d0*cima*l5 + ca**2d0*cima*ee**2d0*sb**2d0/(  &
                       4d0*sw**2d0) - ca**2d0*cima*l2*sb**2d0 + ca**2d0*cima*ee&
                       **2d0*sb**2d0/(4d0*cw**2d0) - ca*cb*cima*ee**2d0*sa*sb/(&
                       2d0*sw**2d0) + 4d0*ca*cb*cima*l5*sa*sb - ca*cb*cima*ee**&
                       2d0*sa*sb/(2d0*cw**2d0) + cb**2d0*cima*ee**2d0*sa**2d0/(&
                       4d0*sw**2d0) - cb**2d0*cima*l1*sa**2d0 + cb**2d0*cima*ee&
                       **2d0*sa**2d0/(4d0*cw**2d0) - cima*l3*sa**2d0*sb**2d0 - &
                       cima*l4*sa**2d0*sb**2d0 + cima*l5*sa**2d0*sb**2d0
      coupl(nGC_108) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cima*ee**2d0*sb**2d0 &
                       /(2d0*sw**2d0) - ca**2d0*cima*l1*sb**2d0 + ca*cb*cima*ee&
                       **2d0*sa*sb/sw**2d0 + 2d0*ca*cb*cima*l4*sa*sb + 2d0*ca* &
                       cb*cima*l5*sa*sb - cb**2d0*cima*ee**2d0*sa**2d0/(2d0*sw &
                       **2d0) - cb**2d0*cima*l2*sa**2d0 - cima*l3*sa**2d0*sb** &
                       2d0
      coupl(nGC_109) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cima*ee**2d0*sb**2d0 &
                       /(2d0*sw**2d0) - ca**2d0*cima*l2*sb**2d0 + ca*cb*cima*ee&
                       **2d0*sa*sb/sw**2d0 + 2d0*ca*cb*cima*l4*sa*sb + 2d0*ca* &
                       cb*cima*l5*sa*sb - cb**2d0*cima*ee**2d0*sa**2d0/(2d0*sw &
                       **2d0) - cb**2d0*cima*l1*sa**2d0 - cima*l3*sa**2d0*sb** &
                       2d0
      coupl(nGC_2329) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_2328) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(&
                        cw*sw**2d0)
      coupl(nGC_1508) = 2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_1509) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_1500) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(&
                        cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_1507) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_1698) = -2d0*cima*(-ca*cb**2d0*l5*vev2 + ca*cb*l1*sb*vev1 - ca*&
                        cb*l3*sb*vev1 - ca*cb*l4*sb*vev1 + ca*cb*l5*sb*vev1 +  &
                        ca*l5*sb**2d0*vev2 - cb**2d0*l5*sa*vev1 - cb*l2*sa*sb* &
                        vev2 + cb*l3*sa*sb*vev2 + cb*l4*sa*sb*vev2 - cb*l5*sa* &
                        sb*vev2 + l5*sa*sb**2d0*vev1)
      coupl(nGC_1699) = -cima*(-2d0*ca*cb*l5*sb + cb**2d0*l2*sa + l3*sa*sb**2d0&
                         + l4*sa*sb**2d0 - l5*sa*sb**2d0)
      coupl(nGC_1690) = sqrt(2d0)*cima*(ca*yup1 + sa*yup2)/2d0
      coupl(nGC_1691) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1692) = -cb*cima*ee**2d0/(2d0*sw)
      coupl(nGC_1693) = -cima*ee**2d0*sb/(2d0*sw)
      coupl(nGC_1694) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/sw
      coupl(nGC_1695) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*sw**2d0)
      coupl(nGC_1696) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*sw)
      coupl(nGC_1697) = -2d0*gs
      coupl(nGC_2210) = 3d0*cb*cima*sb**3d0
      coupl(nGC_1498) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)** &
                        2d0/(cw**2d0*sw**2d0)
      coupl(nGC_181) = ca*cb*cima*ee**2d0/(2d0*sw) + cima*ee**2d0*sa*sb/(2d0*sw)
      coupl(nGC_1499) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*( &
                        cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_1980) = cima*(2d0*ca**2d0*cb*sb - ca*cb**2d0*sa + ca*sa*sb**2d0&
                         - 2d0*cb*sa**2d0*sb)
      coupl(nGC_1981) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca**  &
                        2d0*cb**2d0*l4 - ca**2d0*cb**2d0*l5 + ca**2d0*l1*sb**  &
                        2d0 - ca**2d0*l3*sb**2d0 - ca**2d0*l4*sb**2d0 + ca**2d0&
                        *l5*sb**2d0 - 8d0*ca*cb*l5*sa*sb + cb**2d0*l2*sa**2d0  &
                         - cb**2d0*l3*sa**2d0 - cb**2d0*l4*sa**2d0 + cb**2d0*l5&
                        *sa**2d0 - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0 + l4&
                        *sa**2d0*sb**2d0 - l5*sa**2d0*sb**2d0)
      coupl(nGC_813) = -2d0*coupl(nGC_172)
      coupl(nGC_811) = -coupl(nGC_335)
      coupl(nGC_817) = -coupl(nGC_344)
      coupl(nGC_815) = -coupl(nGC_362)
      coupl(nGC_819) = -coupl(nGC_205)
      coupl(nGC_1342) = -sqrt(2d0)*cima*sa/2d0
      coupl(nGC_2246) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
      coupl(nGC_1340) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1341) = -sqrt(2d0)*cima*(ca*yup2 - sa*yup1)/2d0
      coupl(nGC_1430) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(&
                        cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_1431) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*( &
                        cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_2247) = -(cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
      coupl(nGC_187) = cb**2d0*ee**2d0/(2d0*sw) + ee**2d0*sb**2d0/(2d0*sw)
      coupl(nGC_1438) = -cima*(cb*yb2 - sb*yd13x3)
      coupl(nGC_1439) = -cb*cima
      coupl(nGC_1189) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_2240) = cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw)*( &
                        cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_2241) = -cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw)*(&
                        cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_929) = -coupl(nGC_213)
      coupl(nGC_927) = -coupl(nGC_359)
      coupl(nGC_925) = -2d0*coupl(nGC_217)
      coupl(nGC_923) = -coupl(nGC_173)
      coupl(nGC_921) = -2d0*coupl(nGC_216)
      coupl(nGC_1236) = cima*(ca*cb**2d0*l3*vev1 + ca*cb**2d0*l4*vev1 - ca*cb**&
                        2d0*l5*vev1 - 2d0*ca*cb*l5*sb*vev2 + ca*l1*sb**2d0*vev1&
                         + cb**2d0*l2*sa*vev2 - 2d0*cb*l5*sa*sb*vev1 + l3*sa*sb&
                        **2d0*vev2 + l4*sa*sb**2d0*vev2 - l5*sa*sb**2d0*vev2)
      coupl(nGC_1237) = cima*(2d0*ca*cb*sb*vev1 + ca*sb**2d0*vev2 - cb**2d0*sa*&
                        vev1 - 2d0*cb*sa*sb*vev2)
      coupl(nGC_1234) = -cima*(ca*sb**2d0*vev2 - cb**2d0*sa*vev1)
      coupl(nGC_1235) = -cima*(ca*sb**2d0*vev2 - cb**2d0*sa*vev1)
      coupl(nGC_1233) = cima*sa*sb**2d0*vev1
      coupl(nGC_1230) = -cima*(ca*cb**2d0*l2 + ca*l3*sb**2d0 + ca*l4*sb**2d0 - &
                        ca*l5*sb**2d0 + 2d0*cb*l5*sa*sb)
      coupl(nGC_1231) = cima*(2d0*ca*cb*l5*sb + cb**2d0*l3*sa + cb**2d0*l4*sa  &
                         - cb**2d0*l5*sa + l1*sa*sb**2d0)
      coupl(nGC_615) = cima*gs
      coupl(nGC_2394) = -ca*cb**2d0*cima*vev1
      coupl(nGC_2181) = 2d0*cima*(-cb**4d0*l2 + cb**4d0*l3 + cb**4d0*l4 + cb** &
                        4d0*l5 + 3d0*cb**2d0*l1*sb**2d0 + 3d0*cb**2d0*l2*sb**  &
                        2d0 - 6d0*cb**2d0*l3*sb**2d0 - 6d0*cb**2d0*l4*sb**2d0  &
                         - 6d0*cb**2d0*l5*sb**2d0 - l1*sb**4d0 + l3*sb**4d0 +  &
                        l4*sb**4d0 + l5*sb**4d0)
      coupl(nGC_2180) = -cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_2183) = -2d0*cb**3d0*cima*sb
      coupl(nGC_2182) = 2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_2185) = 2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_2184) = 2d0*cb*cima*sb**3d0
      coupl(nGC_2186) = 2d0*cb*cima*sb*(cb - sb)*(cb + sb)
      coupl(nGC_1752) = cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_1391) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_310) = ca*cb**2d0*cima*ee**2d0*vev1/(4d0*sw**2d0) - ca*cb**2d0*&
                       cima*l1*vev1 + ca*cb**2d0*cima*ee**2d0*vev1/(4d0*cw**2d0&
                       ) + ca*cb*cima*ee**2d0*sb*vev2/(4d0*sw**2d0) - 2d0*ca*cb&
                       *cima*l5*sb*vev2 + ca*cb*cima*ee**2d0*sb*vev2/(4d0*cw** &
                       2d0) - ca*cima*l3*sb**2d0*vev1 - ca*cima*l4*sb**2d0*vev1&
                        + ca*cima*l5*sb**2d0*vev1 - cb**2d0*cima*l3*sa*vev2 -  &
                       cb**2d0*cima*l4*sa*vev2 + cb**2d0*cima*l5*sa*vev2 + cb* &
                       cima*ee**2d0*sa*sb*vev1/(4d0*sw**2d0) - 2d0*cb*cima*l5* &
                       sa*sb*vev1 + cb*cima*ee**2d0*sa*sb*vev1/(4d0*cw**2d0) + &
                       cima*ee**2d0*sa*sb**2d0*vev2/(4d0*sw**2d0) - cima*l2*sa*&
                       sb**2d0*vev2 + cima*ee**2d0*sa*sb**2d0*vev2/(4d0*cw**2d0&
                       )
      coupl(nGC_2044) = cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_2045) = -ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_2046) = -cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**2d0
      coupl(nGC_2047) = -2d0*cima*ee/3d0
      coupl(nGC_2040) = -2d0*ca*cb*cima*sa*sb
      coupl(nGC_2041) = 2d0*cima*(-ca**2d0*cb*l4*sb - ca**2d0*cb*l5*sb + ca*cb &
                        **2d0*l1*sa - ca*cb**2d0*l3*sa - ca*l2*sa*sb**2d0 + ca*&
                        l3*sa*sb**2d0 + cb*l4*sa**2d0*sb + cb*l5*sa**2d0*sb)
      coupl(nGC_1759) = 3d0*cima*(-ca**4d0*l2 + ca**4d0*l3 + ca**4d0*l4 + ca** &
                        4d0*l5 + 3d0*ca**2d0*l1*sa**2d0 + 3d0*ca**2d0*l2*sa**  &
                        2d0 - 6d0*ca**2d0*l3*sa**2d0 - 6d0*ca**2d0*l4*sa**2d0  &
                         - 6d0*ca**2d0*l5*sa**2d0 - l1*sa**4d0 + l3*sa**4d0 +  &
                        l4*sa**4d0 + l5*sa**4d0)
      coupl(nGC_1758) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_2042) = cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**3d0
      coupl(nGC_1751) = ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_1750) = cima*ee**2d0*(ca*vev2 - sa*vev1)/(2d0*sw**2d0)
      coupl(nGC_1753) = cima*ee**2d0*(ca*vev1 + sa*vev2)/sw**2d0
      coupl(nGC_1755) = -3d0*ca**3d0*cima*sa
      coupl(nGC_1754) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_1757) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_1756) = 3d0*ca*cima*sa**3d0
      coupl(nGC_1395) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_119) = cb**2d0*cw*ee**2d0/(2d0*sw**2d0) + cb**2d0*ee**2d0/(2d0*&
                       cw) + cw*ee**2d0*sb**2d0/(2d0*sw**2d0) + ee**2d0*sb**2d0&
                       /(2d0*cw)
      coupl(nGC_118) = cb**2d0*cw*ee**2d0/(2d0*sw**2d0) - cb**2d0*ee**2d0/(2d0*&
                       cw) + cw*ee**2d0*sb**2d0/(2d0*sw**2d0) - ee**2d0*sb**2d0&
                       /(2d0*cw)
      coupl(nGC_117) = cb**2d0*cw*ee**2d0/(4d0*sw**2d0) + cb**2d0*ee**2d0/(4d0*&
                       cw) + cw*ee**2d0*sb**2d0/(4d0*sw**2d0) + ee**2d0*sb**2d0&
                       /(4d0*cw)
      coupl(nGC_116) = cb**2d0*cw*ee**2d0/(4d0*sw**2d0) - cb**2d0*ee**2d0/(4d0*&
                       cw) + cw*ee**2d0*sb**2d0/(4d0*sw**2d0) - ee**2d0*sb**2d0&
                       /(4d0*cw)
      coupl(nGC_115) = -cb**2d0*cw*ee**2d0/(4d0*sw**2d0) + cb**2d0*ee**2d0/(4d0&
                       *cw) - cw*ee**2d0*sb**2d0/(4d0*sw**2d0) + ee**2d0*sb**  &
                       2d0/(4d0*cw)
      coupl(nGC_114) = -cb**2d0*cw*ee**2d0/(4d0*sw**2d0) - cb**2d0*ee**2d0/(4d0&
                       *cw) - cw*ee**2d0*sb**2d0/(4d0*sw**2d0) - ee**2d0*sb**  &
                       2d0/(4d0*cw)
      coupl(nGC_113) = -cb**2d0*cw*ee**2d0/(2d0*sw**2d0) + cb**2d0*ee**2d0/(2d0&
                       *cw) - cw*ee**2d0*sb**2d0/(2d0*sw**2d0) + ee**2d0*sb**  &
                       2d0/(2d0*cw)
      coupl(nGC_112) = -cb**2d0*cw*ee**2d0/(2d0*sw**2d0) - cb**2d0*ee**2d0/(2d0&
                       *cw) - cw*ee**2d0*sb**2d0/(2d0*sw**2d0) - ee**2d0*sb**  &
                       2d0/(2d0*cw)
      coupl(nGC_111) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca &
                       **2d0*cb**2d0*cima*l5 - ca**2d0*cima*ee**2d0*sb**2d0/(  &
                       2d0*sw**2d0) - ca**2d0*cima*l2*sb**2d0 - ca**2d0*cima*ee&
                       **2d0*sb**2d0/(2d0*cw**2d0) + ca*cb*cima*ee**2d0*sa*sb/ &
                       sw**2d0 + 4d0*ca*cb*cima*l5*sa*sb + ca*cb*cima*ee**2d0* &
                       sa*sb/cw**2d0 - cb**2d0*cima*ee**2d0*sa**2d0/(2d0*sw**  &
                       2d0) - cb**2d0*cima*l1*sa**2d0 - cb**2d0*cima*ee**2d0*sa&
                       **2d0/(2d0*cw**2d0) - cima*l3*sa**2d0*sb**2d0 - cima*l4*&
                       sa**2d0*sb**2d0 + cima*l5*sa**2d0*sb**2d0
      coupl(nGC_110) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca &
                       **2d0*cb**2d0*cima*l5 - ca**2d0*cima*ee**2d0*sb**2d0/(  &
                       2d0*sw**2d0) - ca**2d0*cima*l1*sb**2d0 - ca**2d0*cima*ee&
                       **2d0*sb**2d0/(2d0*cw**2d0) + ca*cb*cima*ee**2d0*sa*sb/ &
                       sw**2d0 + 4d0*ca*cb*cima*l5*sa*sb + ca*cb*cima*ee**2d0* &
                       sa*sb/cw**2d0 - cb**2d0*cima*ee**2d0*sa**2d0/(2d0*sw**  &
                       2d0) - cb**2d0*cima*l2*sa**2d0 - cb**2d0*cima*ee**2d0*sa&
                       **2d0/(2d0*cw**2d0) - cima*l3*sa**2d0*sb**2d0 - cima*l4*&
                       sa**2d0*sb**2d0 + cima*l5*sa**2d0*sb**2d0
      coupl(nGC_801) = -coupl(nGC_184)
      coupl(nGC_803) = -coupl(nGC_205)/2d0
      coupl(nGC_805) = -coupl(nGC_6)/2d0
      coupl(nGC_807) = -coupl(nGC_386)
      coupl(nGC_809) = -coupl(nGC_3)
      coupl(nGC_899) = coupl(nGC_5)/2d0
      coupl(nGC_893) = -coupl(nGC_15)
      coupl(nGC_905) = -coupl(nGC_11)/2d0
      coupl(nGC_791) = -2d0*coupl(nGC_8)
      coupl(nGC_839) = -2d0*coupl(nGC_184)
      coupl(nGC_835) = -coupl(nGC_365)
      coupl(nGC_837) = coupl(nGC_11)/2d0
      coupl(nGC_831) = -coupl(nGC_377)
      coupl(nGC_833) = -2d0*coupl(nGC_173)
      coupl(nGC_909) = coupl(nGC_191)/2d0
      coupl(nGC_901) = -2d0*coupl(nGC_178)
      coupl(nGC_903) = -coupl(nGC_26)
      coupl(nGC_907) = -coupl(nGC_12)
      coupl(nGC_895) = -2d0*coupl(nGC_15)
      coupl(nGC_849) = -coupl(nGC_5)/2d0
      coupl(nGC_891) = -coupl(nGC_14) - coupl(nGC_15)
      coupl(nGC_829) = -coupl(nGC_10)
      coupl(nGC_823) = -coupl(nGC_218)
      coupl(nGC_827) = coupl(nGC_10)/2d0
      coupl(nGC_825) = -coupl(nGC_338)
      coupl(nGC_917) = -2d0*coupl(nGC_213)
      coupl(nGC_915) = -coupl(nGC_214)
      coupl(nGC_913) = -2d0*coupl(nGC_218)
      coupl(nGC_911) = -coupl(nGC_191)
      coupl(nGC_919) = -2d0*coupl(nGC_183)
      coupl(nGC_897) = -coupl(nGC_14) + coupl(nGC_15)
      coupl(nGC_889) = coupl(nGC_14) + coupl(nGC_15)
      coupl(nGC_887) = coupl(nGC_14) - coupl(nGC_15)
      coupl(nGC_789) = -coupl(nGC_200)/2d0
      coupl(nGC_787) = -coupl(nGC_380)
      coupl(nGC_785) = -coupl(nGC_198)
      coupl(nGC_857) = coupl(nGC_6)/2d0
    end subroutine fill_couplings_mdl4
end module fill_couplings4
