!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 15:41             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_TS_GC_16_Hh) = -coupl(nGC_16)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_16_Hl) = -coupl(nGC_16)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3917) = -coupl(nGC_184)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_TS_GC_253_Hl) = -coupl(nGC_253)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_62_Hl) = -coupl(nGC_62)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_62_Hh) = -coupl(nGC_62)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3324) = -coupl(nGC_3094) - coupl(nGC_341)*dZG0Ha_QED2/2d0 -    &
                        coupl(nGC_344)*dZHa_QED2/2d0 - coupl(nGC_344)*dZbL_QED2&
                        /2d0 - coupl(nGC_344)*dZbR_QED2/2d0
      coupl(nGC_3451) = coupl(nGC_34)*dZGMinus/2d0
      coupl(nGC_2548) = coupl(nGC_13)**2d0*coupl(nGC_341)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_34_Hl) = -coupl(nGC_34)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3456) = coupl(nGC_206)*dZdR_QCD2
      coupl(nGC_3457) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_204)*dZZA_QED2 +    &
                        coupl(nGC_3038)
      coupl(nGC_3542) = coupl(nGC_215)*dZZA_QED2/2d0
      coupl(nGC_3543) = coupl(nGC_193)*dZWMinus_QED2/2d0 + coupl(nGC_193)*     &
                        dZZ_QED2/2d0 + coupl(nGC_203)*dZAZ_QED2/2d0 + coupl(   &
                        nGC_3166)
      coupl(nGC_3540) = -coupl(nGC_341)*dZG0/2d0
      coupl(nGC_3545) = coupl(nGC_214)*dZHa_QED2/2d0 + coupl(nGC_214)*dZHh_QED2&
                        /2d0 + coupl(nGC_214)*dZZ_QED2/2d0 + coupl(nGC_215)*   &
                        dZG0Ha_QED2/2d0 + coupl(nGC_215)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_3164)
      coupl(nGC_3300) = -cima*dMTA_QED2
      coupl(nGC_3301) = -cima*dMU_QED2
      coupl(nGC_3302) = -cima*dMU_QCD2
      coupl(nGC_3304) = -cima*dMC_QCD2
      coupl(nGC_3305) = -cima*dMT_QED2
      coupl(nGC_3306) = -cima*dMT_QCD2
      coupl(nGC_3307) = -cima*dMD_QED2
      coupl(nGC_3308) = -cima*dMD_QCD2
      coupl(nGC_3437) = coupl(nGC_186)*dZHMinus_QED2/2d0 + coupl(nGC_186)*     &
                        dZHa_QED2/2d0 + coupl(nGC_3005)
      coupl(nGC_3434) = coupl(nGC_2967) + 2d0*coupl(nGC_56)*dZGMinusHMinus_QED2&
                         + 2d0*coupl(nGC_65)*dZHMinus_QED2
      coupl(nGC_3431) = coupl(nGC_186)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_TS_GC_36_Hh) = -coupl(nGC_36)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3438) = coupl(nGC_29)*(dZGMinusHMinus_QED2 +                   &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3439) = coupl(nGC_55)*(2d0*dZG0 + dZGMinus)/2d0
      coupl(nGC_3128) = coupl(nGC_1922)*dyc1_QED3 + coupl(nGC_1923)*dyc2_QED3  &
                         + coupl(nGC_1924)*da_QED2
      coupl(nGC_3129) = coupl(nGC_1922)*dyc1_QED1_QCD2 + coupl(nGC_1923)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_2433) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_206)**2d0)/(16d0* &
                        pi**2d0)
      coupl(nGC_2432) = cMB*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_2435) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_207)*coupl(   &
                        nGC_210))/(8d0*pi**2d0)
      coupl(nGC_2434) = cima*(-coupl(nGC_197)**2d0 - coupl(nGC_2)**2d0 - coupl(&
                        nGC_210)**2d0)/(16d0*pi**2d0)
      coupl(nGC_2437) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_207)**2d0)/(16d0* &
                        pi**2d0)
      coupl(nGC_2439) = cMD*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_2438) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_206)*coupl(   &
                        nGC_209))/(8d0*pi**2d0)
      coupl(nGC_3122) = coupl(nGC_1943)*dyc1_QED3 + coupl(nGC_1944)*dyc2_QED3  &
                         + coupl(nGC_1945)*da_QED2
      coupl(nGC_3123) = coupl(nGC_1943)*dyc1_QED1_QCD2 + coupl(nGC_1944)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_2983) = coupl(nGC_1835)*db_QED2 + coupl(nGC_1836)*dZee_QED2 +  &
                        coupl(nGC_1837)*dcw_QED2 + coupl(nGC_1838)*da_QED2
      coupl(nGC_2982) = coupl(nGC_1672)*db_QED2 + coupl(nGC_1673)*dZee_QED2 +  &
                        coupl(nGC_1674)*dcw_QED2 + coupl(nGC_1675)*da_QED2
      coupl(nGC_TS_GC_173_Hh) = -coupl(nGC_173)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2454) = cMT*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_372_Hh) = -coupl(nGC_372)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3050) = coupl(nGC_2352)*db_QED2 + coupl(nGC_2353)*dydo1_QED3 + &
                        coupl(nGC_2354)*dydo2_QED3
      coupl(nGC_3051) = coupl(nGC_2353)*dydo1_QED1_QCD2 + coupl(nGC_2354)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_3052) = coupl(nGC_1363)*db_QED2 + coupl(nGC_1364)*dyd12x2_QED3 &
                         + coupl(nGC_1365)*dys2_QED3
      coupl(nGC_3053) = coupl(nGC_1364)*dyd12x2_QED1_QCD2 + coupl(nGC_1365)*   &
                        dys2_QED1_QCD2
      coupl(nGC_4010) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_4012) = -coupl(nGC_173)*dZGMinus/2d0
      coupl(nGC_4016) = -coupl(nGC_MZ_GF)*dZG0/2d0
      coupl(nGC_3159) = coupl(nGC_1369)*dZee_QED2 + coupl(nGC_1370)*dsw_QED2
      coupl(nGC_3932) = coupl(nGC_178)*dZGMinus/2d0
      coupl(nGC_3931) = -coupl(nGC_172)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_172&
                        )*dZHlHh_QED2/2d0 + coupl(nGC_178)*dZHh_QED2/2d0 +     &
                        coupl(nGC_178)*dZWMinus_QED2/2d0 + coupl(nGC_3146)
      coupl(nGC_3930) = coupl(nGC_I)*(dZGMinusHMinus_QED2 + dZHMinusGMinus_QED2&
                        )/2d0
      coupl(nGC_3937) = coupl(nGC_3133) + coupl(nGC_383)*dZuL_QCD2/2d0 + coupl(&
                        nGC_383)*dZuR_QCD2/2d0
      coupl(nGC_3936) = coupl(nGC_3132) + coupl(nGC_383)*dZHa_QED2/2d0 + coupl(&
                        nGC_383)*dZuL_QED2/2d0 + coupl(nGC_383)*dZuR_QED2/2d0  &
                         + coupl(nGC_386)*dZG0Ha_QED2/2d0
      coupl(nGC_TS_GC_23_Hh) = -coupl(nGC_23)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3076) = coupl(nGC_1197)*db_QED2 + coupl(nGC_1198)*dyd13x3_QED3 &
                         + coupl(nGC_1199)*dyb2_QED3
      coupl(nGC_2663) = coupl(nGC_13)**2d0*coupl(nGC_366)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_35_Hl) = -coupl(nGC_35)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2556) = coupl(nGC_13)**2d0*coupl(nGC_350)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2557) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_356) -    &
                        coupl(nGC_351)**2d0*coupl(nGC_861) - coupl(nGC_353)**  &
                        2d0*coupl(nGC_861) - coupl(nGC_354)**2d0*coupl(nGC_861 &
                        ) - coupl(nGC_356)**2d0*coupl(nGC_861) + 8d0*coupl(    &
                        nGC_356)*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2554) = coupl(nGC_13)**2d0*coupl(nGC_883)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2552) = coupl(nGC_13)**2d0*coupl(nGC_338)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2553) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_883) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_883) - coupl(nGC_345 &
                        )**2d0*coupl(nGC_350) - coupl(nGC_346)*coupl(nGC_382)* &
                        coupl(nGC_386) - coupl(nGC_348)**2d0*coupl(nGC_350) -  &
                        coupl(nGC_349)*coupl(nGC_385)*coupl(nGC_386) - coupl(  &
                        nGC_350)*coupl(nGC_821)**2d0 - coupl(nGC_350)*coupl(   &
                        nGC_883)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2558) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_861) -    &
                        coupl(nGC_351)**2d0*coupl(nGC_356) - coupl(nGC_354)**  &
                        2d0*coupl(nGC_356) - coupl(nGC_356)*coupl(nGC_855)**2d0&
                         - coupl(nGC_356)*coupl(nGC_861)**2d0 + 8d0*coupl(nGC_4&
                        )**2d0*coupl(nGC_861))/(32d0*pi**2d0)
      coupl(nGC_2489) = (coupl(nGC_1)*coupl(nGC_370)**2d0 + coupl(nGC_1)*coupl(&
                        nGC_373)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2&
                        )*coupl(nGC_207)**2d0 + coupl(nGC_2)*coupl(nGC_369)**  &
                        2d0 + coupl(nGC_2)*coupl(nGC_371)*coupl(nGC_875) +     &
                        coupl(nGC_2)*coupl(nGC_372)**2d0 + coupl(nGC_2)*coupl( &
                        nGC_374)*coupl(nGC_885))/(32d0*pi**2d0)
      coupl(nGC_2916) = cima*(20d0*Nc*coupl(nGC_333)**4d0 + 20d0*Nc*coupl(     &
                        nGC_342)**4d0 + 20d0*Nc*coupl(nGC_345)**4d0 + 20d0*Nc* &
                        coupl(nGC_363)**4d0 + 20d0*Nc*coupl(nGC_369)**4d0 +    &
                        20d0*Nc*coupl(nGC_381)**4d0 + 3d0*coupl(nGC_224)**2d0  &
                         + 20d0*coupl(nGC_351)**4d0 + 20d0*coupl(nGC_357)**4d0 &
                         + 20d0*coupl(nGC_375)**4d0 + 6d0*coupl(nGC_77)**2d0)/(&
                        16d0*pi**2d0)
      coupl(nGC_2913) = 5d0*cima*(Nc*coupl(nGC_333)**3d0*coupl(nGC_336) + Nc*  &
                        coupl(nGC_339)*coupl(nGC_342)**3d0 + Nc*coupl(nGC_345  &
                        )**3d0*coupl(nGC_348) + Nc*coupl(nGC_363)**3d0*coupl(  &
                        nGC_366) + Nc*coupl(nGC_369)**3d0*coupl(nGC_372) + Nc* &
                        coupl(nGC_381)**3d0*coupl(nGC_384) + coupl(nGC_351)**  &
                        3d0*coupl(nGC_354) + coupl(nGC_357)**3d0*coupl(nGC_360 &
                        ) + coupl(nGC_375)**3d0*coupl(nGC_378))/(4d0*pi**2d0)
      coupl(nGC_3425) = coupl(nGC_175)*dZGMinus/2d0
      coupl(nGC_3424) = coupl(nGC_193)*dZZA_QED2/2d0 + coupl(nGC_203)*dZA_QED2/&
                        2d0 + coupl(nGC_203)*dZWMinus_QED2/2d0 + coupl(nGC_3139&
                        )
      coupl(nGC_3339) = coupl(nGC_186)*dZA_QED2/2d0 + coupl(nGC_186)*          &
                        dZWMinus_QED2/2d0 + coupl(nGC_30)*dZZA_QED2/2d0 + coupl&
                        (nGC_3005)
      coupl(nGC_2547) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_341) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_341) - coupl(nGC_339 &
                        )**2d0*coupl(nGC_851) - coupl(nGC_340)*coupl(nGC_373)* &
                        coupl(nGC_885) - coupl(nGC_341)**2d0*coupl(nGC_851) -  &
                        coupl(nGC_342)**2d0*coupl(nGC_851) - coupl(nGC_343)*   &
                        coupl(nGC_370)*coupl(nGC_885) - coupl(nGC_344)**2d0*   &
                        coupl(nGC_851))/(32d0*pi**2d0)
      coupl(nGC_3334) = coupl(nGC_2981) + coupl(nGC_56)*dZHMinusGMinus_QED2 +  &
                        coupl(nGC_57)*dZGMinusHMinus_QED2 + coupl(nGC_74)*     &
                        dZHMinus_QED2
      coupl(nGC_3337) = coupl(nGC_220)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2546) = coupl(nGC_13)**2d0*coupl(nGC_851)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3331) = coupl(nGC_184)*dZWMinus_QED2/2d0 + coupl(nGC_3143)
      coupl(nGC_3330) = coupl(nGC_30)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3333) = coupl(nGC_74)*dZGMinus
      coupl(nGC_3332) = coupl(nGC_184)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3115) = coupl(nGC_1565)*dyup1_QED1_QCD2 + coupl(nGC_1566)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_3114) = coupl(nGC_1564)*db_QED2 + coupl(nGC_1565)*dyup1_QED3 + &
                        coupl(nGC_1566)*dyup2_QED3
      coupl(nGC_3117) = coupl(nGC_1716)*dyc1_QED1_QCD2 + coupl(nGC_1717)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_3116) = coupl(nGC_1715)*db_QED2 + coupl(nGC_1716)*dyc1_QED3 +  &
                        coupl(nGC_1717)*dyc2_QED3
      coupl(nGC_3111) = coupl(nGC_1371)*dye2_QED3 + coupl(nGC_1372)*db_QED2 +  &
                        coupl(nGC_1373)*dye1_QED3
      coupl(nGC_3113) = coupl(nGC_1567)*db_QED2 + coupl(nGC_1568)*dytau2_QED3  &
                         + coupl(nGC_1569)*dytau1_QED3
      coupl(nGC_3112) = coupl(nGC_1412)*db_QED2 + coupl(nGC_1413)*dym1_QED3 +  &
                        coupl(nGC_1414)*dym2_QED3
      coupl(nGC_3449) = coupl(nGC_52)*dZGMinus/2d0
      coupl(nGC_3448) = coupl(nGC_379)*dZGMinus/2d0
      coupl(nGC_3118) = coupl(nGC_571)*db_QED2 + coupl(nGC_573)*dyt1_QED3 +    &
                        coupl(nGC_575)*dyt2_QED3
      coupl(nGC_3685) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_3684) = coupl(nGC_MI)*dZdL_QED2
      coupl(nGC_3687) = coupl(nGC_MZ)*dZZA_QED2/2d0
      coupl(nGC_3681) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_3680) = coupl(nGC_MI)*dZdR_QED2
      coupl(nGC_2428) = (Nc*cMB**2d0*cima*coupl(nGC_206)**2d0 + Nc*cMB**2d0*   &
                        cima*coupl(nGC_209)**2d0 + Nc*cMC**2d0*cima*coupl(     &
                        nGC_207)**2d0 + Nc*cMC**2d0*cima*coupl(nGC_210)**2d0 + &
                        Nc*cMD**2d0*cima*coupl(nGC_206)**2d0 + Nc*cMD**2d0*cima&
                        *coupl(nGC_209)**2d0 + Nc*cMS**2d0*cima*coupl(nGC_206  &
                        )**2d0 + Nc*cMS**2d0*cima*coupl(nGC_209)**2d0 + Nc*cMT &
                        **2d0*cima*coupl(nGC_207)**2d0 + Nc*cMT**2d0*cima*coupl&
                        (nGC_210)**2d0 + Nc*cMU**2d0*cima*coupl(nGC_207)**2d0  &
                         + Nc*cMU**2d0*cima*coupl(nGC_210)**2d0 + cME**2d0*cima&
                        *coupl(nGC_208)**2d0 + cME**2d0*cima*coupl(nGC_211)**  &
                        2d0 + cMM**2d0*cima*coupl(nGC_208)**2d0 + cMM**2d0*cima&
                        *coupl(nGC_211)**2d0 + cMTA**2d0*cima*coupl(nGC_208)** &
                        2d0 + cMTA**2d0*cima*coupl(nGC_211)**2d0 + cMW**2d0*   &
                        cima*coupl(nGC_199)**2d0 + cMW**2d0*cima*coupl(nGC_841 &
                        )**2d0 - cMW**2d0*coupl(nGC_195))/(8d0*pi**2d0)
      coupl(nGC_2429) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0&
                        *pi**2d0*Nc)
      coupl(nGC_2426) = cima*(-3d0*Nc*coupl(nGC_206)**2d0 - 3d0*Nc*coupl(      &
                        nGC_207)**2d0 - 3d0*Nc*coupl(nGC_209)**2d0 - 3d0*Nc*   &
                        coupl(nGC_210)**2d0 - coupl(nGC_199)**2d0 - 3d0*coupl( &
                        nGC_208)**2d0 - 3d0*coupl(nGC_211)**2d0 - 3d0*coupl(   &
                        nGC_212)**2d0 - coupl(nGC_841)**2d0)/(48d0*pi**2d0)
      coupl(nGC_2427) = cima*(coupl(nGC_199)**2d0 + coupl(nGC_841)**2d0)/(48d0*&
                        pi**2d0)
      coupl(nGC_2422) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_342)**2d0 - 4d0*Nc*cMC&
                        **2d0*cima*coupl(nGC_333)**2d0 - 4d0*Nc*cMD**2d0*cima* &
                        coupl(nGC_345)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(      &
                        nGC_363)**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_369)**  &
                        2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_381)**2d0 - 4d0*  &
                        cME**2d0*cima*coupl(nGC_351)**2d0 - 4d0*cMM**2d0*cima* &
                        coupl(nGC_357)**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_375 &
                        )**2d0 - 2d0*cMW**2d0*coupl(nGC_77) - cMZ**2d0*coupl(  &
                        nGC_224) + 2d0*cima*coupl(nGC_261)**2d0 + cima*coupl(  &
                        nGC_329)**2d0)/(16d0*pi**2d0)
      coupl(nGC_2420) = cima*(-4d0*Nc*cMB**2d0*coupl(nGC_339)*coupl(nGC_342) - &
                        4d0*Nc*cMC**2d0*coupl(nGC_333)*coupl(nGC_336) - 4d0*Nc*&
                        cMD**2d0*coupl(nGC_345)*coupl(nGC_348) - 4d0*Nc*cMS**  &
                        2d0*coupl(nGC_363)*coupl(nGC_366) - 4d0*Nc*cMT**2d0*   &
                        coupl(nGC_369)*coupl(nGC_372) - 4d0*Nc*cMU**2d0*coupl( &
                        nGC_381)*coupl(nGC_384) - 4d0*cME**2d0*coupl(nGC_351)* &
                        coupl(nGC_354) - 4d0*cMM**2d0*coupl(nGC_357)*coupl(    &
                        nGC_360) - 4d0*cMTA**2d0*coupl(nGC_375)*coupl(nGC_378  &
                        ) + 2d0*coupl(nGC_261)*coupl(nGC_272) + coupl(nGC_329)*&
                        coupl(nGC_332))/(16d0*pi**2d0)
      coupl(nGC_2421) = cima*(Nc*coupl(nGC_333)**2d0 + Nc*coupl(nGC_342)**2d0  &
                         + Nc*coupl(nGC_345)**2d0 + Nc*coupl(nGC_363)**2d0 + Nc&
                        *coupl(nGC_369)**2d0 + Nc*coupl(nGC_381)**2d0 + coupl( &
                        nGC_351)**2d0 + coupl(nGC_357)**2d0 + coupl(nGC_375)** &
                        2d0)/(24d0*pi**2d0)
      coupl(nGC_TS_GC_243_Hl) = -coupl(nGC_243)*dtHl_QED1/cMHL**2d0
      coupl(nGC_4006) = coupl(nGC_MI)*dZcR_QCD2
      coupl(nGC_4004) = -coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_4005) = coupl(nGC_MI)*dZcR_QED2
      coupl(nGC_4003) = coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_4001) = coupl(nGC_I)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_2442) = cME*cima*(-coupl(nGC_208)*coupl(nGC_211) - coupl(nGC_4 &
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_4008) = coupl(nGC_3304) + coupl(nGC_MC)*dZcL_QCD2/2d0 + coupl( &
                        nGC_MC)*dZcR_QCD2/2d0
      coupl(nGC_4009) = coupl(nGC_MI)*dZcL_QED2
      coupl(nGC_3061) = coupl(nGC_1424)*dydo1_QED1_QCD2 + coupl(nGC_1425)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_3060) = coupl(nGC_1423)*db_QED2 + coupl(nGC_1424)*dydo1_QED3 + &
                        coupl(nGC_1425)*dydo2_QED3
      coupl(nGC_3063) = coupl(nGC_1991)*dyup1_QED1_QCD2 + coupl(nGC_1992)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_3062) = coupl(nGC_1990)*db_QED2 + coupl(nGC_1991)*dyup1_QED3 + &
                        coupl(nGC_1992)*dyup2_QED3
      coupl(nGC_3065) = coupl(nGC_1682)*dyc1_QED1_QCD2 + coupl(nGC_1683)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_3064) = coupl(nGC_1681)*db_QED2 + coupl(nGC_1682)*dyc1_QED3 +  &
                        coupl(nGC_1683)*dyc2_QED3
      coupl(nGC_3067) = coupl(nGC_1450)*dyd12x2_QED1_QCD2 + coupl(nGC_1451)*   &
                        dys2_QED1_QCD2
      coupl(nGC_3066) = coupl(nGC_1449)*db_QED2 + coupl(nGC_1450)*dyd12x2_QED3 &
                         + coupl(nGC_1451)*dys2_QED3
      coupl(nGC_3069) = coupl(nGC_1913)*dyt1_QED1_QCD2 + coupl(nGC_1914)*      &
                        dyt2_QED1_QCD2
      coupl(nGC_3068) = coupl(nGC_1912)*db_QED2 + coupl(nGC_1913)*dyt1_QED3 +  &
                        coupl(nGC_1914)*dyt2_QED3
      coupl(nGC_3591) = coupl(nGC_3067) + coupl(nGC_364)*dZcL_QCD2/2d0 + coupl(&
                        nGC_364)*dZsR_QCD2/2d0
      coupl(nGC_3590) = coupl(nGC_3066) + coupl(nGC_364)*dZHMinus_QED2/2d0 +   &
                        coupl(nGC_364)*dZcL_QED2/2d0 + coupl(nGC_364)*dZsR_QED2&
                        /2d0 + coupl(nGC_367)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_3593) = coupl(nGC_3065) + coupl(nGC_334)*dZcR_QCD2/2d0 + coupl(&
                        nGC_334)*dZsL_QCD2/2d0
      coupl(nGC_3592) = coupl(nGC_3064) + coupl(nGC_334)*dZHMinus_QED2/2d0 +   &
                        coupl(nGC_334)*dZcR_QED2/2d0 + coupl(nGC_334)*dZsL_QED2&
                        /2d0 + coupl(nGC_337)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_3594) = coupl(nGC_230)*dZG0
      coupl(nGC_3596) = coupl(nGC_230)*dZZA_QED2/2d0
      coupl(nGC_2952) = coupl(nGC_2010)*dZee_QED2
      coupl(nGC_2488) = (4d0*coupl(nGC_1)*coupl(nGC_197)**2d0 + coupl(nGC_1)*  &
                        coupl(nGC_340)**2d0 + coupl(nGC_1)*coupl(nGC_343)**2d0 &
                         + 2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(   &
                        nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_210)**2d0 +   &
                        coupl(nGC_2)*coupl(nGC_369)**2d0 + coupl(nGC_2)*coupl( &
                        nGC_371)*coupl(nGC_875) + coupl(nGC_2)*coupl(nGC_372)**&
                        2d0 + coupl(nGC_2)*coupl(nGC_374)*coupl(nGC_885))/(32d0&
                        *pi**2d0)
      coupl(nGC_2968) = coupl(nGC_2373)*db_QED2 + coupl(nGC_2374)*dl3_QED4 +   &
                        coupl(nGC_2375)*dl2_QED4 + coupl(nGC_2376)*dl1_QED4 +  &
                        coupl(nGC_2377)*dl4_QED4 + coupl(nGC_2378)*dl5_QED4
      coupl(nGC_2951) = coupl(nGC_1910)*dZee_QED2 + coupl(nGC_1911)*dcw_QED2
      coupl(nGC_3548) = coupl(nGC_71)*dZGMinus
      coupl(nGC_3920) = coupl(nGC_13)*dZbL_QED2
      coupl(nGC_3922) = coupl(nGC_13)*dZbR_QED2
      coupl(nGC_3925) = coupl(nGC_3130) + coupl(nGC_369)*dZHl_QED2/2d0 + coupl(&
                        nGC_369)*dZtL_QED2/2d0 + coupl(nGC_369)*dZtR_QED2/2d0  &
                         + coupl(nGC_372)*dZHhHl_QED2/2d0
      coupl(nGC_3926) = coupl(nGC_3131) + coupl(nGC_369)*dZtL_QCD2/2d0 + coupl(&
                        nGC_369)*dZtR_QCD2/2d0
      coupl(nGC_3858) = coupl(nGC_2)*dZtL_QCD2
      coupl(nGC_TS_GC_242_Hl) = -coupl(nGC_242)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3418) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZbR_QED2 +   &
                        coupl(nGC_206)*dZZA_QED2/2d0 + coupl(nGC_3178)
      coupl(nGC_3419) = coupl(nGC_1)*dZbR_QCD2
      coupl(nGC_2706) = coupl(nGC_197)*(-coupl(nGC_199)*coupl(nGC_211) + 2d0*  &
                        coupl(nGC_211)*coupl(nGC_212) - coupl(nGC_212)*coupl(  &
                        nGC_841) - coupl(nGC_3)*coupl(nGC_4))/(16d0*pi**2d0)
      coupl(nGC_2958) = coupl(nGC_2311)*db_QED2 + coupl(nGC_2312)*dl3_QED4 +   &
                        coupl(nGC_2313)*dl2_QED4 + coupl(nGC_2314)*dl1_QED4 +  &
                        coupl(nGC_2315)*dl4_QED4 + coupl(nGC_2316)*dl5_QED4
      coupl(nGC_2822) = cima*(10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_337)**2d0  &
                         + 10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_367)**2d0 +   &
                        20d0*Nc*coupl(nGC_333)*coupl(nGC_337)*coupl(nGC_363)*  &
                        coupl(nGC_367) + 10d0*Nc*coupl(nGC_337)**2d0*coupl(    &
                        nGC_363)**2d0 + 10d0*Nc*coupl(nGC_340)**2d0*coupl(     &
                        nGC_342)**2d0 + 10d0*Nc*coupl(nGC_340)**2d0*coupl(     &
                        nGC_369)**2d0 + 20d0*Nc*coupl(nGC_340)*coupl(nGC_342)* &
                        coupl(nGC_369)*coupl(nGC_373) + 10d0*Nc*coupl(nGC_342  &
                        )**2d0*coupl(nGC_373)**2d0 + 10d0*Nc*coupl(nGC_345)**  &
                        2d0*coupl(nGC_349)**2d0 + 10d0*Nc*coupl(nGC_345)**2d0* &
                        coupl(nGC_385)**2d0 + 20d0*Nc*coupl(nGC_345)*coupl(    &
                        nGC_349)*coupl(nGC_381)*coupl(nGC_385) + 10d0*Nc*coupl(&
                        nGC_349)**2d0*coupl(nGC_381)**2d0 + 10d0*Nc*coupl(     &
                        nGC_363)**2d0*coupl(nGC_367)**2d0 + 10d0*Nc*coupl(     &
                        nGC_369)**2d0*coupl(nGC_373)**2d0 + 10d0*Nc*coupl(     &
                        nGC_381)**2d0*coupl(nGC_385)**2d0 + 6d0*coupl(nGC_100)*&
                        coupl(nGC_77) + 12d0*coupl(nGC_174)**2d0 + 12d0*coupl( &
                        nGC_21)**2d0 + 3d0*coupl(nGC_224)*coupl(nGC_229) + 10d0&
                        *coupl(nGC_351)**2d0*coupl(nGC_355)**2d0 + 10d0*coupl( &
                        nGC_357)**2d0*coupl(nGC_361)**2d0 + 10d0*coupl(nGC_375 &
                        )**2d0*coupl(nGC_379)**2d0)/(48d0*pi**2d0)
      coupl(nGC_3939) = -coupl(nGC_3133) - coupl(nGC_383)*dZuL_QCD2/2d0 - coupl&
                        (nGC_383)*dZuR_QCD2/2d0
      coupl(nGC_2959) = coupl(nGC_2052)*db_QED2 + coupl(nGC_2053)*dl3_QED4 +   &
                        coupl(nGC_2054)*dl2_QED4 + coupl(nGC_2055)*dl1_QED4 +  &
                        coupl(nGC_2056)*dl4_QED4 + coupl(nGC_2057)*dl5_QED4 +  &
                        coupl(nGC_2058)*da_QED2
      coupl(nGC_2521) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_379)/(4d0*pi** &
                        2d0)
      coupl(nGC_2520) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_361)/(4d0*pi** &
                        2d0)
      coupl(nGC_2527) = coupl(nGC_197)*(-Nc*coupl(nGC_336)*coupl(nGC_337) + Nc*&
                        coupl(nGC_339)*coupl(nGC_340) + Nc*coupl(nGC_348)*coupl&
                        (nGC_349) + Nc*coupl(nGC_366)*coupl(nGC_367) - Nc*coupl&
                        (nGC_372)*coupl(nGC_373) - Nc*coupl(nGC_384)*coupl(    &
                        nGC_385) + coupl(nGC_354)*coupl(nGC_355) + coupl(      &
                        nGC_360)*coupl(nGC_361) + coupl(nGC_378)*coupl(nGC_379 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_2526) = (-Nc*coupl(nGC_206)*coupl(nGC_340)*coupl(nGC_343) - Nc*&
                        coupl(nGC_206)*coupl(nGC_346)*coupl(nGC_349) - Nc*coupl&
                        (nGC_206)*coupl(nGC_364)*coupl(nGC_367) + Nc*coupl(    &
                        nGC_207)*coupl(nGC_334)*coupl(nGC_337) + Nc*coupl(     &
                        nGC_207)*coupl(nGC_370)*coupl(nGC_373) + Nc*coupl(     &
                        nGC_207)*coupl(nGC_382)*coupl(nGC_385) - Nc*coupl(     &
                        nGC_209)*coupl(nGC_334)*coupl(nGC_337) - Nc*coupl(     &
                        nGC_209)*coupl(nGC_370)*coupl(nGC_373) - Nc*coupl(     &
                        nGC_209)*coupl(nGC_382)*coupl(nGC_385) + Nc*coupl(     &
                        nGC_210)*coupl(nGC_340)*coupl(nGC_343) + Nc*coupl(     &
                        nGC_210)*coupl(nGC_346)*coupl(nGC_349) + Nc*coupl(     &
                        nGC_210)*coupl(nGC_364)*coupl(nGC_367) - coupl(nGC_208 &
                        )*coupl(nGC_352)*coupl(nGC_355) - coupl(nGC_208)*coupl(&
                        nGC_358)*coupl(nGC_361) - coupl(nGC_208)*coupl(nGC_376 &
                        )*coupl(nGC_379) + coupl(nGC_212)*coupl(nGC_352)*coupl(&
                        nGC_355) + coupl(nGC_212)*coupl(nGC_358)*coupl(nGC_361 &
                        ) + coupl(nGC_212)*coupl(nGC_376)*coupl(nGC_379))/(24d0&
                        *pi**2d0)
      coupl(nGC_3414) = coupl(nGC_45)*dZGMinus
      coupl(nGC_3938) = -coupl(nGC_3132) - coupl(nGC_383)*dZHa_QED2/2d0 - coupl&
                        (nGC_383)*dZuL_QED2/2d0 - coupl(nGC_383)*dZuR_QED2/2d0 &
                         - coupl(nGC_386)*dZG0Ha_QED2/2d0
      coupl(nGC_2528) = coupl(nGC_197)*(-Nc*coupl(nGC_333)*coupl(nGC_337) + Nc*&
                        coupl(nGC_340)*coupl(nGC_342) + Nc*coupl(nGC_345)*coupl&
                        (nGC_349) + Nc*coupl(nGC_363)*coupl(nGC_367) - Nc*coupl&
                        (nGC_369)*coupl(nGC_373) - Nc*coupl(nGC_381)*coupl(    &
                        nGC_385) + coupl(nGC_351)*coupl(nGC_355) + coupl(      &
                        nGC_357)*coupl(nGC_361) + coupl(nGC_375)*coupl(nGC_379 &
                        ))/(24d0*pi**2d0)
      coupl(nGC_3303) = -cima*dMC_QED2
      coupl(nGC_2639) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_383) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_383) - coupl(nGC_346 &
                        )*coupl(nGC_382)*coupl(nGC_821) - coupl(nGC_349)*coupl(&
                        nGC_385)*coupl(nGC_821) - coupl(nGC_381)**2d0*coupl(   &
                        nGC_863) - coupl(nGC_383)**2d0*coupl(nGC_863) - coupl( &
                        nGC_384)**2d0*coupl(nGC_863) - coupl(nGC_386)**2d0*    &
                        coupl(nGC_863))/(32d0*pi**2d0)
      coupl(nGC_2634) = coupl(nGC_13)**2d0*coupl(nGC_371)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2633) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_371) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_371) - coupl(nGC_340 &
                        )*coupl(nGC_373)*coupl(nGC_817) - coupl(nGC_343)*coupl(&
                        nGC_370)*coupl(nGC_817) - coupl(nGC_369)**2d0*coupl(   &
                        nGC_875) - coupl(nGC_371)**2d0*coupl(nGC_875) - coupl( &
                        nGC_372)**2d0*coupl(nGC_875) - coupl(nGC_374)**2d0*    &
                        coupl(nGC_875))/(32d0*pi**2d0)
      coupl(nGC_2632) = coupl(nGC_13)**2d0*coupl(nGC_875)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2631) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_875) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_875) - coupl(nGC_340 &
                        )*coupl(nGC_344)*coupl(nGC_373) - coupl(nGC_343)*coupl(&
                        nGC_344)*coupl(nGC_370) - coupl(nGC_369)**2d0*coupl(   &
                        nGC_371) - coupl(nGC_371)*coupl(nGC_372)**2d0 - coupl( &
                        nGC_371)*coupl(nGC_875)**2d0 - coupl(nGC_371)*coupl(   &
                        nGC_885)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2630) = coupl(nGC_13)**2d0*coupl(nGC_365)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_178_Hh) = -coupl(nGC_178)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_178_Hl) = -coupl(nGC_178)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3329) = coupl(nGC_99)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3322) = coupl(nGC_3094) + coupl(nGC_341)*dZG0Ha_QED2/2d0 +     &
                        coupl(nGC_344)*dZHa_QED2/2d0 + coupl(nGC_344)*dZbL_QED2&
                        /2d0 + coupl(nGC_344)*dZbR_QED2/2d0
      coupl(nGC_3323) = coupl(nGC_3095) + coupl(nGC_344)*dZbL_QCD2/2d0 + coupl(&
                        nGC_344)*dZbR_QCD2/2d0
      coupl(nGC_3326) = coupl(nGC_221)*dZGMinus
      coupl(nGC_3327) = coupl(nGC_221)*dZA_QED2/2d0 + coupl(nGC_221)*dZZ_QED2/ &
                        2d0 + coupl(nGC_229)*dZZA_QED2/2d0 + coupl(nGC_29)*    &
                        dZAZ_QED2/2d0 + coupl(nGC_3160)
      coupl(nGC_3410) = coupl(nGC_230)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3325) = -coupl(nGC_3095) - coupl(nGC_344)*dZbL_QCD2/2d0 - coupl&
                        (nGC_344)*dZbR_QCD2/2d0
      coupl(nGC_3102) = coupl(nGC_1401)*dye2_QED3 + coupl(nGC_1402)*db_QED2 +  &
                        coupl(nGC_1403)*dye1_QED3
      coupl(nGC_3103) = coupl(nGC_1137)*db_QED2 + coupl(nGC_1138)*dym1_QED3 +  &
                        coupl(nGC_1139)*dym2_QED3
      coupl(nGC_3101) = coupl(nGC_1452)*db_QED2 + coupl(nGC_1453)*dytau2_QED3  &
                         + coupl(nGC_1454)*dytau1_QED3
      coupl(nGC_3106) = coupl(nGC_1799)*da_QED2 + coupl(nGC_1800)*dym1_QED3 +  &
                        coupl(nGC_1801)*dym2_QED3
      coupl(nGC_3107) = coupl(nGC_2081)*dytau2_QED3 + coupl(nGC_2082)*         &
                        dytau1_QED3 + coupl(nGC_2083)*da_QED2
      coupl(nGC_3104) = coupl(nGC_1409)*db_QED2 + coupl(nGC_1410)*dytau2_QED3  &
                         + coupl(nGC_1411)*dytau1_QED3
      coupl(nGC_3105) = coupl(nGC_1385)*dye2_QED3 + coupl(nGC_1386)*da_QED2 +  &
                        coupl(nGC_1387)*dye1_QED3
      coupl(nGC_3458) = coupl(nGC_187)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3459) = dZHMinusGMinus_QED2*(coupl(nGC_62) + coupl(nGC_63))/2d0
      coupl(nGC_3108) = coupl(nGC_1669)*dye2_QED3 + coupl(nGC_1670)*da_QED2 +  &
                        coupl(nGC_1671)*dye1_QED3
      coupl(nGC_3109) = coupl(nGC_1513)*da_QED2 + coupl(nGC_1514)*dym1_QED3 +  &
                        coupl(nGC_1515)*dym2_QED3
      coupl(nGC_2989) = coupl(nGC_1936)*db_QED2 + coupl(nGC_1937)*dl3_QED4 +   &
                        coupl(nGC_1938)*dl2_QED4 + coupl(nGC_1939)*dl1_QED4 +  &
                        coupl(nGC_1940)*dl4_QED4 + coupl(nGC_1941)*dl5_QED4 +  &
                        coupl(nGC_1942)*da_QED2
      coupl(nGC_2459) = (-Nc*coupl(nGC_1)*coupl(nGC_334)*coupl(nGC_337) - Nc*  &
                        coupl(nGC_1)*coupl(nGC_340)*coupl(nGC_343) - Nc*coupl( &
                        nGC_1)*coupl(nGC_346)*coupl(nGC_349) - Nc*coupl(nGC_1)*&
                        coupl(nGC_364)*coupl(nGC_367) - Nc*coupl(nGC_1)*coupl( &
                        nGC_370)*coupl(nGC_373) - Nc*coupl(nGC_1)*coupl(nGC_382&
                        )*coupl(nGC_385) + Nc*coupl(nGC_2)*coupl(nGC_334)*coupl&
                        (nGC_337) + Nc*coupl(nGC_2)*coupl(nGC_340)*coupl(      &
                        nGC_343) + Nc*coupl(nGC_2)*coupl(nGC_346)*coupl(nGC_349&
                        ) + Nc*coupl(nGC_2)*coupl(nGC_364)*coupl(nGC_367) + Nc*&
                        coupl(nGC_2)*coupl(nGC_370)*coupl(nGC_373) + Nc*coupl( &
                        nGC_2)*coupl(nGC_382)*coupl(nGC_385) - coupl(nGC_352)* &
                        coupl(nGC_355)*coupl(nGC_4) - coupl(nGC_358)*coupl(    &
                        nGC_361)*coupl(nGC_4) - coupl(nGC_376)*coupl(nGC_379)* &
                        coupl(nGC_4))/(24d0*pi**2d0)
      coupl(nGC_2458) = (Nc*coupl(nGC_1)*coupl(nGC_334)*coupl(nGC_337) + Nc*   &
                        coupl(nGC_1)*coupl(nGC_340)*coupl(nGC_343) + Nc*coupl( &
                        nGC_1)*coupl(nGC_346)*coupl(nGC_349) + Nc*coupl(nGC_1)*&
                        coupl(nGC_364)*coupl(nGC_367) + Nc*coupl(nGC_1)*coupl( &
                        nGC_370)*coupl(nGC_373) + Nc*coupl(nGC_1)*coupl(nGC_382&
                        )*coupl(nGC_385) - Nc*coupl(nGC_2)*coupl(nGC_334)*coupl&
                        (nGC_337) - Nc*coupl(nGC_2)*coupl(nGC_340)*coupl(      &
                        nGC_343) - Nc*coupl(nGC_2)*coupl(nGC_346)*coupl(nGC_349&
                        ) - Nc*coupl(nGC_2)*coupl(nGC_364)*coupl(nGC_367) - Nc*&
                        coupl(nGC_2)*coupl(nGC_370)*coupl(nGC_373) - Nc*coupl( &
                        nGC_2)*coupl(nGC_382)*coupl(nGC_385) + coupl(nGC_352)* &
                        coupl(nGC_355)*coupl(nGC_4) + coupl(nGC_358)*coupl(    &
                        nGC_361)*coupl(nGC_4) + coupl(nGC_376)*coupl(nGC_379)* &
                        coupl(nGC_4))/(24d0*pi**2d0)
      coupl(nGC_3696) = coupl(nGC_47)*dZG0/2d0
      coupl(nGC_3694) = coupl(nGC_186)*dZAZ_QED2/2d0 + coupl(nGC_2951) + coupl(&
                        nGC_30)*dZWMinus_QED2/2d0 + coupl(nGC_30)*dZZ_QED2/2d0
      coupl(nGC_3695) = coupl(nGC_184)*dZHMinus_QED2/2d0 + coupl(nGC_184)*     &
                        dZHa_QED2/2d0 + coupl(nGC_184)*dZWMinus_QED2/2d0 +     &
                        coupl(nGC_3143)
      coupl(nGC_2453) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_207)*coupl(   &
                        nGC_210))/(8d0*pi**2d0)
      coupl(nGC_2452) = cMS*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_2451) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_206)*coupl(   &
                        nGC_209))/(8d0*pi**2d0)
      coupl(nGC_2450) = cima*(-coupl(nGC_197)**2d0 - coupl(nGC_212)**2d0)/(16d0&
                        *pi**2d0)
      coupl(nGC_2457) = cMU*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_2456) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_207)*coupl(   &
                        nGC_210))/(8d0*pi**2d0)
      coupl(nGC_2455) = cMTA*cima*(-coupl(nGC_208)*coupl(nGC_211) - coupl(nGC_4&
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_TS_GC_35_Hh) = -coupl(nGC_35)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3911) = coupl(nGC_MI)*dZbR_QED2
      coupl(nGC_3910) = coupl(nGC_2965) + coupl(nGC_54)*dZG0Ha_QED2 + coupl(   &
                        nGC_54)*dZGMinusHMinus_QED2 + coupl(nGC_64)*           &
                        dZHMinus_QED2 + coupl(nGC_64)*dZHa_QED2
      coupl(nGC_3912) = coupl(nGC_MI)*dZbR_QCD2
      coupl(nGC_2819) = cima*(10d0*Nc*coupl(nGC_336)**2d0*coupl(nGC_337)**2d0  &
                         + 10d0*Nc*coupl(nGC_336)**2d0*coupl(nGC_367)**2d0 +   &
                        20d0*Nc*coupl(nGC_336)*coupl(nGC_337)*coupl(nGC_366)*  &
                        coupl(nGC_367) + 10d0*Nc*coupl(nGC_337)**2d0*coupl(    &
                        nGC_366)**2d0 + 10d0*Nc*coupl(nGC_339)**2d0*coupl(     &
                        nGC_340)**2d0 + 10d0*Nc*coupl(nGC_339)**2d0*coupl(     &
                        nGC_373)**2d0 + 20d0*Nc*coupl(nGC_339)*coupl(nGC_340)* &
                        coupl(nGC_372)*coupl(nGC_373) + 10d0*Nc*coupl(nGC_340  &
                        )**2d0*coupl(nGC_372)**2d0 + 10d0*Nc*coupl(nGC_348)**  &
                        2d0*coupl(nGC_349)**2d0 + 10d0*Nc*coupl(nGC_348)**2d0* &
                        coupl(nGC_385)**2d0 + 20d0*Nc*coupl(nGC_348)*coupl(    &
                        nGC_349)*coupl(nGC_384)*coupl(nGC_385) + 10d0*Nc*coupl(&
                        nGC_349)**2d0*coupl(nGC_384)**2d0 + 10d0*Nc*coupl(     &
                        nGC_366)**2d0*coupl(nGC_367)**2d0 + 10d0*Nc*coupl(     &
                        nGC_372)**2d0*coupl(nGC_373)**2d0 + 10d0*Nc*coupl(     &
                        nGC_384)**2d0*coupl(nGC_385)**2d0 + 6d0*coupl(nGC_100)*&
                        coupl(nGC_77) + 12d0*coupl(nGC_180)**2d0 + 3d0*coupl(  &
                        nGC_224)*coupl(nGC_229) + 12d0*coupl(nGC_23)**2d0 +    &
                        10d0*coupl(nGC_354)**2d0*coupl(nGC_355)**2d0 + 10d0*   &
                        coupl(nGC_360)**2d0*coupl(nGC_361)**2d0 + 10d0*coupl(  &
                        nGC_378)**2d0*coupl(nGC_379)**2d0)/(48d0*pi**2d0)
      coupl(nGC_TS_GC_36_Hl) = -coupl(nGC_36)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3078) = coupl(nGC_1314)*dydo2_QED3 + coupl(nGC_1315)*dydo1_QED3&
                         + coupl(nGC_1316)*da_QED2
      coupl(nGC_3079) = coupl(nGC_1314)*dydo2_QED1_QCD2 + coupl(nGC_1315)*     &
                        dydo1_QED1_QCD2
      coupl(nGC_3413) = coupl(nGC_212)*dZZA_QED2/2d0
      coupl(nGC_3077) = coupl(nGC_1198)*dyd13x3_QED1_QCD2 + coupl(nGC_1199)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_3074) = coupl(nGC_2302)*db_QED2 + coupl(nGC_2303)*dyd12x2_QED3 &
                         + coupl(nGC_2304)*dys2_QED3
      coupl(nGC_3075) = coupl(nGC_2303)*dyd12x2_QED1_QCD2 + coupl(nGC_2304)*   &
                        dys2_QED1_QCD2
      coupl(nGC_3072) = coupl(nGC_1377)*db_QED2 + coupl(nGC_1378)*dydo1_QED3 + &
                        coupl(nGC_1379)*dydo2_QED3
      coupl(nGC_3073) = coupl(nGC_1378)*dydo1_QED1_QCD2 + coupl(nGC_1379)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_3070) = coupl(nGC_1420)*db_QED2 + coupl(nGC_1421)*dyd13x3_QED3 &
                         + coupl(nGC_1422)*dyb2_QED3
      coupl(nGC_3071) = coupl(nGC_1421)*dyd13x3_QED1_QCD2 + coupl(nGC_1422)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_2431) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_206)*coupl(   &
                        nGC_209))/(8d0*pi**2d0)
      coupl(nGC_3586) = coupl(nGC_3123) + coupl(nGC_336)*dZcL_QCD2/2d0 + coupl(&
                        nGC_336)*dZcR_QCD2/2d0
      coupl(nGC_3587) = 3d0*coupl(nGC_57)*dZGMinus/2d0
      coupl(nGC_3585) = coupl(nGC_3122) + coupl(nGC_333)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_336)*dZHh_QED2/2d0 + coupl(nGC_336)*dZcL_QED2&
                        /2d0 + coupl(nGC_336)*dZcR_QED2/2d0
      coupl(nGC_3583) = coupl(nGC_244)*dZGMinus/2d0
      coupl(nGC_TS_GC_46_Hh) = -coupl(nGC_46)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2436) = cMC*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_3120) = coupl(nGC_1340)*dyup1_QED3 + coupl(nGC_1341)*da_QED2 + &
                        coupl(nGC_1342)*dyup2_QED3
      coupl(nGC_3121) = coupl(nGC_1340)*dyup1_QED1_QCD2 + coupl(nGC_1342)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_2829) = 5d0*cima*(Nc*coupl(nGC_334)**3d0*coupl(nGC_337) + Nc*  &
                        coupl(nGC_340)*coupl(nGC_343)**3d0 + Nc*coupl(nGC_346  &
                        )**3d0*coupl(nGC_349) + Nc*coupl(nGC_364)**3d0*coupl(  &
                        nGC_367) + Nc*coupl(nGC_370)**3d0*coupl(nGC_373) + Nc* &
                        coupl(nGC_382)**3d0*coupl(nGC_385) + coupl(nGC_352)**  &
                        3d0*coupl(nGC_355) + coupl(nGC_358)**3d0*coupl(nGC_361 &
                        ) + coupl(nGC_376)**3d0*coupl(nGC_379))/(24d0*pi**2d0)
      coupl(nGC_3125) = coupl(nGC_1511)*dyt1_QED1_QCD2 + coupl(nGC_1512)*      &
                        dyt2_QED1_QCD2
      coupl(nGC_TS_GC_360_Hh) = -coupl(nGC_360)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3655) = coupl(nGC_52)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3653) = coupl(nGC_56)*dZGMinus/2d0
      coupl(nGC_2497) = (Nc*coupl(nGC_206)*coupl(nGC_340)**2d0 + Nc*coupl(     &
                        nGC_206)*coupl(nGC_349)**2d0 + Nc*coupl(nGC_206)*coupl(&
                        nGC_367)**2d0 - Nc*coupl(nGC_207)*coupl(nGC_337)**2d0  &
                         - Nc*coupl(nGC_207)*coupl(nGC_373)**2d0 - Nc*coupl(   &
                        nGC_207)*coupl(nGC_385)**2d0 + Nc*coupl(nGC_209)*coupl(&
                        nGC_337)**2d0 + Nc*coupl(nGC_209)*coupl(nGC_373)**2d0  &
                         + Nc*coupl(nGC_209)*coupl(nGC_385)**2d0 - Nc*coupl(   &
                        nGC_210)*coupl(nGC_340)**2d0 - Nc*coupl(nGC_210)*coupl(&
                        nGC_349)**2d0 - Nc*coupl(nGC_210)*coupl(nGC_367)**2d0  &
                         + coupl(nGC_208)*coupl(nGC_355)**2d0 + coupl(nGC_208)*&
                        coupl(nGC_361)**2d0 + coupl(nGC_208)*coupl(nGC_379)**  &
                        2d0 - coupl(nGC_212)*coupl(nGC_355)**2d0 - coupl(      &
                        nGC_212)*coupl(nGC_361)**2d0 - coupl(nGC_212)*coupl(   &
                        nGC_379)**2d0)/(24d0*pi**2d0)
      coupl(nGC_2495) = (2d0*Nc*cMB*coupl(nGC_340)**2d0*coupl(nGC_342) + 2d0*Nc&
                        *cMB*coupl(nGC_340)*coupl(nGC_369)*coupl(nGC_373) + 2d0&
                        *Nc*cMB*coupl(nGC_342)*coupl(nGC_373)**2d0 + 2d0*Nc*cMC&
                        *coupl(nGC_333)*coupl(nGC_337)**2d0 + 2d0*Nc*cMC*coupl(&
                        nGC_333)*coupl(nGC_367)**2d0 + 2d0*Nc*cMC*coupl(nGC_337&
                        )*coupl(nGC_363)*coupl(nGC_367) + 2d0*Nc*cMD*coupl(    &
                        nGC_345)*coupl(nGC_349)**2d0 + 2d0*Nc*cMD*coupl(nGC_345&
                        )*coupl(nGC_385)**2d0 + 2d0*Nc*cMD*coupl(nGC_349)*coupl&
                        (nGC_381)*coupl(nGC_385) + 2d0*Nc*cMS*coupl(nGC_333)*  &
                        coupl(nGC_337)*coupl(nGC_367) + 2d0*Nc*cMS*coupl(      &
                        nGC_337)**2d0*coupl(nGC_363) + 2d0*Nc*cMS*coupl(nGC_363&
                        )*coupl(nGC_367)**2d0 + 2d0*Nc*cMT*coupl(nGC_340)**2d0*&
                        coupl(nGC_369) + 2d0*Nc*cMT*coupl(nGC_340)*coupl(      &
                        nGC_342)*coupl(nGC_373) + 2d0*Nc*cMT*coupl(nGC_369)*   &
                        coupl(nGC_373)**2d0 + 2d0*Nc*cMU*coupl(nGC_345)*coupl( &
                        nGC_349)*coupl(nGC_385) + 2d0*Nc*cMU*coupl(nGC_349)**  &
                        2d0*coupl(nGC_381) + 2d0*Nc*cMU*coupl(nGC_381)*coupl(  &
                        nGC_385)**2d0 + 2d0*cME*coupl(nGC_351)*coupl(nGC_355)**&
                        2d0 + 2d0*cMM*coupl(nGC_357)*coupl(nGC_361)**2d0 + 2d0*&
                        cMTA*coupl(nGC_375)*coupl(nGC_379)**2d0 + 2d0*cima*    &
                        coupl(nGC_100)*coupl(nGC_261) + 4d0*cima*coupl(nGC_174 &
                        )*coupl(nGC_324) + 4d0*cima*coupl(nGC_21)*coupl(nGC_237&
                        ) + cima*coupl(nGC_229)*coupl(nGC_329))/(16d0*pi**2d0)
      coupl(nGC_2494) = (2d0*Nc*cMB*coupl(nGC_339)*coupl(nGC_340)**2d0 + 2d0*Nc&
                        *cMB*coupl(nGC_339)*coupl(nGC_373)**2d0 + 2d0*Nc*cMB*  &
                        coupl(nGC_340)*coupl(nGC_372)*coupl(nGC_373) + 2d0*Nc* &
                        cMC*coupl(nGC_336)*coupl(nGC_337)**2d0 + 2d0*Nc*cMC*   &
                        coupl(nGC_336)*coupl(nGC_367)**2d0 + 2d0*Nc*cMC*coupl( &
                        nGC_337)*coupl(nGC_366)*coupl(nGC_367) + 2d0*Nc*cMD*   &
                        coupl(nGC_348)*coupl(nGC_349)**2d0 + 2d0*Nc*cMD*coupl( &
                        nGC_348)*coupl(nGC_385)**2d0 + 2d0*Nc*cMD*coupl(nGC_349&
                        )*coupl(nGC_384)*coupl(nGC_385) + 2d0*Nc*cMS*coupl(    &
                        nGC_336)*coupl(nGC_337)*coupl(nGC_367) + 2d0*Nc*cMS*   &
                        coupl(nGC_337)**2d0*coupl(nGC_366) + 2d0*Nc*cMS*coupl( &
                        nGC_366)*coupl(nGC_367)**2d0 + 2d0*Nc*cMT*coupl(nGC_339&
                        )*coupl(nGC_340)*coupl(nGC_373) + 2d0*Nc*cMT*coupl(    &
                        nGC_340)**2d0*coupl(nGC_372) + 2d0*Nc*cMT*coupl(nGC_372&
                        )*coupl(nGC_373)**2d0 + 2d0*Nc*cMU*coupl(nGC_348)*coupl&
                        (nGC_349)*coupl(nGC_385) + 2d0*Nc*cMU*coupl(nGC_349)** &
                        2d0*coupl(nGC_384) + 2d0*Nc*cMU*coupl(nGC_384)*coupl(  &
                        nGC_385)**2d0 + 2d0*cME*coupl(nGC_354)*coupl(nGC_355)**&
                        2d0 + 2d0*cMM*coupl(nGC_360)*coupl(nGC_361)**2d0 + 2d0*&
                        cMTA*coupl(nGC_378)*coupl(nGC_379)**2d0 + 2d0*cima*    &
                        coupl(nGC_100)*coupl(nGC_272) + 4d0*cima*coupl(nGC_180 &
                        )*coupl(nGC_324) + cima*coupl(nGC_229)*coupl(nGC_332   &
                        ) + 4d0*cima*coupl(nGC_23)*coupl(nGC_237))/(16d0*pi**  &
                        2d0)
      coupl(nGC_3658) = coupl(nGC_I)*dZHMinus_QED2
      coupl(nGC_3667) = coupl(nGC_16)*dZHlHh_QED2 + coupl(nGC_17)*dZHhHl_QED2  &
                         + coupl(nGC_20)*dZHh_QED2 + coupl(nGC_20)*dZHl_QED2 + &
                        coupl(nGC_2973)
      coupl(nGC_3666) = -coupl(nGC_3113) - coupl(nGC_377)*dZHa_QED2/2d0 - coupl&
                        (nGC_377)*dZtauMinusL_QED2/2d0 - coupl(nGC_377)*       &
                        dZtauMinusR_QED2/2d0 - coupl(nGC_380)*dZG0Ha_QED2/2d0
      coupl(nGC_TS_GC_378_Hh) = -coupl(nGC_378)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3381) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_207)*dZZ_QED2/  &
                        2d0 + coupl(nGC_207)*dZtR_QED2 + coupl(nGC_3181)
      coupl(nGC_3382) = coupl(nGC_207)*dZtR_QCD2
      coupl(nGC_3383) = coupl(nGC_30)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3384) = coupl(nGC_31)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3385) = coupl(nGC_196)*dZZ_QED2 + coupl(nGC_204)*dZAZ_QED2 +   &
                        coupl(nGC_3152)
      coupl(nGC_3869) = 2d0*coupl(nGC_15)*dZg_QCD2 + 2d0*coupl(nGC_3046)
      coupl(nGC_3628) = 2d0*coupl(nGC_189)*dZWMinus_QED2 + coupl(nGC_3159)
      coupl(nGC_3986) = 4d0*coupl(nGC_15)*dZg_QCD2 + 2d0*coupl(nGC_3046)
      coupl(nGC_3987) = 2d0*coupl(nGC_15)*dZg_QCD2 + coupl(nGC_3046)
      coupl(nGC_3985) = -2d0*coupl(nGC_15)*dZg_QCD2 - coupl(nGC_3046)
      coupl(nGC_3860) = coupl(nGC_2)*dZtR_QCD2
      coupl(nGC_3863) = coupl(nGC_3084) + coupl(nGC_345)*dZHl_QED2/2d0 + coupl(&
                        nGC_345)*dZdL_QED2/2d0 + coupl(nGC_345)*dZdR_QED2/2d0  &
                         + coupl(nGC_348)*dZHhHl_QED2/2d0
      coupl(nGC_3862) = -coupl(nGC_201)*dZWMinus_QED2/4d0 - coupl(nGC_3043)/2d0
      coupl(nGC_3864) = coupl(nGC_3085) + coupl(nGC_345)*dZdL_QCD2/2d0 + coupl(&
                        nGC_345)*dZdR_QCD2/2d0
      coupl(nGC_3866) = coupl(nGC_214)*dZZA_QED2/2d0
      coupl(nGC_3781) = coupl(nGC_2)*dZuR_QCD2
      coupl(nGC_3033) = coupl(nGC_1356)*dl4_QED4 + coupl(nGC_1357)*dl5_QED4 +  &
                        coupl(nGC_1358)*dvev2_QED1 + coupl(nGC_1359)*dvev1_QED1&
                         + coupl(nGC_1360)*db_QED2
      coupl(nGC_3031) = coupl(nGC_1640)*db_QED2 + coupl(nGC_1641)*dvev1_QED1 + &
                        coupl(nGC_1642)*dcw_QED2 + coupl(nGC_1643)*dZee_QED2 + &
                        coupl(nGC_1644)*dvev2_QED1
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
