!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 15:41             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_3037) = coupl(nGC_1684)*dvev1_QED1 + coupl(nGC_1685)*dvev2_QED1&
                         + coupl(nGC_1686)*dZee_QED2 + coupl(nGC_1687)*dsw_QED2&
                         + coupl(nGC_1688)*db_QED2
      coupl(nGC_3035) = coupl(nGC_2042)*dsw_QED2 + coupl(nGC_2043)*da_QED2 +   &
                        coupl(nGC_2044)*dvev1_QED1 + coupl(nGC_2045)*dvev2_QED1&
                         + coupl(nGC_2046)*dZee_QED2
      coupl(nGC_3429) = coupl(nGC_3068) + coupl(nGC_370)*dZHMinus_QED2/2d0 +   &
                        coupl(nGC_370)*dZbL_QED2/2d0 + coupl(nGC_370)*dZtR_QED2&
                        /2d0 + coupl(nGC_373)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_2953) = coupl(nGC_1429)*dZee_QED2 + coupl(nGC_1430)*dcw_QED2 + &
                        coupl(nGC_1431)*dsw_QED2
      coupl(nGC_TS_GC_47_Hh) = -coupl(nGC_47)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2956) = coupl(nGC_2320)*db_QED2 + coupl(nGC_2321)*dl3_QED4 +   &
                        coupl(nGC_2322)*dl2_QED4 + coupl(nGC_2323)*dl1_QED4 +  &
                        coupl(nGC_2324)*dl4_QED4 + coupl(nGC_2325)*dl5_QED4
      coupl(nGC_TS_GC_47_Hl) = -coupl(nGC_47)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3421) = coupl(nGC_3037) + coupl(nGC_322)*dZHMinus_QED2/2d0 +   &
                        coupl(nGC_325)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_2791) = (Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_206)**2d0 + Nc*   &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_209)**2d0 + Nc*cima*  &
                        coupl(nGC_2)**2d0*coupl(nGC_207)**2d0 + Nc*cima*coupl( &
                        nGC_2)**2d0*coupl(nGC_210)**2d0 - 2d0*cima*coupl(      &
                        nGC_199)**2d0*coupl(nGC_3)**2d0 + cima*coupl(nGC_205)**&
                        2d0 + cima*coupl(nGC_208)**2d0*coupl(nGC_4)**2d0 + cima&
                        *coupl(nGC_211)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl&
                        (nGC_809)**2d0*coupl(nGC_841)**2d0 + 2d0*coupl(nGC_199 &
                        )*coupl(nGC_205)*coupl(nGC_3) + 2d0*coupl(nGC_205)*    &
                        coupl(nGC_809)*coupl(nGC_841))/(8d0*pi**2d0)
      coupl(nGC_2409) = cima*(-6d0*Nc*coupl(nGC_1)**2d0 - 6d0*Nc*coupl(nGC_2)**&
                        2d0 - coupl(nGC_3)**2d0 - 6d0*coupl(nGC_4)**2d0 - coupl&
                        (nGC_809)**2d0)/(48d0*pi**2d0)
      coupl(nGC_3041) = coupl(nGC_1680)*dZee_QED2
      coupl(nGC_2795) = (-8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_343&
                        )**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(&
                        nGC_346)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_206 &
                        )*coupl(nGC_364)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(&
                        nGC_207)*coupl(nGC_334)**2d0 + 5d0*Nc*cima*coupl(nGC_1 &
                        )*coupl(nGC_207)*coupl(nGC_370)**2d0 + 5d0*Nc*cima*    &
                        coupl(nGC_1)*coupl(nGC_207)*coupl(nGC_382)**2d0 - 8d0* &
                        Nc*cima*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_334)**2d0&
                         - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_209)*coupl(      &
                        nGC_370)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_209 &
                        )*coupl(nGC_382)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(&
                        nGC_210)*coupl(nGC_343)**2d0 + 5d0*Nc*cima*coupl(nGC_1 &
                        )*coupl(nGC_210)*coupl(nGC_346)**2d0 + 5d0*Nc*cima*    &
                        coupl(nGC_1)*coupl(nGC_210)*coupl(nGC_364)**2d0 + 5d0* &
                        Nc*cima*coupl(nGC_2)*coupl(nGC_206)*coupl(nGC_343)**2d0&
                         + 5d0*Nc*cima*coupl(nGC_2)*coupl(nGC_206)*coupl(      &
                        nGC_346)**2d0 + 5d0*Nc*cima*coupl(nGC_2)*coupl(nGC_206 &
                        )*coupl(nGC_364)**2d0 - 8d0*Nc*cima*coupl(nGC_2)*coupl(&
                        nGC_207)*coupl(nGC_334)**2d0 - 8d0*Nc*cima*coupl(nGC_2 &
                        )*coupl(nGC_207)*coupl(nGC_370)**2d0 - 8d0*Nc*cima*    &
                        coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_382)**2d0 + 5d0* &
                        Nc*cima*coupl(nGC_2)*coupl(nGC_209)*coupl(nGC_334)**2d0&
                         + 5d0*Nc*cima*coupl(nGC_2)*coupl(nGC_209)*coupl(      &
                        nGC_370)**2d0 + 5d0*Nc*cima*coupl(nGC_2)*coupl(nGC_209 &
                        )*coupl(nGC_382)**2d0 - 8d0*Nc*cima*coupl(nGC_2)*coupl(&
                        nGC_210)*coupl(nGC_343)**2d0 - 8d0*Nc*cima*coupl(nGC_2 &
                        )*coupl(nGC_210)*coupl(nGC_346)**2d0 - 8d0*Nc*cima*    &
                        coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_364)**2d0 + 6d0* &
                        cima*coupl(nGC_100)*coupl(nGC_205) - 8d0*cima*coupl(   &
                        nGC_208)*coupl(nGC_352)**2d0*coupl(nGC_4) - 8d0*cima*  &
                        coupl(nGC_208)*coupl(nGC_358)**2d0*coupl(nGC_4) - 8d0* &
                        cima*coupl(nGC_208)*coupl(nGC_376)**2d0*coupl(nGC_4) + &
                        5d0*cima*coupl(nGC_212)*coupl(nGC_352)**2d0*coupl(nGC_4&
                        ) + 5d0*cima*coupl(nGC_212)*coupl(nGC_358)**2d0*coupl( &
                        nGC_4) + 5d0*cima*coupl(nGC_212)*coupl(nGC_376)**2d0*  &
                        coupl(nGC_4) + 6d0*coupl(nGC_100)*coupl(nGC_199)*coupl(&
                        nGC_3) + 6d0*coupl(nGC_100)*coupl(nGC_809)*coupl(      &
                        nGC_841))/(48d0*pi**2d0)
      coupl(nGC_2790) = (Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_206)**2d0 + Nc*   &
                        cima*coupl(nGC_1)**2d0*coupl(nGC_209)**2d0 + Nc*cima*  &
                        coupl(nGC_2)**2d0*coupl(nGC_207)**2d0 + Nc*cima*coupl( &
                        nGC_2)**2d0*coupl(nGC_210)**2d0 + cima*coupl(nGC_195)* &
                        coupl(nGC_9) - 2d0*cima*coupl(nGC_199)**2d0*coupl(nGC_3&
                        )**2d0 + cima*coupl(nGC_208)**2d0*coupl(nGC_4)**2d0 +  &
                        cima*coupl(nGC_211)**2d0*coupl(nGC_4)**2d0 - 2d0*cima* &
                        coupl(nGC_809)**2d0*coupl(nGC_841)**2d0 + coupl(nGC_195&
                        )*coupl(nGC_3)**2d0 + coupl(nGC_195)*coupl(nGC_809)**  &
                        2d0 + coupl(nGC_199)**2d0*coupl(nGC_9) + coupl(nGC_841 &
                        )**2d0*coupl(nGC_9))/(8d0*pi**2d0)
      coupl(nGC_2582) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_343) + 8d0*   &
                        coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_343) - coupl(  &
                        nGC_339)*coupl(nGC_370)*coupl(nGC_372) - coupl(nGC_342 &
                        )*coupl(nGC_369)*coupl(nGC_370) - coupl(nGC_370)*coupl(&
                        nGC_817)*coupl(nGC_875) - coupl(nGC_370)*coupl(nGC_851 &
                        )*coupl(nGC_885))/(32d0*pi**2d0)
      coupl(nGC_2813) = 5d0*cima*(Nc*coupl(nGC_334)*coupl(nGC_337)**3d0 + Nc*  &
                        coupl(nGC_340)**3d0*coupl(nGC_343) + Nc*coupl(nGC_346)*&
                        coupl(nGC_349)**3d0 + Nc*coupl(nGC_364)*coupl(nGC_367  &
                        )**3d0 + Nc*coupl(nGC_370)*coupl(nGC_373)**3d0 + Nc*   &
                        coupl(nGC_382)*coupl(nGC_385)**3d0 + coupl(nGC_352)*   &
                        coupl(nGC_355)**3d0 + coupl(nGC_358)*coupl(nGC_361)**  &
                        3d0 + coupl(nGC_376)*coupl(nGC_379)**3d0)/(24d0*pi**2d0&
                        )
      coupl(nGC_2812) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 - &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2811) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +  &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0)
      coupl(nGC_2810) = cima*(5d0*Nc*coupl(nGC_337)**4d0 + 5d0*Nc*coupl(nGC_340&
                        )**4d0 + 5d0*Nc*coupl(nGC_349)**4d0 + 5d0*Nc*coupl(    &
                        nGC_367)**4d0 + 5d0*Nc*coupl(nGC_373)**4d0 + 5d0*Nc*   &
                        coupl(nGC_385)**4d0 + 6d0*coupl(nGC_100)**2d0 + 6d0*   &
                        coupl(nGC_221)**2d0 + 3d0*coupl(nGC_229)**2d0 + 3d0*   &
                        coupl(nGC_29)**2d0 + 5d0*coupl(nGC_355)**4d0 + 5d0*    &
                        coupl(nGC_361)**4d0 + 5d0*coupl(nGC_379)**4d0)/(24d0*pi&
                        **2d0)
      coupl(nGC_2816) = cima*(10d0*Nc*coupl(nGC_334)**2d0*coupl(nGC_337)**2d0  &
                         + 10d0*Nc*coupl(nGC_340)**2d0*coupl(nGC_343)**2d0 +   &
                        10d0*Nc*coupl(nGC_346)**2d0*coupl(nGC_349)**2d0 + 10d0*&
                        Nc*coupl(nGC_364)**2d0*coupl(nGC_367)**2d0 + 10d0*Nc*  &
                        coupl(nGC_370)**2d0*coupl(nGC_373)**2d0 + 10d0*Nc*coupl&
                        (nGC_382)**2d0*coupl(nGC_385)**2d0 + 6d0*coupl(nGC_100 &
                        )**2d0 + 6d0*coupl(nGC_221)**2d0 + 3d0*coupl(nGC_229)**&
                        2d0 + 3d0*coupl(nGC_29)**2d0 + 10d0*coupl(nGC_352)**2d0&
                        *coupl(nGC_355)**2d0 + 10d0*coupl(nGC_358)**2d0*coupl( &
                        nGC_361)**2d0 + 10d0*coupl(nGC_376)**2d0*coupl(nGC_379 &
                        )**2d0)/(48d0*pi**2d0)
      coupl(nGC_2814) = 5d0*cima*(Nc*coupl(nGC_334)**2d0*coupl(nGC_337)**2d0 + &
                        Nc*coupl(nGC_340)**2d0*coupl(nGC_343)**2d0 + Nc*coupl( &
                        nGC_346)**2d0*coupl(nGC_349)**2d0 + Nc*coupl(nGC_364)**&
                        2d0*coupl(nGC_367)**2d0 + Nc*coupl(nGC_370)**2d0*coupl(&
                        nGC_373)**2d0 + Nc*coupl(nGC_382)**2d0*coupl(nGC_385)**&
                        2d0 + coupl(nGC_352)**2d0*coupl(nGC_355)**2d0 + coupl( &
                        nGC_358)**2d0*coupl(nGC_361)**2d0 + coupl(nGC_376)**2d0&
                        *coupl(nGC_379)**2d0)/(24d0*pi**2d0)
      coupl(nGC_2892) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(      &
                        nGC_339)*coupl(nGC_343) + 5d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_206)*coupl(nGC_346)*coupl(nGC_348) + 5d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_364)*coupl&
                        (nGC_366) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                        coupl(nGC_334)*coupl(nGC_336) + 5d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_207)*coupl(nGC_370)*coupl(nGC_372   &
                        ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(   &
                        nGC_382)*coupl(nGC_384) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_334)*coupl(nGC_336) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_339)*coupl&
                        (nGC_343) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                        coupl(nGC_346)*coupl(nGC_348) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_209)*coupl(nGC_364)*coupl(nGC_366   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(   &
                        nGC_370)*coupl(nGC_372) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_382)*coupl(nGC_384) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_334)*coupl&
                        (nGC_336) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                        coupl(nGC_339)*coupl(nGC_343) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_348   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(   &
                        nGC_364)*coupl(nGC_366) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_210)*coupl(nGC_370)*coupl(nGC_372) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_382)*coupl&
                        (nGC_384) + 6d0*cima*coupl(nGC_175)*coupl(nGC_803) +   &
                        6d0*cima*coupl(nGC_194)*coupl(nGC_22) + 5d0*cima*coupl(&
                        nGC_197)*coupl(nGC_208)*coupl(nGC_352)*coupl(nGC_354   &
                        ) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(      &
                        nGC_358)*coupl(nGC_360) + 5d0*cima*coupl(nGC_197)*coupl&
                        (nGC_208)*coupl(nGC_376)*coupl(nGC_378) - 4d0*cima*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_352)*coupl(    &
                        nGC_354) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl&
                        (nGC_358)*coupl(nGC_360) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_211)*coupl(nGC_376)*coupl(nGC_378) - 4d0*cima&
                        *coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_352)*coupl(   &
                        nGC_354) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl&
                        (nGC_358)*coupl(nGC_360) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_212)*coupl(nGC_376)*coupl(nGC_378) + 6d0*    &
                        coupl(nGC_175)*coupl(nGC_199)*coupl(nGC_4) + 6d0*coupl(&
                        nGC_198)*coupl(nGC_199)*coupl(nGC_22))/(48d0*pi**2d0)
      coupl(nGC_TS_GC_52_Hh) = -coupl(nGC_52)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3045) = coupl(nGC_1162)*dZgs_QCD2
      coupl(nGC_3044) = coupl(nGC_2087)*dZee_QED2 + coupl(nGC_2088)*dcw_QED2 + &
                        coupl(nGC_2089)*dsw_QED2
      coupl(nGC_TS_GC_52_Hl) = -coupl(nGC_52)*dtHl_QED1/cMHL**2d0
      coupl(nGC_4029) = -coupl(nGC_2459)
      coupl(nGC_3728) = -coupl(nGC_201)*dZZA_QED2/4d0 - coupl(nGC_3040)/2d0 -  &
                        coupl(nGC_5)*dZA_QED2/4d0
      coupl(nGC_3729) = coupl(nGC_58)*dZG0/2d0
      coupl(nGC_3726) = coupl(nGC_325)*dZGMinus/2d0
      coupl(nGC_3727) = coupl(nGC_3109) + coupl(nGC_357)*dZHl_QED2/2d0 + coupl(&
                        nGC_357)*dZmuMinusL_QED2/2d0 + coupl(nGC_357)*         &
                        dZmuMinusR_QED2/2d0 + coupl(nGC_360)*dZHhHl_QED2/2d0
      coupl(nGC_4026) = coupl(nGC_MZ_GF)*dZG0/2d0
      coupl(nGC_2927) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_336)**2d0 &
                         - coupl(nGC_339)**2d0 - coupl(nGC_348)**2d0 - coupl(  &
                        nGC_366)**2d0 - coupl(nGC_372)**2d0 - coupl(nGC_384)** &
                        2d0)/(16d0*pi**2d0)
      coupl(nGC_2704) = coupl(nGC_197)*(2d0*coupl(nGC_1)*coupl(nGC_2) - coupl( &
                        nGC_1)*coupl(nGC_3) - coupl(nGC_199)*coupl(nGC_209) -  &
                        coupl(nGC_2)*coupl(nGC_809) + 2d0*coupl(nGC_209)*coupl(&
                        nGC_210) - coupl(nGC_210)*coupl(nGC_841))/(16d0*pi**2d0&
                        )
      coupl(nGC_2922) = (-8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_342)**2d0  &
                         - 8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_345)**2d0 &
                         - 8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_363)**2d0 &
                         + 10d0*Nc*cima*coupl(nGC_206)*coupl(nGC_209)*coupl(   &
                        nGC_342)**2d0 + 10d0*Nc*cima*coupl(nGC_206)*coupl(     &
                        nGC_209)*coupl(nGC_345)**2d0 + 10d0*Nc*cima*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_363)**2d0 - 8d0*Nc*  &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_333)**2d0 - 8d0*Nc* &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_369)**2d0 - 8d0*Nc* &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_381)**2d0 + 10d0*Nc*&
                        cima*coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_333)**2d0 &
                         + 10d0*Nc*cima*coupl(nGC_207)*coupl(nGC_210)*coupl(   &
                        nGC_369)**2d0 + 10d0*Nc*cima*coupl(nGC_207)*coupl(     &
                        nGC_210)*coupl(nGC_381)**2d0 - 8d0*Nc*cima*coupl(      &
                        nGC_209)**2d0*coupl(nGC_342)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_209)**2d0*coupl(nGC_345)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_209)**2d0*coupl(nGC_363)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_333)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_369)**2d0 - 8d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_381)**2d0 + 3d0*cima*coupl(    &
                        nGC_195)*coupl(nGC_77) - 8d0*cima*coupl(nGC_208)**2d0* &
                        coupl(nGC_351)**2d0 - 8d0*cima*coupl(nGC_208)**2d0*    &
                        coupl(nGC_357)**2d0 - 8d0*cima*coupl(nGC_208)**2d0*    &
                        coupl(nGC_375)**2d0 + 10d0*cima*coupl(nGC_208)*coupl(  &
                        nGC_211)*coupl(nGC_351)**2d0 + 10d0*cima*coupl(nGC_208 &
                        )*coupl(nGC_211)*coupl(nGC_357)**2d0 + 10d0*cima*coupl(&
                        nGC_208)*coupl(nGC_211)*coupl(nGC_375)**2d0 - 8d0*cima*&
                        coupl(nGC_211)**2d0*coupl(nGC_351)**2d0 - 8d0*cima*    &
                        coupl(nGC_211)**2d0*coupl(nGC_357)**2d0 - 8d0*cima*    &
                        coupl(nGC_211)**2d0*coupl(nGC_375)**2d0 + 3d0*coupl(   &
                        nGC_199)**2d0*coupl(nGC_77) + 3d0*coupl(nGC_77)*coupl( &
                        nGC_841)**2d0)/(24d0*pi**2d0)
      coupl(nGC_3503) = coupl(nGC_3101) + coupl(nGC_376)*dZHMinus_QED2/2d0 +   &
                        coupl(nGC_376)*dZnu_tauL_QED2/2d0 + coupl(nGC_376)*    &
                        dZtauMinusR_QED2/2d0 + coupl(nGC_379)*                 &
                        dZGMinusHMinus_QED2/2d0
      coupl(nGC_2703) = coupl(nGC_13)**2d0*coupl(nGC_197)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_2731) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_207) + 4d0*coupl(     &
                        nGC_207)**3d0 + coupl(nGC_209)*coupl(nGC_370)**2d0 +   &
                        coupl(nGC_209)*coupl(nGC_373)**2d0 + coupl(nGC_210)*   &
                        coupl(nGC_369)**2d0 + coupl(nGC_210)*coupl(nGC_371)*   &
                        coupl(nGC_875) + coupl(nGC_210)*coupl(nGC_372)**2d0 +  &
                        coupl(nGC_210)*coupl(nGC_374)*coupl(nGC_885))/(32d0*pi &
                        **2d0)
      coupl(nGC_2929) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_333)*coupl&
                        (nGC_336) - coupl(nGC_339)*coupl(nGC_342) - coupl(     &
                        nGC_345)*coupl(nGC_348) - coupl(nGC_363)*coupl(nGC_366 &
                        ) - coupl(nGC_369)*coupl(nGC_372) - coupl(nGC_381)*    &
                        coupl(nGC_384))/(16d0*pi**2d0)
      coupl(nGC_2702) = coupl(nGC_197)*(2d0*coupl(nGC_1)*coupl(nGC_2) + coupl( &
                        nGC_1)*coupl(nGC_809) + coupl(nGC_199)*coupl(nGC_210   &
                        ) + coupl(nGC_2)*coupl(nGC_3) + 2d0*coupl(nGC_209)*    &
                        coupl(nGC_210) + coupl(nGC_209)*coupl(nGC_841))/(16d0* &
                        pi**2d0)
      coupl(nGC_3357) = coupl(nGC_175)*dZAZ_QED2/2d0 + coupl(nGC_22)*          &
                        dZHMinus_QED2/2d0 + coupl(nGC_22)*dZHh_QED2/2d0 + coupl&
                        (nGC_22)*dZWMinus_QED2/2d0 + coupl(nGC_22)*dZZ_QED2/2d0&
                         + coupl(nGC_23)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_23&
                        )*dZHlHh_QED2/2d0 + coupl(nGC_2982)
      coupl(nGC_2890) = (-4d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_343)**2d0  &
                         - 4d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_346)**2d0 &
                         - 4d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_364)**2d0 &
                         + 5d0*Nc*cima*coupl(nGC_206)*coupl(nGC_210)*coupl(    &
                        nGC_343)**2d0 + 5d0*Nc*cima*coupl(nGC_206)*coupl(      &
                        nGC_210)*coupl(nGC_346)**2d0 + 5d0*Nc*cima*coupl(      &
                        nGC_206)*coupl(nGC_210)*coupl(nGC_364)**2d0 - 4d0*Nc*  &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_334)**2d0 - 4d0*Nc* &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_370)**2d0 - 4d0*Nc* &
                        cima*coupl(nGC_207)**2d0*coupl(nGC_382)**2d0 + 5d0*Nc* &
                        cima*coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_334)**2d0 &
                         + 5d0*Nc*cima*coupl(nGC_207)*coupl(nGC_209)*coupl(    &
                        nGC_370)**2d0 + 5d0*Nc*cima*coupl(nGC_207)*coupl(      &
                        nGC_209)*coupl(nGC_382)**2d0 - 4d0*Nc*cima*coupl(      &
                        nGC_209)**2d0*coupl(nGC_334)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_209)**2d0*coupl(nGC_370)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_209)**2d0*coupl(nGC_382)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_343)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_346)**2d0 - 4d0*Nc*cima*coupl( &
                        nGC_210)**2d0*coupl(nGC_364)**2d0 + 3d0*cima*coupl(    &
                        nGC_100)*coupl(nGC_195) - 4d0*cima*coupl(nGC_208)**2d0*&
                        coupl(nGC_352)**2d0 - 4d0*cima*coupl(nGC_208)**2d0*    &
                        coupl(nGC_358)**2d0 - 4d0*cima*coupl(nGC_208)**2d0*    &
                        coupl(nGC_376)**2d0 + 5d0*cima*coupl(nGC_208)*coupl(   &
                        nGC_212)*coupl(nGC_352)**2d0 + 5d0*cima*coupl(nGC_208)*&
                        coupl(nGC_212)*coupl(nGC_358)**2d0 + 5d0*cima*coupl(   &
                        nGC_208)*coupl(nGC_212)*coupl(nGC_376)**2d0 - 4d0*cima*&
                        coupl(nGC_212)**2d0*coupl(nGC_352)**2d0 - 4d0*cima*    &
                        coupl(nGC_212)**2d0*coupl(nGC_358)**2d0 - 4d0*cima*    &
                        coupl(nGC_212)**2d0*coupl(nGC_376)**2d0 + 3d0*coupl(   &
                        nGC_100)*coupl(nGC_199)**2d0 + 3d0*coupl(nGC_100)*coupl&
                        (nGC_841)**2d0)/(24d0*pi**2d0)
      coupl(nGC_2515) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_349) + 8d0*   &
                        coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_349) - coupl(  &
                        nGC_345)*coupl(nGC_381)*coupl(nGC_385) - coupl(nGC_348 &
                        )*coupl(nGC_384)*coupl(nGC_385) - coupl(nGC_385)*coupl(&
                        nGC_807)*coupl(nGC_883) - coupl(nGC_385)*coupl(nGC_821 &
                        )*coupl(nGC_863))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_261_Hl) = -coupl(nGC_261)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3610) = coupl(nGC_3052) + coupl(nGC_364)*dZHMinusGMinus_QED2/  &
                        2d0 + coupl(nGC_367)*dZcL_QED2/2d0 + coupl(nGC_367)*   &
                        dZsR_QED2/2d0
      coupl(nGC_2700) = coupl(nGC_13)**2d0*coupl(nGC_381)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2530) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_340) + 8d0*   &
                        coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_340) - coupl(  &
                        nGC_339)*coupl(nGC_372)*coupl(nGC_373) - coupl(nGC_341 &
                        )*coupl(nGC_373)*coupl(nGC_374) - coupl(nGC_342)*coupl(&
                        nGC_369)*coupl(nGC_373) - coupl(nGC_344)*coupl(nGC_371 &
                        )*coupl(nGC_373))/(32d0*pi**2d0)
      coupl(nGC_2531) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_373) + 8d0*   &
                        coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_373) - coupl(  &
                        nGC_339)*coupl(nGC_340)*coupl(nGC_372) - coupl(nGC_340 &
                        )*coupl(nGC_342)*coupl(nGC_369) - coupl(nGC_340)*coupl(&
                        nGC_817)*coupl(nGC_875) - coupl(nGC_340)*coupl(nGC_851 &
                        )*coupl(nGC_885))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_22_Hh) = -coupl(nGC_22)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2534) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_349) + 8d0*   &
                        coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_349) - coupl(  &
                        nGC_345)*coupl(nGC_381)*coupl(nGC_385) - coupl(nGC_347 &
                        )*coupl(nGC_383)*coupl(nGC_385) - coupl(nGC_348)*coupl(&
                        nGC_384)*coupl(nGC_385) - coupl(nGC_350)*coupl(nGC_385 &
                        )*coupl(nGC_386))/(32d0*pi**2d0)
      coupl(nGC_2535) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_385) + 8d0*   &
                        coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_385) - coupl(  &
                        nGC_345)*coupl(nGC_349)*coupl(nGC_381) - coupl(nGC_348 &
                        )*coupl(nGC_349)*coupl(nGC_384) - coupl(nGC_349)*coupl(&
                        nGC_807)*coupl(nGC_883) - coupl(nGC_349)*coupl(nGC_821 &
                        )*coupl(nGC_863))/(32d0*pi**2d0)
      coupl(nGC_3603) = coupl(nGC_221)*dZA_QED2/2d0 + coupl(nGC_221)*          &
                        dZHMinus_QED2 + coupl(nGC_221)*dZZ_QED2/2d0 + coupl(   &
                        nGC_229)*dZZA_QED2/2d0 + coupl(nGC_29)*dZAZ_QED2/2d0 + &
                        coupl(nGC_3160)
      coupl(nGC_3602) = coupl(nGC_329)*dZZA_QED2/2d0
      coupl(nGC_3054) = coupl(nGC_1539)*db_QED2 + coupl(nGC_1540)*dyc1_QED3 +  &
                        coupl(nGC_1541)*dyc2_QED3
      coupl(nGC_3580) = coupl(nGC_248)*dZHMinus_QED2/2d0 + coupl(nGC_257)*     &
                        dZHaG0_QED2/2d0 + coupl(nGC_3033) + coupl(             &
                        nGC_TS_GC_52_Hh) + coupl(nGC_TS_GC_63_Hl)
      coupl(nGC_3759) = -coupl(nGC_3102) - coupl(nGC_353)*dZHaG0_QED2/2d0 -    &
                        coupl(nGC_356)*dZeMinusL_QED2/2d0 - coupl(nGC_356)*    &
                        dZeMinusR_QED2/2d0
      coupl(nGC_TS_GC_254_Hh) = -coupl(nGC_254)*dtHh_QED1/cMHH**2d0
      coupl(nGC_3407) = coupl(nGC_MHH)*dZHhHl_QED2/2d0 + coupl(nGC_MHL)*       &
                        dZHlHh_QED2/2d0 + coupl(nGC_TS_GC_233_Hh) + coupl(     &
                        nGC_TS_GC_236_Hl)
      coupl(nGC_3988) = -4d0*coupl(nGC_15)*dZg_QCD2 - 2d0*coupl(nGC_3046)
      coupl(nGC_3618) = coupl(nGC_338)*dZG0/2d0
      coupl(nGC_3349) = coupl(nGC_3114) + coupl(nGC_383)*dZHaG0_QED2/2d0 +     &
                        coupl(nGC_386)*dZuL_QED2/2d0 + coupl(nGC_386)*dZuR_QED2&
                        /2d0
      coupl(nGC_3613) = coupl(nGC_3054) + coupl(nGC_334)*dZHMinusGMinus_QED2/  &
                        2d0 + coupl(nGC_337)*dZcR_QED2/2d0 + coupl(nGC_337)*   &
                        dZsL_QED2/2d0
      coupl(nGC_3346) = coupl(nGC_99)*(dZGMinusHMinus_QED2 +                   &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3611) = coupl(nGC_3053) + coupl(nGC_367)*dZcL_QCD2/2d0 + coupl(&
                        nGC_367)*dZsR_QCD2/2d0
      coupl(nGC_3743) = coupl(nGC_37)*dZGMinus/2d0
      coupl(nGC_3341) = coupl(nGC_28)*dZHMinus_QED2 + coupl(nGC_2952)
      coupl(nGC_3343) = coupl(nGC_245)*dZG0/2d0
      coupl(nGC_2585) = coupl(nGC_13)**2d0*coupl(nGC_370)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2584) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_370) + 8d0*   &
                        coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_370) - coupl(  &
                        nGC_339)*coupl(nGC_343)*coupl(nGC_372) - coupl(nGC_341 &
                        )*coupl(nGC_343)*coupl(nGC_374) - coupl(nGC_342)*coupl(&
                        nGC_343)*coupl(nGC_369) - coupl(nGC_343)*coupl(nGC_344 &
                        )*coupl(nGC_371))/(32d0*pi**2d0)
      coupl(nGC_2587) = coupl(nGC_13)**2d0*coupl(nGC_334)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2586) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_334) + 8d0*   &
                        coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_334) - coupl(  &
                        nGC_333)*coupl(nGC_363)*coupl(nGC_364) - coupl(nGC_335 &
                        )*coupl(nGC_364)*coupl(nGC_365) - coupl(nGC_336)*coupl(&
                        nGC_364)*coupl(nGC_366) - coupl(nGC_338)*coupl(nGC_364 &
                        )*coupl(nGC_368))/(32d0*pi**2d0)
      coupl(nGC_2583) = coupl(nGC_13)**2d0*coupl(nGC_343)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3752) = coupl(nGC_3125) + coupl(nGC_372)*dZtL_QCD2/2d0 + coupl(&
                        nGC_372)*dZtR_QCD2/2d0
      coupl(nGC_2624) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_855) -    &
                        coupl(nGC_351)**2d0*coupl(nGC_353) - coupl(nGC_353)*   &
                        coupl(nGC_354)**2d0 - coupl(nGC_353)*coupl(nGC_855)**  &
                        2d0 - coupl(nGC_353)*coupl(nGC_861)**2d0 + 8d0*coupl(  &
                        nGC_4)**2d0*coupl(nGC_855))/(32d0*pi**2d0)
      coupl(nGC_2625) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_359) -    &
                        coupl(nGC_357)**2d0*coupl(nGC_927) - coupl(nGC_359)**  &
                        2d0*coupl(nGC_927) + 8d0*coupl(nGC_359)*coupl(nGC_4)** &
                        2d0 - coupl(nGC_360)**2d0*coupl(nGC_927) - coupl(      &
                        nGC_362)**2d0*coupl(nGC_927))/(32d0*pi**2d0)
      coupl(nGC_2626) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_927) -    &
                        coupl(nGC_357)**2d0*coupl(nGC_359) - coupl(nGC_359)*   &
                        coupl(nGC_360)**2d0 - coupl(nGC_359)*coupl(nGC_815)**  &
                        2d0 - coupl(nGC_359)*coupl(nGC_927)**2d0 + 8d0*coupl(  &
                        nGC_4)**2d0*coupl(nGC_927))/(32d0*pi**2d0)
      coupl(nGC_2620) = coupl(nGC_13)**2d0*coupl(nGC_811)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2622) = coupl(nGC_13)**2d0*coupl(nGC_335)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2623) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_353) -    &
                        coupl(nGC_351)**2d0*coupl(nGC_855) - coupl(nGC_353)**  &
                        2d0*coupl(nGC_855) + 8d0*coupl(nGC_353)*coupl(nGC_4)** &
                        2d0 - coupl(nGC_354)**2d0*coupl(nGC_855) - coupl(      &
                        nGC_356)**2d0*coupl(nGC_855))/(32d0*pi**2d0)
      coupl(nGC_3750) = -coupl(nGC_218)*dZZA_QED2/2d0 - coupl(nGC_26)*dZA_QED2/&
                        2d0 - coupl(nGC_26)*dZHMinus_QED2 - coupl(nGC_3042)
      coupl(nGC_2404) = (-Nc*cMB**2d0*cima*coupl(nGC_340)**2d0 - Nc*cMB**2d0*  &
                        cima*coupl(nGC_373)**2d0 - Nc*cMC**2d0*cima*coupl(     &
                        nGC_337)**2d0 - Nc*cMC**2d0*cima*coupl(nGC_367)**2d0 - &
                        Nc*cMD**2d0*cima*coupl(nGC_349)**2d0 - Nc*cMD**2d0*cima&
                        *coupl(nGC_385)**2d0 - Nc*cMS**2d0*cima*coupl(nGC_337  &
                        )**2d0 - Nc*cMS**2d0*cima*coupl(nGC_367)**2d0 - Nc*cMT &
                        **2d0*cima*coupl(nGC_340)**2d0 - Nc*cMT**2d0*cima*coupl&
                        (nGC_373)**2d0 - Nc*cMU**2d0*cima*coupl(nGC_349)**2d0  &
                         - Nc*cMU**2d0*cima*coupl(nGC_385)**2d0 - cME**2d0*cima&
                        *coupl(nGC_355)**2d0 - cMM**2d0*cima*coupl(nGC_361)**  &
                        2d0 - cMTA**2d0*cima*coupl(nGC_379)**2d0 - 2d0*cMW**2d0&
                        *coupl(nGC_100) - cMZ**2d0*coupl(nGC_229) + 2d0*cima*  &
                        coupl(nGC_237)**2d0 + 2d0*cima*coupl(nGC_324)**2d0)/(  &
                        16d0*pi**2d0)
      coupl(nGC_3757) = coupl(nGC_3102) + coupl(nGC_353)*dZHaG0_QED2/2d0 +     &
                        coupl(nGC_356)*dZeMinusL_QED2/2d0 + coupl(nGC_356)*    &
                        dZeMinusR_QED2/2d0
      coupl(nGC_2908) = cima*(20d0*Nc*coupl(nGC_336)**4d0 + 20d0*Nc*coupl(     &
                        nGC_339)**4d0 + 20d0*Nc*coupl(nGC_348)**4d0 + 20d0*Nc* &
                        coupl(nGC_366)**4d0 + 20d0*Nc*coupl(nGC_372)**4d0 +    &
                        20d0*Nc*coupl(nGC_384)**4d0 + 3d0*coupl(nGC_224)**2d0  &
                         + 20d0*coupl(nGC_354)**4d0 + 20d0*coupl(nGC_360)**4d0 &
                         + 20d0*coupl(nGC_378)**4d0 + 6d0*coupl(nGC_77)**2d0)/(&
                        16d0*pi**2d0)
      coupl(nGC_2996) = coupl(nGC_2216)*db_QED2 + coupl(nGC_2217)*dl3_QED4 +   &
                        coupl(nGC_2218)*dl2_QED4 + coupl(nGC_2219)*dl1_QED4 +  &
                        coupl(nGC_2220)*dl4_QED4 + coupl(nGC_2221)*dl5_QED4
      coupl(nGC_2997) = coupl(nGC_2175)*db_QED2 + coupl(nGC_2176)*dl3_QED4 +   &
                        coupl(nGC_2177)*dl2_QED4 + coupl(nGC_2178)*dl1_QED4 +  &
                        coupl(nGC_2179)*dl4_QED4 + coupl(nGC_2180)*dl5_QED4
      coupl(nGC_2994) = coupl(nGC_2018)*db_QED2 + coupl(nGC_2019)*dl3_QED4 +   &
                        coupl(nGC_2020)*dl2_QED4 + coupl(nGC_2021)*dl1_QED4 +  &
                        coupl(nGC_2022)*dl4_QED4 + coupl(nGC_2023)*dl5_QED4 +  &
                        coupl(nGC_2024)*da_QED2
      coupl(nGC_2995) = coupl(nGC_2000)*db_QED2 + coupl(nGC_2001)*dl3_QED4 +   &
                        coupl(nGC_2002)*dl2_QED4 + coupl(nGC_2003)*dl1_QED4 +  &
                        coupl(nGC_2004)*dl4_QED4 + coupl(nGC_2005)*dl5_QED4 +  &
                        coupl(nGC_2006)*da_QED2
      coupl(nGC_2992) = coupl(nGC_1958)*db_QED2 + coupl(nGC_1959)*dl3_QED4 +   &
                        coupl(nGC_1960)*dl2_QED4 + coupl(nGC_1961)*dl1_QED4 +  &
                        coupl(nGC_1962)*dl4_QED4 + coupl(nGC_1963)*dl5_QED4 +  &
                        coupl(nGC_1964)*da_QED2
      coupl(nGC_2990) = coupl(nGC_2151)*db_QED2 + coupl(nGC_2152)*dl5_QED4 +   &
                        coupl(nGC_2153)*dl4_QED4 + coupl(nGC_2154)*da_QED2
      coupl(nGC_2991) = coupl(nGC_1291)*db_QED2 + coupl(nGC_1292)*dl3_QED4 +   &
                        coupl(nGC_1293)*dl2_QED4 + coupl(nGC_1294)*dl1_QED4 +  &
                        coupl(nGC_1295)*dl4_QED4 + coupl(nGC_1296)*dl5_QED4 +  &
                        coupl(nGC_1297)*da_QED2
      coupl(nGC_3465) = coupl(nGC_100)*dZHa_QED2 + coupl(nGC_100)*dZWMinus_QED2&
                         + coupl(nGC_3150)
      coupl(nGC_3464) = coupl(nGC_2990) + coupl(nGC_53)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_53)*dZHa_QED2/2d0 + coupl(nGC_53)*dZHl_QED2/ &
                        2d0 + coupl(nGC_62)*dZG0Ha_QED2/2d0 + coupl(nGC_63)*   &
                        dZHhHl_QED2/2d0
      coupl(nGC_3467) = coupl(nGC_187)*dZAZ_QED2/2d0 + coupl(nGC_2950) + coupl(&
                        nGC_31)*dZWMinus_QED2/2d0 + coupl(nGC_31)*dZZ_QED2/2d0
      coupl(nGC_3466) = coupl(nGC_31)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3461) = coupl(nGC_22)*dZHl_QED2/2d0 + coupl(nGC_24)*           &
                        dZHMinusGMinus_QED2/2d0 + coupl(nGC_24)*dZHhHl_QED2/2d0&
                         + coupl(nGC_2982)
      coupl(nGC_3460) = coupl(nGC_22)*dZGMinus/2d0
      coupl(nGC_2998) = coupl(nGC_2192)*db_QED2 + coupl(nGC_2193)*dl3_QED4 +   &
                        coupl(nGC_2194)*dl2_QED4 + coupl(nGC_2195)*dl1_QED4 +  &
                        coupl(nGC_2196)*dl4_QED4 + coupl(nGC_2197)*dl5_QED4
      coupl(nGC_2999) = coupl(nGC_2207)*db_QED2 + coupl(nGC_2208)*dl3_QED4 +   &
                        coupl(nGC_2209)*dl2_QED4 + coupl(nGC_2210)*dl1_QED4 +  &
                        coupl(nGC_2211)*dl4_QED4 + coupl(nGC_2212)*dl5_QED4
      coupl(nGC_2448) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 &
                         - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi &
                        **2d0*Nc)
      coupl(nGC_2449) = cMM*cima*(-coupl(nGC_208)*coupl(nGC_211) - coupl(nGC_4 &
                        )**2d0)/(8d0*pi**2d0)
      coupl(nGC_2763) = coupl(nGC_13)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl( &
                        nGC_207)**2d0 - coupl(nGC_381)**2d0 - coupl(nGC_382)** &
                        2d0 - coupl(nGC_383)*coupl(nGC_863) - coupl(nGC_384)** &
                        2d0 - coupl(nGC_385)**2d0 - coupl(nGC_386)*coupl(      &
                        nGC_807))/(64d0*pi**2d0*Nc)
      coupl(nGC_3669) = coupl(nGC_MI)*dZtauMinusR_QED2
      coupl(nGC_2440) = cima*(coupl(nGC_208)**2d0 + coupl(nGC_4)**2d0)/(16d0*pi&
                        **2d0)
      coupl(nGC_2441) = cima*(coupl(nGC_197)**2d0 + coupl(nGC_211)**2d0 + coupl&
                        (nGC_4)**2d0)/(16d0*pi**2d0)
      coupl(nGC_3665) = coupl(nGC_3113) + coupl(nGC_377)*dZHa_QED2/2d0 + coupl(&
                        nGC_377)*dZtauMinusL_QED2/2d0 + coupl(nGC_377)*        &
                        dZtauMinusR_QED2/2d0 + coupl(nGC_380)*dZG0Ha_QED2/2d0
      coupl(nGC_2445) = cima*coupl(nGC_13)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0  &
                         + cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi &
                        **2d0)
      coupl(nGC_2691) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_363) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_363) - coupl(nGC_333 &
                        )*coupl(nGC_334)*coupl(nGC_364) - coupl(nGC_333)*coupl(&
                        nGC_337)*coupl(nGC_367) - coupl(nGC_363)**3d0 - coupl( &
                        nGC_363)*coupl(nGC_365)**2d0 - coupl(nGC_363)*coupl(   &
                        nGC_366)**2d0 - coupl(nGC_363)*coupl(nGC_368)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_2693) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_369) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_369) - coupl(nGC_340 &
                        )*coupl(nGC_342)*coupl(nGC_373) - coupl(nGC_342)*coupl(&
                        nGC_343)*coupl(nGC_370) - coupl(nGC_369)**3d0 - coupl( &
                        nGC_369)*coupl(nGC_372)**2d0 - coupl(nGC_369)*coupl(   &
                        nGC_875)**2d0 - coupl(nGC_369)*coupl(nGC_885)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_2692) = coupl(nGC_13)**2d0*coupl(nGC_363)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2695) = coupl(nGC_13)**2d0*coupl(nGC_369)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2694) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_369) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_369) - coupl(nGC_340 &
                        )*coupl(nGC_342)*coupl(nGC_373) - coupl(nGC_342)*coupl(&
                        nGC_343)*coupl(nGC_370) - coupl(nGC_369)**3d0 - coupl( &
                        nGC_369)*coupl(nGC_371)**2d0 - coupl(nGC_369)*coupl(   &
                        nGC_372)**2d0 - coupl(nGC_369)*coupl(nGC_374)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_2696) = coupl(nGC_375)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_375)**2d0 - coupl(nGC_377)**2d0 - coupl(     &
                        nGC_378)**2d0 - coupl(nGC_380)**2d0 + 8d0*coupl(nGC_4  &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_2699) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_381) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_381) - coupl(nGC_345 &
                        )*coupl(nGC_346)*coupl(nGC_382) - coupl(nGC_345)*coupl(&
                        nGC_349)*coupl(nGC_385) - coupl(nGC_381)**3d0 - coupl( &
                        nGC_381)*coupl(nGC_383)**2d0 - coupl(nGC_381)*coupl(   &
                        nGC_384)**2d0 - coupl(nGC_381)*coupl(nGC_386)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_2698) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_381) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_381) - coupl(nGC_345 &
                        )*coupl(nGC_346)*coupl(nGC_382) - coupl(nGC_345)*coupl(&
                        nGC_349)*coupl(nGC_385) - coupl(nGC_381)**3d0 - coupl( &
                        nGC_381)*coupl(nGC_384)**2d0 - coupl(nGC_381)*coupl(   &
                        nGC_807)**2d0 - coupl(nGC_381)*coupl(nGC_863)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_3428) = coupl(nGC_3071) + coupl(nGC_343)*dZbR_QCD2/2d0 + coupl(&
                        nGC_343)*dZtL_QCD2/2d0
      coupl(nGC_3923) = -coupl(nGC_200)*dZZA_QED2/4d0 - coupl(nGC_3041)/2d0 -  &
                        coupl(nGC_6)*dZA_QED2/4d0
      coupl(nGC_2723) = (4d0*coupl(nGC_208)**3d0 + 4d0*coupl(nGC_208)*coupl(   &
                        nGC_4)**2d0 + coupl(nGC_211)*coupl(nGC_357)**2d0 +     &
                        coupl(nGC_211)*coupl(nGC_359)*coupl(nGC_927) + coupl(  &
                        nGC_211)*coupl(nGC_360)**2d0 + coupl(nGC_211)*coupl(   &
                        nGC_362)*coupl(nGC_815) + coupl(nGC_212)*coupl(nGC_358 &
                        )**2d0 + coupl(nGC_212)*coupl(nGC_361)**2d0)/(32d0*pi**&
                        2d0)
      coupl(nGC_3183) = coupl(nGC_1492)*dZee_QED2 + coupl(nGC_1493)*dcw_QED2 + &
                        coupl(nGC_1494)*dsw_QED2
      coupl(nGC_3180) = coupl(nGC_1147)*dZee_QED2 + coupl(nGC_1148)*dsw_QED2
      coupl(nGC_3186) = coupl(nGC_1226)*dZee_QED2 + coupl(nGC_1227)*dcw_QED2 + &
                        coupl(nGC_1228)*dsw_QED2
      coupl(nGC_3187) = coupl(nGC_1972)*dZee_QED2 + coupl(nGC_1973)*dcw_QED2 + &
                        coupl(nGC_1974)*dsw_QED2
      coupl(nGC_3185) = coupl(nGC_2213)*dZee_QED2 + coupl(nGC_2214)*dcw_QED2 + &
                        coupl(nGC_2215)*dsw_QED2
      coupl(nGC_3765) = coupl(nGC_200)*dZZA_QED2/4d0 + coupl(nGC_3041)/2d0 +   &
                        coupl(nGC_6)*dZA_QED2/4d0
      coupl(nGC_3955) = coupl(nGC_200)*dZWMinus_QED2/4d0 + coupl(nGC_3044)/2d0
      coupl(nGC_3030) = coupl(nGC_1211)*db_QED2 + coupl(nGC_1212)*dvev2_QED1 + &
                        coupl(nGC_1213)*dvev1_QED1 + coupl(nGC_1214)*dl2_QED4  &
                         + coupl(nGC_1215)*dl1_QED4 + coupl(nGC_1216)*dl4_QED4 &
                         + coupl(nGC_1217)*dl3_QED4 + coupl(nGC_1218)*da_QED2  &
                         + coupl(nGC_1219)*dl5_QED4
      coupl(nGC_3165) = coupl(nGC_1859)*db_QED2 + coupl(nGC_1860)*dZee_QED2 +  &
                        coupl(nGC_1861)*dcw_QED2 + coupl(nGC_1862)*da_QED2
      coupl(nGC_3009) = coupl(nGC_1932)*dZee_QED2 + coupl(nGC_1933)*da_QED2 +  &
                        coupl(nGC_1934)*dsw_QED2 + coupl(nGC_1935)*db_QED2
      coupl(nGC_3008) = coupl(nGC_1993)*dZee_QED2 + coupl(nGC_1994)*da_QED2 +  &
                        coupl(nGC_1995)*dsw_QED2 + coupl(nGC_1996)*db_QED2
      coupl(nGC_3161) = coupl(nGC_1570)*db_QED2 + coupl(nGC_1571)*da_QED2 +    &
                        coupl(nGC_1572)*dcw_QED2 + coupl(nGC_1573)*dZee_QED2 + &
                        coupl(nGC_1574)*dsw_QED2
      coupl(nGC_3141) = coupl(nGC_1692)*dvev1_QED1 + coupl(nGC_1693)*dvev2_QED1&
                         + coupl(nGC_1694)*dZee_QED2 + coupl(nGC_1695)*dsw_QED2&
                         + coupl(nGC_1696)*db_QED2
      coupl(nGC_3163) = coupl(nGC_2084)*dZee_QED2 + coupl(nGC_2085)*dcw_QED2 + &
                        coupl(nGC_2086)*dsw_QED2
      coupl(nGC_3003) = coupl(nGC_2385)*dZee_QED2 + coupl(nGC_2386)*dsw_QED2
      coupl(nGC_3002) = coupl(nGC_1361)*dZee_QED2 + coupl(nGC_1362)*dsw_QED2
      coupl(nGC_3001) = coupl(nGC_2181)*db_QED2 + coupl(nGC_2182)*dl3_QED4 +   &
                        coupl(nGC_2183)*dl2_QED4 + coupl(nGC_2184)*dl1_QED4 +  &
                        coupl(nGC_2185)*dl4_QED4 + coupl(nGC_2186)*dl5_QED4
      coupl(nGC_3000) = coupl(nGC_2155)*db_QED2 + coupl(nGC_2156)*dl3_QED4 +   &
                        coupl(nGC_2157)*dl2_QED4 + coupl(nGC_2158)*dl1_QED4 +  &
                        coupl(nGC_2159)*dl4_QED4 + coupl(nGC_2160)*dl5_QED4
      coupl(nGC_3007) = coupl(nGC_2381)*dZee_QED2 + coupl(nGC_2382)*da_QED2 +  &
                        coupl(nGC_2383)*dsw_QED2 + coupl(nGC_2384)*db_QED2
      coupl(nGC_3006) = coupl(nGC_2326)*dZee_QED2 + coupl(nGC_2327)*dcw_QED2 + &
                        coupl(nGC_2328)*dsw_QED2
      coupl(nGC_3004) = coupl(nGC_1436)*dZee_QED2 + coupl(nGC_1437)*dsw_QED2
      coupl(nGC_2844) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(      &
                        nGC_339)*coupl(nGC_340) + 5d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_206)*coupl(nGC_348)*coupl(nGC_349) + 5d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_366)*coupl&
                        (nGC_367) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                        coupl(nGC_336)*coupl(nGC_337) + 5d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_207)*coupl(nGC_372)*coupl(nGC_373   &
                        ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(   &
                        nGC_384)*coupl(nGC_385) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_336)*coupl(nGC_337) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_339)*coupl&
                        (nGC_340) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                        coupl(nGC_348)*coupl(nGC_349) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_209)*coupl(nGC_366)*coupl(nGC_367   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(   &
                        nGC_372)*coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_384)*coupl(nGC_385) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_336)*coupl&
                        (nGC_337) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                        coupl(nGC_339)*coupl(nGC_340) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_210)*coupl(nGC_348)*coupl(nGC_349   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(   &
                        nGC_366)*coupl(nGC_367) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_210)*coupl(nGC_372)*coupl(nGC_373) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_384)*coupl&
                        (nGC_385) + 6d0*cima*coupl(nGC_180)*coupl(nGC_803) +   &
                        6d0*cima*coupl(nGC_194)*coupl(nGC_23) + 5d0*cima*coupl(&
                        nGC_197)*coupl(nGC_208)*coupl(nGC_354)*coupl(nGC_355   &
                        ) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(      &
                        nGC_360)*coupl(nGC_361) + 5d0*cima*coupl(nGC_197)*coupl&
                        (nGC_208)*coupl(nGC_378)*coupl(nGC_379) - 4d0*cima*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_354)*coupl(    &
                        nGC_355) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl&
                        (nGC_360)*coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_211)*coupl(nGC_378)*coupl(nGC_379) - 4d0*cima&
                        *coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_354)*coupl(   &
                        nGC_355) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl&
                        (nGC_360)*coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_212)*coupl(nGC_378)*coupl(nGC_379) + 6d0*    &
                        coupl(nGC_180)*coupl(nGC_199)*coupl(nGC_4) + 6d0*coupl(&
                        nGC_198)*coupl(nGC_199)*coupl(nGC_23))/(48d0*pi**2d0)
      coupl(nGC_2845) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(      &
                        nGC_340)*coupl(nGC_342) + 5d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_206)*coupl(nGC_345)*coupl(nGC_349) + 5d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_363)*coupl&
                        (nGC_367) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                        coupl(nGC_333)*coupl(nGC_337) + 5d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_207)*coupl(nGC_369)*coupl(nGC_373   &
                        ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(   &
                        nGC_381)*coupl(nGC_385) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_333)*coupl(nGC_337) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_340)*coupl&
                        (nGC_342) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                        coupl(nGC_345)*coupl(nGC_349) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_209)*coupl(nGC_363)*coupl(nGC_367   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(   &
                        nGC_369)*coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_381)*coupl(nGC_385) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_333)*coupl&
                        (nGC_337) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                        coupl(nGC_340)*coupl(nGC_342) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_210)*coupl(nGC_345)*coupl(nGC_349   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(   &
                        nGC_363)*coupl(nGC_367) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_210)*coupl(nGC_369)*coupl(nGC_373) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_381)*coupl&
                        (nGC_385) + 6d0*cima*coupl(nGC_174)*coupl(nGC_803) +   &
                        6d0*cima*coupl(nGC_194)*coupl(nGC_21) + 5d0*cima*coupl(&
                        nGC_197)*coupl(nGC_208)*coupl(nGC_351)*coupl(nGC_355   &
                        ) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(      &
                        nGC_357)*coupl(nGC_361) + 5d0*cima*coupl(nGC_197)*coupl&
                        (nGC_208)*coupl(nGC_375)*coupl(nGC_379) - 4d0*cima*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_351)*coupl(    &
                        nGC_355) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl&
                        (nGC_357)*coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_211)*coupl(nGC_375)*coupl(nGC_379) - 4d0*cima&
                        *coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_351)*coupl(   &
                        nGC_355) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl&
                        (nGC_357)*coupl(nGC_361) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_212)*coupl(nGC_375)*coupl(nGC_379) + 6d0*    &
                        coupl(nGC_174)*coupl(nGC_199)*coupl(nGC_4) + 6d0*coupl(&
                        nGC_198)*coupl(nGC_199)*coupl(nGC_21))/(48d0*pi**2d0)
      coupl(nGC_2969) = coupl(nGC_2332)*db_QED2 + coupl(nGC_2333)*dl3_QED4 +   &
                        coupl(nGC_2334)*dl2_QED4 + coupl(nGC_2335)*dl1_QED4 +  &
                        coupl(nGC_2336)*dl4_QED4 + coupl(nGC_2337)*dl5_QED4
      coupl(nGC_2847) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_334)*coupl(&
                        nGC_337) + coupl(nGC_340)*coupl(nGC_343) + coupl(      &
                        nGC_346)*coupl(nGC_349) + coupl(nGC_364)*coupl(nGC_367 &
                        ) + coupl(nGC_370)*coupl(nGC_373) + coupl(nGC_382)*    &
                        coupl(nGC_385))/(32d0*pi**2d0*Nc)
      coupl(nGC_2840) = cima*(10d0*Nc*coupl(nGC_333)*coupl(nGC_334)*coupl(     &
                        nGC_336)*coupl(nGC_337) + 5d0*Nc*coupl(nGC_333)*coupl( &
                        nGC_334)*coupl(nGC_366)*coupl(nGC_367) + 10d0*Nc*coupl(&
                        nGC_333)*coupl(nGC_336)*coupl(nGC_364)*coupl(nGC_367   &
                        ) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_337)*coupl(nGC_364 &
                        )*coupl(nGC_366) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_336 &
                        )*coupl(nGC_363)*coupl(nGC_367) + 10d0*Nc*coupl(nGC_334&
                        )*coupl(nGC_337)*coupl(nGC_363)*coupl(nGC_366) + 5d0*Nc&
                        *coupl(nGC_336)*coupl(nGC_337)*coupl(nGC_363)*coupl(   &
                        nGC_364) + 10d0*Nc*coupl(nGC_339)*coupl(nGC_340)*coupl(&
                        nGC_342)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_339)*coupl( &
                        nGC_340)*coupl(nGC_369)*coupl(nGC_370) + 10d0*Nc*coupl(&
                        nGC_339)*coupl(nGC_342)*coupl(nGC_370)*coupl(nGC_373   &
                        ) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_343)*coupl(nGC_369 &
                        )*coupl(nGC_373) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_342 &
                        )*coupl(nGC_370)*coupl(nGC_372) + 10d0*Nc*coupl(nGC_340&
                        )*coupl(nGC_343)*coupl(nGC_369)*coupl(nGC_372) + 5d0*Nc&
                        *coupl(nGC_342)*coupl(nGC_343)*coupl(nGC_372)*coupl(   &
                        nGC_373) + 10d0*Nc*coupl(nGC_345)*coupl(nGC_346)*coupl(&
                        nGC_348)*coupl(nGC_349) + 5d0*Nc*coupl(nGC_345)*coupl( &
                        nGC_346)*coupl(nGC_384)*coupl(nGC_385) + 10d0*Nc*coupl(&
                        nGC_345)*coupl(nGC_348)*coupl(nGC_382)*coupl(nGC_385   &
                        ) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_349)*coupl(nGC_382 &
                        )*coupl(nGC_384) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_348 &
                        )*coupl(nGC_381)*coupl(nGC_385) + 10d0*Nc*coupl(nGC_346&
                        )*coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_384) + 5d0*Nc&
                        *coupl(nGC_348)*coupl(nGC_349)*coupl(nGC_381)*coupl(   &
                        nGC_382) + 10d0*Nc*coupl(nGC_363)*coupl(nGC_364)*coupl(&
                        nGC_366)*coupl(nGC_367) + 10d0*Nc*coupl(nGC_369)*coupl(&
                        nGC_370)*coupl(nGC_372)*coupl(nGC_373) + 10d0*Nc*coupl(&
                        nGC_381)*coupl(nGC_382)*coupl(nGC_384)*coupl(nGC_385   &
                        ) + 6d0*coupl(nGC_174)*coupl(nGC_175) + 6d0*coupl(     &
                        nGC_180)**2d0 + 6d0*coupl(nGC_21)*coupl(nGC_22) + 6d0* &
                        coupl(nGC_23)**2d0 + 10d0*coupl(nGC_351)*coupl(nGC_352 &
                        )*coupl(nGC_354)*coupl(nGC_355) + 10d0*coupl(nGC_357)* &
                        coupl(nGC_358)*coupl(nGC_360)*coupl(nGC_361) + 10d0*   &
                        coupl(nGC_375)*coupl(nGC_376)*coupl(nGC_378)*coupl(    &
                        nGC_379))/(48d0*pi**2d0)
      coupl(nGC_2841) = cima*coupl(nGC_197)**2d0*(-Nc*coupl(nGC_334)*coupl(    &
                        nGC_337) - Nc*coupl(nGC_340)*coupl(nGC_343) - Nc*coupl(&
                        nGC_346)*coupl(nGC_349) - Nc*coupl(nGC_364)*coupl(     &
                        nGC_367) - Nc*coupl(nGC_370)*coupl(nGC_373) - Nc*coupl(&
                        nGC_382)*coupl(nGC_385) - coupl(nGC_352)*coupl(nGC_355 &
                        ) - coupl(nGC_358)*coupl(nGC_361) - coupl(nGC_376)*    &
                        coupl(nGC_379))/(12d0*pi**2d0)
      coupl(nGC_2842) = cima*(-4d0*Nc*coupl(nGC_206)**2d0*coupl(nGC_340)*coupl(&
                        nGC_343) - 4d0*Nc*coupl(nGC_206)**2d0*coupl(nGC_346)*  &
                        coupl(nGC_349) - 4d0*Nc*coupl(nGC_206)**2d0*coupl(     &
                        nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_206)*coupl( &
                        nGC_210)*coupl(nGC_340)*coupl(nGC_343) + 5d0*Nc*coupl( &
                        nGC_206)*coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_349   &
                        ) + 5d0*Nc*coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_364 &
                        )*coupl(nGC_367) - 4d0*Nc*coupl(nGC_207)**2d0*coupl(   &
                        nGC_334)*coupl(nGC_337) - 4d0*Nc*coupl(nGC_207)**2d0*  &
                        coupl(nGC_370)*coupl(nGC_373) - 4d0*Nc*coupl(nGC_207)**&
                        2d0*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(      &
                        nGC_207)*coupl(nGC_209)*coupl(nGC_334)*coupl(nGC_337   &
                        ) + 5d0*Nc*coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_370 &
                        )*coupl(nGC_373) + 5d0*Nc*coupl(nGC_207)*coupl(nGC_209 &
                        )*coupl(nGC_382)*coupl(nGC_385) - 4d0*Nc*coupl(nGC_209 &
                        )**2d0*coupl(nGC_334)*coupl(nGC_337) - 4d0*Nc*coupl(   &
                        nGC_209)**2d0*coupl(nGC_370)*coupl(nGC_373) - 4d0*Nc*  &
                        coupl(nGC_209)**2d0*coupl(nGC_382)*coupl(nGC_385) - 4d0&
                        *Nc*coupl(nGC_210)**2d0*coupl(nGC_340)*coupl(nGC_343   &
                        ) - 4d0*Nc*coupl(nGC_210)**2d0*coupl(nGC_346)*coupl(   &
                        nGC_349) - 4d0*Nc*coupl(nGC_210)**2d0*coupl(nGC_364)*  &
                        coupl(nGC_367) - 4d0*coupl(nGC_208)**2d0*coupl(nGC_352 &
                        )*coupl(nGC_355) - 4d0*coupl(nGC_208)**2d0*coupl(      &
                        nGC_358)*coupl(nGC_361) - 4d0*coupl(nGC_208)**2d0*coupl&
                        (nGC_376)*coupl(nGC_379) + 5d0*coupl(nGC_208)*coupl(   &
                        nGC_212)*coupl(nGC_352)*coupl(nGC_355) + 5d0*coupl(    &
                        nGC_208)*coupl(nGC_212)*coupl(nGC_358)*coupl(nGC_361   &
                        ) + 5d0*coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_376)*  &
                        coupl(nGC_379) - 4d0*coupl(nGC_212)**2d0*coupl(nGC_352 &
                        )*coupl(nGC_355) - 4d0*coupl(nGC_212)**2d0*coupl(      &
                        nGC_358)*coupl(nGC_361) - 4d0*coupl(nGC_212)**2d0*coupl&
                        (nGC_376)*coupl(nGC_379))/(24d0*pi**2d0)
      coupl(nGC_2843) = cima*coupl(nGC_197)*(5d0*Nc*coupl(nGC_206)*coupl(      &
                        nGC_340)*coupl(nGC_344) + 5d0*Nc*coupl(nGC_206)*coupl( &
                        nGC_347)*coupl(nGC_349) + 5d0*Nc*coupl(nGC_206)*coupl( &
                        nGC_365)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_207)*coupl( &
                        nGC_337)*coupl(nGC_811) + 5d0*Nc*coupl(nGC_207)*coupl( &
                        nGC_373)*coupl(nGC_875) + 5d0*Nc*coupl(nGC_207)*coupl( &
                        nGC_385)*coupl(nGC_863) - 4d0*Nc*coupl(nGC_209)*coupl( &
                        nGC_337)*coupl(nGC_811) - 4d0*Nc*coupl(nGC_209)*coupl( &
                        nGC_340)*coupl(nGC_344) - 4d0*Nc*coupl(nGC_209)*coupl( &
                        nGC_347)*coupl(nGC_349) - 4d0*Nc*coupl(nGC_209)*coupl( &
                        nGC_365)*coupl(nGC_367) - 4d0*Nc*coupl(nGC_209)*coupl( &
                        nGC_373)*coupl(nGC_875) - 4d0*Nc*coupl(nGC_209)*coupl( &
                        nGC_385)*coupl(nGC_863) - 4d0*Nc*coupl(nGC_210)*coupl( &
                        nGC_337)*coupl(nGC_811) - 4d0*Nc*coupl(nGC_210)*coupl( &
                        nGC_340)*coupl(nGC_344) - 4d0*Nc*coupl(nGC_210)*coupl( &
                        nGC_347)*coupl(nGC_349) - 4d0*Nc*coupl(nGC_210)*coupl( &
                        nGC_365)*coupl(nGC_367) - 4d0*Nc*coupl(nGC_210)*coupl( &
                        nGC_373)*coupl(nGC_875) - 4d0*Nc*coupl(nGC_210)*coupl( &
                        nGC_385)*coupl(nGC_863) + 5d0*coupl(nGC_208)*coupl(    &
                        nGC_353)*coupl(nGC_355) + 5d0*coupl(nGC_208)*coupl(    &
                        nGC_359)*coupl(nGC_361) + 5d0*coupl(nGC_208)*coupl(    &
                        nGC_377)*coupl(nGC_379) - 4d0*coupl(nGC_211)*coupl(    &
                        nGC_353)*coupl(nGC_355) - 4d0*coupl(nGC_211)*coupl(    &
                        nGC_359)*coupl(nGC_361) - 4d0*coupl(nGC_211)*coupl(    &
                        nGC_377)*coupl(nGC_379) - 4d0*coupl(nGC_212)*coupl(    &
                        nGC_353)*coupl(nGC_355) - 4d0*coupl(nGC_212)*coupl(    &
                        nGC_359)*coupl(nGC_361) - 4d0*coupl(nGC_212)*coupl(    &
                        nGC_377)*coupl(nGC_379))/(48d0*pi**2d0)
      coupl(nGC_2963) = coupl(nGC_2028)*db_QED2 + coupl(nGC_2029)*dl3_QED4 +   &
                        coupl(nGC_2030)*dl2_QED4 + coupl(nGC_2031)*dl1_QED4 +  &
                        coupl(nGC_2032)*dl4_QED4 + coupl(nGC_2033)*dl5_QED4 +  &
                        coupl(nGC_2034)*da_QED2
      coupl(nGC_3168) = coupl(nGC_1299)*db_QED2 + coupl(nGC_1300)*dvev1_QED1 + &
                        coupl(nGC_1301)*dcw_QED2 + coupl(nGC_1302)*dZee_QED2 + &
                        coupl(nGC_1303)*dvev2_QED1
      coupl(nGC_2961) = coupl(nGC_1823)*dl3_QED4 + coupl(nGC_1824)*dl2_QED4 +  &
                        coupl(nGC_1825)*dl1_QED4 + coupl(nGC_1826)*dl4_QED4 +  &
                        coupl(nGC_1827)*dl5_QED4 + coupl(nGC_1828)*da_QED2
      coupl(nGC_2960) = coupl(nGC_2035)*db_QED2 + coupl(nGC_2036)*dl3_QED4 +   &
                        coupl(nGC_2037)*dl2_QED4 + coupl(nGC_2038)*dl1_QED4 +  &
                        coupl(nGC_2039)*dl4_QED4 + coupl(nGC_2040)*dl5_QED4 +  &
                        coupl(nGC_2041)*da_QED2
      coupl(nGC_2848) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_334)*coupl&
                        (nGC_337) - coupl(nGC_340)*coupl(nGC_343) - coupl(     &
                        nGC_346)*coupl(nGC_349) - coupl(nGC_364)*coupl(nGC_367 &
                        ) - coupl(nGC_370)*coupl(nGC_373) - coupl(nGC_382)*    &
                        coupl(nGC_385))/(32d0*pi**2d0)
      coupl(nGC_2964) = coupl(nGC_1812)*dl3_QED4 + coupl(nGC_1813)*dl2_QED4 +  &
                        coupl(nGC_1814)*dl1_QED4 + coupl(nGC_1815)*dl4_QED4 +  &
                        coupl(nGC_1816)*dl5_QED4 + coupl(nGC_1817)*da_QED2
      coupl(nGC_2654) = coupl(nGC_13)**2d0*coupl(nGC_348)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2560) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_815) -    &
                        coupl(nGC_357)**2d0*coupl(nGC_362) - coupl(nGC_360)**  &
                        2d0*coupl(nGC_362) - coupl(nGC_362)*coupl(nGC_815)**2d0&
                         - coupl(nGC_362)*coupl(nGC_927)**2d0 + 8d0*coupl(nGC_4&
                        )**2d0*coupl(nGC_815))/(32d0*pi**2d0)
      coupl(nGC_2577) = (Nc*coupl(nGC_206)*coupl(nGC_343)**2d0 + Nc*coupl(     &
                        nGC_206)*coupl(nGC_346)**2d0 + Nc*coupl(nGC_206)*coupl(&
                        nGC_364)**2d0 - Nc*coupl(nGC_207)*coupl(nGC_334)**2d0  &
                         - Nc*coupl(nGC_207)*coupl(nGC_370)**2d0 - Nc*coupl(   &
                        nGC_207)*coupl(nGC_382)**2d0 + Nc*coupl(nGC_209)*coupl(&
                        nGC_334)**2d0 + Nc*coupl(nGC_209)*coupl(nGC_370)**2d0  &
                         + Nc*coupl(nGC_209)*coupl(nGC_382)**2d0 - Nc*coupl(   &
                        nGC_210)*coupl(nGC_343)**2d0 - Nc*coupl(nGC_210)*coupl(&
                        nGC_346)**2d0 - Nc*coupl(nGC_210)*coupl(nGC_364)**2d0  &
                         + coupl(nGC_208)*coupl(nGC_352)**2d0 + coupl(nGC_208)*&
                        coupl(nGC_358)**2d0 + coupl(nGC_208)*coupl(nGC_376)**  &
                        2d0 - coupl(nGC_212)*coupl(nGC_352)**2d0 - coupl(      &
                        nGC_212)*coupl(nGC_358)**2d0 - coupl(nGC_212)*coupl(   &
                        nGC_376)**2d0)/(24d0*pi**2d0)
      coupl(nGC_2741) = -coupl(nGC_13)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_206)**2d0 + coupl(nGC_339)**2d0 + coupl(nGC_340)** &
                        2d0 + coupl(nGC_341)*coupl(nGC_851) + coupl(nGC_342)** &
                        2d0 + coupl(nGC_343)**2d0 + coupl(nGC_344)*coupl(      &
                        nGC_817))/(64d0*pi**2d0*Nc)
      coupl(nGC_3717) = coupl(nGC_13)*dZtR_QED2
      coupl(nGC_3715) = coupl(nGC_13)*dZtL_QED2
      coupl(nGC_3713) = coupl(nGC_2969) + coupl(nGC_54)*dZHMinusGMinus_QED2 +  &
                        coupl(nGC_55)*dZG0Ha_QED2 + coupl(nGC_70)*dZHa_QED2
      coupl(nGC_3712) = coupl(nGC_70)*dZGMinus
      coupl(nGC_3711) = coupl(nGC_228)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3710) = coupl(nGC_206)*dZbR_QCD2
      coupl(nGC_2652) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_348) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_348) - coupl(nGC_345 &
                        )**2d0*coupl(nGC_348) - coupl(nGC_346)*coupl(nGC_382)* &
                        coupl(nGC_384) - coupl(nGC_348)**3d0 - coupl(nGC_348)* &
                        coupl(nGC_821)**2d0 - coupl(nGC_348)*coupl(nGC_883)**  &
                        2d0 - coupl(nGC_349)*coupl(nGC_384)*coupl(nGC_385))/(  &
                        32d0*pi**2d0)
      coupl(nGC_3320) = coupl(nGC_3105) + coupl(nGC_351)*dZHlHh_QED2/2d0 +     &
                        coupl(nGC_354)*dZHh_QED2/2d0 + coupl(nGC_354)*         &
                        dZeMinusL_QED2/2d0 + coupl(nGC_354)*dZeMinusR_QED2/2d0
      coupl(nGC_3719) = coupl(nGC_173)*dZHMinusGMinus_QED2/2d0 - coupl(nGC_173 &
                        )*dZHlHh_QED2/2d0 - coupl(nGC_179)*dZHh_QED2/2d0 -     &
                        coupl(nGC_179)*dZWMinus_QED2/2d0 - coupl(nGC_3144)
      coupl(nGC_3718) = coupl(nGC_100)*dZG0
      coupl(nGC_3487) = coupl(nGC_350)*dZG0/2d0
      coupl(nGC_3486) = coupl(nGC_3073) + coupl(nGC_350)*dZdL_QCD2/2d0 + coupl(&
                        nGC_350)*dZdR_QCD2/2d0
      coupl(nGC_3485) = coupl(nGC_3072) + coupl(nGC_347)*dZHaG0_QED2/2d0 +     &
                        coupl(nGC_350)*dZdL_QED2/2d0 + coupl(nGC_350)*dZdR_QED2&
                        /2d0
      coupl(nGC_3483) = coupl(nGC_33)*dZGMinus
      coupl(nGC_3482) = -coupl(nGC_172)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_172&
                        )*dZHhHl_QED2/2d0 + coupl(nGC_179)*dZHMinus_QED2/2d0 + &
                        coupl(nGC_179)*dZHl_QED2/2d0 + coupl(nGC_179)*         &
                        dZWMinus_QED2/2d0 + coupl(nGC_3144)
      coupl(nGC_3480) = coupl(nGC_46)*dZGMinus/2d0
      coupl(nGC_TS_GC_369_Hl) = -coupl(nGC_369)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2406) = (-Nc*cMB**2d0*cima*coupl(nGC_343)**2d0 - Nc*cMB**2d0*  &
                        cima*coupl(nGC_370)**2d0 - Nc*cMC**2d0*cima*coupl(     &
                        nGC_334)**2d0 - Nc*cMC**2d0*cima*coupl(nGC_364)**2d0 - &
                        Nc*cMD**2d0*cima*coupl(nGC_346)**2d0 - Nc*cMD**2d0*cima&
                        *coupl(nGC_382)**2d0 - Nc*cMS**2d0*cima*coupl(nGC_334  &
                        )**2d0 - Nc*cMS**2d0*cima*coupl(nGC_364)**2d0 - Nc*cMT &
                        **2d0*cima*coupl(nGC_343)**2d0 - Nc*cMT**2d0*cima*coupl&
                        (nGC_370)**2d0 - Nc*cMU**2d0*cima*coupl(nGC_346)**2d0  &
                         - Nc*cMU**2d0*cima*coupl(nGC_382)**2d0 - cME**2d0*cima&
                        *coupl(nGC_352)**2d0 - cMM**2d0*cima*coupl(nGC_358)**  &
                        2d0 - cMTA**2d0*cima*coupl(nGC_376)**2d0 - 2d0*cMW**2d0&
                        *coupl(nGC_100) - cMZ**2d0*coupl(nGC_229) + 2d0*cima*  &
                        coupl(nGC_231)**2d0 + 2d0*cima*coupl(nGC_321)**2d0)/(  &
                        16d0*pi**2d0)
      coupl(nGC_3489) = -coupl(nGC_3073) - coupl(nGC_350)*dZdL_QCD2/2d0 - coupl&
                        (nGC_350)*dZdR_QCD2/2d0
      coupl(nGC_3488) = -coupl(nGC_3072) - coupl(nGC_347)*dZHaG0_QED2/2d0 -    &
                        coupl(nGC_350)*dZdL_QED2/2d0 - coupl(nGC_350)*dZdR_QED2&
                        /2d0
      coupl(nGC_2400) = cima*(-Nc*cMB**2d0*coupl(nGC_340)*coupl(nGC_343) - Nc* &
                        cMB**2d0*coupl(nGC_370)*coupl(nGC_373) - Nc*cMC**2d0*  &
                        coupl(nGC_334)*coupl(nGC_337) - Nc*cMC**2d0*coupl(     &
                        nGC_364)*coupl(nGC_367) - Nc*cMD**2d0*coupl(nGC_346)*  &
                        coupl(nGC_349) - Nc*cMD**2d0*coupl(nGC_382)*coupl(     &
                        nGC_385) - Nc*cMS**2d0*coupl(nGC_334)*coupl(nGC_337) - &
                        Nc*cMS**2d0*coupl(nGC_364)*coupl(nGC_367) - Nc*cMT**2d0&
                        *coupl(nGC_340)*coupl(nGC_343) - Nc*cMT**2d0*coupl(    &
                        nGC_370)*coupl(nGC_373) - Nc*cMU**2d0*coupl(nGC_346)*  &
                        coupl(nGC_349) - Nc*cMU**2d0*coupl(nGC_382)*coupl(     &
                        nGC_385) - cME**2d0*coupl(nGC_352)*coupl(nGC_355) - cMM&
                        **2d0*coupl(nGC_358)*coupl(nGC_361) - cMTA**2d0*coupl( &
                        nGC_376)*coupl(nGC_379) + 2d0*coupl(nGC_231)*coupl(    &
                        nGC_237) + 2d0*coupl(nGC_321)*coupl(nGC_324))/(16d0*pi &
                        **2d0)
      coupl(nGC_2957) = coupl(nGC_2305)*db_QED2 + coupl(nGC_2306)*dl3_QED4 +   &
                        coupl(nGC_2307)*dl2_QED4 + coupl(nGC_2308)*dl1_QED4 +  &
                        coupl(nGC_2309)*dl4_QED4 + coupl(nGC_2310)*dl5_QED4
      coupl(nGC_2660) = coupl(nGC_13)**2d0*sq2**2d0*(cMB*coupl(nGC_339) + cMC* &
                        coupl(nGC_336) + cMD*coupl(nGC_348) + cMS*coupl(nGC_366&
                        ) + cMT*coupl(nGC_372) + cMU*coupl(nGC_384))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_2662) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_366) + 8d0*coupl(     &
                        nGC_206)*coupl(nGC_209)*coupl(nGC_366) - coupl(nGC_334 &
                        )*coupl(nGC_336)*coupl(nGC_364) - coupl(nGC_336)*coupl(&
                        nGC_337)*coupl(nGC_367) - coupl(nGC_363)**2d0*coupl(   &
                        nGC_366) - coupl(nGC_365)**2d0*coupl(nGC_366) - coupl( &
                        nGC_366)**3d0 - coupl(nGC_366)*coupl(nGC_368)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_2664) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_372) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_372) - coupl(nGC_339 &
                        )*coupl(nGC_340)*coupl(nGC_373) - coupl(nGC_339)*coupl(&
                        nGC_343)*coupl(nGC_370) - coupl(nGC_369)**2d0*coupl(   &
                        nGC_372) - coupl(nGC_372)**3d0 - coupl(nGC_372)*coupl( &
                        nGC_875)**2d0 - coupl(nGC_372)*coupl(nGC_885)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_2665) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_372) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_372) - coupl(nGC_339 &
                        )*coupl(nGC_340)*coupl(nGC_373) - coupl(nGC_339)*coupl(&
                        nGC_343)*coupl(nGC_370) - coupl(nGC_369)**2d0*coupl(   &
                        nGC_372) - coupl(nGC_371)**2d0*coupl(nGC_372) - coupl( &
                        nGC_372)**3d0 - coupl(nGC_372)*coupl(nGC_374)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_2666) = coupl(nGC_13)**2d0*coupl(nGC_372)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2667) = coupl(nGC_378)*(8d0*coupl(nGC_208)*coupl(nGC_211) -    &
                        coupl(nGC_375)**2d0 - coupl(nGC_377)**2d0 - coupl(     &
                        nGC_378)**2d0 - coupl(nGC_380)**2d0 + 8d0*coupl(nGC_4  &
                        )**2d0)/(32d0*pi**2d0)
      coupl(nGC_2669) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_384) + 8d0*coupl(     &
                        nGC_207)*coupl(nGC_210)*coupl(nGC_384) - coupl(nGC_346 &
                        )*coupl(nGC_348)*coupl(nGC_382) - coupl(nGC_348)*coupl(&
                        nGC_349)*coupl(nGC_385) - coupl(nGC_381)**2d0*coupl(   &
                        nGC_384) - coupl(nGC_384)**3d0 - coupl(nGC_384)*coupl( &
                        nGC_807)**2d0 - coupl(nGC_384)*coupl(nGC_863)**2d0)/(  &
                        32d0*pi**2d0)
      coupl(nGC_2559) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_362) -    &
                        coupl(nGC_357)**2d0*coupl(nGC_815) - coupl(nGC_359)**  &
                        2d0*coupl(nGC_815) - coupl(nGC_360)**2d0*coupl(nGC_815 &
                        ) - coupl(nGC_362)**2d0*coupl(nGC_815) + 8d0*coupl(    &
                        nGC_362)*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2403) = cima*(Nc*coupl(nGC_337)**2d0 + Nc*coupl(nGC_340)**2d0  &
                         + Nc*coupl(nGC_349)**2d0 + Nc*coupl(nGC_367)**2d0 + Nc&
                        *coupl(nGC_373)**2d0 + Nc*coupl(nGC_385)**2d0 + coupl( &
                        nGC_355)**2d0 + coupl(nGC_361)**2d0 + coupl(nGC_379)** &
                        2d0)/(48d0*pi**2d0)
      coupl(nGC_2898) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(      &
                        nGC_342)*coupl(nGC_343) + 5d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_206)*coupl(nGC_345)*coupl(nGC_346) + 5d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_363)*coupl&
                        (nGC_364) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)* &
                        coupl(nGC_333)*coupl(nGC_334) + 5d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_207)*coupl(nGC_369)*coupl(nGC_370   &
                        ) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(   &
                        nGC_381)*coupl(nGC_382) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_333)*coupl(nGC_334) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_342)*coupl&
                        (nGC_343) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)* &
                        coupl(nGC_345)*coupl(nGC_346) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_209)*coupl(nGC_363)*coupl(nGC_364   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(   &
                        nGC_369)*coupl(nGC_370) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_209)*coupl(nGC_381)*coupl(nGC_382) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_333)*coupl&
                        (nGC_334) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)* &
                        coupl(nGC_342)*coupl(nGC_343) - 4d0*Nc*cima*coupl(     &
                        nGC_197)*coupl(nGC_210)*coupl(nGC_345)*coupl(nGC_346   &
                        ) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(   &
                        nGC_363)*coupl(nGC_364) - 4d0*Nc*cima*coupl(nGC_197)*  &
                        coupl(nGC_210)*coupl(nGC_369)*coupl(nGC_370) - 4d0*Nc* &
                        cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_381)*coupl&
                        (nGC_382) + 6d0*cima*coupl(nGC_180)*coupl(nGC_803) +   &
                        6d0*cima*coupl(nGC_194)*coupl(nGC_23) + 5d0*cima*coupl(&
                        nGC_197)*coupl(nGC_208)*coupl(nGC_351)*coupl(nGC_352   &
                        ) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(      &
                        nGC_357)*coupl(nGC_358) + 5d0*cima*coupl(nGC_197)*coupl&
                        (nGC_208)*coupl(nGC_375)*coupl(nGC_376) - 4d0*cima*    &
                        coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_351)*coupl(    &
                        nGC_352) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl&
                        (nGC_357)*coupl(nGC_358) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_211)*coupl(nGC_375)*coupl(nGC_376) - 4d0*cima&
                        *coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_351)*coupl(   &
                        nGC_352) - 4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl&
                        (nGC_357)*coupl(nGC_358) - 4d0*cima*coupl(nGC_197)*    &
                        coupl(nGC_212)*coupl(nGC_375)*coupl(nGC_376) + 6d0*    &
                        coupl(nGC_180)*coupl(nGC_3)*coupl(nGC_841) + 6d0*coupl(&
                        nGC_199)*coupl(nGC_23)*coupl(nGC_841))/(48d0*pi**2d0)
      coupl(nGC_2966) = coupl(nGC_2011)*db_QED2 + coupl(nGC_2012)*dl3_QED4 +   &
                        coupl(nGC_2013)*dl2_QED4 + coupl(nGC_2014)*dl1_QED4 +  &
                        coupl(nGC_2015)*dl4_QED4 + coupl(nGC_2016)*dl5_QED4 +  &
                        coupl(nGC_2017)*da_QED2
      coupl(nGC_3909) = -coupl(nGC_26)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_TS_GC_49_Hl) = -coupl(nGC_49)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3900) = coupl(nGC_MI)*dZmuMinusR_QED2
      coupl(nGC_3901) = coupl(nGC_3299) + coupl(nGC_MM)*dZmuMinusL_QED2/2d0 +  &
                        coupl(nGC_MM)*dZmuMinusR_QED2/2d0 + coupl(             &
                        nGC_TS_GC_357_Hl) + coupl(nGC_TS_GC_360_Hh)
      coupl(nGC_3906) = coupl(nGC_201)*dZZA_QED2/4d0 + coupl(nGC_3040)/2d0 +   &
                        coupl(nGC_5)*dZA_QED2/4d0
      coupl(nGC_3907) = -coupl(nGC_184)*dZHMinus_QED2/2d0 - coupl(nGC_184)*    &
                        dZHa_QED2/2d0 - coupl(nGC_184)*dZWMinus_QED2/2d0 -     &
                        coupl(nGC_3143)
      coupl(nGC_3904) = coupl(nGC_184)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_3905) = coupl(nGC_213)*dZG0Ha_QED2/2d0 + coupl(nGC_214)*       &
                        dZHhHl_QED2/2d0 + coupl(nGC_215)*dZHa_QED2/2d0 + coupl(&
                        nGC_215)*dZHl_QED2/2d0 + coupl(nGC_215)*dZZ_QED2/2d0 + &
                        coupl(nGC_3161)
      coupl(nGC_TS_GC_381_Hl) = -coupl(nGC_381)*dtHl_QED1/cMHL**2d0
      coupl(nGC_3422) = coupl(nGC_2951) + coupl(nGC_30)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_30)*dZHa_QED2/2d0
      coupl(nGC_2746) = -coupl(nGC_13)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_197)**2d0 - 4d0*coupl(nGC_209)**2d0 - coupl(nGC_345&
                        )**2d0 - coupl(nGC_347)*coupl(nGC_821) - coupl(nGC_348 &
                        )**2d0 - coupl(nGC_350)*coupl(nGC_883) - coupl(nGC_382 &
                        )**2d0 - coupl(nGC_385)**2d0)/(64d0*pi**2d0)
      coupl(nGC_3796) = coupl(nGC_3104) + coupl(nGC_377)*dZHaG0_QED2/2d0 +     &
                        coupl(nGC_380)*dZtauMinusL_QED2/2d0 + coupl(nGC_380)*  &
                        dZtauMinusR_QED2/2d0
      coupl(nGC_3427) = coupl(nGC_3070) + coupl(nGC_340)*dZGMinusHMinus_QED2/  &
                        2d0 + coupl(nGC_343)*dZHMinus_QED2/2d0 + coupl(nGC_343 &
                        )*dZbR_QED2/2d0 + coupl(nGC_343)*dZtL_QED2/2d0
      coupl(nGC_3452) = coupl(nGC_2992) + coupl(nGC_34)*dZHMinus_QED2/2d0 +    &
                        coupl(nGC_34)*dZHl_QED2 + coupl(nGC_40)*               &
                        dZHMinusGMinus_QED2/2d0 + coupl(nGC_45)*               &
                        dZGMinusHMinus_QED2/2d0 + coupl(nGC_46)*dZHhHl_QED2
      coupl(nGC_2590) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_346) + 8d0*   &
                        coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_346) - coupl(  &
                        nGC_345)*coupl(nGC_381)*coupl(nGC_382) - coupl(nGC_348 &
                        )*coupl(nGC_382)*coupl(nGC_384) - coupl(nGC_382)*coupl(&
                        nGC_807)*coupl(nGC_883) - coupl(nGC_382)*coupl(nGC_821 &
                        )*coupl(nGC_863))/(32d0*pi**2d0)
      coupl(nGC_3623) = coupl(nGC_258)*dZGMinus/2d0
      coupl(nGC_3621) = -coupl(nGC_338)*dZG0/2d0
      coupl(nGC_3625) = coupl(nGC_100)*dZWMinus_QED2 + coupl(nGC_3150)
      coupl(nGC_3624) = coupl(nGC_100)*dZGMinus
      coupl(nGC_2484) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(     &
                        nGC_197)**2d0*coupl(nGC_4) + coupl(nGC_358)**2d0*coupl(&
                        nGC_4) + coupl(nGC_361)**2d0*coupl(nGC_4))/(32d0*pi**  &
                        2d0)
      coupl(nGC_2485) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(     &
                        nGC_197)**2d0*coupl(nGC_4) + coupl(nGC_376)**2d0*coupl(&
                        nGC_4) + coupl(nGC_379)**2d0*coupl(nGC_4))/(32d0*pi**  &
                        2d0)
      coupl(nGC_3629) = -4d0*coupl(nGC_189)*dZWMinus_QED2 - 2d0*coupl(nGC_3159)
      coupl(nGC_TS_GC_39_Hh) = -coupl(nGC_39)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2480) = (-2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(    &
                        nGC_211)**2d0*coupl(nGC_4) + coupl(nGC_351)**2d0*coupl(&
                        nGC_4) + coupl(nGC_353)*coupl(nGC_4)*coupl(nGC_855) +  &
                        coupl(nGC_354)**2d0*coupl(nGC_4) + coupl(nGC_356)*coupl&
                        (nGC_4)*coupl(nGC_861) + 4d0*coupl(nGC_4)**3d0)/(32d0* &
                        pi**2d0)
      coupl(nGC_2481) = coupl(nGC_4)*(4d0*coupl(nGC_208)**2d0 + coupl(nGC_357  &
                        )**2d0 + coupl(nGC_359)*coupl(nGC_927) + coupl(nGC_360 &
                        )**2d0 + coupl(nGC_362)*coupl(nGC_815) + 4d0*coupl(    &
                        nGC_4)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2482) = (-2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(    &
                        nGC_211)**2d0*coupl(nGC_4) + coupl(nGC_357)**2d0*coupl(&
                        nGC_4) + coupl(nGC_359)*coupl(nGC_4)*coupl(nGC_927) +  &
                        coupl(nGC_360)**2d0*coupl(nGC_4) + coupl(nGC_362)*coupl&
                        (nGC_4)*coupl(nGC_815) + 4d0*coupl(nGC_4)**3d0)/(32d0* &
                        pi**2d0)
      coupl(nGC_2483) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(     &
                        nGC_197)**2d0*coupl(nGC_4) + coupl(nGC_352)**2d0*coupl(&
                        nGC_4) + coupl(nGC_355)**2d0*coupl(nGC_4))/(32d0*pi**  &
                        2d0)
      coupl(nGC_3876) = coupl(nGC_212)*dZZ_QED2/2d0 + coupl(nGC_212)*          &
                        dZnu_tauL_QED2 + coupl(nGC_3185)
      coupl(nGC_3874) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZdR_QED2 +   &
                        coupl(nGC_206)*dZZA_QED2/2d0 + coupl(nGC_3178)
      coupl(nGC_3875) = coupl(nGC_1)*dZdR_QCD2
      coupl(nGC_3872) = coupl(nGC_1)*dZA_QED2/2d0 + coupl(nGC_1)*dZdL_QED2 +   &
                        coupl(nGC_209)*dZZA_QED2/2d0 + coupl(nGC_3178)
      coupl(nGC_3873) = coupl(nGC_1)*dZdL_QCD2
      coupl(nGC_3870) = coupl(nGC_15)*dZg_QCD2 + coupl(nGC_3046)
      coupl(nGC_3871) = -coupl(nGC_201)*dZZ_QED2/4d0 - coupl(nGC_3043)/2d0 -   &
                        coupl(nGC_5)*dZAZ_QED2/4d0
      coupl(nGC_2714) = coupl(nGC_13)**2d0*coupl(nGC_206)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_2716) = coupl(nGC_13)**2d0*coupl(nGC_210)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_2711) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_209) + 4d0*coupl(     &
                        nGC_197)**2d0*coupl(nGC_210) + 2d0*coupl(nGC_197)**2d0*&
                        coupl(nGC_841) + coupl(nGC_206)*coupl(nGC_339)**2d0 +  &
                        coupl(nGC_206)*coupl(nGC_341)*coupl(nGC_851) + coupl(  &
                        nGC_206)*coupl(nGC_342)**2d0 + coupl(nGC_206)*coupl(   &
                        nGC_344)*coupl(nGC_817) + coupl(nGC_207)*coupl(nGC_370 &
                        )**2d0 + coupl(nGC_207)*coupl(nGC_373)**2d0 + 4d0*coupl&
                        (nGC_209)**3d0)/(32d0*pi**2d0)
      coupl(nGC_3878) = -coupl(nGC_MMW_GF)*dZGMinus/2d0
      coupl(nGC_3977) = coupl(nGC_3305) + coupl(nGC_MT)*dZtL_QED2/2d0 + coupl( &
                        nGC_MT)*dZtR_QED2/2d0 + coupl(nGC_TS_GC_369_Hl) + coupl&
                        (nGC_TS_GC_372_Hh)
      coupl(nGC_3974) = coupl(nGC_I)*dZHa_QED2
      coupl(nGC_2820) = (Nc*cima*coupl(nGC_1)*coupl(nGC_206)**3d0 + Nc*cima*   &
                        coupl(nGC_1)*coupl(nGC_209)**3d0 + Nc*cima*coupl(nGC_2 &
                        )*coupl(nGC_207)**3d0 + Nc*cima*coupl(nGC_2)*coupl(    &
                        nGC_210)**3d0 + cima*coupl(nGC_195)*coupl(nGC_205) -   &
                        2d0*cima*coupl(nGC_199)**3d0*coupl(nGC_3) + cima*coupl(&
                        nGC_208)**3d0*coupl(nGC_4) + cima*coupl(nGC_211)**3d0* &
                        coupl(nGC_4) - 2d0*cima*coupl(nGC_809)*coupl(nGC_841)**&
                        3d0 + coupl(nGC_195)*coupl(nGC_199)*coupl(nGC_3) +     &
                        coupl(nGC_195)*coupl(nGC_809)*coupl(nGC_841) + coupl(  &
                        nGC_199)**2d0*coupl(nGC_205) + coupl(nGC_205)*coupl(   &
                        nGC_841)**2d0)/(8d0*pi**2d0)
      coupl(nGC_3970) = -coupl(nGC_MMW_GF)*dZGMinusHMinus_QED2/2d0 - coupl(    &
                        nGC_TS_GC_173_Hh) - coupl(nGC_TS_GC_178_Hl)
      coupl(nGC_2821) = cima*(5d0*Nc*coupl(nGC_333)*coupl(nGC_336)*coupl(      &
                        nGC_337)**2d0 + 5d0*Nc*coupl(nGC_333)*coupl(nGC_336)*  &
                        coupl(nGC_367)**2d0 + 5d0*Nc*coupl(nGC_333)*coupl(     &
                        nGC_337)*coupl(nGC_366)*coupl(nGC_367) + 5d0*Nc*coupl( &
                        nGC_336)*coupl(nGC_337)*coupl(nGC_363)*coupl(nGC_367   &
                        ) + 5d0*Nc*coupl(nGC_337)**2d0*coupl(nGC_363)*coupl(   &
                        nGC_366) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_340)**2d0*  &
                        coupl(nGC_342) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_340)* &
                        coupl(nGC_369)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_339)* &
                        coupl(nGC_342)*coupl(nGC_373)**2d0 + 5d0*Nc*coupl(     &
                        nGC_340)**2d0*coupl(nGC_369)*coupl(nGC_372) + 5d0*Nc*  &
                        coupl(nGC_340)*coupl(nGC_342)*coupl(nGC_372)*coupl(    &
                        nGC_373) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_348)*coupl( &
                        nGC_349)**2d0 + 5d0*Nc*coupl(nGC_345)*coupl(nGC_348)*  &
                        coupl(nGC_385)**2d0 + 5d0*Nc*coupl(nGC_345)*coupl(     &
                        nGC_349)*coupl(nGC_384)*coupl(nGC_385) + 5d0*Nc*coupl( &
                        nGC_348)*coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_385   &
                        ) + 5d0*Nc*coupl(nGC_349)**2d0*coupl(nGC_381)*coupl(   &
                        nGC_384) + 5d0*Nc*coupl(nGC_363)*coupl(nGC_366)*coupl( &
                        nGC_367)**2d0 + 5d0*Nc*coupl(nGC_369)*coupl(nGC_372)*  &
                        coupl(nGC_373)**2d0 + 5d0*Nc*coupl(nGC_381)*coupl(     &
                        nGC_384)*coupl(nGC_385)**2d0 + 6d0*coupl(nGC_174)*coupl&
                        (nGC_180) + 6d0*coupl(nGC_21)*coupl(nGC_23) + 5d0*coupl&
                        (nGC_351)*coupl(nGC_354)*coupl(nGC_355)**2d0 + 5d0*    &
                        coupl(nGC_357)*coupl(nGC_360)*coupl(nGC_361)**2d0 + 5d0&
                        *coupl(nGC_375)*coupl(nGC_378)*coupl(nGC_379)**2d0)/(  &
                        24d0*pi**2d0)
      coupl(nGC_2399) = cima*(Nc*coupl(nGC_334)*coupl(nGC_337) + Nc*coupl(     &
                        nGC_340)*coupl(nGC_343) + Nc*coupl(nGC_346)*coupl(     &
                        nGC_349) + Nc*coupl(nGC_364)*coupl(nGC_367) + Nc*coupl(&
                        nGC_370)*coupl(nGC_373) + Nc*coupl(nGC_382)*coupl(     &
                        nGC_385) + coupl(nGC_352)*coupl(nGC_355) + coupl(      &
                        nGC_358)*coupl(nGC_361) + coupl(nGC_376)*coupl(nGC_379 &
                        ))/(48d0*pi**2d0)
      coupl(nGC_2778) = (Nc*cima*coupl(nGC_1)**3d0*coupl(nGC_206) + Nc*cima*   &
                        coupl(nGC_1)**3d0*coupl(nGC_209) + Nc*cima*coupl(nGC_2 &
                        )**3d0*coupl(nGC_207) + Nc*cima*coupl(nGC_2)**3d0*coupl&
                        (nGC_210) - 2d0*cima*coupl(nGC_199)*coupl(nGC_3)**3d0  &
                         + cima*coupl(nGC_205)*coupl(nGC_9) + cima*coupl(      &
                        nGC_208)*coupl(nGC_4)**3d0 + cima*coupl(nGC_211)*coupl(&
                        nGC_4)**3d0 - 2d0*cima*coupl(nGC_809)**3d0*coupl(      &
                        nGC_841) + coupl(nGC_199)*coupl(nGC_3)*coupl(nGC_9) +  &
                        coupl(nGC_205)*coupl(nGC_3)**2d0 + coupl(nGC_205)*coupl&
                        (nGC_809)**2d0 + coupl(nGC_809)*coupl(nGC_841)*coupl(  &
                        nGC_9))/(8d0*pi**2d0)
      coupl(nGC_3560) = coupl(nGC_2)*dZAZ_QED2/2d0 + coupl(nGC_210)*dZZ_QED2/  &
                        2d0 + coupl(nGC_210)*dZcL_QED2 + coupl(nGC_3182)
      coupl(nGC_2911) = cima*(20d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_336)**2d0  &
                         + 20d0*Nc*coupl(nGC_339)**2d0*coupl(nGC_342)**2d0 +   &
                        20d0*Nc*coupl(nGC_345)**2d0*coupl(nGC_348)**2d0 + 20d0*&
                        Nc*coupl(nGC_363)**2d0*coupl(nGC_366)**2d0 + 20d0*Nc*  &
                        coupl(nGC_369)**2d0*coupl(nGC_372)**2d0 + 20d0*Nc*coupl&
                        (nGC_381)**2d0*coupl(nGC_384)**2d0 + coupl(nGC_224)**  &
                        2d0 + 20d0*coupl(nGC_351)**2d0*coupl(nGC_354)**2d0 +   &
                        20d0*coupl(nGC_357)**2d0*coupl(nGC_360)**2d0 + 20d0*   &
                        coupl(nGC_375)**2d0*coupl(nGC_378)**2d0 + 2d0*coupl(   &
                        nGC_77)**2d0)/(16d0*pi**2d0)
      coupl(nGC_3179) = coupl(nGC_615)*dZgs_QCD2
      coupl(nGC_3430) = coupl(nGC_3069) + coupl(nGC_370)*dZbL_QCD2/2d0 + coupl(&
                        nGC_370)*dZtR_QCD2/2d0
      coupl(nGC_3552) = coupl(nGC_13)*dZg_QCD2/2d0 + coupl(nGC_13)*dZuL_QCD2 + &
                        coupl(nGC_3179)
      coupl(nGC_3149) = coupl(nGC_1397)*dZee_QED2 + coupl(nGC_1398)*da_QED2 +  &
                        coupl(nGC_1399)*dsw_QED2 + coupl(nGC_1400)*db_QED2
      coupl(nGC_3793) = coupl(nGC_208)*dZZ_QED2/2d0 + coupl(nGC_208)*          &
                        dZeMinusR_QED2 + coupl(nGC_3186) + coupl(nGC_4)*       &
                        dZAZ_QED2/2d0
      coupl(nGC_2954) = coupl(nGC_1866)*db_QED2 + coupl(nGC_1867)*dZee_QED2 +  &
                        coupl(nGC_1868)*dcw_QED2 + coupl(nGC_1869)*da_QED2
      coupl(nGC_2430) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_197)**2d0 - coupl(&
                        nGC_209)**2d0)/(16d0*pi**2d0)
      coupl(nGC_3539) = -coupl(nGC_3077) - coupl(nGC_341)*dZbL_QCD2/2d0 - coupl&
                        (nGC_341)*dZbR_QCD2/2d0
      coupl(nGC_3538) = -coupl(nGC_3076) - coupl(nGC_341)*dZbL_QED2/2d0 - coupl&
                        (nGC_341)*dZbR_QED2/2d0 - coupl(nGC_344)*dZHaG0_QED2/  &
                        2d0
      coupl(nGC_3536) = coupl(nGC_3077) + coupl(nGC_341)*dZbL_QCD2/2d0 + coupl(&
                        nGC_341)*dZbR_QCD2/2d0
      coupl(nGC_3535) = coupl(nGC_3076) + coupl(nGC_341)*dZbL_QED2/2d0 + coupl(&
                        nGC_341)*dZbR_QED2/2d0 + coupl(nGC_344)*dZHaG0_QED2/2d0
      coupl(nGC_3534) = coupl(nGC_3000) + coupl(nGC_54)*dZHMinus_QED2 + coupl( &
                        nGC_54)*dZHa_QED2/2d0 + coupl(nGC_64)*dZHaG0_QED2/2d0  &
                         + coupl(nGC_70)*dZG0Ha_QED2/2d0 + coupl(nGC_72)*      &
                        dZGMinusHMinus_QED2
      coupl(nGC_3124) = coupl(nGC_1510)*da_QED2 + coupl(nGC_1511)*dyt1_QED3 +  &
                        coupl(nGC_1512)*dyt2_QED3
      coupl(nGC_3532) = coupl(nGC_197)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_3531) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*     &
                        dZcL_QED2/2d0 + coupl(nGC_197)*dZsL_QED2/2d0 + coupl(  &
                        nGC_3180)
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
