!******************************************************************************!
!                                                                              !
!    ctparameter101.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter101.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 15:41             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter101
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter101()
  dZHh_QED2 = (-4d0*Nc*Ten132*coupl(nGC_384)**2d0 - 4d0*Nc*Ten134*coupl(nGC_384&
              )**2d0 - 4d0*Nc*Ten135*coupl(nGC_336)**2d0 - 4d0*Nc*Ten137*coupl(&
              nGC_336)**2d0 - 4d0*Nc*Ten138*coupl(nGC_372)**2d0 - 4d0*Nc*Ten140&
              *coupl(nGC_372)**2d0 - 4d0*Nc*Ten141*coupl(nGC_348)**2d0 - 4d0*Nc&
              *Ten143*coupl(nGC_348)**2d0 - 4d0*Nc*Ten144*coupl(nGC_366)**2d0  &
               - 4d0*Nc*Ten146*coupl(nGC_366)**2d0 - 4d0*Nc*Ten147*coupl(      &
              nGC_339)**2d0 - 4d0*Nc*Ten149*coupl(nGC_339)**2d0 - 4d0*Nc*Ten159&
              *cMU**2d0*coupl(nGC_384)**2d0 - 4d0*Nc*Ten160*cMC**2d0*coupl(    &
              nGC_336)**2d0 - 4d0*Nc*Ten161*cMT**2d0*coupl(nGC_372)**2d0 - 4d0*&
              Nc*Ten162*cMD**2d0*coupl(nGC_348)**2d0 - 4d0*Nc*Ten163*cMS**2d0* &
              coupl(nGC_366)**2d0 - 4d0*Nc*Ten164*cMB**2d0*coupl(nGC_339)**2d0 &
               - 4d0*Nc*Ten177*coupl(nGC_384)**2d0*rMHH**2d0 - 16d0*Nc*Ten178* &
              coupl(nGC_384)**2d0 - 4d0*Nc*Ten179*coupl(nGC_384)**2d0*rMHH**2d0&
               - 4d0*Nc*Ten180*coupl(nGC_336)**2d0*rMHH**2d0 - 16d0*Nc*Ten181* &
              coupl(nGC_336)**2d0 - 4d0*Nc*Ten182*coupl(nGC_336)**2d0*rMHH**2d0&
               - 4d0*Nc*Ten183*coupl(nGC_372)**2d0*rMHH**2d0 - 16d0*Nc*Ten184* &
              coupl(nGC_372)**2d0 - 4d0*Nc*Ten185*coupl(nGC_372)**2d0*rMHH**2d0&
               - 4d0*Nc*Ten186*coupl(nGC_348)**2d0*rMHH**2d0 - 16d0*Nc*Ten187* &
              coupl(nGC_348)**2d0 - 4d0*Nc*Ten188*coupl(nGC_348)**2d0*rMHH**2d0&
               - 4d0*Nc*Ten189*coupl(nGC_366)**2d0*rMHH**2d0 - 16d0*Nc*Ten190* &
              coupl(nGC_366)**2d0 - 4d0*Nc*Ten191*coupl(nGC_366)**2d0*rMHH**2d0&
               - 4d0*Nc*Ten192*coupl(nGC_339)**2d0*rMHH**2d0 - 16d0*Nc*Ten193* &
              coupl(nGC_339)**2d0 - 4d0*Nc*Ten194*coupl(nGC_339)**2d0*rMHH**2d0&
               - 2d0*Nc*coupl(nGC_336)**2d0/3d0 - 2d0*Nc*coupl(nGC_339)**2d0/  &
              3d0 - 2d0*Nc*coupl(nGC_348)**2d0/3d0 - 2d0*Nc*coupl(nGC_366)**2d0&
              /3d0 - 2d0*Nc*coupl(nGC_372)**2d0/3d0 - 2d0*Nc*coupl(nGC_384)**  &
              2d0/3d0 + 4d0*Ten105*coupl(nGC_215)**2d0 + 4d0*Ten106*coupl(     &
              nGC_214)**2d0 + 8d0*Ten108*coupl(nGC_178)*coupl(nGC_179) + 8d0*  &
              Ten109*coupl(nGC_172)*coupl(nGC_173) - 4d0*Ten123*coupl(nGC_354  &
              )**2d0 - 4d0*Ten125*coupl(nGC_354)**2d0 - 4d0*Ten126*coupl(      &
              nGC_360)**2d0 - 4d0*Ten128*coupl(nGC_360)**2d0 - 4d0*Ten129*coupl&
              (nGC_378)**2d0 - 4d0*Ten131*coupl(nGC_378)**2d0 + Ten150*(8d0*   &
              coupl(nGC_215)**2d0*rMHH**2d0 + coupl(nGC_314)**2d0 - 2d0*coupl( &
              nGC_331)**2d0 + 4d0*coupl(nGC_332)**2d0)/2d0 + Ten151*(4d0*coupl(&
              nGC_214)**2d0*rMHH**2d0 + coupl(nGC_298)**2d0) + Ten152*(8d0*    &
              coupl(nGC_178)*coupl(nGC_179)*rMHH**2d0 - 2d0*coupl(nGC_271)**2d0&
               + 4d0*coupl(nGC_272)**2d0 + coupl(nGC_313)**2d0) + 2d0*Ten153*( &
              4d0*coupl(nGC_172)*coupl(nGC_173)*rMHH**2d0 + coupl(nGC_297)**2d0&
              ) + Ten154*coupl(nGC_282)**2d0/2d0 + Ten155*coupl(nGC_281)**2d0  &
               - 4d0*Ten156*cME**2d0*coupl(nGC_354)**2d0 - 4d0*Ten157*cMM**2d0*&
              coupl(nGC_360)**2d0 - 4d0*Ten158*cMTA**2d0*coupl(nGC_378)**2d0 + &
              Ten165*coupl(nGC_236)**2d0/2d0 + Ten166*coupl(nGC_233)**2d0 +    &
              Ten167*coupl(nGC_235)**2d0/2d0 - 4d0*Ten168*coupl(nGC_354)**2d0* &
              rMHH**2d0 - 16d0*Ten169*coupl(nGC_354)**2d0 - 4d0*Ten170*coupl(  &
              nGC_354)**2d0*rMHH**2d0 - 4d0*Ten171*coupl(nGC_360)**2d0*rMHH**  &
              2d0 - 16d0*Ten172*coupl(nGC_360)**2d0 - 4d0*Ten173*coupl(nGC_360 &
              )**2d0*rMHH**2d0 - 4d0*Ten174*coupl(nGC_378)**2d0*rMHH**2d0 -    &
              16d0*Ten175*coupl(nGC_378)**2d0 - 4d0*Ten176*coupl(nGC_378)**2d0*&
              rMHH**2d0 - 2d0*coupl(nGC_354)**2d0/3d0 - 2d0*coupl(nGC_360)**2d0&
              /3d0 - 2d0*coupl(nGC_378)**2d0/3d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZHh_QED2 = cone*real(dZHh_QED2,kind=dp)
    end if 
end subroutine set_ctparameter101
end module ctparameter101
