!******************************************************************************!
!                                                                              !
!    ctparameter102.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter102.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 15:41             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter102
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter102()
  if (dZcR_QED2_scheme .eq. 0) then
    dZcR_QED2 = (2d0*Ten550*coupl(nGC_2)**2d0 + Ten551*(2d0*coupl(nGC_207)**2d0&
                 - coupl(nGC_338)**2d0) + Ten552*coupl(nGC_337)**2d0 + Ten553* &
                coupl(nGC_335)**2d0 - Ten554*coupl(nGC_336)**2d0 - Ten555*coupl&
                (nGC_333)**2d0 + 2d0*Ten556*coupl(nGC_2)**2d0 + Ten557*(2d0*   &
                coupl(nGC_207)**2d0 - coupl(nGC_338)**2d0) + Ten558*coupl(     &
                nGC_337)**2d0 - Ten559*coupl(nGC_334)**2d0 + 2d0*Ten564*cMC*   &
                coupl(nGC_335)**2d0*rMC + 2d0*Ten565*cMC*coupl(nGC_336)**2d0*  &
                rMC + 2d0*Ten566*cMC*coupl(nGC_333)**2d0*rMC + 4d0*Ten567*coupl&
                (nGC_2)**2d0*rMC*(-2d0*cMC + rMC) + 2d0*Ten568*rMC*(-4d0*cMC*  &
                coupl(nGC_207)*coupl(nGC_210) + cMC*coupl(nGC_338)**2d0 + coupl&
                (nGC_207)**2d0*rMC + coupl(nGC_210)**2d0*rMC - coupl(nGC_338)**&
                2d0*rMC) + Ten569*rMC*(2d0*cMS*coupl(nGC_337)*coupl(nGC_367) + &
                2d0*coupl(nGC_197)**2d0*rMC + coupl(nGC_337)**2d0*rMC + coupl( &
                nGC_367)**2d0*rMC) + 2d0*Ten570*cMS*coupl(nGC_334)*coupl(      &
                nGC_364)*rMC + 2d0*Ten571*coupl(nGC_335)**2d0*rMC**2d0 - 2d0*  &
                Ten572*coupl(nGC_336)**2d0*rMC**2d0 - 2d0*Ten573*coupl(nGC_333 &
                )**2d0*rMC**2d0 + 4d0*Ten574*coupl(nGC_2)**2d0*rMC**2d0 + 2d0* &
                Ten575*rMC**2d0*(coupl(nGC_207)**2d0 + coupl(nGC_210)**2d0 -   &
                coupl(nGC_338)**2d0) + Ten576*rMC**2d0*(2d0*coupl(nGC_197)**2d0&
                 + coupl(nGC_337)**2d0 + coupl(nGC_367)**2d0) - Ten577*rMC**2d0&
                *(coupl(nGC_334)**2d0 + coupl(nGC_364)**2d0) - coupl(nGC_2)**  &
                2d0 - coupl(nGC_207)**2d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZcR_QED2 = cone*real(dZcR_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter102
end module ctparameter102
