!******************************************************************************!
!                                                                              !
!    ctparameter152.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter152.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 15:41             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter152
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter152()
  dZHhHl_QED2 = 2d0*cima*(rMHH**2d0 - rMHL**2d0)*(coupl(nGC_236)*dtHl_QED1/cMHL&
                **2d0 + coupl(nGC_233)*dtHh_QED1/cMHH**2d0)/(cMHH**2d0*rMHH**  &
                2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*   &
                rMHL**2d0) + (2d0*(-12d0*Nc*cMB**2d0*coupl(nGC_339)*coupl(     &
                nGC_342)*rMHH**2d0 + 12d0*Nc*cMB**2d0*coupl(nGC_339)*coupl(    &
                nGC_342)*rMHL**2d0 - 12d0*Nc*cMC**2d0*coupl(nGC_333)*coupl(    &
                nGC_336)*rMHH**2d0 + 12d0*Nc*cMC**2d0*coupl(nGC_333)*coupl(    &
                nGC_336)*rMHL**2d0 - 12d0*Nc*cMD**2d0*coupl(nGC_345)*coupl(    &
                nGC_348)*rMHH**2d0 + 12d0*Nc*cMD**2d0*coupl(nGC_345)*coupl(    &
                nGC_348)*rMHL**2d0 + 2d0*Nc*cMHL**2d0*coupl(nGC_333)*coupl(    &
                nGC_336)*rMHH**2d0 - 2d0*Nc*cMHL**2d0*coupl(nGC_333)*coupl(    &
                nGC_336)*rMHL**2d0 + 2d0*Nc*cMHL**2d0*coupl(nGC_339)*coupl(    &
                nGC_342)*rMHH**2d0 - 2d0*Nc*cMHL**2d0*coupl(nGC_339)*coupl(    &
                nGC_342)*rMHL**2d0 + 2d0*Nc*cMHL**2d0*coupl(nGC_345)*coupl(    &
                nGC_348)*rMHH**2d0 - 2d0*Nc*cMHL**2d0*coupl(nGC_345)*coupl(    &
                nGC_348)*rMHL**2d0 + 2d0*Nc*cMHL**2d0*coupl(nGC_363)*coupl(    &
                nGC_366)*rMHH**2d0 - 2d0*Nc*cMHL**2d0*coupl(nGC_363)*coupl(    &
                nGC_366)*rMHL**2d0 + 2d0*Nc*cMHL**2d0*coupl(nGC_369)*coupl(    &
                nGC_372)*rMHH**2d0 - 2d0*Nc*cMHL**2d0*coupl(nGC_369)*coupl(    &
                nGC_372)*rMHL**2d0 + 2d0*Nc*cMHL**2d0*coupl(nGC_381)*coupl(    &
                nGC_384)*rMHH**2d0 - 2d0*Nc*cMHL**2d0*coupl(nGC_381)*coupl(    &
                nGC_384)*rMHL**2d0 - 12d0*Nc*cMS**2d0*coupl(nGC_363)*coupl(    &
                nGC_366)*rMHH**2d0 + 12d0*Nc*cMS**2d0*coupl(nGC_363)*coupl(    &
                nGC_366)*rMHL**2d0 - 12d0*Nc*cMT**2d0*coupl(nGC_369)*coupl(    &
                nGC_372)*rMHH**2d0 + 12d0*Nc*cMT**2d0*coupl(nGC_369)*coupl(    &
                nGC_372)*rMHL**2d0 - 12d0*Nc*cMU**2d0*coupl(nGC_381)*coupl(    &
                nGC_384)*rMHH**2d0 + 12d0*Nc*cMU**2d0*coupl(nGC_381)*coupl(    &
                nGC_384)*rMHL**2d0 - 12d0*cME**2d0*coupl(nGC_351)*coupl(nGC_354&
                )*rMHH**2d0 + 12d0*cME**2d0*coupl(nGC_351)*coupl(nGC_354)*rMHL &
                **2d0 + 2d0*cMHL**2d0*coupl(nGC_351)*coupl(nGC_354)*rMHH**2d0  &
                 - 2d0*cMHL**2d0*coupl(nGC_351)*coupl(nGC_354)*rMHL**2d0 + 2d0*&
                cMHL**2d0*coupl(nGC_357)*coupl(nGC_360)*rMHH**2d0 - 2d0*cMHL** &
                2d0*coupl(nGC_357)*coupl(nGC_360)*rMHL**2d0 + 2d0*cMHL**2d0*   &
                coupl(nGC_375)*coupl(nGC_378)*rMHH**2d0 - 2d0*cMHL**2d0*coupl( &
                nGC_375)*coupl(nGC_378)*rMHL**2d0 - 12d0*cMM**2d0*coupl(nGC_357&
                )*coupl(nGC_360)*rMHH**2d0 + 12d0*cMM**2d0*coupl(nGC_357)*coupl&
                (nGC_360)*rMHL**2d0 - 12d0*cMTA**2d0*coupl(nGC_375)*coupl(     &
                nGC_378)*rMHH**2d0 + 12d0*cMTA**2d0*coupl(nGC_375)*coupl(      &
                nGC_378)*rMHL**2d0 + 6d0*coupl(nGC_261)*coupl(nGC_272)*rMHH**  &
                2d0 - 6d0*coupl(nGC_261)*coupl(nGC_272)*rMHL**2d0 + 3d0*coupl( &
                nGC_329)*coupl(nGC_332)*rMHH**2d0 - 3d0*coupl(nGC_329)*coupl(  &
                nGC_332)*rMHL**2d0)/(3d0*(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL &
                **2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0)) + (8d0*Nc* &
                Ten117*cMU**2d0*coupl(nGC_381)*coupl(nGC_384)*(cMHL**2d0 - rMHL&
                **2d0) + 8d0*Nc*Ten118*cMC**2d0*coupl(nGC_333)*coupl(nGC_336)*(&
                cMHL**2d0 - rMHL**2d0) + 8d0*Nc*Ten119*cMT**2d0*coupl(nGC_369)*&
                coupl(nGC_372)*(cMHL**2d0 - rMHL**2d0) + 8d0*Nc*Ten120*cMD**2d0&
                *coupl(nGC_345)*coupl(nGC_348)*(cMHL**2d0 - rMHL**2d0) + 8d0*Nc&
                *Ten121*cMS**2d0*coupl(nGC_363)*coupl(nGC_366)*(cMHL**2d0 -    &
                rMHL**2d0) + 8d0*Nc*Ten122*cMB**2d0*coupl(nGC_339)*coupl(      &
                nGC_342)*(cMHL**2d0 - rMHL**2d0) + 8d0*Nc*Ten132*coupl(nGC_381 &
                )*coupl(nGC_384)*rMHH**2d0*(cMHL**2d0 - rMHL**2d0) + 32d0*Nc*  &
                Ten133*coupl(nGC_381)*coupl(nGC_384)*(cMHL**2d0 - rMHL**2d0) + &
                8d0*Nc*Ten134*coupl(nGC_381)*coupl(nGC_384)*rMHH**2d0*(cMHL**  &
                2d0 - rMHL**2d0) + 8d0*Nc*Ten135*coupl(nGC_333)*coupl(nGC_336)*&
                rMHH**2d0*(cMHL**2d0 - rMHL**2d0) + 32d0*Nc*Ten136*coupl(      &
                nGC_333)*coupl(nGC_336)*(cMHL**2d0 - rMHL**2d0) + 8d0*Nc*Ten137&
                *coupl(nGC_333)*coupl(nGC_336)*rMHH**2d0*(cMHL**2d0 - rMHL**2d0&
                ) + 8d0*Nc*Ten138*coupl(nGC_369)*coupl(nGC_372)*rMHH**2d0*(cMHL&
                **2d0 - rMHL**2d0) + 32d0*Nc*Ten139*coupl(nGC_369)*coupl(      &
                nGC_372)*(cMHL**2d0 - rMHL**2d0) + 8d0*Nc*Ten140*coupl(nGC_369 &
                )*coupl(nGC_372)*rMHH**2d0*(cMHL**2d0 - rMHL**2d0) + 8d0*Nc*   &
                Ten141*coupl(nGC_345)*coupl(nGC_348)*rMHH**2d0*(cMHL**2d0 -    &
                rMHL**2d0) + 32d0*Nc*Ten142*coupl(nGC_345)*coupl(nGC_348)*(cMHL&
                **2d0 - rMHL**2d0) + 8d0*Nc*Ten143*coupl(nGC_345)*coupl(nGC_348&
                )*rMHH**2d0*(cMHL**2d0 - rMHL**2d0) + 8d0*Nc*Ten144*coupl(     &
                nGC_363)*coupl(nGC_366)*rMHH**2d0*(cMHL**2d0 - rMHL**2d0) +    &
                32d0*Nc*Ten145*coupl(nGC_363)*coupl(nGC_366)*(cMHL**2d0 - rMHL &
                **2d0) + 8d0*Nc*Ten146*coupl(nGC_363)*coupl(nGC_366)*rMHH**2d0 &
                *(cMHL**2d0 - rMHL**2d0) + 8d0*Nc*Ten147*coupl(nGC_339)*coupl( &
                nGC_342)*rMHH**2d0*(cMHL**2d0 - rMHL**2d0) + 32d0*Nc*Ten148*   &
                coupl(nGC_339)*coupl(nGC_342)*(cMHL**2d0 - rMHL**2d0) + 8d0*Nc*&
                Ten149*coupl(nGC_339)*coupl(nGC_342)*rMHH**2d0*(cMHL**2d0 -    &
                rMHL**2d0) + 8d0*Nc*Ten27*cMU**2d0*coupl(nGC_381)*coupl(nGC_384&
                )*(-cMHL**2d0 + rMHH**2d0) + 8d0*Nc*Ten28*cMC**2d0*coupl(      &
                nGC_333)*coupl(nGC_336)*(-cMHL**2d0 + rMHH**2d0) + 8d0*Nc*Ten29&
                *cMT**2d0*coupl(nGC_369)*coupl(nGC_372)*(-cMHL**2d0 + rMHH**2d0&
                ) + 8d0*Nc*Ten30*cMD**2d0*coupl(nGC_345)*coupl(nGC_348)*(-cMHL &
                **2d0 + rMHH**2d0) + 8d0*Nc*Ten31*cMS**2d0*coupl(nGC_363)*coupl&
                (nGC_366)*(-cMHL**2d0 + rMHH**2d0) + 8d0*Nc*Ten32*cMB**2d0*    &
                coupl(nGC_339)*coupl(nGC_342)*(-cMHL**2d0 + rMHH**2d0) + 8d0*Nc&
                *Ten42*coupl(nGC_381)*coupl(nGC_384)*rMHL**2d0*(-cMHL**2d0 +   &
                rMHH**2d0) + 32d0*Nc*Ten43*coupl(nGC_381)*coupl(nGC_384)*(-cMHL&
                **2d0 + rMHH**2d0) + 8d0*Nc*Ten44*coupl(nGC_381)*coupl(nGC_384 &
                )*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0) + 8d0*Nc*Ten45*coupl(     &
                nGC_333)*coupl(nGC_336)*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0) +   &
                32d0*Nc*Ten46*coupl(nGC_333)*coupl(nGC_336)*(-cMHL**2d0 + rMHH &
                **2d0) + 8d0*Nc*Ten47*coupl(nGC_333)*coupl(nGC_336)*rMHL**2d0  &
                *(-cMHL**2d0 + rMHH**2d0) + 8d0*Nc*Ten48*coupl(nGC_369)*coupl( &
                nGC_372)*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0) + 32d0*Nc*Ten49*   &
                coupl(nGC_369)*coupl(nGC_372)*(-cMHL**2d0 + rMHH**2d0) + 8d0*Nc&
                *Ten50*coupl(nGC_369)*coupl(nGC_372)*rMHL**2d0*(-cMHL**2d0 +   &
                rMHH**2d0) + 8d0*Nc*Ten51*coupl(nGC_345)*coupl(nGC_348)*rMHL** &
                2d0*(-cMHL**2d0 + rMHH**2d0) + 32d0*Nc*Ten52*coupl(nGC_345)*   &
                coupl(nGC_348)*(-cMHL**2d0 + rMHH**2d0) + 8d0*Nc*Ten53*coupl(  &
                nGC_345)*coupl(nGC_348)*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0) +   &
                8d0*Nc*Ten54*coupl(nGC_363)*coupl(nGC_366)*rMHL**2d0*(-cMHL**  &
                2d0 + rMHH**2d0) + 32d0*Nc*Ten55*coupl(nGC_363)*coupl(nGC_366  &
                )*(-cMHL**2d0 + rMHH**2d0) + 8d0*Nc*Ten56*coupl(nGC_363)*coupl(&
                nGC_366)*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0) + 8d0*Nc*Ten57*    &
                coupl(nGC_339)*coupl(nGC_342)*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0&
                ) + 32d0*Nc*Ten58*coupl(nGC_339)*coupl(nGC_342)*(-cMHL**2d0 +  &
                rMHH**2d0) + 8d0*Nc*Ten59*coupl(nGC_339)*coupl(nGC_342)*rMHL** &
                2d0*(-cMHL**2d0 + rMHH**2d0) + cima*Ten0*coupl(nGC_16)*(rMHH** &
                2d0 - rMHL**2d0) + cima*Ten1*coupl(nGC_130)*(rMHH**2d0 - rMHL**&
                2d0) + Ten105*(-8d0*cMHL**2d0*coupl(nGC_213)*coupl(nGC_215)*   &
                rMHH**2d0 - cMHL**2d0*coupl(nGC_300)*coupl(nGC_314) + 2d0*cMHL &
                **2d0*coupl(nGC_328)*coupl(nGC_331) - 4d0*cMHL**2d0*coupl(     &
                nGC_329)*coupl(nGC_332) + 8d0*coupl(nGC_213)*coupl(nGC_215)*   &
                rMHH**2d0*rMHL**2d0 + coupl(nGC_300)*coupl(nGC_314)*rMHL**2d0  &
                 - 2d0*coupl(nGC_328)*coupl(nGC_331)*rMHL**2d0 + 4d0*coupl(    &
                nGC_329)*coupl(nGC_332)*rMHL**2d0) + 2d0*Ten106*(-4d0*cMHL**2d0&
                *coupl(nGC_214)*coupl(nGC_215)*rMHH**2d0 - cMHL**2d0*coupl(    &
                nGC_298)*coupl(nGC_308) + 4d0*coupl(nGC_214)*coupl(nGC_215)*   &
                rMHH**2d0*rMHL**2d0 + coupl(nGC_298)*coupl(nGC_308)*rMHL**2d0  &
                ) + Ten107*coupl(nGC_282)*coupl(nGC_292)*(-cMHL**2d0 + rMHL**  &
                2d0) + 2d0*Ten108*(-4d0*cMHL**2d0*coupl(nGC_172)*coupl(nGC_179 &
                )*rMHH**2d0 - 4d0*cMHL**2d0*coupl(nGC_173)*coupl(nGC_178)*rMHH &
                **2d0 + 2d0*cMHL**2d0*coupl(nGC_260)*coupl(nGC_271) - 4d0*cMHL &
                **2d0*coupl(nGC_261)*coupl(nGC_272) - cMHL**2d0*coupl(nGC_299)*&
                coupl(nGC_313) + 4d0*coupl(nGC_172)*coupl(nGC_179)*rMHH**2d0*  &
                rMHL**2d0 + 4d0*coupl(nGC_173)*coupl(nGC_178)*rMHH**2d0*rMHL** &
                2d0 - 2d0*coupl(nGC_260)*coupl(nGC_271)*rMHL**2d0 + 4d0*coupl( &
                nGC_261)*coupl(nGC_272)*rMHL**2d0 + coupl(nGC_299)*coupl(      &
                nGC_313)*rMHL**2d0) + 4d0*Ten109*(-2d0*cMHL**2d0*coupl(nGC_172 &
                )*coupl(nGC_178)*rMHH**2d0 - 2d0*cMHL**2d0*coupl(nGC_173)*coupl&
                (nGC_179)*rMHH**2d0 - cMHL**2d0*coupl(nGC_297)*coupl(nGC_307   &
                ) + 2d0*coupl(nGC_172)*coupl(nGC_178)*rMHH**2d0*rMHL**2d0 + 2d0&
                *coupl(nGC_173)*coupl(nGC_179)*rMHH**2d0*rMHL**2d0 + coupl(    &
                nGC_297)*coupl(nGC_307)*rMHL**2d0) + 2d0*Ten110*coupl(nGC_281)*&
                coupl(nGC_291)*(-cMHL**2d0 + rMHL**2d0) + Ten111*coupl(nGC_234 &
                )*coupl(nGC_236)*(-cMHL**2d0 + rMHL**2d0) + 2d0*Ten112*coupl(  &
                nGC_233)*coupl(nGC_236)*(-cMHL**2d0 + rMHL**2d0) + Ten113*coupl&
                (nGC_233)*coupl(nGC_235)*(-cMHL**2d0 + rMHL**2d0) + 8d0*Ten114*&
                cME**2d0*coupl(nGC_351)*coupl(nGC_354)*(cMHL**2d0 - rMHL**2d0  &
                ) + 8d0*Ten115*cMM**2d0*coupl(nGC_357)*coupl(nGC_360)*(cMHL**  &
                2d0 - rMHL**2d0) + 8d0*Ten116*cMTA**2d0*coupl(nGC_375)*coupl(  &
                nGC_378)*(cMHL**2d0 - rMHL**2d0) + 8d0*Ten123*coupl(nGC_351)*  &
                coupl(nGC_354)*rMHH**2d0*(cMHL**2d0 - rMHL**2d0) + 32d0*Ten124*&
                coupl(nGC_351)*coupl(nGC_354)*(cMHL**2d0 - rMHL**2d0) + 8d0*   &
                Ten125*coupl(nGC_351)*coupl(nGC_354)*rMHH**2d0*(cMHL**2d0 -    &
                rMHL**2d0) + 8d0*Ten126*coupl(nGC_357)*coupl(nGC_360)*rMHH**2d0&
                *(cMHL**2d0 - rMHL**2d0) + 32d0*Ten127*coupl(nGC_357)*coupl(   &
                nGC_360)*(cMHL**2d0 - rMHL**2d0) + 8d0*Ten128*coupl(nGC_357)*  &
                coupl(nGC_360)*rMHH**2d0*(cMHL**2d0 - rMHL**2d0) + 8d0*Ten129* &
                coupl(nGC_375)*coupl(nGC_378)*rMHH**2d0*(cMHL**2d0 - rMHL**2d0 &
                ) + 2d0*cima*Ten13*coupl(nGC_132)*(rMHH**2d0 - rMHL**2d0) +    &
                32d0*Ten130*coupl(nGC_375)*coupl(nGC_378)*(cMHL**2d0 - rMHL**  &
                2d0) + 8d0*Ten131*coupl(nGC_375)*coupl(nGC_378)*rMHH**2d0*(cMHL&
                **2d0 - rMHL**2d0) + cima*Ten14*coupl(nGC_133)*(rMHH**2d0 -    &
                rMHL**2d0) + Ten15*(8d0*cMHL**2d0*coupl(nGC_213)*coupl(nGC_215 &
                )*rMHL**2d0 + cMHL**2d0*coupl(nGC_300)*coupl(nGC_314) - 2d0*   &
                cMHL**2d0*coupl(nGC_328)*coupl(nGC_331) + 4d0*cMHL**2d0*coupl( &
                nGC_329)*coupl(nGC_332) - 8d0*coupl(nGC_213)*coupl(nGC_215)*   &
                rMHH**2d0*rMHL**2d0 - coupl(nGC_300)*coupl(nGC_314)*rMHH**2d0  &
                 + 2d0*coupl(nGC_328)*coupl(nGC_331)*rMHH**2d0 - 4d0*coupl(    &
                nGC_329)*coupl(nGC_332)*rMHH**2d0) + 2d0*Ten16*(4d0*cMHL**2d0* &
                coupl(nGC_214)*coupl(nGC_215)*rMHL**2d0 + cMHL**2d0*coupl(     &
                nGC_298)*coupl(nGC_308) - 4d0*coupl(nGC_214)*coupl(nGC_215)*   &
                rMHH**2d0*rMHL**2d0 - coupl(nGC_298)*coupl(nGC_308)*rMHH**2d0  &
                ) + Ten17*coupl(nGC_282)*coupl(nGC_292)*(cMHL**2d0 - rMHH**2d0 &
                ) + 2d0*Ten18*(4d0*cMHL**2d0*coupl(nGC_172)*coupl(nGC_179)*rMHL&
                **2d0 + 4d0*cMHL**2d0*coupl(nGC_173)*coupl(nGC_178)*rMHL**2d0  &
                 - 2d0*cMHL**2d0*coupl(nGC_260)*coupl(nGC_271) + 4d0*cMHL**2d0*&
                coupl(nGC_261)*coupl(nGC_272) + cMHL**2d0*coupl(nGC_299)*coupl(&
                nGC_313) - 4d0*coupl(nGC_172)*coupl(nGC_179)*rMHH**2d0*rMHL**  &
                2d0 - 4d0*coupl(nGC_173)*coupl(nGC_178)*rMHH**2d0*rMHL**2d0 +  &
                2d0*coupl(nGC_260)*coupl(nGC_271)*rMHH**2d0 - 4d0*coupl(nGC_261&
                )*coupl(nGC_272)*rMHH**2d0 - coupl(nGC_299)*coupl(nGC_313)*rMHH&
                **2d0) + 4d0*Ten19*(2d0*cMHL**2d0*coupl(nGC_172)*coupl(nGC_178 &
                )*rMHL**2d0 + 2d0*cMHL**2d0*coupl(nGC_173)*coupl(nGC_179)*rMHL &
                **2d0 + cMHL**2d0*coupl(nGC_297)*coupl(nGC_307) - 2d0*coupl(   &
                nGC_172)*coupl(nGC_178)*rMHH**2d0*rMHL**2d0 - 2d0*coupl(nGC_173&
                )*coupl(nGC_179)*rMHH**2d0*rMHL**2d0 - coupl(nGC_297)*coupl(   &
                nGC_307)*rMHH**2d0) + cima*Ten2*coupl(nGC_17)*(rMHH**2d0 - rMHL&
                **2d0) + 2d0*Ten20*coupl(nGC_281)*coupl(nGC_291)*(cMHL**2d0 -  &
                rMHH**2d0) + Ten21*coupl(nGC_234)*coupl(nGC_236)*(cMHL**2d0 -  &
                rMHH**2d0) + 2d0*Ten22*coupl(nGC_233)*coupl(nGC_236)*(cMHL**2d0&
                 - rMHH**2d0) + Ten23*coupl(nGC_233)*coupl(nGC_235)*(cMHL**2d0 &
                 - rMHH**2d0) + 8d0*Ten24*cME**2d0*coupl(nGC_351)*coupl(nGC_354&
                )*(-cMHL**2d0 + rMHH**2d0) + 8d0*Ten25*cMM**2d0*coupl(nGC_357)*&
                coupl(nGC_360)*(-cMHL**2d0 + rMHH**2d0) + 8d0*Ten26*cMTA**2d0* &
                coupl(nGC_375)*coupl(nGC_378)*(-cMHL**2d0 + rMHH**2d0) + 2d0*  &
                cima*Ten3*coupl(nGC_128)*(rMHH**2d0 - rMHL**2d0) + 8d0*Ten33*  &
                coupl(nGC_351)*coupl(nGC_354)*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0&
                ) + 32d0*Ten34*coupl(nGC_351)*coupl(nGC_354)*(-cMHL**2d0 + rMHH&
                **2d0) + 8d0*Ten35*coupl(nGC_351)*coupl(nGC_354)*rMHL**2d0*(-  &
                cMHL**2d0 + rMHH**2d0) + 8d0*Ten36*coupl(nGC_357)*coupl(nGC_360&
                )*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0) + 32d0*Ten37*coupl(nGC_357&
                )*coupl(nGC_360)*(-cMHL**2d0 + rMHH**2d0) + 8d0*Ten38*coupl(   &
                nGC_357)*coupl(nGC_360)*rMHL**2d0*(-cMHL**2d0 + rMHH**2d0) +   &
                8d0*Ten39*coupl(nGC_375)*coupl(nGC_378)*rMHL**2d0*(-cMHL**2d0  &
                 + rMHH**2d0) + 32d0*Ten40*coupl(nGC_375)*coupl(nGC_378)*(-cMHL&
                **2d0 + rMHH**2d0) + 8d0*Ten41*coupl(nGC_375)*coupl(nGC_378)*  &
                rMHL**2d0*(-cMHL**2d0 + rMHH**2d0))/(cMHH**2d0*rMHH**2d0 - cMHH&
                **2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0))/(&
                16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZHhHl_QED2 = cone*real(dZHhHl_QED2,kind=dp)
    end if 
end subroutine set_ctparameter152
end module ctparameter152
