!******************************************************************************!
!                                                                              !
!    ctparameter160.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter160.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 15:41             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter160
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter160()
  dMZ2_QED2 = -cima*(coupl(nGC_329)*dtHl_QED1/cMHL**2d0 + coupl(nGC_332)*      &
              dtHh_QED1/cMHH**2d0) + (2d0*Nc*Ten896*(-6d0*cMU**2d0*coupl(      &
              nGC_207)*coupl(nGC_210) - cMZ**2d0*coupl(nGC_207)**2d0 - cMZ**2d0&
              *coupl(nGC_210)**2d0 + coupl(nGC_207)**2d0*rMZ**2d0 + coupl(     &
              nGC_210)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*Ten897*(-6d0*cMC**2d0*coupl(&
              nGC_207)*coupl(nGC_210) - cMZ**2d0*coupl(nGC_207)**2d0 - cMZ**2d0&
              *coupl(nGC_210)**2d0 + coupl(nGC_207)**2d0*rMZ**2d0 + coupl(     &
              nGC_210)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*Ten898*(-6d0*cMT**2d0*coupl(&
              nGC_207)*coupl(nGC_210) - cMZ**2d0*coupl(nGC_207)**2d0 - cMZ**2d0&
              *coupl(nGC_210)**2d0 + coupl(nGC_207)**2d0*rMZ**2d0 + coupl(     &
              nGC_210)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*Ten899*(-6d0*cMD**2d0*coupl(&
              nGC_206)*coupl(nGC_209) - cMZ**2d0*coupl(nGC_206)**2d0 - cMZ**2d0&
              *coupl(nGC_209)**2d0 + coupl(nGC_206)**2d0*rMZ**2d0 + coupl(     &
              nGC_209)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*Ten900*(-6d0*cMS**2d0*coupl(&
              nGC_206)*coupl(nGC_209) - cMZ**2d0*coupl(nGC_206)**2d0 - cMZ**2d0&
              *coupl(nGC_209)**2d0 + coupl(nGC_206)**2d0*rMZ**2d0 + coupl(     &
              nGC_209)**2d0*rMZ**2d0)/3d0 + 2d0*Nc*Ten901*(-6d0*cMB**2d0*coupl(&
              nGC_206)*coupl(nGC_209) - cMZ**2d0*coupl(nGC_206)**2d0 - cMZ**2d0&
              *coupl(nGC_209)**2d0 + coupl(nGC_206)**2d0*rMZ**2d0 + coupl(     &
              nGC_209)**2d0*rMZ**2d0)/3d0 + 4d0*Nc*Ten912*(coupl(nGC_207)**2d0 &
               + coupl(nGC_210)**2d0) + 4d0*Nc*Ten913*(coupl(nGC_207)**2d0 +   &
              coupl(nGC_210)**2d0) + 4d0*Nc*Ten914*(coupl(nGC_207)**2d0 + coupl&
              (nGC_210)**2d0) + 2d0*Nc*Ten915*rMZ**2d0*(coupl(nGC_207)**2d0 +  &
              coupl(nGC_210)**2d0) + 2d0*Nc*Ten916*rMZ**2d0*(coupl(nGC_207)**  &
              2d0 + coupl(nGC_210)**2d0) + 2d0*Nc*Ten917*rMZ**2d0*(coupl(      &
              nGC_207)**2d0 + coupl(nGC_210)**2d0) + 2d0*Nc*Ten918*rMZ**2d0*(  &
              coupl(nGC_207)**2d0 + coupl(nGC_210)**2d0) + 2d0*Nc*Ten919*rMZ** &
              2d0*(coupl(nGC_207)**2d0 + coupl(nGC_210)**2d0) + 2d0*Nc*Ten920* &
              rMZ**2d0*(coupl(nGC_207)**2d0 + coupl(nGC_210)**2d0) + 4d0*Nc*   &
              Ten921*(coupl(nGC_206)**2d0 + coupl(nGC_209)**2d0) + 4d0*Nc*     &
              Ten922*(coupl(nGC_206)**2d0 + coupl(nGC_209)**2d0) + 4d0*Nc*     &
              Ten923*(coupl(nGC_206)**2d0 + coupl(nGC_209)**2d0) + 2d0*Nc*     &
              Ten924*rMZ**2d0*(coupl(nGC_206)**2d0 + coupl(nGC_209)**2d0) + 2d0&
              *Nc*Ten925*rMZ**2d0*(coupl(nGC_206)**2d0 + coupl(nGC_209)**2d0   &
              ) + 2d0*Nc*Ten926*rMZ**2d0*(coupl(nGC_206)**2d0 + coupl(nGC_209  &
              )**2d0) + 2d0*Nc*Ten927*rMZ**2d0*(coupl(nGC_206)**2d0 + coupl(   &
              nGC_209)**2d0) + 2d0*Nc*Ten928*rMZ**2d0*(coupl(nGC_206)**2d0 +   &
              coupl(nGC_209)**2d0) + 2d0*Nc*Ten929*rMZ**2d0*(coupl(nGC_206)**  &
              2d0 + coupl(nGC_209)**2d0) + 2d0*Nc*Ten947*(cMU**2d0*cMZ**2d0*   &
              coupl(nGC_207)**2d0 - 6d0*cMU**2d0*cMZ**2d0*coupl(nGC_207)*coupl(&
              nGC_210) + cMU**2d0*cMZ**2d0*coupl(nGC_210)**2d0 - cMU**2d0*coupl&
              (nGC_207)**2d0*rMZ**2d0 + 6d0*cMU**2d0*coupl(nGC_207)*coupl(     &
              nGC_210)*rMZ**2d0 - cMU**2d0*coupl(nGC_210)**2d0*rMZ**2d0 - cMZ**&
              2d0*coupl(nGC_207)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_210)**2d0* &
              rMZ**2d0 + coupl(nGC_207)**2d0*rMZ**4d0 + coupl(nGC_210)**2d0*rMZ&
              **4d0)/3d0 + 2d0*Nc*Ten948*(cMC**2d0*cMZ**2d0*coupl(nGC_207)**2d0&
               - 6d0*cMC**2d0*cMZ**2d0*coupl(nGC_207)*coupl(nGC_210) + cMC**2d0&
              *cMZ**2d0*coupl(nGC_210)**2d0 - cMC**2d0*coupl(nGC_207)**2d0*rMZ &
              **2d0 + 6d0*cMC**2d0*coupl(nGC_207)*coupl(nGC_210)*rMZ**2d0 - cMC&
              **2d0*coupl(nGC_210)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_207)**2d0&
              *rMZ**2d0 - cMZ**2d0*coupl(nGC_210)**2d0*rMZ**2d0 + coupl(nGC_207&
              )**2d0*rMZ**4d0 + coupl(nGC_210)**2d0*rMZ**4d0)/3d0 + 2d0*Nc*    &
              Ten949*(cMT**2d0*cMZ**2d0*coupl(nGC_207)**2d0 - 6d0*cMT**2d0*cMZ &
              **2d0*coupl(nGC_207)*coupl(nGC_210) + cMT**2d0*cMZ**2d0*coupl(   &
              nGC_210)**2d0 - cMT**2d0*coupl(nGC_207)**2d0*rMZ**2d0 + 6d0*cMT**&
              2d0*coupl(nGC_207)*coupl(nGC_210)*rMZ**2d0 - cMT**2d0*coupl(     &
              nGC_210)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_207)**2d0*rMZ**2d0 - &
              cMZ**2d0*coupl(nGC_210)**2d0*rMZ**2d0 + coupl(nGC_207)**2d0*rMZ**&
              4d0 + coupl(nGC_210)**2d0*rMZ**4d0)/3d0 + 2d0*Nc*Ten950*(cMD**2d0&
              *cMZ**2d0*coupl(nGC_206)**2d0 - 6d0*cMD**2d0*cMZ**2d0*coupl(     &
              nGC_206)*coupl(nGC_209) + cMD**2d0*cMZ**2d0*coupl(nGC_209)**2d0  &
               - cMD**2d0*coupl(nGC_206)**2d0*rMZ**2d0 + 6d0*cMD**2d0*coupl(   &
              nGC_206)*coupl(nGC_209)*rMZ**2d0 - cMD**2d0*coupl(nGC_209)**2d0* &
              rMZ**2d0 - cMZ**2d0*coupl(nGC_206)**2d0*rMZ**2d0 - cMZ**2d0*coupl&
              (nGC_209)**2d0*rMZ**2d0 + coupl(nGC_206)**2d0*rMZ**4d0 + coupl(  &
              nGC_209)**2d0*rMZ**4d0)/3d0 + 2d0*Nc*Ten951*(cMS**2d0*cMZ**2d0*  &
              coupl(nGC_206)**2d0 - 6d0*cMS**2d0*cMZ**2d0*coupl(nGC_206)*coupl(&
              nGC_209) + cMS**2d0*cMZ**2d0*coupl(nGC_209)**2d0 - cMS**2d0*coupl&
              (nGC_206)**2d0*rMZ**2d0 + 6d0*cMS**2d0*coupl(nGC_206)*coupl(     &
              nGC_209)*rMZ**2d0 - cMS**2d0*coupl(nGC_209)**2d0*rMZ**2d0 - cMZ**&
              2d0*coupl(nGC_206)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_209)**2d0* &
              rMZ**2d0 + coupl(nGC_206)**2d0*rMZ**4d0 + coupl(nGC_209)**2d0*rMZ&
              **4d0)/3d0 + 2d0*Nc*Ten952*(cMB**2d0*cMZ**2d0*coupl(nGC_206)**2d0&
               - 6d0*cMB**2d0*cMZ**2d0*coupl(nGC_206)*coupl(nGC_209) + cMB**2d0&
              *cMZ**2d0*coupl(nGC_209)**2d0 - cMB**2d0*coupl(nGC_206)**2d0*rMZ &
              **2d0 + 6d0*cMB**2d0*coupl(nGC_206)*coupl(nGC_209)*rMZ**2d0 - cMB&
              **2d0*coupl(nGC_209)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_206)**2d0&
              *rMZ**2d0 - cMZ**2d0*coupl(nGC_209)**2d0*rMZ**2d0 + coupl(nGC_206&
              )**2d0*rMZ**4d0 + coupl(nGC_209)**2d0*rMZ**4d0)/3d0 - 2d0*Nc*cMB &
              **2d0*coupl(nGC_206)**2d0 - 2d0*Nc*cMB**2d0*coupl(nGC_209)**2d0  &
               - 2d0*Nc*cMC**2d0*coupl(nGC_207)**2d0 - 2d0*Nc*cMC**2d0*coupl(  &
              nGC_210)**2d0 - 2d0*Nc*cMD**2d0*coupl(nGC_206)**2d0 - 2d0*Nc*cMD &
              **2d0*coupl(nGC_209)**2d0 - 2d0*Nc*cMS**2d0*coupl(nGC_206)**2d0  &
               - 2d0*Nc*cMS**2d0*coupl(nGC_209)**2d0 - 2d0*Nc*cMT**2d0*coupl(  &
              nGC_207)**2d0 - 2d0*Nc*cMT**2d0*coupl(nGC_210)**2d0 - 2d0*Nc*cMU &
              **2d0*coupl(nGC_207)**2d0 - 2d0*Nc*cMU**2d0*coupl(nGC_210)**2d0  &
               + 2d0*Nc*cMZ**2d0*coupl(nGC_206)**2d0/3d0 + 2d0*Nc*cMZ**2d0*    &
              coupl(nGC_207)**2d0/3d0 + 2d0*Nc*cMZ**2d0*coupl(nGC_209)**2d0/3d0&
               + 2d0*Nc*cMZ**2d0*coupl(nGC_210)**2d0/3d0 + Nc*coupl(nGC_206)** &
              2d0*rMZ**2d0/3d0 + Nc*coupl(nGC_207)**2d0*rMZ**2d0/3d0 + Nc*coupl&
              (nGC_209)**2d0*rMZ**2d0/3d0 + Nc*coupl(nGC_210)**2d0*rMZ**2d0/3d0&
               + Ten0*(-2d0*cMHA**2d0*cMZ**2d0*coupl(nGC_215)**2d0 + 2d0*cMHA**&
              2d0*coupl(nGC_215)**2d0*rMZ**2d0 + 2d0*cMHL**2d0*cMZ**2d0*coupl( &
              nGC_213)**2d0 + 2d0*cMHL**2d0*cMZ**2d0*coupl(nGC_215)**2d0 - 2d0*&
              cMHL**2d0*coupl(nGC_213)**2d0*rMZ**2d0 - 2d0*cMHL**2d0*coupl(    &
              nGC_215)**2d0*rMZ**2d0 - 2d0*cMZ**4d0*coupl(nGC_213)**2d0 + 2d0* &
              cMZ**2d0*coupl(nGC_213)**2d0*rMZ**2d0 - 3d0*cima*coupl(nGC_224)* &
              rMZ**4d0)/(6d0*rMZ**4d0) + Ten1*(-2d0*cMHH**2d0*cMZ**2d0*coupl(  &
              nGC_215)**2d0 + 2d0*cMHH**2d0*coupl(nGC_215)**2d0*rMZ**2d0 - 2d0*&
              cMHL**2d0*cMZ**2d0*coupl(nGC_213)**2d0 + 2d0*cMHL**2d0*coupl(    &
              nGC_213)**2d0*rMZ**2d0 + 2d0*cMZ**4d0*coupl(nGC_213)**2d0 + 2d0* &
              cMZ**4d0*coupl(nGC_215)**2d0 - 2d0*cMZ**2d0*coupl(nGC_213)**2d0* &
              rMZ**2d0 - 2d0*cMZ**2d0*coupl(nGC_215)**2d0*rMZ**2d0 - 3d0*cima* &
              coupl(nGC_230)*rMZ**4d0)/(6d0*rMZ**4d0) - cima*Ten13*coupl(      &
              nGC_229) + Ten14*(2d0*cMHA**2d0*cMZ**2d0*coupl(nGC_214)**2d0 +   &
              2d0*cMHA**2d0*cMZ**2d0*coupl(nGC_215)**2d0 - 2d0*cMHA**2d0*coupl(&
              nGC_214)**2d0*rMZ**2d0 - 2d0*cMHA**2d0*coupl(nGC_215)**2d0*rMZ** &
              2d0 - 2d0*cMHH**2d0*cMZ**2d0*coupl(nGC_214)**2d0 + 2d0*cMHH**2d0*&
              coupl(nGC_214)**2d0*rMZ**2d0 - 2d0*cMHL**2d0*cMZ**2d0*coupl(     &
              nGC_215)**2d0 + 2d0*cMHL**2d0*coupl(nGC_215)**2d0*rMZ**2d0 - 3d0*&
              cima*coupl(nGC_230)*rMZ**4d0)/(6d0*rMZ**4d0) + Ten2*(-2d0*cMHA** &
              2d0*cMZ**2d0*coupl(nGC_214)**2d0 + 2d0*cMHA**2d0*coupl(nGC_214)**&
              2d0*rMZ**2d0 + 2d0*cMHH**2d0*cMZ**2d0*coupl(nGC_214)**2d0 + 2d0* &
              cMHH**2d0*cMZ**2d0*coupl(nGC_215)**2d0 - 2d0*cMHH**2d0*coupl(    &
              nGC_214)**2d0*rMZ**2d0 - 2d0*cMHH**2d0*coupl(nGC_215)**2d0*rMZ** &
              2d0 - 2d0*cMZ**4d0*coupl(nGC_215)**2d0 + 2d0*cMZ**2d0*coupl(     &
              nGC_215)**2d0*rMZ**2d0 - 3d0*cima*coupl(nGC_224)*rMZ**4d0)/(6d0* &
              rMZ**4d0) + cima*Ten3*(4d0*coupl(nGC_195) + 2d0*coupl(nGC_196) - &
              coupl(nGC_229)) + Ten889*(-cMHL**4d0*cMZ**2d0*coupl(nGC_213)**2d0&
               + cMHL**4d0*coupl(nGC_213)**2d0*rMZ**2d0 + 2d0*cMHL**2d0*cMZ**  &
              4d0*coupl(nGC_213)**2d0 - 2d0*cMHL**2d0*cMZ**2d0*coupl(nGC_213)**&
              2d0*rMZ**2d0 - cMZ**6d0*coupl(nGC_213)**2d0 + cMZ**4d0*coupl(    &
              nGC_213)**2d0*rMZ**2d0 + cMZ**2d0*coupl(nGC_213)**2d0*rMZ**4d0 - &
              coupl(nGC_213)**2d0*rMZ**6d0 - 3d0*coupl(nGC_329)**2d0*rMZ**4d0  &
              )/(3d0*rMZ**4d0) + Ten890*(-cMHH**4d0*cMZ**2d0*coupl(nGC_215)**  &
              2d0 + cMHH**4d0*coupl(nGC_215)**2d0*rMZ**2d0 + 2d0*cMHH**2d0*cMZ &
              **4d0*coupl(nGC_215)**2d0 - 2d0*cMHH**2d0*cMZ**2d0*coupl(nGC_215 &
              )**2d0*rMZ**2d0 - cMZ**6d0*coupl(nGC_215)**2d0 + cMZ**4d0*coupl( &
              nGC_215)**2d0*rMZ**2d0 + cMZ**2d0*coupl(nGC_215)**2d0*rMZ**4d0 - &
              coupl(nGC_215)**2d0*rMZ**6d0 - 3d0*coupl(nGC_332)**2d0*rMZ**4d0  &
              )/(3d0*rMZ**4d0) + Ten891*(80d0*cMZ**2d0*coupl(nGC_199)**2d0 +   &
              cMZ**2d0*coupl(nGC_200)**2d0 + cMZ**2d0*coupl(nGC_201)**2d0 - 4d0&
              *cMZ**2d0*coupl(nGC_218)**2d0 + 16d0*coupl(nGC_199)**2d0*rMZ**2d0&
               - coupl(nGC_200)**2d0*rMZ**2d0 - coupl(nGC_201)**2d0*rMZ**2d0 + &
              4d0*coupl(nGC_218)**2d0*rMZ**2d0 - 24d0*coupl(nGC_285)**2d0)/12d0&
               + 2d0*Ten893*(-6d0*cME**2d0*coupl(nGC_208)*coupl(nGC_211) - cMZ &
              **2d0*coupl(nGC_208)**2d0 - cMZ**2d0*coupl(nGC_211)**2d0 + coupl(&
              nGC_208)**2d0*rMZ**2d0 + coupl(nGC_211)**2d0*rMZ**2d0)/3d0 + 2d0*&
              Ten894*(-6d0*cMM**2d0*coupl(nGC_208)*coupl(nGC_211) - cMZ**2d0*  &
              coupl(nGC_208)**2d0 - cMZ**2d0*coupl(nGC_211)**2d0 + coupl(      &
              nGC_208)**2d0*rMZ**2d0 + coupl(nGC_211)**2d0*rMZ**2d0)/3d0 + 2d0*&
              Ten895*(-6d0*cMTA**2d0*coupl(nGC_208)*coupl(nGC_211) - cMZ**2d0* &
              coupl(nGC_208)**2d0 - cMZ**2d0*coupl(nGC_211)**2d0 + coupl(      &
              nGC_208)**2d0*rMZ**2d0 + coupl(nGC_211)**2d0*rMZ**2d0)/3d0 +     &
              Ten902*(16d0*coupl(nGC_199)**2d0 - coupl(nGC_200)**2d0 - coupl(  &
              nGC_201)**2d0 + 4d0*coupl(nGC_218)**2d0) + 4d0*Ten903*(coupl(    &
              nGC_208)**2d0 + coupl(nGC_211)**2d0) + 4d0*Ten904*(coupl(nGC_208 &
              )**2d0 + coupl(nGC_211)**2d0) + 4d0*Ten905*(coupl(nGC_208)**2d0  &
               + coupl(nGC_211)**2d0) + 2d0*Ten906*rMZ**2d0*(coupl(nGC_208)**  &
              2d0 + coupl(nGC_211)**2d0) + 2d0*Ten907*rMZ**2d0*(coupl(nGC_208  &
              )**2d0 + coupl(nGC_211)**2d0) + 2d0*Ten908*rMZ**2d0*(coupl(      &
              nGC_208)**2d0 + coupl(nGC_211)**2d0) + 2d0*Ten909*rMZ**2d0*(coupl&
              (nGC_208)**2d0 + coupl(nGC_211)**2d0) + 2d0*Ten910*rMZ**2d0*(    &
              coupl(nGC_208)**2d0 + coupl(nGC_211)**2d0) + 2d0*Ten911*rMZ**2d0 &
              *(coupl(nGC_208)**2d0 + coupl(nGC_211)**2d0) - 4d0*Ten930*coupl( &
              nGC_213)**2d0 - 4d0*Ten931*coupl(nGC_215)**2d0 - 4d0*Ten932*coupl&
              (nGC_215)**2d0 - 4d0*Ten933*coupl(nGC_214)**2d0 + 4d0*Ten934*    &
              coupl(nGC_218)**2d0 + 12d0*Ten935*coupl(nGC_212)**2d0 + 6d0*     &
              Ten936*coupl(nGC_212)**2d0*rMZ**2d0 + 6d0*Ten937*coupl(nGC_212)**&
              2d0*rMZ**2d0 + 2d0*Ten938*coupl(nGC_212)**2d0*(-cMZ**2d0 + rMZ** &
              2d0) + Ten939*coupl(nGC_215)**2d0*(-cMHA**4d0*cMZ**2d0 + cMHA**  &
              4d0*rMZ**2d0 + 2d0*cMHA**2d0*cMHL**2d0*cMZ**2d0 - 2d0*cMHA**2d0* &
              cMHL**2d0*rMZ**2d0 - cMHL**4d0*cMZ**2d0 + cMHL**4d0*rMZ**2d0 +   &
              cMZ**2d0*rMZ**4d0 - rMZ**6d0)/(3d0*rMZ**4d0) + Ten940*coupl(     &
              nGC_214)**2d0*(-cMHA**4d0*cMZ**2d0 + cMHA**4d0*rMZ**2d0 + 2d0*   &
              cMHA**2d0*cMHH**2d0*cMZ**2d0 - 2d0*cMHA**2d0*cMHH**2d0*rMZ**2d0  &
               - cMHH**4d0*cMZ**2d0 + cMHH**4d0*rMZ**2d0 + cMZ**2d0*rMZ**4d0 - &
              rMZ**6d0)/(3d0*rMZ**4d0) + Ten941*coupl(nGC_218)**2d0*(-cMZ**2d0 &
               + rMZ**2d0)/3d0 + Ten942*(64d0*cMW**2d0*cMZ**2d0*coupl(nGC_199  &
              )**2d0 - 4d0*cMW**2d0*cMZ**2d0*coupl(nGC_200)**2d0 - 4d0*cMW**2d0&
              *cMZ**2d0*coupl(nGC_201)**2d0 + 16d0*cMW**2d0*cMZ**2d0*coupl(    &
              nGC_218)**2d0 - 64d0*cMW**2d0*coupl(nGC_199)**2d0*rMZ**2d0 + 4d0*&
              cMW**2d0*coupl(nGC_200)**2d0*rMZ**2d0 + 4d0*cMW**2d0*coupl(      &
              nGC_201)**2d0*rMZ**2d0 - 16d0*cMW**2d0*coupl(nGC_218)**2d0*rMZ** &
              2d0 + 80d0*cMZ**2d0*coupl(nGC_199)**2d0*rMZ**2d0 + cMZ**2d0*coupl&
              (nGC_200)**2d0*rMZ**2d0 + cMZ**2d0*coupl(nGC_201)**2d0*rMZ**2d0  &
               - 4d0*cMZ**2d0*coupl(nGC_218)**2d0*rMZ**2d0 - 24d0*cMZ**2d0*    &
              coupl(nGC_285)**2d0 - 80d0*coupl(nGC_199)**2d0*rMZ**4d0 - coupl( &
              nGC_200)**2d0*rMZ**4d0 - coupl(nGC_201)**2d0*rMZ**4d0 + 4d0*coupl&
              (nGC_218)**2d0*rMZ**4d0 + 24d0*coupl(nGC_285)**2d0*rMZ**2d0)/12d0&
               + Ten943*coupl(nGC_218)**2d0*(4d0*cMHC**2d0*cMZ**2d0 - 4d0*cMHC &
              **2d0*rMZ**2d0 - cMZ**2d0*rMZ**2d0 + rMZ**4d0)/3d0 + 2d0*Ten944*(&
              cME**2d0*cMZ**2d0*coupl(nGC_208)**2d0 - 6d0*cME**2d0*cMZ**2d0*   &
              coupl(nGC_208)*coupl(nGC_211) + cME**2d0*cMZ**2d0*coupl(nGC_211  &
              )**2d0 - cME**2d0*coupl(nGC_208)**2d0*rMZ**2d0 + 6d0*cME**2d0*   &
              coupl(nGC_208)*coupl(nGC_211)*rMZ**2d0 - cME**2d0*coupl(nGC_211  &
              )**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_208)**2d0*rMZ**2d0 - cMZ**  &
              2d0*coupl(nGC_211)**2d0*rMZ**2d0 + coupl(nGC_208)**2d0*rMZ**4d0  &
               + coupl(nGC_211)**2d0*rMZ**4d0)/3d0 + 2d0*Ten945*(cMM**2d0*cMZ**&
              2d0*coupl(nGC_208)**2d0 - 6d0*cMM**2d0*cMZ**2d0*coupl(nGC_208)*  &
              coupl(nGC_211) + cMM**2d0*cMZ**2d0*coupl(nGC_211)**2d0 - cMM**2d0&
              *coupl(nGC_208)**2d0*rMZ**2d0 + 6d0*cMM**2d0*coupl(nGC_208)*coupl&
              (nGC_211)*rMZ**2d0 - cMM**2d0*coupl(nGC_211)**2d0*rMZ**2d0 - cMZ &
              **2d0*coupl(nGC_208)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_211)**2d0&
              *rMZ**2d0 + coupl(nGC_208)**2d0*rMZ**4d0 + coupl(nGC_211)**2d0*  &
              rMZ**4d0)/3d0 + 2d0*Ten946*(cMTA**2d0*cMZ**2d0*coupl(nGC_208)**  &
              2d0 - 6d0*cMTA**2d0*cMZ**2d0*coupl(nGC_208)*coupl(nGC_211) + cMTA&
              **2d0*cMZ**2d0*coupl(nGC_211)**2d0 - cMTA**2d0*coupl(nGC_208)**  &
              2d0*rMZ**2d0 + 6d0*cMTA**2d0*coupl(nGC_208)*coupl(nGC_211)*rMZ** &
              2d0 - cMTA**2d0*coupl(nGC_211)**2d0*rMZ**2d0 - cMZ**2d0*coupl(   &
              nGC_208)**2d0*rMZ**2d0 - cMZ**2d0*coupl(nGC_211)**2d0*rMZ**2d0 + &
              coupl(nGC_208)**2d0*rMZ**4d0 + coupl(nGC_211)**2d0*rMZ**4d0)/3d0 &
               + 2d0*Ten953*coupl(nGC_212)**2d0*rMZ**2d0*(-cMZ**2d0 + rMZ**2d0 &
              ) + Ten954*(cMHL**4d0*cMZ**2d0*coupl(nGC_213)**2d0 - cMHL**4d0*  &
              coupl(nGC_213)**2d0*rMZ**2d0 - 2d0*cMHL**2d0*cMZ**4d0*coupl(     &
              nGC_213)**2d0 + 2d0*cMHL**2d0*coupl(nGC_213)**2d0*rMZ**4d0 + cMZ &
              **6d0*coupl(nGC_213)**2d0 - 3d0*cMZ**4d0*coupl(nGC_213)**2d0*rMZ &
              **2d0 + 3d0*cMZ**2d0*coupl(nGC_213)**2d0*rMZ**4d0 - 3d0*cMZ**2d0*&
              coupl(nGC_329)**2d0*rMZ**2d0 - coupl(nGC_213)**2d0*rMZ**6d0 + 3d0&
              *coupl(nGC_329)**2d0*rMZ**4d0)/(3d0*rMZ**2d0) + Ten955*(cMHH**4d0&
              *cMZ**2d0*coupl(nGC_215)**2d0 - cMHH**4d0*coupl(nGC_215)**2d0*rMZ&
              **2d0 - 2d0*cMHH**2d0*cMZ**4d0*coupl(nGC_215)**2d0 + 2d0*cMHH**  &
              2d0*coupl(nGC_215)**2d0*rMZ**4d0 + cMZ**6d0*coupl(nGC_215)**2d0  &
               - 3d0*cMZ**4d0*coupl(nGC_215)**2d0*rMZ**2d0 + 3d0*cMZ**2d0*coupl&
              (nGC_215)**2d0*rMZ**4d0 - 3d0*cMZ**2d0*coupl(nGC_332)**2d0*rMZ** &
              2d0 - coupl(nGC_215)**2d0*rMZ**6d0 + 3d0*coupl(nGC_332)**2d0*rMZ &
              **4d0)/(3d0*rMZ**2d0) + Ten956*coupl(nGC_215)**2d0*(cMHA**4d0*cMZ&
              **2d0 - cMHA**4d0*rMZ**2d0 - 2d0*cMHA**2d0*cMHL**2d0*cMZ**2d0 +  &
              2d0*cMHA**2d0*cMHL**2d0*rMZ**2d0 - 2d0*cMHA**2d0*cMZ**2d0*rMZ**  &
              2d0 + 2d0*cMHA**2d0*rMZ**4d0 + cMHL**4d0*cMZ**2d0 - cMHL**4d0*rMZ&
              **2d0 - 2d0*cMHL**2d0*cMZ**2d0*rMZ**2d0 + 2d0*cMHL**2d0*rMZ**4d0 &
               + cMZ**2d0*rMZ**4d0 - rMZ**6d0)/(3d0*rMZ**2d0) + Ten957*coupl(  &
              nGC_214)**2d0*(cMHA**4d0*cMZ**2d0 - cMHA**4d0*rMZ**2d0 - 2d0*cMHA&
              **2d0*cMHH**2d0*cMZ**2d0 + 2d0*cMHA**2d0*cMHH**2d0*rMZ**2d0 - 2d0&
              *cMHA**2d0*cMZ**2d0*rMZ**2d0 + 2d0*cMHA**2d0*rMZ**4d0 + cMHH**4d0&
              *cMZ**2d0 - cMHH**4d0*rMZ**2d0 - 2d0*cMHH**2d0*cMZ**2d0*rMZ**2d0 &
               + 2d0*cMHH**2d0*rMZ**4d0 + cMZ**2d0*rMZ**4d0 - rMZ**6d0)/(3d0*  &
              rMZ**2d0) + 2d0*Ten958*coupl(nGC_268)**2d0*(-cMZ**2d0 + rMZ**2d0 &
              ) - 2d0*cME**2d0*coupl(nGC_208)**2d0 - 2d0*cME**2d0*coupl(nGC_211&
              )**2d0 - 2d0*cMM**2d0*coupl(nGC_208)**2d0 - 2d0*cMM**2d0*coupl(  &
              nGC_211)**2d0 - 2d0*cMTA**2d0*coupl(nGC_208)**2d0 - 2d0*cMTA**2d0&
              *coupl(nGC_211)**2d0 - 2d0*cima*cMW**2d0*coupl(nGC_195) - 4d0*cMW&
              **2d0*coupl(nGC_199)**2d0 - 2d0*cMZ**2d0*coupl(nGC_199)**2d0/9d0 &
               + cMZ**2d0*coupl(nGC_200)**2d0/18d0 + cMZ**2d0*coupl(nGC_201)** &
              2d0/18d0 + 2d0*cMZ**2d0*coupl(nGC_208)**2d0/3d0 + 2d0*cMZ**2d0*  &
              coupl(nGC_211)**2d0/3d0 + 2d0*cMZ**2d0*coupl(nGC_212)**2d0/3d0 + &
              2d0*cMZ**2d0*coupl(nGC_213)**2d0/9d0 + 2d0*cMZ**2d0*coupl(nGC_214&
              )**2d0/9d0 + 4d0*cMZ**2d0*coupl(nGC_215)**2d0/9d0 - 4d0*cMZ**2d0*&
              coupl(nGC_218)**2d0/9d0 + 8d0*coupl(nGC_199)**2d0*rMZ**2d0/9d0 - &
              coupl(nGC_200)**2d0*rMZ**2d0/18d0 - coupl(nGC_201)**2d0*rMZ**2d0/&
              18d0 + coupl(nGC_208)**2d0*rMZ**2d0/3d0 + coupl(nGC_211)**2d0*rMZ&
              **2d0/3d0 + coupl(nGC_212)**2d0*rMZ**2d0/3d0 - 2d0*coupl(nGC_213 &
              )**2d0*rMZ**2d0/9d0 - 2d0*coupl(nGC_214)**2d0*rMZ**2d0/9d0 - 4d0*&
              coupl(nGC_215)**2d0*rMZ**2d0/9d0 + 4d0*coupl(nGC_218)**2d0*rMZ** &
              2d0/9d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dMZ2_QED2 = cone*real(dMZ2_QED2,kind=dp)
    end if 
end subroutine set_ctparameter160
end module ctparameter160
