!******************************************************************************!
!                                                                              !
!    ctparameter176.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter176.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 15:41             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter176
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter176()
  dZHaG0_QED2 = (8d0*(Nc*cMB**2d0*coupl(nGC_341)*coupl(nGC_344) + Nc*cMC**2d0* &
                coupl(nGC_335)*coupl(nGC_338) + Nc*cMD**2d0*coupl(nGC_347)*    &
                coupl(nGC_350) + Nc*cMS**2d0*coupl(nGC_365)*coupl(nGC_368) + Nc&
                *cMT**2d0*coupl(nGC_371)*coupl(nGC_374) + Nc*cMU**2d0*coupl(   &
                nGC_383)*coupl(nGC_386) + cME**2d0*coupl(nGC_353)*coupl(nGC_356&
                ) + cMM**2d0*coupl(nGC_359)*coupl(nGC_362) + cMTA**2d0*coupl(  &
                nGC_377)*coupl(nGC_380))/cMHA**2d0 + (8d0*Nc*Ten395*cMU**2d0*  &
                coupl(nGC_383)*coupl(nGC_386) + 8d0*Nc*Ten396*cMC**2d0*coupl(  &
                nGC_335)*coupl(nGC_338) + 8d0*Nc*Ten397*cMT**2d0*coupl(nGC_371 &
                )*coupl(nGC_374) + 8d0*Nc*Ten398*cMD**2d0*coupl(nGC_347)*coupl(&
                nGC_350) + 8d0*Nc*Ten399*cMS**2d0*coupl(nGC_365)*coupl(nGC_368 &
                ) + 8d0*Nc*Ten400*cMB**2d0*coupl(nGC_341)*coupl(nGC_344) - 32d0&
                *Nc*Ten405*coupl(nGC_383)*coupl(nGC_386) - 32d0*Nc*Ten406*coupl&
                (nGC_335)*coupl(nGC_338) - 32d0*Nc*Ten407*coupl(nGC_371)*coupl(&
                nGC_374) - 32d0*Nc*Ten408*coupl(nGC_347)*coupl(nGC_350) - 32d0*&
                Nc*Ten409*coupl(nGC_365)*coupl(nGC_368) - 32d0*Nc*Ten410*coupl(&
                nGC_341)*coupl(nGC_344) + cima*Ten0*coupl(nGC_131) + cima*Ten1*&
                coupl(nGC_59) + 2d0*cima*Ten13*coupl(nGC_54) + cima*Ten14*coupl&
                (nGC_58) + cima*Ten2*coupl(nGC_135) + 2d0*cima*Ten3*coupl(     &
                nGC_55) - 2d0*Ten388*coupl(nGC_296)*coupl(nGC_312) - 2d0*Ten389&
                *coupl(nGC_294)*coupl(nGC_310) - 2d0*Ten390*coupl(nGC_280)*    &
                coupl(nGC_290) - 2d0*Ten391*coupl(nGC_278)*coupl(nGC_289) + 8d0&
                *Ten392*cME**2d0*coupl(nGC_353)*coupl(nGC_356) + 8d0*Ten393*cMM&
                **2d0*coupl(nGC_359)*coupl(nGC_362) + 8d0*Ten394*cMTA**2d0*    &
                coupl(nGC_377)*coupl(nGC_380) - 32d0*Ten402*coupl(nGC_353)*    &
                coupl(nGC_356) - 32d0*Ten403*coupl(nGC_359)*coupl(nGC_362) -   &
                32d0*Ten404*coupl(nGC_377)*coupl(nGC_380))/cMHA**2d0)/(16d0*pi &
                **2d0) + 2d0*cima*(coupl(nGC_253)*dtHl_QED1/cMHL**2d0 + coupl( &
                nGC_245)*dtHh_QED1/cMHH**2d0)/cMHA**2d0
    if (.not. complex_mass_scheme) then
      dZHaG0_QED2 = cone*real(dZHaG0_QED2,kind=dp)
    end if 
end subroutine set_ctparameter176
end module ctparameter176
