!******************************************************************************!
!                                                                              !
!    ctparameter191.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter191.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 15:41             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter191
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter191()
  DeltaUV = DeltaUV + log(muUV**2/muMS**2)
  dMSB2_MS_QED2 = DeltaUV*cMW**2d0*cb**2d0*sb**2d0*sw**2d0*(-8d0*cima*Nc*cMB*  &
                  coupl(nGC_339)*coupl(nGC_343)**2d0 - 8d0*cima*Nc*cMB*coupl(  &
                  nGC_339)*coupl(nGC_370)**2d0 - 8d0*cima*Nc*cMB*coupl(nGC_343 &
                  )*coupl(nGC_370)*coupl(nGC_372) - 8d0*cima*Nc*cMC*coupl(     &
                  nGC_334)**2d0*coupl(nGC_336) - 8d0*cima*Nc*cMC*coupl(nGC_334 &
                  )*coupl(nGC_364)*coupl(nGC_366) - 8d0*cima*Nc*cMC*coupl(     &
                  nGC_336)*coupl(nGC_364)**2d0 - 8d0*cima*Nc*cMD*coupl(nGC_346 &
                  )**2d0*coupl(nGC_348) - 8d0*cima*Nc*cMD*coupl(nGC_346)*coupl(&
                  nGC_382)*coupl(nGC_384) - 8d0*cima*Nc*cMD*coupl(nGC_348)*    &
                  coupl(nGC_382)**2d0 - 8d0*cima*Nc*cMS*coupl(nGC_334)**2d0*   &
                  coupl(nGC_366) - 8d0*cima*Nc*cMS*coupl(nGC_334)*coupl(nGC_336&
                  )*coupl(nGC_364) - 8d0*cima*Nc*cMS*coupl(nGC_364)**2d0*coupl(&
                  nGC_366) - 8d0*cima*Nc*cMT*coupl(nGC_339)*coupl(nGC_343)*    &
                  coupl(nGC_370) - 8d0*cima*Nc*cMT*coupl(nGC_343)**2d0*coupl(  &
                  nGC_372) - 8d0*cima*Nc*cMT*coupl(nGC_370)**2d0*coupl(nGC_372 &
                  ) - 8d0*cima*Nc*cMU*coupl(nGC_346)**2d0*coupl(nGC_384) - 8d0*&
                  cima*Nc*cMU*coupl(nGC_346)*coupl(nGC_348)*coupl(nGC_382) -   &
                  8d0*cima*Nc*cMU*coupl(nGC_382)**2d0*coupl(nGC_384) - 8d0*cima&
                  *cME*coupl(nGC_352)**2d0*coupl(nGC_354) - 8d0*cima*cMM*coupl(&
                  nGC_358)**2d0*coupl(nGC_360) - 8d0*cima*cMTA*coupl(nGC_376)**&
                  2d0*coupl(nGC_378) + 8d0*coupl(nGC_100)*coupl(nGC_272) + 4d0*&
                  coupl(nGC_104)*coupl(nGC_277) + coupl(nGC_108)*coupl(nGC_235 &
                  ) + 4d0*coupl(nGC_120)*coupl(nGC_287) + 4d0*coupl(nGC_122)*  &
                  coupl(nGC_293) + 2d0*coupl(nGC_132)*coupl(nGC_233) + 4d0*    &
                  coupl(nGC_142)*coupl(nGC_311) + coupl(nGC_144)*coupl(nGC_236 &
                  ) + 2d0*coupl(nGC_154)*coupl(nGC_318) + 2d0*coupl(nGC_155)*  &
                  coupl(nGC_320) + 2d0*coupl(nGC_157)*coupl(nGC_315) + 2d0*    &
                  coupl(nGC_159)*coupl(nGC_316) + 2d0*coupl(nGC_160)*coupl(    &
                  nGC_281) + coupl(nGC_168)*coupl(nGC_282) - 8d0*coupl(nGC_174 &
                  )*coupl(nGC_322) + 16d0*coupl(nGC_175)*coupl(nGC_321) - 8d0* &
                  coupl(nGC_21)*coupl(nGC_232) + 16d0*coupl(nGC_22)*coupl(     &
                  nGC_231) - 2d0*coupl(nGC_228)*coupl(nGC_331) + 4d0*coupl(    &
                  nGC_229)*coupl(nGC_332) + 2d0*coupl(nGC_239)*coupl(nGC_50) + &
                  2d0*coupl(nGC_240)*coupl(nGC_51) + 2d0*coupl(nGC_247)*coupl( &
                  nGC_52) + 2d0*coupl(nGC_248)*coupl(nGC_53) - 4d0*coupl(      &
                  nGC_271)*coupl(nGC_99) + 4d0*coupl(nGC_297)*coupl(nGC_56) +  &
                  2d0*coupl(nGC_298)*coupl(nGC_54) + 2d0*coupl(nGC_313)*coupl( &
                  nGC_71) + coupl(nGC_314)*coupl(nGC_70))/(8d0*pi**2d0*ee**2d0 &
                  *(ca*cb**4d0*sb**2d0*vev1 + 2d0*ca*cb**3d0*sb**3d0*vev2 + ca*&
                  sb**6d0*vev1 + cb**6d0*sa*vev2 + 2d0*cb**3d0*sa*sb**3d0*vev1 &
                   + cb**2d0*sa*sb**4d0*vev2)) + (2d0*cima*cMW**2d0*cb**2d0*   &
                  coupl(nGC_243)*dZHlHh_MS_QED2*sb**2d0*sw**2d0/ee**2d0 + 4d0* &
                  cima*cMW**2d0*cb**2d0*coupl(nGC_244)*dZGMinusHMinus_MS_QED2* &
                  sb**2d0*sw**2d0/ee**2d0 + 4d0*cima*cMW**2d0*cb**2d0*coupl(   &
                  nGC_251)*dZHMinus_MS_QED2*sb**2d0*sw**2d0/ee**2d0 + 2d0*cima*&
                  cMW**2d0*cb**2d0*coupl(nGC_251)*dZHh_MS_QED2*sb**2d0*sw**2d0/&
                  ee**2d0 + 2d0*cb**2d0*dMHC2_MS_QED2*sb**2d0*(ca*cb**2d0*vev1 &
                   + ca*cb*sb*vev2 + cb*sa*sb*vev1 + sa*sb**2d0*vev2) +        &
                  dMHH2_MS_QED2*(ca**3d0*sb**4d0*vev1 + ca**2d0*cb**3d0*sa*sb* &
                  vev1 + ca*cb*sa**2d0*sb**3d0*vev2 + cb**4d0*sa**3d0*vev2) +  &
                  2d0*dZee_MS_QED2*(-MSB**2d0*ca*cb**4d0*ee**3d0*sb**2d0*vev1  &
                   - 2d0*MSB**2d0*ca*cb**3d0*ee**3d0*sb**3d0*vev2 - MSB**2d0*ca&
                  *ee**3d0*sb**6d0*vev1 - MSB**2d0*cb**6d0*ee**3d0*sa*vev2 -   &
                  2d0*MSB**2d0*cb**3d0*ee**3d0*sa*sb**3d0*vev1 - MSB**2d0*cb** &
                  2d0*ee**3d0*sa*sb**4d0*vev2 + 2d0*cMHC**2d0*ca*cb**4d0*ee**  &
                  3d0*sb**2d0*vev1 + 2d0*cMHC**2d0*ca*cb**3d0*ee**3d0*sb**3d0* &
                  vev2 + 2d0*cMHC**2d0*cb**3d0*ee**3d0*sa*sb**3d0*vev1 + 2d0*  &
                  cMHC**2d0*cb**2d0*ee**3d0*sa*sb**4d0*vev2 + cMHH**2d0*ca**3d0&
                  *ee**3d0*sb**4d0*vev1 + cMHH**2d0*ca**2d0*cb**3d0*ee**3d0*sa*&
                  sb*vev1 + cMHH**2d0*ca*cb*ee**3d0*sa**2d0*sb**3d0*vev2 + cMHH&
                  **2d0*cb**4d0*ee**3d0*sa**3d0*vev2 + cMHL**2d0*ca**2d0*cb**  &
                  4d0*ee**3d0*sa*vev2 - cMHL**2d0*ca**2d0*cb**3d0*ee**3d0*sa*sb&
                  *vev1 - cMHL**2d0*ca*cb*ee**3d0*sa**2d0*sb**3d0*vev2 + cMHL**&
                  2d0*ca*ee**3d0*sa**2d0*sb**4d0*vev1 - 4d0*cMW**3d0*ca*cb**5d0&
                  *l3*sb**2d0*sw**3d0 - 4d0*cMW**3d0*ca*cb**3d0*l1*sb**4d0*sw**&
                  3d0 + 4d0*cMW**3d0*ca*cb**3d0*l4*sb**4d0*sw**3d0 + 4d0*cMW** &
                  3d0*ca*cb**3d0*l5*sb**4d0*sw**3d0 - 4d0*cMW**3d0*cb**4d0*l2* &
                  sa*sb**3d0*sw**3d0 + 4d0*cMW**3d0*cb**4d0*l4*sa*sb**3d0*sw** &
                  3d0 + 4d0*cMW**3d0*cb**4d0*l5*sa*sb**3d0*sw**3d0 - 4d0*cMW** &
                  3d0*cb**2d0*l3*sa*sb**5d0*sw**3d0)/ee**3d0 + da_MS_QED2*(cMHH&
                  **2d0*ca**3d0*cb**3d0*ee**2d0*sb*vev1 + cMHH**2d0*ca**2d0*cb*&
                  ee**2d0*sa*sb**3d0*vev2 - 2d0*cMHH**2d0*ca**2d0*ee**2d0*sa*sb&
                  **4d0*vev1 + 2d0*cMHH**2d0*ca*cb**4d0*ee**2d0*sa**2d0*vev2 - &
                  cMHH**2d0*ca*cb**3d0*ee**2d0*sa**2d0*sb*vev1 - cMHH**2d0*cb* &
                  ee**2d0*sa**3d0*sb**3d0*vev2 - cMHL**2d0*ca**3d0*cb**3d0*ee**&
                  2d0*sb*vev1 - cMHL**2d0*ca**2d0*cb*ee**2d0*sa*sb**3d0*vev2 + &
                  2d0*cMHL**2d0*ca**2d0*ee**2d0*sa*sb**4d0*vev1 - 2d0*cMHL**2d0&
                  *ca*cb**4d0*ee**2d0*sa**2d0*vev2 + cMHL**2d0*ca*cb**3d0*ee** &
                  2d0*sa**2d0*sb*vev1 + cMHL**2d0*cb*ee**2d0*sa**3d0*sb**3d0*  &
                  vev2 + 4d0*cMW**2d0*ca*cb**4d0*l2*sb**2d0*sw**2d0*vev2 - 4d0*&
                  cMW**2d0*ca*cb**3d0*l4*sb**3d0*sw**2d0*vev1 - 4d0*cMW**2d0*ca&
                  *cb**3d0*l5*sb**3d0*sw**2d0*vev1 + 4d0*cMW**2d0*ca*cb**2d0*l3&
                  *sb**4d0*sw**2d0*vev2 - 4d0*cMW**2d0*cb**4d0*l3*sa*sb**2d0*sw&
                  **2d0*vev1 + 4d0*cMW**2d0*cb**3d0*l4*sa*sb**3d0*sw**2d0*vev2 &
                   + 4d0*cMW**2d0*cb**3d0*l5*sa*sb**3d0*sw**2d0*vev2 - 4d0*cMW &
                  **2d0*cb**2d0*l1*sa*sb**4d0*sw**2d0*vev1)/ee**2d0 +          &
                  db_MS_QED2*(-2d0*MSB**2d0*ca*cb**2d0*ee**3d0*sb**6d0*vev1 -  &
                  2d0*MSB**2d0*ca*ee**3d0*sb**8d0*vev1 + 2d0*MSB**2d0*cb**8d0* &
                  ee**3d0*sa*vev2 + 2d0*MSB**2d0*cb**6d0*ee**3d0*sa*sb**2d0*   &
                  vev2 + 2d0*cMHH**2d0*ca**3d0*ee**3d0*sb**6d0*vev1 - cMHH**2d0&
                  *ca**2d0*cb**5d0*ee**3d0*sa*sb*vev1 + cMHH**2d0*ca**2d0*cb** &
                  3d0*ee**3d0*sa*sb**3d0*vev1 - cMHH**2d0*ca*cb**3d0*ee**3d0*sa&
                  **2d0*sb**3d0*vev2 + cMHH**2d0*ca*cb*ee**3d0*sa**2d0*sb**5d0*&
                  vev2 - 2d0*cMHH**2d0*cb**6d0*ee**3d0*sa**3d0*vev2 - 2d0*cMHL &
                  **2d0*ca**2d0*cb**6d0*ee**3d0*sa*vev2 + cMHL**2d0*ca**2d0*cb &
                  **5d0*ee**3d0*sa*sb*vev1 - cMHL**2d0*ca**2d0*cb**3d0*ee**3d0*&
                  sa*sb**3d0*vev1 + cMHL**2d0*ca*cb**3d0*ee**3d0*sa**2d0*sb**  &
                  3d0*vev2 - cMHL**2d0*ca*cb*ee**3d0*sa**2d0*sb**5d0*vev2 + 2d0&
                  *cMHL**2d0*ca*ee**3d0*sa**2d0*sb**6d0*vev1 - 8d0*cMW**3d0*ca*&
                  cb**5d0*l3*sb**4d0*sw**3d0 - 8d0*cMW**3d0*ca*cb**5d0*l4*sb** &
                  4d0*sw**3d0 - 8d0*cMW**3d0*ca*cb**5d0*l5*sb**4d0*sw**3d0 -   &
                  8d0*cMW**3d0*ca*cb**3d0*l1*sb**6d0*sw**3d0 + 8d0*cMW**3d0*cb &
                  **6d0*l2*sa*sb**3d0*sw**3d0 + 8d0*cMW**3d0*cb**4d0*l3*sa*sb**&
                  5d0*sw**3d0 + 8d0*cMW**3d0*cb**4d0*l4*sa*sb**5d0*sw**3d0 +   &
                  8d0*cMW**3d0*cb**4d0*l5*sa*sb**5d0*sw**3d0 - 4d0*cMW**2d0*ca*&
                  cb**5d0*ee*l4*sb**3d0*sw**2d0*vev2 - 4d0*cMW**2d0*ca*cb**5d0*&
                  ee*l5*sb**3d0*sw**2d0*vev2 + 8d0*cMW**2d0*ca*cb**4d0*ee*l1*sb&
                  **4d0*sw**2d0*vev1 - 8d0*cMW**2d0*ca*cb**4d0*ee*l3*sb**4d0*sw&
                  **2d0*vev1 + 4d0*cMW**2d0*ca*cb**3d0*ee*l4*sb**5d0*sw**2d0*  &
                  vev2 + 4d0*cMW**2d0*ca*cb**3d0*ee*l5*sb**5d0*sw**2d0*vev2 -  &
                  4d0*cMW**2d0*cb**5d0*ee*l4*sa*sb**3d0*sw**2d0*vev1 - 4d0*cMW &
                  **2d0*cb**5d0*ee*l5*sa*sb**3d0*sw**2d0*vev1 - 8d0*cMW**2d0*cb&
                  **4d0*ee*l2*sa*sb**4d0*sw**2d0*vev2 + 8d0*cMW**2d0*cb**4d0*ee&
                  *l3*sa*sb**4d0*sw**2d0*vev2 + 4d0*cMW**2d0*cb**3d0*ee*l4*sa* &
                  sb**5d0*sw**2d0*vev1 + 4d0*cMW**2d0*cb**3d0*ee*l5*sa*sb**5d0*&
                  sw**2d0*vev1)/(cb*ee**3d0*sb) + cw**4d0*dMZ2_MS_QED2*(MSB**  &
                  2d0*ca*cb**4d0*ee**3d0*sb**2d0*vev1 + 2d0*MSB**2d0*ca*cb**3d0&
                  *ee**3d0*sb**3d0*vev2 + MSB**2d0*ca*ee**3d0*sb**6d0*vev1 +   &
                  MSB**2d0*cb**6d0*ee**3d0*sa*vev2 + 2d0*MSB**2d0*cb**3d0*ee** &
                  3d0*sa*sb**3d0*vev1 + MSB**2d0*cb**2d0*ee**3d0*sa*sb**4d0*   &
                  vev2 - 2d0*cMHC**2d0*ca*cb**4d0*ee**3d0*sb**2d0*vev1 - 2d0*  &
                  cMHC**2d0*ca*cb**3d0*ee**3d0*sb**3d0*vev2 - 2d0*cMHC**2d0*cb &
                  **3d0*ee**3d0*sa*sb**3d0*vev1 - 2d0*cMHC**2d0*cb**2d0*ee**3d0&
                  *sa*sb**4d0*vev2 - cMHH**2d0*ca**3d0*ee**3d0*sb**4d0*vev1 -  &
                  cMHH**2d0*ca**2d0*cb**3d0*ee**3d0*sa*sb*vev1 - cMHH**2d0*ca* &
                  cb*ee**3d0*sa**2d0*sb**3d0*vev2 - cMHH**2d0*cb**4d0*ee**3d0* &
                  sa**3d0*vev2 - cMHL**2d0*ca**2d0*cb**4d0*ee**3d0*sa*vev2 +   &
                  cMHL**2d0*ca**2d0*cb**3d0*ee**3d0*sa*sb*vev1 + cMHL**2d0*ca* &
                  cb*ee**3d0*sa**2d0*sb**3d0*vev2 - cMHL**2d0*ca*ee**3d0*sa**  &
                  2d0*sb**4d0*vev1 + 4d0*cMW**3d0*ca*cb**5d0*l3*sb**2d0*sw**3d0&
                   + 4d0*cMW**3d0*ca*cb**3d0*l1*sb**4d0*sw**3d0 - 4d0*cMW**3d0*&
                  ca*cb**3d0*l4*sb**4d0*sw**3d0 - 4d0*cMW**3d0*ca*cb**3d0*l5*sb&
                  **4d0*sw**3d0 + 4d0*cMW**3d0*cb**4d0*l2*sa*sb**3d0*sw**3d0 - &
                  4d0*cMW**3d0*cb**4d0*l4*sa*sb**3d0*sw**3d0 - 4d0*cMW**3d0*cb &
                  **4d0*l5*sa*sb**3d0*sw**3d0 + 4d0*cMW**3d0*cb**2d0*l3*sa*sb**&
                  5d0*sw**3d0)/(cMW**2d0*ee**3d0*sw**2d0) + dMW2_MS_QED2*(-MSB &
                  **2d0*ca*cb**4d0*cw**2d0*ee**3d0*sb**2d0*vev1 + MSB**2d0*ca* &
                  cb**4d0*ee**3d0*sb**2d0*sw**2d0*vev1 - 2d0*MSB**2d0*ca*cb**  &
                  3d0*cw**2d0*ee**3d0*sb**3d0*vev2 + 2d0*MSB**2d0*ca*cb**3d0*ee&
                  **3d0*sb**3d0*sw**2d0*vev2 - MSB**2d0*ca*cw**2d0*ee**3d0*sb**&
                  6d0*vev1 + MSB**2d0*ca*ee**3d0*sb**6d0*sw**2d0*vev1 - MSB**  &
                  2d0*cb**6d0*cw**2d0*ee**3d0*sa*vev2 + MSB**2d0*cb**6d0*ee**  &
                  3d0*sa*sw**2d0*vev2 - 2d0*MSB**2d0*cb**3d0*cw**2d0*ee**3d0*sa&
                  *sb**3d0*vev1 + 2d0*MSB**2d0*cb**3d0*ee**3d0*sa*sb**3d0*sw** &
                  2d0*vev1 - MSB**2d0*cb**2d0*cw**2d0*ee**3d0*sa*sb**4d0*vev2  &
                   + MSB**2d0*cb**2d0*ee**3d0*sa*sb**4d0*sw**2d0*vev2 + 2d0*   &
                  cMHC**2d0*ca*cb**4d0*cw**2d0*ee**3d0*sb**2d0*vev1 - 2d0*cMHC &
                  **2d0*ca*cb**4d0*ee**3d0*sb**2d0*sw**2d0*vev1 + 2d0*cMHC**2d0&
                  *ca*cb**3d0*cw**2d0*ee**3d0*sb**3d0*vev2 - 2d0*cMHC**2d0*ca* &
                  cb**3d0*ee**3d0*sb**3d0*sw**2d0*vev2 + 2d0*cMHC**2d0*cb**3d0*&
                  cw**2d0*ee**3d0*sa*sb**3d0*vev1 - 2d0*cMHC**2d0*cb**3d0*ee** &
                  3d0*sa*sb**3d0*sw**2d0*vev1 + 2d0*cMHC**2d0*cb**2d0*cw**2d0* &
                  ee**3d0*sa*sb**4d0*vev2 - 2d0*cMHC**2d0*cb**2d0*ee**3d0*sa*sb&
                  **4d0*sw**2d0*vev2 + cMHH**2d0*ca**3d0*cw**2d0*ee**3d0*sb**  &
                  4d0*vev1 - cMHH**2d0*ca**3d0*ee**3d0*sb**4d0*sw**2d0*vev1 +  &
                  cMHH**2d0*ca**2d0*cb**3d0*cw**2d0*ee**3d0*sa*sb*vev1 - cMHH**&
                  2d0*ca**2d0*cb**3d0*ee**3d0*sa*sb*sw**2d0*vev1 + cMHH**2d0*ca&
                  *cb*cw**2d0*ee**3d0*sa**2d0*sb**3d0*vev2 - cMHH**2d0*ca*cb*ee&
                  **3d0*sa**2d0*sb**3d0*sw**2d0*vev2 + cMHH**2d0*cb**4d0*cw**  &
                  2d0*ee**3d0*sa**3d0*vev2 - cMHH**2d0*cb**4d0*ee**3d0*sa**3d0*&
                  sw**2d0*vev2 + cMHL**2d0*ca**2d0*cb**4d0*cw**2d0*ee**3d0*sa* &
                  vev2 - cMHL**2d0*ca**2d0*cb**4d0*ee**3d0*sa*sw**2d0*vev2 -   &
                  cMHL**2d0*ca**2d0*cb**3d0*cw**2d0*ee**3d0*sa*sb*vev1 + cMHL**&
                  2d0*ca**2d0*cb**3d0*ee**3d0*sa*sb*sw**2d0*vev1 - cMHL**2d0*ca&
                  *cb*cw**2d0*ee**3d0*sa**2d0*sb**3d0*vev2 + cMHL**2d0*ca*cb*ee&
                  **3d0*sa**2d0*sb**3d0*sw**2d0*vev2 + cMHL**2d0*ca*cw**2d0*ee &
                  **3d0*sa**2d0*sb**4d0*vev1 - cMHL**2d0*ca*ee**3d0*sa**2d0*sb &
                  **4d0*sw**2d0*vev1 - 4d0*cMW**3d0*ca*cb**5d0*cw**2d0*l3*sb** &
                  2d0*sw**3d0 + 4d0*cMW**3d0*ca*cb**5d0*l3*sb**2d0*sw**5d0 -   &
                  4d0*cMW**3d0*ca*cb**3d0*cw**2d0*l1*sb**4d0*sw**3d0 + 4d0*cMW &
                  **3d0*ca*cb**3d0*cw**2d0*l4*sb**4d0*sw**3d0 + 4d0*cMW**3d0*ca&
                  *cb**3d0*cw**2d0*l5*sb**4d0*sw**3d0 + 4d0*cMW**3d0*ca*cb**3d0&
                  *l1*sb**4d0*sw**5d0 - 4d0*cMW**3d0*ca*cb**3d0*l4*sb**4d0*sw**&
                  5d0 - 4d0*cMW**3d0*ca*cb**3d0*l5*sb**4d0*sw**5d0 - 4d0*cMW** &
                  3d0*cb**4d0*cw**2d0*l2*sa*sb**3d0*sw**3d0 + 4d0*cMW**3d0*cb**&
                  4d0*cw**2d0*l4*sa*sb**3d0*sw**3d0 + 4d0*cMW**3d0*cb**4d0*cw**&
                  2d0*l5*sa*sb**3d0*sw**3d0 + 4d0*cMW**3d0*cb**4d0*l2*sa*sb**  &
                  3d0*sw**5d0 - 4d0*cMW**3d0*cb**4d0*l4*sa*sb**3d0*sw**5d0 -   &
                  4d0*cMW**3d0*cb**4d0*l5*sa*sb**3d0*sw**5d0 - 4d0*cMW**3d0*cb &
                  **2d0*cw**2d0*l3*sa*sb**5d0*sw**3d0 + 4d0*cMW**3d0*cb**2d0*l3&
                  *sa*sb**5d0*sw**5d0)/(cMW**2d0*ee**3d0*sw**2d0) - 4d0*cima*  &
                  cMW**2d0*cb**2d0*coupl(nGC_32)*dtHl_MS_QED1*sb**2d0*sw**2d0/(&
                  cMHL**2d0*ee**2d0) - 4d0*cima*cMW**2d0*cb**2d0*coupl(nGC_44)*&
                  dtHh_MS_QED1*sb**2d0*sw**2d0/(cMHH**2d0*ee**2d0))/(ca*cb**4d0&
                  *sb**2d0*vev1 + 2d0*ca*cb**3d0*sb**3d0*vev2 + ca*sb**6d0*vev1&
                   + cb**6d0*sa*vev2 + 2d0*cb**3d0*sa*sb**3d0*vev1 + cb**2d0*sa&
                  *sb**4d0*vev2)
  dMSB2_MS_QED2 = cone*real(dMSB2_MS_QED2,kind=dp)
  DeltaUV = DeltaUV - log(muUV**2/muMS**2)
end subroutine set_ctparameter191
end module ctparameter191
