!******************************************************************************!
!                                                                              !
!    ctparameter20.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter20.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 15:41             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter20
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter20()
  if (dZmuMinusL_QED2_scheme .eq. 0) then
    dZmuMinusL_QED2 = (2d0*Ten759*coupl(nGC_4)**2d0 + Ten760*(2d0*coupl(nGC_211&
                      )**2d0 - coupl(nGC_362)**2d0) + Ten761*coupl(nGC_359)**  &
                      2d0 - Ten762*coupl(nGC_360)**2d0 - Ten763*coupl(nGC_357  &
                      )**2d0 + 2d0*Ten764*coupl(nGC_4)**2d0 - 2d0*Ten765*coupl(&
                      nGC_197)**2d0 + Ten767*(2d0*coupl(nGC_211)**2d0 - coupl( &
                      nGC_362)**2d0) + 2d0*Ten771*cMM*coupl(nGC_359)**2d0*rMM  &
                       + 2d0*Ten772*cMM*coupl(nGC_360)**2d0*rMM + 2d0*Ten773*  &
                      cMM*coupl(nGC_357)**2d0*rMM + 4d0*Ten774*coupl(nGC_4)**  &
                      2d0*rMM*(-2d0*cMM + rMM) + 2d0*Ten775*rMM*(-4d0*cMM*coupl&
                      (nGC_208)*coupl(nGC_211) + cMM*coupl(nGC_362)**2d0 +     &
                      coupl(nGC_208)**2d0*rMM + coupl(nGC_211)**2d0*rMM - coupl&
                      (nGC_362)**2d0*rMM) + 2d0*Ten776*coupl(nGC_359)**2d0*rMM &
                      **2d0 - 2d0*Ten777*coupl(nGC_360)**2d0*rMM**2d0 - 2d0*   &
                      Ten778*coupl(nGC_357)**2d0*rMM**2d0 + 4d0*Ten779*coupl(  &
                      nGC_4)**2d0*rMM**2d0 - Ten780*rMM**2d0*(2d0*coupl(nGC_197&
                      )**2d0 + coupl(nGC_361)**2d0) - Ten781*coupl(nGC_358)**  &
                      2d0*rMM**2d0 + 2d0*Ten782*rMM**2d0*(coupl(nGC_208)**2d0  &
                       + coupl(nGC_211)**2d0 - coupl(nGC_362)**2d0) - coupl(   &
                      nGC_197)**2d0 - coupl(nGC_211)**2d0 - coupl(nGC_4)**2d0  &
                      )/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZmuMinusL_QED2 = cone*real(dZmuMinusL_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter20
end module ctparameter20
