!******************************************************************************!
!                                                                              !
!    ctparameter22.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter22.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 15:41             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter22
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter22()
  if (dZmuMinusL_QED2_scheme .eq. 2) then
    dZmuMinusL_QED2 = (Ten452*coupl(nGC_4)**2d0 + Ten513*(-2d0*coupl(nGC_211)**&
                      2d0 + coupl(nGC_362)**2d0) + Ten514*coupl(nGC_359)**2d0  &
                       - Ten515*coupl(nGC_360)**2d0 - Ten516*coupl(nGC_357)**  &
                      2d0 - 2d0*Ten757*coupl(nGC_197)**2d0 - coupl(nGC_197)**  &
                      2d0 - coupl(nGC_211)**2d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZmuMinusL_QED2 = cone*real(dZmuMinusL_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter22
end module ctparameter22
