!******************************************************************************!
!                                                                              !
!    ctparameter23.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter23.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 15:41             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter23
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter23()
  dZZ_QED2 = (2d0*Nc*Ten896*(coupl(nGC_207)**2d0 + coupl(nGC_210)**2d0)/3d0 +  &
             2d0*Nc*Ten897*(coupl(nGC_207)**2d0 + coupl(nGC_210)**2d0)/3d0 +   &
             2d0*Nc*Ten898*(coupl(nGC_207)**2d0 + coupl(nGC_210)**2d0)/3d0 +   &
             2d0*Nc*Ten899*(coupl(nGC_206)**2d0 + coupl(nGC_209)**2d0)/3d0 +   &
             2d0*Nc*Ten900*(coupl(nGC_206)**2d0 + coupl(nGC_209)**2d0)/3d0 +   &
             2d0*Nc*Ten901*(coupl(nGC_206)**2d0 + coupl(nGC_209)**2d0)/3d0 +   &
             2d0*Nc*Ten947*(-cMU**2d0*coupl(nGC_207)**2d0 + 6d0*cMU**2d0*coupl(&
             nGC_207)*coupl(nGC_210) - cMU**2d0*coupl(nGC_210)**2d0 + coupl(   &
             nGC_207)**2d0*rMZ**2d0 + coupl(nGC_210)**2d0*rMZ**2d0)/3d0 + 2d0* &
             Nc*Ten948*(-cMC**2d0*coupl(nGC_207)**2d0 + 6d0*cMC**2d0*coupl(    &
             nGC_207)*coupl(nGC_210) - cMC**2d0*coupl(nGC_210)**2d0 + coupl(   &
             nGC_207)**2d0*rMZ**2d0 + coupl(nGC_210)**2d0*rMZ**2d0)/3d0 + 2d0* &
             Nc*Ten949*(-cMT**2d0*coupl(nGC_207)**2d0 + 6d0*cMT**2d0*coupl(    &
             nGC_207)*coupl(nGC_210) - cMT**2d0*coupl(nGC_210)**2d0 + coupl(   &
             nGC_207)**2d0*rMZ**2d0 + coupl(nGC_210)**2d0*rMZ**2d0)/3d0 + 2d0* &
             Nc*Ten950*(-cMD**2d0*coupl(nGC_206)**2d0 + 6d0*cMD**2d0*coupl(    &
             nGC_206)*coupl(nGC_209) - cMD**2d0*coupl(nGC_209)**2d0 + coupl(   &
             nGC_206)**2d0*rMZ**2d0 + coupl(nGC_209)**2d0*rMZ**2d0)/3d0 + 2d0* &
             Nc*Ten951*(-cMS**2d0*coupl(nGC_206)**2d0 + 6d0*cMS**2d0*coupl(    &
             nGC_206)*coupl(nGC_209) - cMS**2d0*coupl(nGC_209)**2d0 + coupl(   &
             nGC_206)**2d0*rMZ**2d0 + coupl(nGC_209)**2d0*rMZ**2d0)/3d0 + 2d0* &
             Nc*Ten952*(-cMB**2d0*coupl(nGC_206)**2d0 + 6d0*cMB**2d0*coupl(    &
             nGC_206)*coupl(nGC_209) - cMB**2d0*coupl(nGC_209)**2d0 + coupl(   &
             nGC_206)**2d0*rMZ**2d0 + coupl(nGC_209)**2d0*rMZ**2d0)/3d0 - 2d0* &
             Nc*coupl(nGC_206)**2d0/3d0 - 2d0*Nc*coupl(nGC_207)**2d0/3d0 - 2d0*&
             Nc*coupl(nGC_209)**2d0/3d0 - 2d0*Nc*coupl(nGC_210)**2d0/3d0 + Ten0&
             *(cMHA**2d0*coupl(nGC_215)**2d0 - cMHL**2d0*coupl(nGC_213)**2d0 - &
             cMHL**2d0*coupl(nGC_215)**2d0 + cMZ**2d0*coupl(nGC_213)**2d0)/(3d0&
             *rMZ**4d0) + Ten1*(cMHH**2d0*coupl(nGC_215)**2d0 + cMHL**2d0*coupl&
             (nGC_213)**2d0 - cMZ**2d0*coupl(nGC_213)**2d0 - cMZ**2d0*coupl(   &
             nGC_215)**2d0)/(3d0*rMZ**4d0) + Ten14*(-cMHA**2d0*coupl(nGC_214)**&
             2d0 - cMHA**2d0*coupl(nGC_215)**2d0 + cMHH**2d0*coupl(nGC_214)**  &
             2d0 + cMHL**2d0*coupl(nGC_215)**2d0)/(3d0*rMZ**4d0) + Ten2*(cMHA**&
             2d0*coupl(nGC_214)**2d0 - cMHH**2d0*coupl(nGC_214)**2d0 - cMHH**  &
             2d0*coupl(nGC_215)**2d0 + cMZ**2d0*coupl(nGC_215)**2d0)/(3d0*rMZ**&
             4d0) + Ten889*coupl(nGC_213)**2d0*(cMHL**4d0 - 2d0*cMHL**2d0*cMZ**&
             2d0 + cMZ**4d0 - rMZ**4d0)/(3d0*rMZ**4d0) + Ten890*coupl(nGC_215  &
             )**2d0*(cMHH**4d0 - 2d0*cMHH**2d0*cMZ**2d0 + cMZ**4d0 - rMZ**4d0  &
             )/(3d0*rMZ**4d0) + Ten891*(-80d0*coupl(nGC_199)**2d0 - coupl(     &
             nGC_200)**2d0 - coupl(nGC_201)**2d0 + 4d0*coupl(nGC_218)**2d0)/   &
             12d0 + 2d0*Ten893*(coupl(nGC_208)**2d0 + coupl(nGC_211)**2d0)/3d0 &
              + 2d0*Ten894*(coupl(nGC_208)**2d0 + coupl(nGC_211)**2d0)/3d0 +   &
             2d0*Ten895*(coupl(nGC_208)**2d0 + coupl(nGC_211)**2d0)/3d0 + 2d0* &
             Ten938*coupl(nGC_212)**2d0 + Ten939*coupl(nGC_215)**2d0*(cMHA**4d0&
              - 2d0*cMHA**2d0*cMHL**2d0 + cMHL**4d0 - rMZ**4d0)/(3d0*rMZ**4d0  &
             ) + Ten940*coupl(nGC_214)**2d0*(cMHA**4d0 - 2d0*cMHA**2d0*cMHH**  &
             2d0 + cMHH**4d0 - rMZ**4d0)/(3d0*rMZ**4d0) + Ten941*coupl(nGC_218 &
             )**2d0/3d0 + Ten942*(-64d0*cMW**2d0*coupl(nGC_199)**2d0 + 4d0*cMW &
             **2d0*coupl(nGC_200)**2d0 + 4d0*cMW**2d0*coupl(nGC_201)**2d0 -    &
             16d0*cMW**2d0*coupl(nGC_218)**2d0 - 80d0*coupl(nGC_199)**2d0*rMZ**&
             2d0 - coupl(nGC_200)**2d0*rMZ**2d0 - coupl(nGC_201)**2d0*rMZ**2d0 &
              + 4d0*coupl(nGC_218)**2d0*rMZ**2d0 + 24d0*coupl(nGC_285)**2d0)/  &
             12d0 + Ten943*coupl(nGC_218)**2d0*(-4d0*cMHC**2d0 + rMZ**2d0)/3d0 &
              + 2d0*Ten944*(-cME**2d0*coupl(nGC_208)**2d0 + 6d0*cME**2d0*coupl(&
             nGC_208)*coupl(nGC_211) - cME**2d0*coupl(nGC_211)**2d0 + coupl(   &
             nGC_208)**2d0*rMZ**2d0 + coupl(nGC_211)**2d0*rMZ**2d0)/3d0 + 2d0* &
             Ten945*(-cMM**2d0*coupl(nGC_208)**2d0 + 6d0*cMM**2d0*coupl(nGC_208&
             )*coupl(nGC_211) - cMM**2d0*coupl(nGC_211)**2d0 + coupl(nGC_208)**&
             2d0*rMZ**2d0 + coupl(nGC_211)**2d0*rMZ**2d0)/3d0 + 2d0*Ten946*(-  &
             cMTA**2d0*coupl(nGC_208)**2d0 + 6d0*cMTA**2d0*coupl(nGC_208)*coupl&
             (nGC_211) - cMTA**2d0*coupl(nGC_211)**2d0 + coupl(nGC_208)**2d0*  &
             rMZ**2d0 + coupl(nGC_211)**2d0*rMZ**2d0)/3d0 + 2d0*Ten953*coupl(  &
             nGC_212)**2d0*rMZ**2d0 + Ten954*(-cMHL**4d0*coupl(nGC_213)**2d0 + &
             2d0*cMHL**2d0*cMZ**2d0*coupl(nGC_213)**2d0 + 2d0*cMHL**2d0*coupl( &
             nGC_213)**2d0*rMZ**2d0 - cMZ**4d0*coupl(nGC_213)**2d0 + 2d0*cMZ** &
             2d0*coupl(nGC_213)**2d0*rMZ**2d0 - coupl(nGC_213)**2d0*rMZ**4d0 + &
             3d0*coupl(nGC_329)**2d0*rMZ**2d0)/(3d0*rMZ**2d0) + Ten955*(-cMHH**&
             4d0*coupl(nGC_215)**2d0 + 2d0*cMHH**2d0*cMZ**2d0*coupl(nGC_215)** &
             2d0 + 2d0*cMHH**2d0*coupl(nGC_215)**2d0*rMZ**2d0 - cMZ**4d0*coupl(&
             nGC_215)**2d0 + 2d0*cMZ**2d0*coupl(nGC_215)**2d0*rMZ**2d0 - coupl(&
             nGC_215)**2d0*rMZ**4d0 + 3d0*coupl(nGC_332)**2d0*rMZ**2d0)/(3d0*  &
             rMZ**2d0) + Ten956*coupl(nGC_215)**2d0*(-cMHA**4d0 + 2d0*cMHA**2d0&
             *cMHL**2d0 + 2d0*cMHA**2d0*rMZ**2d0 - cMHL**4d0 + 2d0*cMHL**2d0*  &
             rMZ**2d0 - rMZ**4d0)/(3d0*rMZ**2d0) + Ten957*coupl(nGC_214)**2d0  &
             *(-cMHA**4d0 + 2d0*cMHA**2d0*cMHH**2d0 + 2d0*cMHA**2d0*rMZ**2d0 - &
             cMHH**4d0 + 2d0*cMHH**2d0*rMZ**2d0 - rMZ**4d0)/(3d0*rMZ**2d0) +   &
             2d0*coupl(nGC_199)**2d0/9d0 - coupl(nGC_200)**2d0/18d0 - coupl(   &
             nGC_201)**2d0/18d0 - 2d0*coupl(nGC_208)**2d0/3d0 - 2d0*coupl(     &
             nGC_211)**2d0/3d0 - 2d0*coupl(nGC_212)**2d0/3d0 - 2d0*coupl(      &
             nGC_213)**2d0/9d0 - 2d0*coupl(nGC_214)**2d0/9d0 - 4d0*coupl(      &
             nGC_215)**2d0/9d0 + 4d0*coupl(nGC_218)**2d0/9d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZZ_QED2 = cone*real(dZZ_QED2,kind=dp)
    end if 
end subroutine set_ctparameter23
end module ctparameter23
