!******************************************************************************!
!                                                                              !
!    ctparameter4.f90                                                          !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter4.f90                               |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 15:41             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter4
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter4()
  if (dZeMinusL_QED2_scheme .eq. 0) then
    dZeMinusL_QED2 = (2d0*Ten733*coupl(nGC_4)**2d0 + Ten734*(2d0*coupl(nGC_211 &
                     )**2d0 - coupl(nGC_356)**2d0) + Ten735*coupl(nGC_353)**2d0&
                      - Ten736*coupl(nGC_351)**2d0 - Ten737*coupl(nGC_354)**2d0&
                      + 2d0*Ten738*coupl(nGC_4)**2d0 - 2d0*Ten739*coupl(nGC_197&
                     )**2d0 + Ten741*(2d0*coupl(nGC_211)**2d0 - coupl(nGC_356  &
                     )**2d0) + 2d0*Ten745*cME**2d0*coupl(nGC_353)**2d0 + 2d0*  &
                     Ten746*cME**2d0*coupl(nGC_351)**2d0 + 2d0*Ten747*cME**2d0*&
                     coupl(nGC_354)**2d0 - 4d0*Ten748*cME**2d0*coupl(nGC_4)**  &
                     2d0 + 2d0*Ten749*cME**2d0*(coupl(nGC_208)**2d0 - 4d0*coupl&
                     (nGC_208)*coupl(nGC_211) + coupl(nGC_211)**2d0) + 2d0*    &
                     Ten750*cME**2d0*coupl(nGC_353)**2d0 - 2d0*Ten751*cME**2d0*&
                     coupl(nGC_351)**2d0 - 2d0*Ten752*cME**2d0*coupl(nGC_354)**&
                     2d0 + 4d0*Ten753*cME**2d0*coupl(nGC_4)**2d0 - Ten754*cME**&
                     2d0*(2d0*coupl(nGC_197)**2d0 + coupl(nGC_355)**2d0) -     &
                     Ten755*cME**2d0*coupl(nGC_352)**2d0 + 2d0*Ten756*cME**2d0 &
                     *(coupl(nGC_208)**2d0 + coupl(nGC_211)**2d0 - coupl(      &
                     nGC_356)**2d0) - coupl(nGC_197)**2d0 - coupl(nGC_211)**2d0&
                      - coupl(nGC_4)**2d0)/(16d0*pi**2d0)
    dZeMinusL_QED2 = cone*real(dZeMinusL_QED2,kind=dp)
  end if 
end subroutine set_ctparameter4
end module ctparameter4
