!******************************************************************************!
!                                                                              !
!    ctparameter70.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter70.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 15:41             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter70
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter70()
  dtHh_QED1 = (cima*(-2d0*cMW**2d0*coupl(nGC_272) - cMZ**2d0*coupl(nGC_332)) + &
              cima*(8d0*Nc*Ten10*cMD*coupl(nGC_348) + 8d0*Nc*Ten11*cMS*coupl(  &
              nGC_366) + 8d0*Nc*Ten12*cMB*coupl(nGC_339) + 8d0*Nc*Ten7*cMU*    &
              coupl(nGC_384) + 8d0*Nc*Ten8*cMC*coupl(nGC_336) + 8d0*Nc*Ten9*cMT&
              *coupl(nGC_372) - Ten0*coupl(nGC_236) + Ten1*(-coupl(nGC_314) +  &
              2d0*coupl(nGC_331) + 4d0*coupl(nGC_332)) - 2d0*Ten13*coupl(      &
              nGC_281) - Ten14*coupl(nGC_282) - Ten2*coupl(nGC_235) + 2d0*Ten3 &
              *(2d0*coupl(nGC_271) + 4d0*coupl(nGC_272) - coupl(nGC_313)) + 8d0&
              *Ten4*cME*coupl(nGC_354) + 8d0*Ten5*cMM*coupl(nGC_360) + 8d0*Ten6&
              *cMTA*coupl(nGC_378))/2d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dtHh_QED1 = cone*real(dtHh_QED1,kind=dp)
    end if 
end subroutine set_ctparameter70
end module ctparameter70
