!******************************************************************************!
!                                                                              !
!    ctparameter72.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter72.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 15:41             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter72
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter72()
  dtHl_QED1 = (cima*(-2d0*cMW**2d0*coupl(nGC_261) - cMZ**2d0*coupl(nGC_329)) + &
              cima*(8d0*Nc*Ten10*cMD*coupl(nGC_345) + 8d0*Nc*Ten11*cMS*coupl(  &
              nGC_363) + 8d0*Nc*Ten12*cMB*coupl(nGC_342) + 8d0*Nc*Ten7*cMU*    &
              coupl(nGC_381) + 8d0*Nc*Ten8*cMC*coupl(nGC_333) + 8d0*Nc*Ten9*cMT&
              *coupl(nGC_369) - Ten0*coupl(nGC_234) + Ten1*(-coupl(nGC_300) +  &
              2d0*coupl(nGC_328) + 4d0*coupl(nGC_329)) - 2d0*Ten13*coupl(      &
              nGC_291) - Ten14*coupl(nGC_292) - Ten2*coupl(nGC_233) + 2d0*Ten3 &
              *(2d0*coupl(nGC_260) + 4d0*coupl(nGC_261) - coupl(nGC_299)) + 8d0&
              *Ten4*cME*coupl(nGC_351) + 8d0*Ten5*cMM*coupl(nGC_357) + 8d0*Ten6&
              *cMTA*coupl(nGC_375))/2d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dtHl_QED1 = cone*real(dtHl_QED1,kind=dp)
    end if 
end subroutine set_ctparameter72
end module ctparameter72
