!******************************************************************************!
!                                                                              !
!    derived_ctparameter.f90                                                   !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   derived_ctparameter.f90                        |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-16 15:41             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module derived_ctparameter
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_derived_ctparameter()
  dcab_QED2 = da_QED2*(ca*sb - cb*sa) + db_QED2*(-ca*sb + cb*sa)
  dydo2_QED1_QCD2 = sqrt(2d0)*dMD_QCD2*ee*h2d/(2d0*cMW*sb*sw)
  dydo2_QED3 = sqrt(2d0)*ee*h2d*(-2d0*cMD*cb*db_QED2/sb + 2d0*cMD*dZee_QED2 +  &
               cMD*dMW2_QED2*(-2d0*sw**2d0 + 1d0)/(cMW**2d0*sw**2d0) + cMD*    &
               dMZ2_QED2*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(cMW**2d0*sw**2d0) +   &
               2d0*dMD_QED2)/(4d0*cMW*sb*sw)
  dydo1_QED3 = sqrt(2d0)*ee*h1d*(2d0*cMD*dZee_QED2 + 2d0*cMD*db_QED2*sb/cb +   &
               cMD*dMW2_QED2*(-2d0*sw**2d0 + 1d0)/(cMW**2d0*sw**2d0) + cMD*    &
               dMZ2_QED2*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(cMW**2d0*sw**2d0) +   &
               2d0*dMD_QED2)/(4d0*cMW*cb*sw)
  dydo1_QED1_QCD2 = sqrt(2d0)*dMD_QCD2*ee*h1d/(2d0*cMW*cb*sw)
  dvev1_QED1 = (-2d0*cMW*cb*dZee_QED2*sw - 2d0*cMW*db_QED2*sb*sw + cb*cw**4d0* &
               dMZ2_QED2/(cMW*sw) + cb*dMW2_QED2*(-cw**2d0 + sw**2d0)/(cMW*sw  &
               ))/ee
  dvev2_QED1 = (2d0*cMW*cb*db_QED2*sw - 2d0*cMW*dZee_QED2*sb*sw + cw**4d0*     &
               dMZ2_QED2*sb/(cMW*sw) + dMW2_QED2*sb*(-cw**2d0 + sw**2d0)/(cMW* &
               sw))/ee
  dg1_QED3 = ee*(-2d0*dZee_QED2/cw - cw*dMZ2_QED2/cMW**2d0 + dMW2_QED2/(cMW**  &
             2d0*cw))/4d0
  dyt1_QED3 = sqrt(2d0)*ee*h1u*(2d0*cMT*dZee_QED2 + 2d0*cMT*db_QED2*sb/cb + cMT&
              *dMW2_QED2*(-2d0*sw**2d0 + 1d0)/(cMW**2d0*sw**2d0) + cMT*        &
              dMZ2_QED2*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(cMW**2d0*sw**2d0) + 2d0&
              *dMT_QED2)/(4d0*cMW*cb*sw)
  dyt1_QED1_QCD2 = sqrt(2d0)*dMT_QCD2*ee*h1u/(2d0*cMW*cb*sw)
  dyt2_QED3 = sqrt(2d0)*ee*h2u*(-2d0*cMT*cb*db_QED2/sb + 2d0*cMT*dZee_QED2 +   &
              cMT*dMW2_QED2*(-2d0*sw**2d0 + 1d0)/(cMW**2d0*sw**2d0) + cMT*     &
              dMZ2_QED2*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(cMW**2d0*sw**2d0) + 2d0&
              *dMT_QED2)/(4d0*cMW*sb*sw)
  dyt2_QED1_QCD2 = sqrt(2d0)*dMT_QCD2*ee*h2u/(2d0*cMW*sb*sw)
  dMPA_QED2 = sqrt(2d0)*dMHA2_QED2/(4d0*cMHA)
  dMPC_QED2 = sqrt(2d0)*dMHC2_QED2/(4d0*cMHC)
  dm12_QED2 = MSB**2d0*db_QED2*(2d0*cb**2d0 - 1d0) + cb*dMSB2_QED2*sb
  dyc1_QED1_QCD2 = sqrt(2d0)*dMC_QCD2*ee*h1u/(2d0*cMW*cb*sw)
  dyc1_QED3 = sqrt(2d0)*ee*h1u*(2d0*cMC*dZee_QED2 + 2d0*cMC*db_QED2*sb/cb + cMC&
              *dMW2_QED2*(-2d0*sw**2d0 + 1d0)/(cMW**2d0*sw**2d0) + cMC*        &
              dMZ2_QED2*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(cMW**2d0*sw**2d0) + 2d0&
              *dMC_QED2)/(4d0*cMW*cb*sw)
  dyc2_QED3 = sqrt(2d0)*ee*h2u*(-2d0*cMC*cb*db_QED2/sb + 2d0*cMC*dZee_QED2 +   &
              cMC*dMW2_QED2*(-2d0*sw**2d0 + 1d0)/(cMW**2d0*sw**2d0) + cMC*     &
              dMZ2_QED2*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(cMW**2d0*sw**2d0) + 2d0&
              *dMC_QED2)/(4d0*cMW*sb*sw)
  dyc2_QED1_QCD2 = sqrt(2d0)*dMC_QCD2*ee*h2u/(2d0*cMW*sb*sw)
  dm11_QED2 = dMSB2_QED2*(-cb**2d0 + 1d0) + dMHH2_QED2*(-ca*sa*sb + cb*sa**2d0 &
               - cb)/(2d0*cb) + dMHL2_QED2*sa*(ca*sb - cb*sa)/(2d0*cb) +       &
              da_QED2*(2d0*cMHH**2d0*ca*cb*sa + 2d0*cMHH**2d0*sa**2d0*sb - cMHH&
              **2d0*sb - 2d0*cMHL**2d0*ca*cb*sa - 2d0*cMHL**2d0*sa**2d0*sb +   &
              cMHL**2d0*sb)/(2d0*cb) + db_QED2*(4d0*MSB**2d0*cb**3d0*sb - cMHH &
              **2d0*ca*sa + cMHL**2d0*ca*sa)/(2d0*cb**2d0)
  dsw_QED2 = cw**2d0*(cw**2d0*dMZ2_QED2 - dMW2_QED2)/(2d0*cMW**2d0*sw)
  dye2_QED3 = sqrt(2d0)*ee*h2l*(-2d0*cME*cb*db_QED2/sb + 2d0*cME*dZee_QED2 +   &
              cME*dMW2_QED2*(-2d0*sw**2d0 + 1d0)/(cMW**2d0*sw**2d0) + cME*     &
              dMZ2_QED2*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(cMW**2d0*sw**2d0) + 2d0&
              *dME_QED2)/(4d0*cMW*sb*sw)
  dye1_QED3 = sqrt(2d0)*ee*h1l*(2d0*cME*dZee_QED2 + 2d0*cME*db_QED2*sb/cb + cME&
              *dMW2_QED2*(-2d0*sw**2d0 + 1d0)/(cMW**2d0*sw**2d0) + cME*        &
              dMZ2_QED2*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(cMW**2d0*sw**2d0) + 2d0&
              *dME_QED2)/(4d0*cMW*cb*sw)
  dyup2_QED1_QCD2 = sqrt(2d0)*dMU_QCD2*ee*h2u/(2d0*cMW*sb*sw)
  dyup2_QED3 = sqrt(2d0)*ee*h2u*(-2d0*cMU*cb*db_QED2/sb + 2d0*cMU*dZee_QED2 +  &
               cMU*dMW2_QED2*(-2d0*sw**2d0 + 1d0)/(cMW**2d0*sw**2d0) + cMU*    &
               dMZ2_QED2*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(cMW**2d0*sw**2d0) +   &
               2d0*dMU_QED2)/(4d0*cMW*sb*sw)
  dyup1_QED3 = sqrt(2d0)*ee*h1u*(2d0*cMU*dZee_QED2 + 2d0*cMU*db_QED2*sb/cb +   &
               cMU*dMW2_QED2*(-2d0*sw**2d0 + 1d0)/(cMW**2d0*sw**2d0) + cMU*    &
               dMZ2_QED2*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(cMW**2d0*sw**2d0) +   &
               2d0*dMU_QED2)/(4d0*cMW*cb*sw)
  dyup1_QED1_QCD2 = sqrt(2d0)*dMU_QCD2*ee*h1u/(2d0*cMW*cb*sw)
  dym2_QED3 = sqrt(2d0)*ee*h2l*(-2d0*cMM*cb*db_QED2/sb + 2d0*cMM*dZee_QED2 +   &
              cMM*dMW2_QED2*(-2d0*sw**2d0 + 1d0)/(cMW**2d0*sw**2d0) + cMM*     &
              dMZ2_QED2*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(cMW**2d0*sw**2d0) + 2d0&
              *dMM_QED2)/(4d0*cMW*sb*sw)
  dym1_QED3 = sqrt(2d0)*ee*h1l*(2d0*cMM*dZee_QED2 + 2d0*cMM*db_QED2*sb/cb + cMM&
              *dMW2_QED2*(-2d0*sw**2d0 + 1d0)/(cMW**2d0*sw**2d0) + cMM*        &
              dMZ2_QED2*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(cMW**2d0*sw**2d0) + 2d0&
              *dMM_QED2)/(4d0*cMW*cb*sw)
  dsw2_QED2 = cw**2d0*(cw**2d0*dMZ2_QED2 - dMW2_QED2)/cMW**2d0
  dl4_QED4 = ee**2d0*(dMHA2_QED2 - 2d0*dMHC2_QED2 + dMSB2_QED2 + 2d0*dZee_QED2 &
             *(MSB**2d0 + cMHA**2d0 - 2d0*cMHC**2d0) + cw**4d0*dMZ2_QED2*(-MSB &
             **2d0 - cMHA**2d0 + 2d0*cMHC**2d0)/(cMW**2d0*sw**2d0) + dMW2_QED2 &
             *(MSB**2d0*cw**2d0 - MSB**2d0*sw**2d0 + cMHA**2d0*cw**2d0 - cMHA**&
             2d0*sw**2d0 - 2d0*cMHC**2d0*cw**2d0 + 2d0*cMHC**2d0*sw**2d0)/(cMW &
             **2d0*sw**2d0))/(4d0*cMW**2d0*sw**2d0)
  dsab_QED2 = (da_QED2 - db_QED2)*(ca*cb + sa*sb)
  dgw_QED3 = ee*(2d0*dZee_QED2 - cw**4d0*dMZ2_QED2/(cMW**2d0*sw**2d0) + cw**2d0&
             *dMW2_QED2/(cMW**2d0*sw**2d0))/(2d0*sw)
  dcw_QED2 = cw*(dMW2_QED2 + dMZ2_QED2*(sw**2d0 - 1d0))/(2d0*cMW**2d0)
  dyd12x2_QED3 = sqrt(2d0)*ee*h1d*(2d0*cMS*dZee_QED2 + 2d0*cMS*db_QED2*sb/cb + &
                 cMS*dMW2_QED2*(-2d0*sw**2d0 + 1d0)/(cMW**2d0*sw**2d0) + cMS*  &
                 dMZ2_QED2*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(cMW**2d0*sw**2d0) + &
                 2d0*dMS_QED2)/(4d0*cMW*cb*sw)
  dyd12x2_QED1_QCD2 = sqrt(2d0)*dMS_QCD2*ee*h1d/(2d0*cMW*cb*sw)
  dyb2_QED1_QCD2 = sqrt(2d0)*dMB_QCD2*ee*h2d/(2d0*cMW*sb*sw)
  dyb2_QED3 = sqrt(2d0)*ee*h2d*(-2d0*cMB*cb*db_QED2/sb + 2d0*cMB*dZee_QED2 +   &
              cMB*dMW2_QED2*(-2d0*sw**2d0 + 1d0)/(cMW**2d0*sw**2d0) + cMB*     &
              dMZ2_QED2*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(cMW**2d0*sw**2d0) + 2d0&
              *dMB_QED2)/(4d0*cMW*sb*sw)
  dm22_QED2 = ca*dMHL2_QED2*(-ca*sb + cb*sa)/(2d0*sb) + cb**2d0*dMSB2_QED2 -   &
              dMHH2_QED2*sa*(ca*cb + sa*sb)/(2d0*sb) + da_QED2*(-cMHH**2d0*ca**&
              2d0*cb - 2d0*cMHH**2d0*ca*sa*sb + cMHH**2d0*cb*sa**2d0 + cMHL**  &
              2d0*ca**2d0*cb + 2d0*cMHL**2d0*ca*sa*sb - cMHL**2d0*cb*sa**2d0)/(&
              2d0*sb) + db_QED2*(-4d0*MSB**2d0*cb*sb**3d0 + cMHH**2d0*ca*cb**  &
              2d0*sa + cMHH**2d0*ca*sa*sb**2d0 - cMHL**2d0*ca*cb**2d0*sa - cMHL&
              **2d0*ca*sa*sb**2d0)/(2d0*sb**2d0)
  dytau1_QED3 = sqrt(2d0)*ee*h1l*(2d0*cMTA*dZee_QED2 + 2d0*cMTA*db_QED2*sb/cb  &
                 + cMTA*dMW2_QED2*(-2d0*sw**2d0 + 1d0)/(cMW**2d0*sw**2d0) +    &
                cMTA*dMZ2_QED2*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(cMW**2d0*sw**2d0&
                ) + 2d0*dMTA_QED2)/(4d0*cMW*cb*sw)
  dtb_QED2 = db_QED2/cb**2d0
  dMPS_QED2 = sqrt(2d0)*(dMHH2_QED2 + dMHL2_QED2)/(4d0*sqrt(cMHH**2d0 + cMHL** &
              2d0))
  dytau2_QED3 = sqrt(2d0)*ee*h2l*(-2d0*cMTA*cb*db_QED2/sb + 2d0*cMTA*dZee_QED2 &
                 + cMTA*dMW2_QED2*(-2d0*sw**2d0 + 1d0)/(cMW**2d0*sw**2d0) +    &
                cMTA*dMZ2_QED2*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(cMW**2d0*sw**2d0&
                ) + 2d0*dMTA_QED2)/(4d0*cMW*sb*sw)
  dys2_QED3 = sqrt(2d0)*ee*h2d*(-2d0*cMS*cb*db_QED2/sb + 2d0*cMS*dZee_QED2 +   &
              cMS*dMW2_QED2*(-2d0*sw**2d0 + 1d0)/(cMW**2d0*sw**2d0) + cMS*     &
              dMZ2_QED2*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(cMW**2d0*sw**2d0) + 2d0&
              *dMS_QED2)/(4d0*cMW*sb*sw)
  dys2_QED1_QCD2 = sqrt(2d0)*dMS_QCD2*ee*h2d/(2d0*cMW*sb*sw)
  dl3_QED4 = ee**2d0*(ca*dMHH2_QED2*sa/(cb*sb) - ca*dMHL2_QED2*sa/(cb*sb) + ca*&
             db_QED2*sa*(-cMHH**2d0*cb**2d0 + cMHH**2d0*sb**2d0 + cMHL**2d0*cb &
             **2d0 - cMHL**2d0*sb**2d0)/(cb**2d0*sb**2d0) + 2d0*dMHC2_QED2 -   &
             dMSB2_QED2 + 2d0*dZee_QED2*(-MSB**2d0*cb*sb + 2d0*cMHC**2d0*cb*sb &
              + cMHH**2d0*ca*sa - cMHL**2d0*ca*sa)/(cb*sb) + da_QED2*(cMHH**2d0&
             *ca**2d0 - cMHH**2d0*sa**2d0 - cMHL**2d0*ca**2d0 + cMHL**2d0*sa** &
             2d0)/(cb*sb) + cw**4d0*dMZ2_QED2*(MSB**2d0*cb*sb - 2d0*cMHC**2d0* &
             cb*sb - cMHH**2d0*ca*sa + cMHL**2d0*ca*sa)/(cMW**2d0*cb*sb*sw**2d0&
             ) + dMW2_QED2*(-MSB**2d0*cb*cw**2d0*sb + MSB**2d0*cb*sb*sw**2d0 + &
             2d0*cMHC**2d0*cb*cw**2d0*sb - 2d0*cMHC**2d0*cb*sb*sw**2d0 + cMHH**&
             2d0*ca*cw**2d0*sa - cMHH**2d0*ca*sa*sw**2d0 - cMHL**2d0*ca*cw**2d0&
             *sa + cMHL**2d0*ca*sa*sw**2d0)/(cMW**2d0*cb*sb*sw**2d0))/(4d0*cMW &
             **2d0*sw**2d0)
  dl2_QED4 = ee**2d0*(ca**2d0*dMHL2_QED2 + 2d0*ca*da_QED2*sa*(cMHH**2d0 - cMHL &
             **2d0) - cb**2d0*dMSB2_QED2 + 2d0*cb*db_QED2*(MSB**2d0*cb**2d0 +  &
             MSB**2d0*sb**2d0 - cMHH**2d0*sa**2d0 - cMHL**2d0*ca**2d0)/sb +    &
             dMHH2_QED2*sa**2d0 + 2d0*dZee_QED2*(-MSB**2d0*cb**2d0 + cMHH**2d0*&
             sa**2d0 + cMHL**2d0*ca**2d0) + cw**4d0*dMZ2_QED2*(MSB**2d0*cb**2d0&
              - cMHH**2d0*sa**2d0 - cMHL**2d0*ca**2d0)/(cMW**2d0*sw**2d0) +    &
             dMW2_QED2*(-MSB**2d0*cb**2d0*cw**2d0 + MSB**2d0*cb**2d0*sw**2d0 + &
             cMHH**2d0*cw**2d0*sa**2d0 - cMHH**2d0*sa**2d0*sw**2d0 + cMHL**2d0*&
             ca**2d0*cw**2d0 - cMHL**2d0*ca**2d0*sw**2d0)/(cMW**2d0*sw**2d0))/(&
             4d0*cMW**2d0*sb**2d0*sw**2d0)
  dl1_QED4 = ee**2d0*(ca**2d0*dMHH2_QED2 + 2d0*ca*da_QED2*sa*(-cMHH**2d0 + cMHL&
             **2d0) + dMHL2_QED2*sa**2d0 - dMSB2_QED2*sb**2d0 + 2d0*dZee_QED2  &
             *(-MSB**2d0*sb**2d0 + cMHH**2d0*ca**2d0 + cMHL**2d0*sa**2d0) + 2d0&
             *db_QED2*sb*(-MSB**2d0*cb**2d0 - MSB**2d0*sb**2d0 + cMHH**2d0*ca**&
             2d0 + cMHL**2d0*sa**2d0)/cb + cw**4d0*dMZ2_QED2*(MSB**2d0*sb**2d0 &
              - cMHH**2d0*ca**2d0 - cMHL**2d0*sa**2d0)/(cMW**2d0*sw**2d0) +    &
             dMW2_QED2*(-MSB**2d0*cw**2d0*sb**2d0 + MSB**2d0*sb**2d0*sw**2d0 + &
             cMHH**2d0*ca**2d0*cw**2d0 - cMHH**2d0*ca**2d0*sw**2d0 + cMHL**2d0*&
             cw**2d0*sa**2d0 - cMHL**2d0*sa**2d0*sw**2d0)/(cMW**2d0*sw**2d0))/(&
             4d0*cMW**2d0*cb**2d0*sw**2d0)
  dvev_QED1 = (2d0*cMW*dZee_QED2*(cw**2d0 - 1d0) + cw**4d0*dMZ2_QED2/cMW +     &
              dMW2_QED2*(-2d0*cw**2d0 + 1d0)/cMW)/(ee*sw)
  dl5_QED4 = ee**2d0*(-dMHA2_QED2 + dMSB2_QED2 + 2d0*dZee_QED2*(MSB**2d0 - cMHA&
             **2d0) + cw**4d0*dMZ2_QED2*(-MSB**2d0 + cMHA**2d0)/(cMW**2d0*sw** &
             2d0) + dMW2_QED2*(MSB**2d0*cw**2d0 - MSB**2d0*sw**2d0 - cMHA**2d0*&
             cw**2d0 + cMHA**2d0*sw**2d0)/(cMW**2d0*sw**2d0))/(4d0*cMW**2d0*sw &
             **2d0)
  dyd13x3_QED3 = sqrt(2d0)*ee*h1d*(2d0*cMB*dZee_QED2 + 2d0*cMB*db_QED2*sb/cb + &
                 cMB*dMW2_QED2*(-2d0*sw**2d0 + 1d0)/(cMW**2d0*sw**2d0) + cMB*  &
                 dMZ2_QED2*(-sw**4d0 + 2d0*sw**2d0 - 1d0)/(cMW**2d0*sw**2d0) + &
                 2d0*dMB_QED2)/(4d0*cMW*cb*sw)
  dyd13x3_QED1_QCD2 = sqrt(2d0)*dMB_QCD2*ee*h1d/(2d0*cMW*cb*sw)
end subroutine set_derived_ctparameter
end module derived_ctparameter
